Introduction

LV-Link is a library of VIs that enable you to access the data acquisition features of DT-Open Layers-compliant devices. This library is consistent with the design and layout of the LabVIEW DAQmx VIs to speed development time and minimize learning curve issues.

The following operation types, or tasks, are supported in LV-Link:

    • Analog Input

    • Analog Output

    • Digital Input

    • Digital Output

    • Counter/Timer

    • Quadrature Decoder

LV-Link provides a number of example programs that demonstrate how to perform these tasks using the LV-Link VIs.


Before Using LV-Link

Before using LV-Link, ensure that you have installed the following:

    • LabVIEW 8.5.1 or greater for 32-bit support, or LabVIEW 2009 or higher for 64-bit or 32-bit support. Refer to your LabVIEW documentation for details.

    • LV-Link3. This version does not require a license to run.

      During the installation process, you select whether to install the 32-bit or 64-bit version of LV-Link3. Note that the files for 32- and 64-bit version of LV-Link3 are the same except for the actual DLL (DtLvLink_32.dll for the 32-bit version and DtLvLink_64.dll for the 64-bit version) and the low-level wrapper VIs in the “VIs” directory. The wrapper VIs have the same name but reference either DtLvLink_32.dll (for the 32-bit version) or DtLvLink_64.dll (for the 64-bit version).

    • One or more DT-Open Layers-compliant devices, including the software for the devices. Refer to the Readme file and your device documentation for details.

      When you install the software for the device, the DT-Open Layers device drivers are installed automatically.

Note: By default, LV-Link3 is installed in the following directory: C:\Program Files\National Instruments\LabVIEW\user.lib\LV-Link3, where LabVIEW includes the version of LabVIEW that you are using.


Quick Start

To start using LV-Link, execute one of the simple example programs provided in LV-Link as follows:

  1. Start LabVIEW.

  2. From the File menu, select Open, and then navigate to the following folder:
    User.Lib     -> LV-Link3 -> Examples

  3. Double-click the DtAinSingle.vi example.
    This example acquires a single value (in voltage) from an analog input channel repetitively in a loop, and displays the results. By default, the following settings are used: analog input subsystem 0, analog input channel 0, gain of 1, single-ended channel type.

  4. Connect a single-ended analog input signal with a voltage range of ±10 V to analog input channel 0 of your data acquisition device.

  5. Click the Run button (the right arrow on the LabVIEW task bar) to run the example program.
    The analog input values are plotted on the Waveform Graph.

  6. To stop acquiring data, click STOP.

  7. To see the VIs that are used in this example, click Show Block Diagram from the Window menu.

  8. If desired, change the values of the VIs that are used, and then change the wiring setup, if required, to match the changes you made.

  9. From the front panel, repeat steps 5 to 8.

  10. When finished, close the program.

Once you are finished with this example program, look at the other examples provided in the Examples folder or proceed to LV-Link VIs to begin learning about the VIs that are included in LV-Link.


Porting Code from LV-Link 2.0 to LV-Link 3.0

Where LV-Link2 is based on the DT-Open Layers for .NET Class Library, LV-Link3 is based on the DT-Open Layers Data Acq SDK.

If you have a LabVIEW application that was written using LV-Link2 and you want to port that application to use LV-Link3, keep the following information in mind:

  1. All of the top-level VIs in LV-Link3 have been renamed. When porting your code, ensure that you rename the LV-Link VIs as follow
VI Name in LV-Link2 | VI Names in LV-Link3
OLConfig | DtOLConfig
OLCloseTask | DtOLCloseTask
OLCreateTask | DtOLCreateTask
OLGetBoardNames | DtOLGetBoardNames
OLRead | DtOLRead
OLStart | DtOLStart - Start
OLStop | DtOLStop
OLReStart | DtOLReStart
OLSetChanGain | DtOLSetChanGain
OLSetChanOptions | DtOLSetChanOptions
OLTiming | DtOLTiming
OLTrigger | DtOLTrigger
OLWaitUntilDone | DtOLWaitUntilDone
OLWaveformGenerate | DtOLWaveformGenerate
OLWrite | DtOLWrite
OLGetOLBoard | DtOLGetBoard
OLGetOLTrigger | DtOLTriggerSource
OLGetOLChanList | DtOLGetChanList
OLGetOLClock | DtOLClock
OLGetOLSubsystem | DtOLSubsystem
InitDACBuffers | DtInitDACBuffers
OLCheckStatus | DtOLCheckStatus
OLErrorParser | DtOLErrorParser

  2. DtOLStart is now composed of two polymorphic VIs: DtOLStart - Start, which functions exactly like DtOLStart in LV-Link2, and DtOLStart - Simultaneous Start, which groups two tasks so that they can be started simultaneously.
  3. DtOLWriteTwoChannelSingle was added as a new Utility VI to show how to update two analog output channels with a single value simultaneously. In addition, a new example program, called DtAoutTwoSingle, was added to demonstrate how to use the DtOLWriteTwoChannelSingle VI.
  4. Unlike LV-Link2, LV-Link3 does not parse text, but does parse digits; commas and colons are also checked. So if an input string is given for a channel, such as "Ain0", LV-Link3 reads this as 0.
  5. The following terminals and data types have been changed for the top-level VIs in LV-Link3; ensure that you modify your LV-Link application appropriately to deal with these changes:
VI Names in LV-Link3 | Changes to the Terminals and Data Types
DtOLConfig | Task in and Task out changed from reference numbers to signed 32-bit integers.
DtOLCloseTask | Task in changed from a reference number to a signed 32-bit integer.
DtOLCreateTask Analog Input - Voltage Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Element changed from a signed 32-bit integer to an unsigned 32-bit integer.

Actual Number of Channels (an unsigned 32-bit integer) was added as an output. It contains the actual number of virtual analog input channels that are created when this VI runs.
Analog Input - Raw Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Element changed from a signed 32-bit integer to an unsigned 32-bit integer.

Actual Number of Channels (an unsigned 32-bit integer) was added as an output. It contains the actual number of virtual analog input channels that are created when this VI runs.
Analog Output - Voltage Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Element changed from a signed 32-bit integer to an unsigned 32-bit integer.

Actual Number of Channels (an unsigned 32-bit integer) was added as an output. It contains the actual number of virtual analog input channels that are created when this VI runs.
Analog Output - Raw Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Element changed from a signed 32-bit integer to an unsigned 32-bit integer.

Actual Number of Channels (an unsigned 32-bit integer) was added as an output. It contains the actual number of virtual analog input channels that are created when this VI runs.
Counter Input - Events Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Counter Num changed from a signed 32-bit integer to an unsigned 32-bit integer.
Counter Input - Up-Down Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Counter Num changed from a signed 32-bit integer to an unsigned 32-bit integer.
Counter Input - Frequency Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Counter Num changed from a signed 32-bit integer to an unsigned 32-bit integer.
Counter Input - Period Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Counter Num changed from a signed 32-bit integer to an unsigned 32-bit integer.
Counter Input - Time Between Edges Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Counter Num changed from a signed 32-bit integer to an unsigned 32-bit integer.
Counter Input - Cont Measure Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Counter Num changed from a signed 32-bit integer to an unsigned 32-bit integer.
Counter Output - Pulse Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Counter Num changed from a signed 32-bit integer to an unsigned 32-bit integer.
Counter Output - Repeat Pulse Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Counter Num changed from a signed 32-bit integer to an unsigned 32-bit integer.
Counter Output - Rate Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Counter Num changed from a signed 32-bit integer to an unsigned 32-bit integer.
Digital Input Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Port Number changed from a signed 32-bit integer to an unsigned 32-bit integer.
Digital Output Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Port Number changed from a signed 32-bit integer to an unsigned 32-bit integer.
Quad Encoder Input Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Clock Prescale changed from a signed 32-bit integer to an unsigned 32-bit integer.

Quad Decoder Number changed from a signed 32-bit integer to an unsigned 32-bit integer.
DtOLGetBoardNames Select Board (an unsigned 32-bit integer) was added as an input to specify the number of the DT-Open Layers-compliant device whose name you want to return.

Number of boards (an unsigned 32-bit integer) as added as an output to contain the number of DT-Open Layers-compliant devices that are connected to the system.
DtOLRead | Read Single Channel - Single Sample | Task in and Task out changed from reference numbers to signed 32-bit integers.
Read Single Channel - Multiple Samples Task in and Task out changed from reference numbers to signed 32-bit integers.

Samples Per Channel changed from a double data type to a signed 32-bit integer.

Buffer size (a signed 32-bit integer) was added as an input to specify the size of the buffer, in bytes.

Data Out changed from a one-dimensional array of 32-bit integers to a one-dimensional array of real numbers.

Num Samples Read (a signed 32-bit integer) was added as an output to contain the number of samples that were read.
Read Multiple Channel - Multiple Samples Task in and Task out changed from reference numbers to signed 32-bit integers.

Samples Per Channel changed from a double data type to a signed 32-bit integer.

Buffer size (a signed 32-bit integer) was added as an input to specify the size of the buffer, in bytes. You must connect this input to some value. In most cases, you should wire this input to the Buffer Size output of the DtOLTiming ( Input Set Timing) VI.

Number Chan to Read (a signed 32-bit integer) was added as an input to specify the number of channels to read. This must be wired to the Actual Number of Channels output from the DtOLCreateTask (Analog Input Voltage) or DtOLCreateTask (Analog Input Raw) VI. Since DtOLCreateTask (Analog Input Voltage) and DtOLCreateTask (Analog Input Raw) VI take a string as an input that specifies the channels to use, the string is parsed and the resulting number of channels is sent to Number Chan to Read.

Num Samples Per Channel Read (a signed 32-bit integer) was added as an output to contain the number of samples that were read for each channel.

Num Channels Read (a signed 32-bit integer) was added as an output to contain the number of channels that were read.
DtOLStart - Start | Task in and Task out changed from reference numbers to signed 32-bit integers.
DtOLStop | Task in and Task out changed from reference numbers to signed 32-bit integers.
DtOLReStart | Task in and Task out changed from reference numbers to signed 32-bit integers.
DtOLSetChanGain Task in and Task out changed from reference numbers to signed 32-bit integers.

Gain was changed from a signed 16-bit integer to a double.

Channel was changed from a signed 16-bit integer to an unsigned 32-bit integer.
DtOLSetChanOptions Task in and Task out changed from reference numbers to signed 32-bit integers.

Channel was changed from a signed 16-bit integer to an unsigned 32-bit integer.
DtOLTiming Input - Set Timing Task in and Task out changed from reference numbers to signed 32-bit integers.

Samples per Channel was changed from a double to an unsigned 32-bit integer.

Num Buffers was changed from a signed 32-integer to an unsigned 32-bit integer.

Buffer Size (an unsigned 32-bit integer) was added as an output to contain the size of the buffer, in bytes, that is used.
Output - Set Timing | Task in and Task out changed from reference numbers to signed 32-bit integers.
Output - Get Timing From Waveform | Task in and Task out changed from reference numbers to signed 32-bit integers.
DtOLTrigger | Digital Trigger | Task in and Task out changed from reference numbers to signed 32-bit integers.
Analog Trigger | Task in and Task out changed from reference numbers to signed 32-bit integers.
DtOLWaitUntilDone | Task in and Task out changed from reference numbers to signed 32-bit integers.
DtOLWaveformGenerate | Task in and Task out changed from reference numbers to signed 32-bit integers.
DtOLWrite | Write Single Channel - Single Sample | Task in and Task out changed from reference numbers to signed 32-bit integers.
Single Channel - Multiple Samples | Task in and Task out changed from reference numbers to signed 32-bit integers.
Write Single Channel - Waveform | Task in and Task out changed from reference numbers to signed 32-bit integers.
Write Multiple Channel - Multiple Samples Task in and Task out changed from reference numbers to signed 32-bit integers.

StartWrite (a Boolean variable) was added as an input to determine whether to start the subsystem automatically or whether you need to explicitly call DtOLStart to start the subsystem when using this VI.
DtOLGetBoard Task out changed from a reference number to a signed 32-bit integer.

Element (a signed 32-bit integer) was added as an input to specify the subsystem instance to use if the device has multiple instances of the same subsystem type.

Channel Type (a signed 32-bit integer) was added as an input to specify the configuration of the analog input channels.

OL Board was removed as an output.

Board Model Name (a string) was added as an output to contain the model number of the device.

Driver Name (a string) was added as an output to contain the name of the driver that is used by the specified device.

Driver Revision (a string) was added as an output to contain the revision of the driver that is used by the specified device.

Device Name (a string) was added as an output to contain the name of the device as defined in the DT-Open Layers Control Panel applet.
DtOLTriggerSource Task in and Task out changed from reference numbers to signed 32-bit integers.

Trigger Source (an unsigned 32-bit integer) was added as an input to specify the trigger source to use for the device

Pre-Trigger Source (an unsigned 32-bit integer)was added as an input to specify the pre-trigger source to use for the device.

Select Source to view on LEDs below (a Boolean value) was added as an input to specify whether to display the current trigger source or current pre-trigger source.

Set Trigger (a Boolean value) was added as an input to specify whether to change the trigger source to the value that was specified in Trigger Source.

Set Pre-Trigger (a Boolean value) was added as an input to specify whether to change the pre-trigger source to the value that you specified in Pre-Trigger Source.

Software (a Boolean value) was added as an output to contain whether the current source (trigger or pre-trigger) is a software trigger.

Ext Digital (a Boolean value) was added as an output to contain whether the current source (trigger or pre-trigger) is an external digital TTL trigger.

Ext Ana Pos (a Boolean value) was added as an output to contain whether the current source (trigger or pre-trigger) is an external, positive-edge analog trigger.

Ext Ana Neg (a Boolean value) was added as an output to contain whether the current source (trigger or pre-trigger) is an external, negative-edge analog trigger.

Analog Event (a Boolean value) was added as an output to contain whether the current source (trigger or pre-trigger) is an analog event.

Digital Event (a Boolean value) was added as an output to contain whether the current source (trigger or pre-trigger) is a digital event.

Timer Event (a Boolean value) was added as an output to contain whether the current source (trigger or pre-trigger) is a timer event.

Extra (a Boolean value) was added as an output to contain whether the current source (trigger or pre-trigger) is an extra trigger.

Software (a Boolean value) was added as an output to contain whether a software trigger is supported by the device.

Pos Ext TTL Single (a Boolean value) was added as an output to contain whether a positive-edge external TTL trigger is supported by the device for a single-value operation.

Neg Ext TTL Single (a Boolean value) was added as an output to contain whether a negative-edge external TTL trigger is supported by the device for a single-value operation.

Pos Ext TTL (a Boolean value) was added as an output to contain whether a positive-edge external TTL trigger is supported by the device.

Neg Ext TTL (a Boolean value) was added as an output to contain whether a negative-edge external TTL trigger is supported by the device.

Pos Threshold (a Boolean value) was added as an output to contain whether a positive threshold trigger is supported by the device.

Neg Threshold (a Boolean value) was added as an output to contain whether a negative threshold trigger is supported by the device.

Digital Event (a Boolean value) was added as an output to contain whether a digital event trigger is supported by the device.
DtOLGetChanList Task in and Task out changed from reference numbers to signed 32-bit integers.

ChannelList was removed as an output.

Channel Gain List Depth (an unsigned 32-bit integer) was added as an output to contain the maximum size of the channel-gain list.

Current Channel List Count (an unsigned 32-bit integer) was added as an output to contain the current number of channels included in the channel-gain list.
DtOLClock Task in and Task out changed from reference numbers to signed 32-bit integers.

Clock was removed as an output.

Clock Frequency (a double) was added as an input to specify the frequency that you want to set for the clock source.

Set Frequency (a Boolean) was added as an input to specify whether to change the clock frequency to the value that was specified in Clock Frequency.

External Divider (an unsigned 32-bit integer) was added as an input to specify the external clock divider value that you want to set for the clock source.

Set Divider (a Boolean) was added as an input to specify whether to change the external clock divider value to the value that was specified in External Divider.

Clock Source (an unsigned 16-bit integer) was added as an input to specify which clock source to use.

Set Source (a Boolean value) was added as an input to specify whether to change the clock source to the value that you specified in Clock Source.

Current Frequency (a double) was added as an output to contain the current frequency of the clock source on the device.

Min Frequency (a double) was added as an output to contain the minimum frequency of the clock source on the device.

Max Frequency (a double) was added as an output to contain the maximum frequency of the clock source on the device.

Current Divider (an unsigned 32-bit integer) contains the current external divider of the clock source on the device.

Min Divider (a double) was added as an output to contain the minimum external divider of the clock source on the device.

Max Divider (a double) was added as an output to contain the maximum external divider of the clock source on the device.

Base Clock Frequency (a double) was added as an output to contain the base clock frequency of the clock source on the device.

Support Simultaneous Clock (a Boolean value) was added as an output to contain whether the device supports the ability to read or update multiple channels on a single clock pulse.

Support External Clock (a Boolean value) was added as an output to contain whether the device supports an external clock source.

Support Internal Clock (a Boolean value) was added as an output to contain whether the device supports an internal clock source.

External (a Boolean value) was added as an output to contain whether the clock source is External.

Internal (a Boolean value) was added as an output to contain whether the clock source is Internal.
DtOLSubsystem The following polymorphic VIs were removed: AIN Subsys, AOUT Subsys, CTR Subsys, DIN Subsys, DOUT Subsys, and QUAD Subsys.

Task in and Task out changed from reference numbers to signed 32-bit integers.

AIN Subsystem, AOUT Subsystem, CTR Subsystem, DIN Subsystem, DOUT Subsystem, and QUAD Subsystem were removed as outputs.

Capability Selection (an unsigned 32-bit integer) was added as an input to specify the capability to query.

Cap Number (an unsigned 32-bit integer) was added as an input to specify the particular enumeration to query.

Number of Enumerations Found (an unsigned 32-bit integer) was added as an output to contain the number of enumerations found for the subsystem capability that was queried.

Value 1 (a double) was added as an output to contain the first value for the specific enumeration that was queried.

Value 2 (a double) was added as an output to contain the second value for the specific enumeration that was queried.
DtInitDACBuffers | Task in and Task out changed from reference numbers to signed 32-bit integers.
DtOLCheckStatus | Task in and Task out changed from reference numbers to signed 32-bit integers.
DtOLErrorParser Task in was removed as an input.

Task out was removed as an output.

  6. The following new VIs were added to LV-Link3 to replace the .NET interface. These low-level VIs call directly into the entry points of the DLL of the Data Acq SDK and are used by the higher level VIs. If you want to access the Data Acq SDK directly, use these VIs in your application:

VI Category | New VIs in LV-Link3
Sub VI | Error Converter (ErrCode or Status)
Low-Level VIs | Lvi Board Properties
 | Lvi Channel List Properties
 | Lvi Check Status
 | Lvi Clock Properties
 | Lvi Clock Settings
 | Lvi Close Task
 | Lvi Create Task
 | Lvi Get Board Names
 | Lvi Get Error String
 | Lvi Read Dbl Data Pt
 | Lvi Read Dbl Data1D
 | Lvi Read Dbl Data2D
 | Lvi Read I32Data Pt
 | Lvi Read I32Data1D
 | Lvi Read I32Data2D
 | Lvi Select Channels
 | Lvi Select Raw Channels
 | Lvi Set Timing
 | Lvi Set Trigger
 | Lvi Simultaneous Start
 | Lvi Subsystem Config
 | Lvi Subsystem Properties
 | Lvi Subsystem Set Channel Gain
 | Lvi Subsystem Set Channel Option
 | Lvi Subsystem Set Ctr Cont Measure Mode
 | Lvi Subsystem Set Ctr Count Mode
 | Lvi Subsystem Set Ctr Freq Mode
 | Lvi Subsystem Set Ctr Measure Mode
 | Lvi Subsystem Set Ctr One Shot Mode
 | Lvi Subsystem Set Ctr One Shot Repeat Mode
 | Lvi Subsystem Set Ctr Period Mode
 | Lvi Subsystem Set Ctr Rate Mode
 | Lvi Subsystem Set Ctr Up Down Mode
 | Lvi Subsystem Set Quad Encoder
 | Lvi Subsystem Start
 | Lvi Subsystem Stop
 | Lvi Subsystem Wait Until Done
 | Lvi Trigger Properties
 | Lvi Trigger Settings
 | Lvi Write Dbl Data Pt
 | Lvi Write Dbl Data1D
 | Lvi Write Dbl Data2D
 | Lvi Write I32Data Pt
 | Lvi Write I32Data1D


Porting Code from LV-Link 2.0 to LV-Link 3.1

Where LV-Link2 is based on the DT-Open Layers for .NET Class Library, LV-Link3.0 and LV-Link 3.1 are based on the DT-Open Layers Data Acq SDK.

If you have a LabVIEW application that was written using LV-Link2 and you want to port that application to use LV-Link3.1, keep the following information in mind:

  1. All of the top-level VIs in LV-Link3.1 have been renamed. When porting your code, ensure that you rename the LV-Link VIs as follow
VI Name in LV-Link2 | VI Names in LV-Link3.1
OLConfig | DtOLConfig
OLCloseTask | DtOLCloseTask
OLCreateTask | DtOLCreateTask
OLGetBoardNames | DtOLGetBoardNames
OLRead | DtOLRead
OLStart | DtOLStart - Start
OLStop | DtOLStop
OLReStart | DtOLReStart
OLSetChanGain | DtOLSetChanGain
OLSetChanOptions | (This VI has been removed; it no longer sets any channel options. Use DtOlSetChanGain and DtOLSetChanIepeOptions instead.)
OLTiming | DtOLTiming
OLTrigger | DtOLTrigger
OLWaitUntilDone | DtOLWaitUntilDone
OLWaveformGenerate | DtOLWaveformGenerate
OLWrite | DtOLWrite
OLGetOLBoard | DtOLGetBoard
OLGetOLTrigger | DtOLTriggerSource
OLGetOLChanList | DtOLGetChanList
OLGetOLClock | DtOLClock
OLGetOLSubsystem | DtOLSubsystem
InitDACBuffers | DtInitDACBuffers
OLCheckStatus | DtOLCheckStatus
OLErrorParser | DtOLErrorParser

  2. The following new VIs are new in LV-Link 3.1:
    • DtOLSetChanIEPEOptions - Specifies the coupling and current source for channels that support IEPE inputs.
    • DtOLGetTEDS - Returns TEDS information from strain gage and bridge-based sensors either directly from the hardware (hardware TEDS) or from a data file (virtual TEDS).
    • DtOLSetChanStrain - Sets properties for strain gage and bridge-based sensors.
    • DtFullBridgeBasedSensorCal Utility VI - Performs an offset and shunt calibration procedure for a device that supports bridge-based sensors, such as a load cell.
    • DtStrainGageCal Utility VI - A utility that allows you to perform an offset and shunt calibration procedure for a device that supports strain gages.
    • DtOLFullBridgeBasedSensorCal VI - The subVI that is used by the DtFullBridgeBasedSensorCal Utility to perform an offset and shunt calibration procedure for a device that supports bridge-based sensors, such as a load cell.
    • DtOLStrainGageCal VI - The subVI that is used by the DtStrainGageCal Utility to perform an offset and shunt calibration procedure for a device that supports strain gages.
  3. DtOLStart is now composed of two polymorphic VIs: DtOLStart - Start, which functions exactly like DtOLStart in LV-Link2, and DtOLStart - Simultaneous Start, which groups two tasks so that they can be started simultaneously.
  4. DtOLWriteTwoChannelSingle was added as a new Utility VI to show how to update two analog output channels with a single value simultaneously. In addition, a new example program, called DtAoutTwoSingle, was added to demonstrate how to use the DtOLWriteTwoChannelSingle VI.
  5. Unlike LV-Link2, LV-Link3.1 does not parse text, but does parse digits; commas and colons are also checked. So if an input string is given for a channel, such as "Ain0", LV-Link3.1 reads this as 0.
  6. The following terminals and data types have been changed for the top-level VIs in LV-Link3.1; ensure that you modify your LV-Link application appropriately to deal with these changes:
VI Names in LV-Link3.1 | Changes to the Terminals and Data Types
DtOLConfig | Task in and Task out changed from reference numbers to signed 32-bit integers.
DtOLCloseTask | Task in changed from a reference number to a signed 32-bit integer.
DtOLCreateTask Analog Input - Voltage Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Element changed from a signed 32-bit integer to an unsigned 32-bit integer.

Actual Number of Channels (an unsigned 32-bit integer) was added as an output. It contains the actual number of virtual analog input channels that are created when this VI runs.
Analog Input - Raw Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Element changed from a signed 32-bit integer to an unsigned 32-bit integer.

Actual Number of Channels (an unsigned 32-bit integer) was added as an output. It contains the actual number of virtual analog input channels that are created when this VI runs.
Analog Output - Voltage Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Element changed from a signed 32-bit integer to an unsigned 32-bit integer.

Actual Number of Channels (an unsigned 32-bit integer) was added as an output. It contains the actual number of virtual analog input channels that are created when this VI runs.
Analog Output - Raw Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Element changed from a signed 32-bit integer to an unsigned 32-bit integer.

Actual Number of Channels (an unsigned 32-bit integer) was added as an output. It contains the actual number of virtual analog input channels that are created when this VI runs.
Counter Input - Events Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Counter Num changed from a signed 32-bit integer to an unsigned 32-bit integer.
Counter Input - Up-Down Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Counter Num changed from a signed 32-bit integer to an unsigned 32-bit integer.
Counter Input - Frequency Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Counter Num changed from a signed 32-bit integer to an unsigned 32-bit integer.
Counter Input - Period Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Counter Num changed from a signed 32-bit integer to an unsigned 32-bit integer.
Counter Input - Time Between Edges Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Counter Num changed from a signed 32-bit integer to an unsigned 32-bit integer.
Counter Input - Cont Measure Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Counter Num changed from a signed 32-bit integer to an unsigned 32-bit integer.
Counter Output - Pulse Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Counter Num changed from a signed 32-bit integer to an unsigned 32-bit integer.
Counter Output - Repeat Pulse Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Counter Num changed from a signed 32-bit integer to an unsigned 32-bit integer.
Counter Output - Rate Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Counter Num changed from a signed 32-bit integer to an unsigned 32-bit integer.
Digital Input Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Port Number changed from a signed 32-bit integer to an unsigned 32-bit integer.
Digital Output Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Port Number changed from a signed 32-bit integer to an unsigned 32-bit integer.
Quad Encoder Input Task in was removed.

Task out changed from a reference number to a signed 32-bit integer.

Clock Prescale changed from a signed 32-bit integer to an unsigned 32-bit integer.

Quad Decoder Number changed from a signed 32-bit integer to an unsigned 32-bit integer.
DtOLGetBoardNames Select Board (an unsigned 32-bit integer) was added as an input to specify the number of the DT-Open Layers-compliant device whose name you want to return.

Number of boards (an unsigned 32-bit integer) as added as an output to contain the number of DT-Open Layers-compliant devices that are connected to the system.
DtOLRead | Read Single Channel - Single Sample | Task in and Task out changed from reference numbers to signed 32-bit integers.
Read Single Channel - Multiple Samples Task in and Task out changed from reference numbers to signed 32-bit integers.

Samples Per Channel changed from a double data type to a signed 32-bit integer.

Buffer size (a signed 32-bit integer) was added as an input to specify the size of the buffer, in bytes.

Data Out changed from a one-dimensional array of 32-bit integers to a one-dimensional array of real numbers.

Num Samples Read (a signed 32-bit integer) was added as an output to contain the number of samples that were read.
Read Multiple Channels - Multiple Samples Task in and Task out changed from reference numbers to signed 32-bit integers.

Samples Per Channel changed from a double data type to a signed 32-bit integer.

Buffer size (a signed 32-bit integer) was added as an input to specify the size of the buffer, in bytes.

Number Chan to Read (a signed 32-bit integer) was added as an input to specify the number of channels to read.

Num Samples Per Channel Read (a signed 32-bit integer) was added as an output to contain the number of samples that were read for each channel.

Num Channels Read (a signed 32-bit integer) was added as an output to contain the number of channels that were read.
Read Multiple Channels - Single Sample | Has been added to read a single sample from multiple channels and return the data as real numbers.
Read Single Channel - Single Sample -32-Bit | Has been added to read a single value from a single channel and return the data as an unsigned, 32-bit integer.
Read Single Channel -Multiple Samples -32-Bit | Has been added to read multiple values from a single channel and return the data as unsigned, 32-bit integers.
Read Multiple Channels - Single Sample - 32-Bit | Has been added to read a single value from multiple channels and return the data as unsigned, 32-bit integers.
Read Multiple Channels - Multiple Samples - 32-Bit | Has been added to read multiple values from multiple channels and return the data as unsigned, 32-bit integers.
Read Single Channel - Single Sample -16-Bit | Has been added to read a single value from a single channel and return the data as an unsigned, 16-bit integer.
Read Single Channel -Multiple Samples -16-Bit | Has been added to read multiple values from a single channel and return the data as unsigned, 16-bit integer.
Read Multiple Channels - Single Sample - 16-Bit | Has been added to read a single value from multiple channels and return the data as unsigned, 16-bit integers.
Read Multiple Channels - Multiple Samples - 16-Bit | Has been added to read multiple values from multiple channels and return the data as unsigned, 16-bit integers.
DtOLStart - Start | Task in and Task out changed from reference numbers to signed 32-bit integers.
DtOLStop | Task in and Task out changed from reference numbers to signed 32-bit integers.
DtOLReStart | Task in and Task out changed from reference numbers to signed 32-bit integers.
DtOLSetChanGain Task in and Task out changed from reference numbers to signed 32-bit integers.

Gain was changed from a signed 16-bit integer to a double.

Channel was changed from a signed 16-bit integer to an unsigned 32-bit integer.

SensorGain (a double) was added to specify the gain to apply to the sensor that is connected to the specified channel.

SensorOffset (a double) was added to specify the offset to apply to the sensor that is connected to the specified channel.
DtOLSetChanIepeOptions | Has been added to specify the excitation current source and input coupling type for a virtual analog channel that supports IEPE inputs.
DtOLTiming Input - Set Timing Task in and Task out changed from reference numbers to signed 32-bit integers.

Samples per Channel was changed from a double to an unsigned 32-bit integer.

Num Buffers was changed from a signed 32-integer to an unsigned 32-bit integer.

Buffer Size (an unsigned 32-bit integer) was added as an output to contain the size of the buffer, in bytes, that is used.
Output - Set Timing | Task in and Task out changed from reference numbers to signed 32-bit integers.
Output - Get Timing From Waveform | Task in and Task out changed from reference numbers to signed 32-bit integers.
DtOLTrigger | Digital Trigger | Task in and Task out changed from reference numbers to signed 32-bit integers.
Analog Trigger | Task in and Task out changed from reference numbers to signed 32-bit integers.
Digital Reference Trigger | Has been added to specify a digital trigger as the reference trigger.
Analog Reference Trigger | Has been added to specify an analog threshold trigger as the reference trigger.
Triggered Scan | Has been added to set up a triggered scan operation.
DtOLWaitUntilDone | Task in and Task out changed from reference numbers to signed 32-bit integers.
DtOLWaveformGenerate | Task in and Task out changed from reference numbers to signed 32-bit integers.
DtOLWrite | Write Single Channel - Single Sample | Task in and Task out changed from reference numbers to signed 32-bit integers.
Single Channel - Multiple Samples | Task in and Task out changed from reference numbers to signed 32-bit integers.
Write Single Channel - Waveform | Task in and Task out changed from reference numbers to signed 32-bit integers.
Write Multiple Channel - Multiple Samples Task in and Task out changed from reference numbers to signed 32-bit integers.

StartWrite (a Boolean variable) was added as an input to determine whether to start the subsystem automatically or whether you need to explicitly call DtOLStart to start the subsystem when using this VI.
DtOLGetBoard Task out changed from a reference number to a signed 32-bit integer.

Element (a signed 32-bit integer) was added as an input to specify the subsystem instance to use if the device has multiple instances of the same subsystem type.

Channel Type (a signed 32-bit integer) was added as an input to specify the configuration of the analog input channels.

OL Board was removed as an output.

Board Model Name (a string) was added as an output to contain the model number of the device.

Driver Name (a string) was added as an output to contain the name of the driver that is used by the specified device.

Driver Revision (a string) was added as an output to contain the revision of the driver that is used by the specified device.

Device Name (a string) was added as an output to contain the name of the device as defined in the DT-Open Layers Control Panel applet.

SerialNumber (an unsigned 32-bit integer) was added as an output to contain the serial number of the device.
DtOLTriggerSource Task in and Task out changed from reference numbers to signed 32-bit integers.

Trigger Source (an unsigned 32-bit integer) was added as an input to specify the trigger source to use for the device

Pre-Trigger Source (an unsigned 32-bit integer)was added as an input to specify the pre-trigger source to use for the device.

Select Source to view on LEDs below (a Boolean value) was added as an input to specify whether to display the current trigger source or current pre-trigger source.

Set Trigger (a Boolean value) was added as an input to specify whether to change the trigger source to the value that was specified in Trigger Source.

Set Pre-Trigger (a Boolean value) was added as an input to specify whether to change the pre-trigger source to the value that you specified in Pre-Trigger Source.

Software (a Boolean value) was added as an output to contain whether the current source (trigger or pre-trigger) is a software trigger.

Ext Digital (a Boolean value) was added as an output to contain whether the current source (trigger or pre-trigger) is an external digital TTL trigger.

Ext Ana Pos (a Boolean value) was added as an output to contain whether the current source (trigger or pre-trigger) is an external, positive-edge analog trigger.

Ext Ana Neg (a Boolean value) was added as an output to contain whether the current source (trigger or pre-trigger) is an external, negative-edge analog trigger.

Analog Event (a Boolean value) was added as an output to contain whether the current source (trigger or pre-trigger) is an analog event.

Digital Event (a Boolean value) was added as an output to contain whether the current source (trigger or pre-trigger) is a digital event.

Timer Event (a Boolean value) was added as an output to contain whether the current source (trigger or pre-trigger) is a timer event.

Extra (a Boolean value) was added as an output to contain whether the current source (trigger or pre-trigger) is an extra trigger.

Software (a Boolean value) was added as an output to contain whether a software trigger is supported by the device.

Pos Ext TTL Single (a Boolean value) was added as an output to contain whether a positive-edge external TTL trigger is supported by the device for a single-value operation.

Neg Ext TTL Single (a Boolean value) was added as an output to contain whether a negative-edge external TTL trigger is supported by the device for a single-value operation.

Pos Ext TTL (a Boolean value) was added as an output to contain whether a positive-edge external TTL trigger is supported by the device.

Neg Ext TTL (a Boolean value) was added as an output to contain whether a negative-edge external TTL trigger is supported by the device.

Pos Threshold (a Boolean value) was added as an output to contain whether a positive threshold trigger is supported by the device.

Neg Threshold (a Boolean value) was added as an output to contain whether a negative threshold trigger is supported by the device.

Digital Event (a Boolean value) was added as an output to contain whether a digital event trigger is supported by the device.
DtOLGetChanList Task in and Task out changed from reference numbers to signed 32-bit integers.

ChannelList was removed as an output.

Channel Gain List Depth (an unsigned 32-bit integer) was added as an output to contain the maximum size of the channel-gain list.

Current Channel List Count (an unsigned 32-bit integer) was added as an output to contain the current number of channels included in the channel-gain list.
DtOLClock Task in and Task out changed from reference numbers to signed 32-bit integers.

Clock was removed as an output.

Clock Frequency (a double) was added as an input to specify the frequency that you want to set for the clock source.

Set Frequency (a Boolean) was added as an input to specify whether to change the clock frequency to the value that was specified in Clock Frequency.

External Divider (an unsigned 32-bit integer) was added as an input to specify the external clock divider value that you want to set for the clock source.

Set Divider (a Boolean) was added as an input to specify whether to change the external clock divider value to the value that was specified in External Divider.

Clock Source (an unsigned 16-bit integer) was added as an input to specify which clock source to use.

Set Source (a Boolean value) was added as an input to specify whether to change the clock source to the value that you specified in Clock Source.

Current Frequency (a double) was added as an output to contain the current frequency of the clock source on the device.

Min Frequency (a double) was added as an output to contain the minimum frequency of the clock source on the device.

Max Frequency (a double) was added as an output to contain the maximum frequency of the clock source on the device.

Current Divider (an unsigned 32-bit integer) contains the current external divider of the clock source on the device.

Min Divider (a double) was added as an output to contain the minimum external divider of the clock source on the device.

Max Divider (a double) was added as an output to contain the maximum external divider of the clock source on the device.

Base Clock Frequency (a double) was added as an output to contain the base clock frequency of the clock source on the device.

Support Simultaneous Clock (a Boolean value) was added as an output to contain whether the device supports the ability to read or update multiple channels on a single clock pulse.

Support External Clock (a Boolean value) was added as an output to contain whether the device supports an external clock source.

Support Internal Clock (a Boolean value) was added as an output to contain whether the device supports an internal clock source.

External (a Boolean value) was added as an output to contain whether the clock source is External.

Internal (a Boolean value) was added as an output to contain whether the clock source is Internal.
DtOLSubsystem The following polymorphic VIs were removed: AIN Subsys, AOUT Subsys, CTR Subsys, DIN Subsys, DOUT Subsys, and QUAD Subsys.

Task in and Task out changed from reference numbers to signed 32-bit integers.

AIN Subsystem, AOUT Subsystem, CTR Subsystem, DIN Subsystem, DOUT Subsystem, and QUAD Subsystem were removed as outputs.

Capability Selection (an unsigned 32-bit integer) was added as an input to specify the capability to query.

Cap Number (an unsigned 32-bit integer) was added as an input to specify the particular enumeration to query.

Number of Enumerations Found (an unsigned 32-bit integer) was added as an output to contain the number of enumerations found for the subsystem capability that was queried.

Value 1 (a double) was added as an output to contain the first value for the specific enumeration that was queried.

Value 2 (a double) was added as an output to contain the second value for the specific enumeration that was queried.
DtInitDACBuffers | Task in and Task out changed from reference numbers to signed 32-bit integers.
DtOLCheckStatus | Task in and Task out changed from reference numbers to signed 32-bit integers.
DtOLErrorParser Task in was removed as an input.

Task out was removed as an output.

  8. The following new VIs were added to LV-Link3.1 to replace the .NET interface. These low-level VIs call directly into the entry points of the DLL of the Data Acq SDK and are used by the higher level VIs. If you want to access the Data Acq SDK directly, use these VIs in your application:
VI Category | New VIs in LV-Link3
Sub VI | Error Converter (ErrCode or Status)
Low-Level VIs | Lvi Board Properties
 | Lvi Board Serial Number
 | Lvi Bridge Sensor Channel Settings
 | Lvi Channel List Properties
 | Lvi Check Status
 | Lvi Clock Properties
 | Lvi Clock Settings
 | Lvi Close Task
 | Lvi Create Task
 | Lvi Get Board Names
 | Lvi Get Error String
 | Lvi Get Teds Bridge Sensor Info
 | Lvi Get Teds Strain Info
 | Lvi Read Dbl Data Pt
 | Lvi Read Dbl Data1D
 | Lvi Read Dbl Data2D
 | Lvi Read U16Data Pt
 | Lvi Read U16Data1D
 | Lvi Read U16Data2D
 | Lvi Read U32Data Pt
 | Lvi Read U32Data1D
 | Lvi Read U32Data2D
 | Lvi Select Channels
 | Lvi Select Raw Channels
 | Lvi Set Reference Trigger
 | Lvi Set Shunt Resistor
 | Lvi Set Timing
 | Lvi Set Trigger
 | Lvi Set Triggered Scan
 | Lvi Set Trigger Threshold Channel
 | Lvi Simultaneous Start
 | Lvi Strain Channel Settings
 | Lvi Subsystem Config
 | Lvi Subsystem Properties
 | Lvi Subsystem Set Channel Gain
 | Lvi Subsystem Set Channel Option
 | Lvi Subsystem Set Ctr Cont Measure Mode
 | Lvi Subsystem Set Ctr Count Mode
 | Lvi Subsystem Set Ctr Freq Mode
 | Lvi Subsystem Set Ctr Measure Mode
 | Lvi Subsystem Set Ctr One Shot Mode
 | Lvi Subsystem Set Ctr One Shot Repeat Mode
 | Lvi Subsystem Set Ctr Period Mode
 | Lvi Subsystem Set Ctr Rate Mode
 | Lvi Subsystem Set Ctr Up Down Mode
 | Lvi Subsystem Set Quad Encoder
 | Lvi Subsystem Start
 | Lvi Subsystem Stop
 | Lvi Subsystem Wait Until Done
 | Lvi Trigger Properties
 | Lvi Trigger Settings
 | Lvi Write Dbl Data Pt
 | Lvi Write Dbl Data1D
 | Lvi Write Dbl Data2D
 | Lvi Write U16Data Pt
 | Lvi Write U16Data1D
 | Lvi Write U16Data2D
 | Lvi Write U32Data Pt
 | Lvi Write U32Data1D
 | Lvi Write U32ata2D

  9. The following low-level VIs in LV-Link3.0 are no longer supported, as they have been replaced with unsigned 16-bit and 32-bit VIs:

• Lvi Write I32Data2D.vi

• Lvi Write I32Data1D.vi

• Lvi Write I32DataPt.vi

• Lvi Read I32DataPt.vi

• Lvi Read I32Data1D.vi

• Lvi Read I32DataPt.vi

  10. The following examples are new or have been updated:
    • DtAinMultiChannelSingleU32.vi – Shows multi-channel single sample reads, returning the data as unsigned 32-bit integers.

    • DtAinRawContinuousU16.vi – Shows streaming multi-channel, multi-sample in raw format, returning the data as unsigned, 16-bit integers.

    • DtAinBridgeSensorContinuousTEDS.vi – Show how to read data from a bridge-based sensor, a Futek hand gripper, in this example. This test takes 9 seconds to start up due partly to the reading of TEDS and the waiting necessary to config the excitation voltage.

    • DtAinStrainContinuous.vi – Shows how to read data from a strain gage.

    • DtAinReferenceTrig.vi - Shows how to use a reference trigger for an analog input operation.

    • DtAinTriggeredScan.vi - Shows how to set up and run a triggered scan operation.

    • DtAinMasterSlave - Shows how to continuously acquire data from two devices that are connected together in a master/slave relationship using the Sync Bus (RJ45) connector.


Changes from LV-Link 3.0 to LV-Link 3.1

The following VIs where changed from LV-Link 3.0 to LV-Link 3.1:

  1. DtOLSetChanOptions.vi has been removed; it no longer sets any channel options. (Use DtOlSetChanGain and DtOLSetChanIepeOptions instead.)

  2. The following VIs are new in LV-Link 3.1:

    • DtOLSetChanIepeOptions.vi - Sets IEPE parameters (couple and current source) for a channel that supports IEPE inputs.
    • DtOLGetTEDS - (Polymorphic) Returns TEDS information from strain gage and bridge-based sensors either directly from the hardware (hardware TEDS) or from a data file (virtual TEDS).
    • DtOLSetChanStrain - (Polymorphic) Sets properties for strain gage and bridge-based sensors.
    • DtFullBridgeBasedSensorCal Utility VI - Performs an offset and shunt calibration procedure for a device that supports bridge-based sensors, such as a load cell.
    • DtStrainGageCal Utility VI - A utility that allows you to perform an offset and shunt calibration procedure for a device that supports strain gages.
    • DtOLFullBridgeBasedSensorCal VI - The subVI that is used by the DtFullBridgeBasedSensorCal Utility to perform an offset and shunt calibration procedure for a device that supports bridge-based sensors, such as a load cell.
    • DtOLStrainGageCal VI - The subVI that is used by the DtStrainGageCal Utility to perform an offset and shunt calibration procedure for a device that supports strain gages.
  3. DtOLSetChanGain.vi has two new parameters (SensorGain and SensorOffset) to set the scaling properties for sensors.
  4. The DtOLGetBoard VI was updated to return the serial number of the device.
  5. The polymorphic VI DtOLRead now has the following new instances:
    New Instance | Description
    Read Multiple Channels - Single Sample | Has been added to read a single sample from multiple channels and return the data as real numbers.
    Read Single Channel - Single Sample -32-Bit | Has been added to read a single value from a single channel and return the data as an unsigned, 32-bit integer.
    Read Single Channel -Multiple Samples -32-Bit | Has been added to read multiple values from a single channel and return the data as unsigned, 32-bit integers.
    Read Multiple Channels - Single Sample - 32-Bit | Has been added to read a single value from multiple channels and return the data as unsigned, 32-bit integers.
    Read Multiple Channels - Multiple Samples - 32-Bit | Has been added to read multiple values from multiple channels and return the data as unsigned, 32-bit integers.
    Read Single Channel - Single Sample -16-Bit | Has been added to read a single value from a single channel and return the data as an unsigned, 16-bit integer.
    Read Single Channel -Multiple Samples -16-Bit | Has been added to read multiple values from a single channel and return the data as unsigned, 16-bit integer.
    Read Multiple Channels - Single Sample - 16-Bit | Has been added to read a single value from multiple channels and return the data as unsigned, 16-bit integers.
    Read Multiple Channels - Multiple Samples - 16-Bit | Has been added to read multiple values from multiple channels and return the data as unsigned, 16-bit integers.

  6. The polymorphic VI DtOLTrigger now has the following new instances:

    New Instance | Description
    Digital Reference Trigger | Has been added to specify a digital trigger as the reference trigger.
    Analog Reference Trigger | Has been added to specify an analog threshold trigger as the reference trigger.
    Triggered Scan | Has been added to set up a triggered scan operation.

  7. A bug was fixed in the DtOLReadMultiple2D.vi (DtOLRead - Read Multiple Channels - Multiple Samples) to fix two outputs that were mis-wired to their connectors.

  8. A Channel input was added to the DtOLTriggerAnalog VI to allow the user to choose the analog input channel that is used as the threshold trigger.

  9. The following low-level VIs were added:

VI Category | New VIs in LV-Link3
Low-Level VIs | Lvi Board Serial Number
 | Lvi Bridge Sensor Channel Settings
 | Lvi Get Teds Bridge Sensor Info
 | Lvi Get Teds Strain Info
 | Lvi Read U16Data Pt
 | Lvi Read U16Data1D
 | Lvi Read U16Data2D
 | Lvi Read U32Data Pt
 | Lvi Read U32Data1D
 | Lvi Read U32Data2D
 | Lvi Set Reference Trigger
 | Lvi Set Shunt Resistor
 | Lvi Set Triggered Scan
 | Lvi Set Trigger Threshold Channel
 | Lvi Strain Channel Settings
 | Lvi Write U16Data Pt
 | Lvi Write U16Data1D
 | Lvi Write U16Data2D
 | Lvi Write U32Data Pt
 | Lvi Write U32Data1D
 | Lvi Write U32ata2D

  4. The following low-level VIs in LV-Link3.0 are no longer supported, as they have been replaced with unsigned 16-bit and 32-bit VIs:

• Lvi Write I32Data2D.vi

• Lvi Write I32Data1D.vi

• Lvi Write I32DataPt.vi

• Lvi Read I32DataPt.vi

• Lvi Read I32Data1D.vi

• Lvi Read I32DataPt.vi

  5. The low-level VI Lvi Subsystem Set Channel Option.vi has two new parameters: SetScaling and SetIEPE. These parameters allow you to set the scaling parameters (sensor gain and offset) independently from the IEPE parameters (coupling and current source).
  6. The following examples are new or have been updated:
    • DtAinMultiChannelSingleU32.vi – Shows multi-channel single sample reads, returning the data as unsigned 32-bit integers.

    • DtAinRawContinuousU16.vi – Shows streaming multi-channel, multi-sample in raw format, returning the data as unsigned, 16-bit integers.

    • DtAinBridgeSensorContinuousTEDS.vi – Show how to read data from a bridge-based sensor, a Futek hand gripper, in this example. This test takes 9 seconds to start up due partly to the reading of TEDS and the waiting necessary to config the excitation voltage.

    • DtAinStrainContinuous.vi – Shows how to read data from a strain gage.

    • DtAinReferenceTrig.vi - Shows how to use a reference trigger for an analog input operation.

    • DtAinTriggeredScan.vi - Shows how to set up and run a triggered scan operation.

    • DtAinMasterSlave - Shows how to continuously acquire data from two devices that are connected together in a master/slave relationship using the Sync Bus (RJ45) connector.


Changes from LV-Link 3.1 to LV-Link 3.2

The following VIs where changed from LV-Link 3.2 to LV-Link 3.2:

  1. The VI DtOLSetChanThermocoupleOptions has been added to configure the thermocouple type for an analog input channel.

  2. The lower-level VI Lvi Thermocouple Channel Settings has been added to support DtOLSetChanThermocoupleOptions.

  3. The example DtAinThermocoupleContinuous has been added to show how DtOLSetChanThermocoupleOptions is used to configure a thermocouple type


Changes from LV-Link 3.2 to LV-Link 3.3

The following VIs where changed from LV-Link 3.2 to LV-Link 3.3:

  1. The VI DtOLSetChanThermocoupleOptions now includes a Data Filter parameter to configure the filter (Data Filter None or Data Filter Moving Average) for the specified analog input channel.

  2. The lower-level VI Lvi Thermocouple Channel Settings now includes a DataFilter parameter to configure the filter (Data Filter None or Data Filter Moving Average) for the specified analog input channel.

  3. The example DtAinThermocoupleContinuous has been updated with the modified DtOLSetChanThermocoupleOptions VI.


Changes from LV-Link 3.3 to 3.5

Version 3.5 of LV-Link supports the DT9829 multi-sensor module.

The following VIs where added in LV-Link 3.5:

  • DtOLSetChanBridgeOptions
  • DtOLSetChanCurrentOptions
  • DtOLSetChanResistanceOptions
  • DtOLSetChanRtdOptions
  • DtOLSetChanThermistorOptions
  • Lvi Bridge Config Channel Settings
  • Lvi Current Channel Settings
  • Lvi Resistance Channel Settings
  • Lvi Rtd Channel Settings
  • Lvi Thermistor Channel Settings
  • Lvi Set Termination Resistor

The following VIs were modified:

  • DtOLSetChanThermocoupleOptions - The icon was changed.
  • DtCreateCtrContMeasureChan - Bug where wrong VI was used is now fixed.

The following example programs have been added:

  • DtAinBridgeContinuous
  • DtAinCurrentContinuous
  • DtAinResistanceContinuous
  • DtAinRtdContinuous
  • DtAinThermistorContinuous
  • DtAinCtrContinuousEdgeToEdge

These examples have been modified:

  • DtAinThermocoupleContinuous - The front panel UI now has a field to enter the channel.
  • DtOLSetChanThermocoupleOptions - Uses a new icon to be consistent with the thermistor and RTD VIs.
  • DtCreateCtrContMeasureChan - Fixes a bug in continuous edge-to-edge mode.
  • DtSetChanOptions - Added a config vi to fix a bug.
  • DtAinGainPerChan - Added a config vi to fix a bug.
  • DtAinThermocoupleContinuous - Added a channel control on the UI to fix a bug.


Changes from LV-Link 3.5 to 3.9

Version 3.9 of LV-Link supports new measure counters of the DT9857 module.

The following VIs where modified in LV-Link 3.9 to add more options for the start edge and stop edges used by the measure counters:

  • DtOLCreateTask (Counter Input - Cont Measure)
  • Lvi Subsystem Set Ctr Cont Measure

The following example program was added:

  • DtCtrContMeasure

Numerous bug fixes were also made. Refer to the readme file packaged with the installer for more information.


Performing Analog Input Tasks

LV-Link supports the following types of analog input tasks; click the link for step-by-step instructions:

  • Single value - Acquires a single sample from a single analog input channel and returns the value immediately. You can specify whether to return the data either as a voltage or a raw count.

    Single-value operations are the simplest to use but offer the least flexibility and efficiency.

  • Finite - Acquires a specified number of samples from one or more analog input channels one time, and then stops. You can specify whether to return the data either in voltage or raw counts.

    Depending on your device, you can specify a sample clock to pace the operation, the number of samples to acquire, and a trigger to start the acquisition. Some devices also allow you to acquire the value of the digital input ports, counter/timers, and quadrature decoders using an analog input task. Click here for details.

  • Continuous - Acquires multiple samples from one or more analog input channels continuously. You can specify whether to return the data either in voltage or raw counts.

    Depending on your device, you can specify a sample clock to pace the acquisition of each sample, triggered scan mode, the number of buffers to use (and their sizes), and a trigger to start the acquisition. Some devices also allow you to continuously acquire the value of the digital input ports, counter/timers, and quadrature decoders using an analog input task. Click here for details.


Acquiring a Single Value

To acquire a single value from a single analog input channel, do the following:

  1. Connect the analog signal that you want to measure to an analog input channel on your device.

  2. Create a virtual analog input channel by calling DtOLCreateTask (Analog Input - Voltage), if you want to return the data as voltage, or DtOLCreateTask (Analog Input - Raw), if you want to return the data as a raw count.

    You can specify the device to open, the analog input subsystem, the input voltage range, the channel to acquire, and the channel type. Click here for the default values.

  3. By default, each channel is configured with a gain of 1. To specify a different gain setting for the channel (if supported by the subsystem), call the DtOLSetChanGain VI.

  4. If the channel support a bias return termination resistor, enable or disable the bias return termination resistor using the Lvi Set Termination Resistor VI. Typically, you should enable the bias return termination resistor for floating and grounded voltage and current sources, and disable it for voltage and current sources with grounded references. Refer to the documentation for your device for wiring information.

  5. By default, each channel is configured with a sensor gain of 1 and a sensor offset of 0.

    If your subsystem supports IEPE inputs, the excitation current source is disabled, and the input coupling type is DC. To specify different values for the channel (if supported by the subsystem), call the DtOLSetChanIepeOptions VI.

    If your subsystem supports resistance measurements, configure the channel for a resistance measurement using the DtOLSetChanResistanceOptions VI.

    If your subsystem supports current measurements, configure the channel for a current measurement using the DtOLSetChanCurrentOptions VI.

    If your subsystem supports thermocouples, configure the thermocouple type using the DtOLSetChanThermocoupleOptions VI.

    If your subsystem supports RTDs, configure the channel for an RTD measurement using the DtOLSetChanRtdOptions VI.

    If your subsystem supports thermistors, configure the channel for a thermistor measurement using the DtOLSetChanThermistorOptions VI.

    If your subsystem supports strain gage inputs, configure the attributes of the strain gage using the DtOLSetChanStrain (Strain Device) VI.

    If your subsystem supports bridge-based sensors, configure the attributes of the bridge-based sensor by using the DtOLSetChanStrain (Bridge Sensor Device) VI if you want to return data from the bridge in the engineering units of the sensor, or by using the DtOLSetChanBridgeOptions VI if you want to return data from the bridge in voltage.

    Notes: For subsystems that support strain gage or bridge-based sensors with a TEDS (Transducer Electronic Data Sheet) interface, you can read the TEDS information for the sensor using the DtOLGetTEDS VI.
    You can perform an offset and shunt calibration procedure using the DtStrainGageCal Utility VI (for strain gage sensors) or DtFullBridgeSensorCal Utility VI (for bridge-based sensors).

  6. Call one of the following VIs to start the task and read a single value from the specified analog input channel:

    • DtOLRead (Read Single Channel - Single Sample) - Returns the data as a real number.

    • DtOLRead (Read Single Channel - Single Sample - U32) - Returns the data as a unsigned, 32-bit integer.

    • DtOLRead (Read Single Channel - Single Sample-U16) - Returns the data as a unsigned, 16-bit integer.

  3. To read another value, repeat step 5.

  4. When finished, call DtOLCloseTask to stop the task and release all the resources that are associated with the task.

  5. Check for errors.


Acquiring a Finite Number of Samples

To acquire a finite number of samples from one or more analog input channels, do the following:

  1. Connect the analog signal(s) that you want to measure to the analog input channel(s) on your device.

  2. Create one or more virtual analog input channels by calling DtOLCreateTask (Analog Input - Voltage), if you want to return the data as voltage, or DtOLCreateTask (Analog Input - Raw), if you want to return the data as raw counts.

    You can specify the device to open, the analog input subsystem, the input voltage range, the channel to acquire, and the channel type. Click here for the default values.

    Note:     If you want to acquire data from a digital input port, counter/timer, and/or quadrature decoder as part of the analog input stream, click here for details.

  3. By default, each channel is configured with a gain of 1. To specify different gain settings for individual channels (if supported by the subsystem), call the DtOLSetChanGain VI for each channel whose gain you want to change.

  4. If the channel support a bias return termination resistor, enable or disable the bias return termination resistor using the Lvi Set Termination Resistor VI. Typically, you should enable the bias return termination resistor for floating and grounded voltage and current sources, and disable it for voltage and current sources with grounded references. Refer to the documentation for your device for wiring information.

  5. By default, each channel is configured with a sensor gain of 1 and a sensor offset of 0.

    If your subsystem supports IEPE inputs, the excitation current source is disabled, and the input coupling type is DC. To specify different values for the channel (if supported by the subsystem), call the DtOLSetChanIepeOptions VI.

    If your subsystem supports resistance measurements, configure the channel for a resistance measurement using the DtOLSetChanResistanceOptions VI.

    If your subsystem supports current measurements, configure the channel for a current measurement using the DtOLSetChanCurrentOptions VI.

    If your subsystem supports thermocouples, configure the thermocouple type using the DtOLSetChanThermocoupleOptions VI.

    If your subsystem supports RTDs, configure the channel for an RTD measurement using the DtOLSetChanRtdOptions VI.

    If your subsystem supports thermistors, configure the channel for a thermistor measurement using the DtOLSetChanThermistorOptions VI.

    If your subsystem supports strain gage inputs, configure the attributes of the strain gage using the DtOLSetChanStrain (Strain Device) VI.

    If your subsystem supports bridge-based sensors, configure the attributes of the bridge-based sensor by using the DtOLSetChanStrain (Bridge Sensor Device) VI if you want to return data from the bridge in the engineering units of the sensor, or by using the DtOLSetChanBridgeOptions VI if you want to return data from the bridge in voltage.

    Notes: For subsystems that support strain gage or bridge-based sensors with a TEDS (Transducer Electronic Data Sheet) interface, you can read the TEDS information for the sensor using the DtOLGetTEDS VI.

    You can perform an offset and shunt calibration procedure using the DtStrainGageCal Utility VI (for strain gage sensors) or DtFullBridgeSensorCal Utility VI (for bridge-based sensors).

  6. Call DtOLTiming (Input - Set Timing) to configure the timing for the analog input task. Click here for details. Note that for a finite operation, the Sample Mode must be set to Finite Samples (the default value).

  7. If desired, set up the triggers to initiate the acquisition. Click here for details.

  8. If desired, you can explicitly start the task using the DtOLStart - Start VI;alternatively, the DtOLRead VI will start the task as shown in steps 8 through 10.

  9. If your task contains only one analog input channel and you want to read multiple samples from the channel, start the task and read the values from the specified analog input channel using one of the following VIs:

    • DtOLRead (Read Single Channel - Multiple Samples) - Returns the data as real numbers.

    • DtOLRead (Read Single Channel - Multiple Samples - U32) - Returns the data as unsigned, 32-bit integers.

    • DtOLRead (Read Single Channel - Multiple Samples - U16) - Returns the data as unsigned, 16-bit integers.

  10. If your task contains more than one analog input channel, and you only want to read a single sample from these channels, start the task and read the values from the specified analog input channels using one of the following VIs:

    • DtOLRead (Read Multiple Channels - Single Sample) - Returns the data as real numbers.

    • DtOLRead (Read Multiple Channels - Single Sample - U32) - Returns the data as unsigned, 32-bit integers.

    • DtOLRead (Read Multiple Channels - Single Sample - U16) - Returns the data as unsigned, 16-bit integers.

  11. If your task contains more than one analog input channel, and you want to read multiple samples from each channel, start the task and read the values from the specified analog input channels using one of the following VIs:

    • DtOLRead (Read Multiple Channels - Multiple Samples) - Returns the data as real numbers.

    • DtOLRead (Read Multiple Channels - Multiple Samples - U32) - Returns the data as unsigned, 32-bit integers.

    • DtOLRead (Read Multiple Channels - Multiple Samples - U16) - Returns the data as unsigned, 16-bit integers.

  12. If you want to acquire another finite number of samples, repeat step 8, 9, or 10.

  13. When finished, call DtOLCloseTask to release all the resources that are associated with the task.

  14. Check for errors.

Click here for more information on reading a finite number of samples.


Acquiring Samples Continuously

To acquire multiple samples from one or more analog input channels continuously, do the following:

  1. Connect the analog signal(s) that you want to measure to the analog input channel(s) on your device.

  2. Create one or more virtual analog input channels by calling DtOLCreateTask (Analog Input - Voltage), if you want to return the data as voltage, or DtOLCreateTask (Analog Input - Raw), if you want to return the data as raw counts.

    You can specify the device to open, the analog input subsystem, the input voltage range, the channel to acquire, and the channel type. Click here for the default values.

    Note:     If you want to continuously acquire data from a digital input port, counter/timer, and/or quadrature decoder as part of the analog input stream, click here for details.

  3. By default, each channel is configured with a gain of 1. To specify different gain settings for individual channels (if supported by the subsystem), call the DtOLSetChanGain VI for each channel whose gain you want to change.

  4. If the channel support a bias return termination resistor, enable or disable the bias return termination resistor using the Lvi Set Termination Resistor VI. Typically, you should enable the bias return termination resistor for floating and grounded voltage and current sources, and disable it for voltage and current sources with grounded references. Refer to the documentation for your device for wiring information.

  5. By default, each channel is configured with a sensor gain of 1 and a sensor offset of 0.

    If your subsystem supports IEPE inputs, the excitation current source is disabled, and the input coupling type is DC. To specify different values for the channel (if supported by the subsystem), call the DtOLSetChanIepeOptions VI.

    If your subsystem supports resistance measurements, configure the channel for a resistance measurement using the DtOLSetChanResistanceOptions VI.

    If your subsystem supports current measurements, configure the channel for a current measurement using the DtOLSetChanCurrentOptions VI.

    If your subsystem supports thermocouples, configure the thermocouple type using the DtOLSetChanThermocoupleOptions VI.

    If your subsystem supports RTDs, configure the channel for an RTD measurement using the DtOLSetChanRtdOptions VI.

    If your subsystem supports thermistors, configure the channel for a thermistor measurement using the DtOLSetChanThermistorOptions VI.

    If your subsystem supports strain gage inputs, configure the attributes of the strain gage using the DtOLSetChanStrain (Strain Device) VI.

    If your subsystem supports bridge-based sensors, configure the attributes of the bridge-based sensor by using the DtOLSetChanStrain (Bridge Sensor Device) VI if you want to return data from the bridge in the engineering units of the sensor, or by using the DtOLSetChanBridgeOptions VI if you want to return data from the bridge in voltage.

    Notes: For subsystems that support strain gage or bridge-based sensors with a TEDS (Transducer Electronic Data Sheet) interface, you can read the TEDS information for the sensor using the DtOLGetTEDS VI.

    You can perform an offset and shunt calibration procedure using the DtStrainGageCal Utility VI (for strain gage sensors) or DtFullBridgeSensorCal Utility VI (for bridge-based sensors).

  6. Call DtOLTiming (Input - Set Timing) to configure the timing for the analog input task. Click here for details. Note that for a continuous operation, the Sample Mode must be set to Continuous Samples.

  7. If desired and if it supported by your device, set up a triggered scan operation. Click here for details.

  8. If desired, set up the triggers to initiate the acquisition. Click here for details.

  9. If desired, you can explicitly start the task using the DtOLStart - Start VI;alternatively, the DtOLRead VI will start the task as shown in steps 9 through 11. You can also start multiple tasks (such as an analog input and an analog output task) simultaneously by grouping them together using the DtOLStart - Simultaneous Start VI before starting them; refer to the DtAinAoutSimultaneous example for more information.

  10. If your task contains only one analog input channel and you want to read multiple samples from the channel, start the task and read the values from the specified analog input channel using one of the following VIs:

    • DtOLRead (Read Single Channel - Multiple Samples) - Returns the data as real numbers.

    • DtOLRead (Read Single Channel - Multiple Samples - U32) - Returns the data as unsigned, 32-bit integers.

    • DtOLRead (Read Single Channel - Multiple Samples - U16) - Returns the data as unsigned, 16-bit integers.

  11. If your task contains more than one analog input channel, and you only want to read a single sample from these channels, start the task and read the values from the specified analog input channels using one of the following VIs:

    • DtOLRead (Read Multiple Channels - Single Sample) - Returns the data as real numbers.

    • DtOLRead (Read Multiple Channels - Single Sample - U32) - Returns the data as unsigned, 32-bit integers.

    • DtOLRead (Read Multiple Channels - Single Sample - U16) - Returns the data as unsigned, 16-bit integers.

  12. If your task contains more than one analog input channel, and you want to read multiple samples from each channel, start the task and read the values from the specified analog input channels using one of the following VIs:

    • DtOLRead (Read Multiple Channels - Multiple Samples) - Returns the data as real numbers.

    • DtOLRead (Read Multiple Channels - Multiple Samples - U32) - Returns the data as unsigned, 32-bit integers.

    • DtOLRead (Read Multiple Channels - Multiple Samples - U16) - Returns the data as unsigned, 16-bit integers.

  13. When finished, call DtOLCloseTask to stop the task and release all the resources that are associated with the task.

    Note:     If desired, you can explicitly stop the task using the DtOLStop VI before calling the DtOLCloseTask VI.

  14. Check for errors.

Click here for more information on reading samples continuously.


Configuring the Timing for an Analog Input Task

Setting up the Timing for an Analog Input Task

Using the DtOLTiming (Input - Set Timing) VI, configure the timing for the analog input task as follows:

  1. To perform a finite operation,

    1. Specify the Sample Mode as Finite Samples (the default value).

    2. Specify the number of samples to acquire for each of the specified channels in Samples Per Channel (the default is 1000. It is recommended that you set Samples Per Channel to at least 1/10th of the sampling frequency that you are using.

  2. To perform a continuous operation,

    1. Specify the Sample Mode as Continuous Samples.

    2. Specify the number of samples to allocate in each buffer in Samples Per Channel (the default is 1000). It is recommended that you set Samples Per Channel to at least 1/10th of the sampling frequency that you are using.

    3. Specify the number of buffers to use in Num Buffers (the default value is 8).

  3. Specify the Timing as follows:

  • If you want to use a software loop to acquire data, set Timing to No Timing. Note that using this setting, samples are not guaranteed to be spaced evenly in time.

  • If you want to use the internal clock of the device to pace acquisition, do the following:

        1. Set Timing to Internal Clock (the default value).

        2. Set the frequency at which to pace the acquisition in Sample Freq (Hz); the default value is 1000 Hz. Once you specify a requested sample frequency, LV-Link applies the nearest sampling frequency that is supported by the device. To determine the actual sampling frequency that was used, read the value of the Actual Sample Freq output.

  • If you want to use an external clock to pace acquisition (and your device supports it), do the following:

        1. Wire an external TTL signal to the external clock input of the analog input subsystem.

        2. Set Timing to External Clock.
          When the task is started, a data point is acquired on each cycle of the clock signal. The sampling frequency is the frequency of the external clock signal.

  4. For devices that provide a Sync Bus (RJ45 - LVDS) connector for synchronizing multiple devices, set the Sync Mode of the analog input subsystem to None, Master, or Slave.
    When the configured as a master, the Sync Bus connector outputs trigger and clock signals. When configured as a slave, the Sync Bus connector accepts trigger and clock signals from the master. When configured as none (the default mode), the module uses the USB clock instead of the Sync Bus connector.


Setting up an External Trigger for an Analog Input Task

If you want to use an external digital (TTL) trigger to start the acquisition (and your subsystem supports it), do the following:

  1. Connect a TTL signal to the external trigger input of the analog input subsystem.

  2. Call DtOLTrigger (Digital Trigger) and specify the External Trigger Polarity as either Rising for a rising-edge trigger (the default value) or Falling for a falling-edge trigger.

If you want to use an external analog threshold trigger to start the acquisition (and your subsystem supports it), do the following:

  1. Connect an analog signal to the external analog trigger input of the analog input subsystem; on some devices, this is the first analog input channel of the channel list.

  2. Call DtOLTrigger (Analog Trigger) and specify the following parameters:

  1. Specify the External Trigger Polarity as either Rising for a rising-edge trigger (the default value) or Falling for a falling-edge trigger.

  2. Specify the Threshold Voltage that, when crossed, will trigger the acquisition (by default this is 0 V).


Performing Analog Output Tasks

LV-Link supports the following types of analog output tasks; click the link for step-by-step instructions:

  • Single value - Writes a single sample to a single analog output channel. You can specify whether to output the data as a voltage or a raw count.

    Single-value operations are the simplest to use but offer the least flexibility and efficiency.

  • Finite - Writes a specified number of samples to one or more analog output channels one time, and then stops. You can specify whether to output the data in voltage or raw counts.

    Depending on your device, you can specify a sample clock to pace the operation, and/or a trigger to start the operation. Some devices also allow you to update the value of the digital output ports using an analog output task. Click here for details.

  • Continuous - Writes a single buffer or multiple buffers to one or more analog output channels continuously. You can specify whether to output the data in voltage or raw counts.
    Depending on your device, you can specify a sample clock to pace the operation, and/or a trigger to start the operation. Some devices also allow you to continuously update the value of the digital output ports using an analog output task. Click here for details.

  • Waveform - Writes a waveform to a single analog output channel once or continuously.


Writing a Single Value

To write a single value to a single analog output channel, do the following:

  1. Connect the analog signal that you want to update to an analog output channel on your device.

  2. Create a virtual analog output channel by calling DtOLCreateTask (Analog Output - Voltage), if you want to output the data as voltage, or DtOLCreateTask (Analog Output - Raw), if you want to output the data as a raw count.

    You can specify the device to open, the analog output subsystem, the output voltage range, and the channel to update. Click here for the default values.

  3. Call DtOLWrite (Write Single Channel - Single Sample) to start the task and write a single value to the specified analog output channel.

  4. To write another value, repeat step 3.

  5. When finished, call DtOLCloseTask to stop the task and release all the resources that are associated with the task.

  6. Check for errors.


Writing a Finite Number of Samples

To write a finite number of samples to one or more analog output channels, do the following:

  1. Connect the analog signal(s) that you want to update to the analog output channel(s) on your device.

  2. Create one or more virtual analog output channels by calling DtOLCreateTask (Analog Output - Voltage), if you want to output the data as voltage, or DtOLCreateTask (Analog Output - Raw), if you want to output the data as raw counts.

    You can specify the device to open, the analog output subsystem, the output voltage range, and the channel to update. Click here for the default values.

    Note:     If you want to update a digital output port as part of the analog output stream, click here for details.

  3. Call DtOLTiming (Output - Set Sample) to configure the timing for the analog output task. Click here for details. Note that for a finite operation, the Sample Mode must be set to Finite (the default value).

  4. If desired, set up an external trigger to initiate the operation. Click here for details.

  5. If desired, you can initialize the value of the analog output channels to 0 V by calling DtInitDACBuffers followed by DtOLStart - Start.

  6. If your task contains only one analog output channel, write the specified data array to the analog output channel using the DtOLWrite (Write Single Channel - Multiple Samples).

    If your task contains more than one analog output channel, write the specified values to the analog output channels using the DtOLWrite (Write Multiple Channel - Multiple Samples). You specify the values to output and the channels to update in a data array.

  7. If you haven't called DtOLStart - Start yet, call DtOLStart - Start now to explicitly start the task.

    Note:     Finite analog output operations must be explicitly started. Ensure that you call DtOLStart - Start only once for the analog output task.

  8. If desired, you can ensure that all the samples have been output before closing the task by calling the DtOLWaitUntilDone VI.

  9. When finished, call DtOLCloseTask to release all the resources that are associated with the task.

  10. Check for errors.


Writing Samples Continuously

To write multiple samples to one or more analog output channels continuously, do the following:

  1. Connect the analog signal(s) that you want to update to the analog output channel(s) on your device.

  2. Create one or more virtual analog output channels by calling DtOLCreateTask (Analog Output - Voltage), if you want to output the data as voltage, or DtOLCreateTask (Analog Output - Raw), if you want to output the data as raw counts.

    You can specify the device to open, the analog output subsystem, the output voltage range, and the channel to update. Click here for the default values.

    Note:     If you want to update a digital output port as part of the analog output stream, click here for details.

  3. Call DtOLTiming (Output - Set Timing) to configure the timing for the analog output task. Click here for details. Note that for a continuous operation, the Sample Mode must be set to Continuous (if you want to output multiple buffers) or Resend One Buffer (if you want to output one buffer repeatedly).

  4. If desired, set up an external trigger to initiate the operation. Click here for details.

  5. If desired, you can initialize the value of the analog output channels to 0 V by calling DtInitDACBuffers followed by DtOLStart.

  6. If your task contains only one analog output channel, write the specified data array to the analog output channel using the DtOLWrite (Write Single Channel - Multiple Samples).

    If your task contains more than one analog output channel, write the specified values to the analog output channels using the DtOLWrite (Write Multiple Channel - Multiple Samples). You specify the values to output and the channels to update in a data array.

  7. If you haven't called DtOLStart - Start yet, call DtOLStart - Start now to explicitly start the task.

    Note:     If Sample Mode is Continuous (if you want to output multiple buffers), you must explicitly start the analog output operation. If Sample Mode is Resend One Buffer, you do not have to explicitly start the operation; however doing so will not adversely affect your operation. Ensure that you call DtOLStart - Start only once for the analog output task.

    You can also start multiple tasks (such as an analog input and an analog output task) simultaneously by grouping them together using the DtOLStart - Simultaneous Start VI before starting them; refer to the DtAinAoutSimultaneous example for more information.

  8. When finished, call DtOLCloseTask to stop the task and release all the resources that are associated with the task.

    Note:     If desired, you can explicitly stop the task using the DtOLStop VI before calling the DtOLCloseTask VI.

  9. Check for errors.


Writing Waveforms

To write a waveform to an analog output channel, do the following:

  1. Connect an analog signal that you want to update to an analog output channel on your device.

  2. Create a virtual analog output channel by calling DtOLCreateTask (Analog Output - Voltage), if you want to output the data as voltage, or DtOLCreateTask (Analog Output - Raw), if you want to output the data as raw counts.

    You can specify the device to open, the analog output subsystem, the output voltage range, and the channel to update. Click here for the default values.

  3. Call DtOLWaveformGenerate to generate one cycle of a waveform. You can specify the type of waveform (sine wave, triangle wave, square wave, or sawtooth wave) with a specified number of samples, desired frequency, and amplitude. Click here for details.

  4. Call DtOLTiming (Output - Get Timing from Waveform) to configure the timing for the analog output task.

  5. If desired, set up an external trigger to initiate the operation. Click here for details.

  6. If desired, you can initialize the value of the analog output channel to 0 V by calling DtInitDACBuffers followed by DtOLStart - Start.

    Note: You can also start multiple tasks (such as an analog input and an analog output task) simultaneously by grouping them together using the DtOLStart - Simultaneous Start VI before starting them; refer to the DtAinAoutSimultaneous example for more information.

  7. Call DtOLWrite (Write Single Channel - Waveform) to write the waveform continuously to the analog output channel; this VI automatically starts the task if it was not explicitly started.

  8. When finished, call DtOLCloseTask to stop the task and release all the resources that are associated with the task.

    Note:     If desired, you can explicitly stop the analog output task using the DtOLStop VI before calling the DtOLCloseTask VI.

  9. Check for errors.


Setting up the Timing for a Finite Analog Output Task

Using the DtOLTiming (Output - Set Timing) VI, configure the timing for a finite analog output task as follows:

  1. Specify the Sample Mode as Finite Samples (the default value).

    Note:     The number of samples to generate is determined by the Data Array input of the DtOLWrite VI.

  2. Specify the Timing as following:

    • If you want to use a software loop to output data, set Timing to No Timing. Note that using this setting, samples are not guaranteed to be spaced evenly in time.

    • If you want to use the internal clock of the device to pace the operation, do the following:

      1. Set Timing to Internal Clock (the default value).

      2. Set the frequency at which to pace the operation in Sample Freq (Hz); the default value is 1000 Hz. Once you specify a requested sample frequency, LV-Link applies the nearest sampling frequency that is supported by the device. To determine the actual sampling frequency that was used, read the value of the Actual Sample Freq output.

    • If you want to use external clock to pace the output operation (and your device supports it), do the following:

      1. Wire an external TTL signal to the external clock input of the analog output subsystem.

      2. Set Timing to External Clock.
        When the task is started, a data point is output on each cycle of the clock signal. The update frequency is the frequency of the external clock signal.


Setting up the Timing for a Continuous Analog Output Task

Using the DtOLTiming (Output - Set Timing) VI, configure the timing for a continuous analog output task as follows:

  1. If you want to output data from a single buffer continuously, specify the Sample Mode as Resend One Buffer. (In this mode, you need only call DtOLWrite once.)

    If you want to output the data from multiple buffers continuously, specify the Sample Mode as Continuous. (In this mode, call DtOLWrite multiple times; you must ensure that the you supply data to the Data Array input of the DtOLWrite VI in a timely manner to avoid underrun errors.)

    The number of samples to output is determined by the Data Array input of the DtOLWrite VI.

  3. Specify the Timing as following:

    • If you want to use a software loop to output data, set Timing to No Timing. Note that using this setting, samples are not guaranteed to be spaced evenly in time.

    • If you want to use the internal clock of the device to pace the operation, do the following:

      1. Set Timing to Internal Clock (the default value).

      2. Set the frequency at which to pace the operation in Sample Freq (the default value is 1000 Hz). Once you specify a requested sample frequency, LV-Link applies the nearest sampling frequency that is supported by the device. To determine the actual sampling frequency that was used, read the value of the Actual Sample Freq output.

    • If you want to use external clock to pace the output operation (and your device supports it), do the following:

      1. Wire an external TTL signal to the external clock input of the analog output subsystem.

      2. Set Timing to External Clock.
        When the task is started, a data point is output on each cycle of the clock signal. The update frequency is the frequency of the external clock signal.

Note: If you want to output a pre-defined waveform to an analog output channel, use the DtOLTiming (Output - Get Timing From Waveform) VI instead. Click here for more information on generating waveforms.


Setting up an External Trigger for an Analog Output Task

If you want to use an external digital (TTL) trigger to start the operation (and your subsystem supports it), do the following:

  1. Connect a TTL signal to the external trigger input of the analog output subsystem.

  2. Call DtOLTrigger (Digital Trigger) and specify the External Trigger Polarity as either Rising for a rising-edge trigger (the default value) or Falling for a falling-edge trigger.

If you want to use an external analog threshold trigger to start the operation (and your subsystem supports it), do the following:

  1. Connect an analog signal to the external analog trigger input of the analog output subsystem; on some devices, this is the first analog input channel of the channel list.

  2. Call DtOLTrigger (Analog Trigger) and specify the following parameters:

    1. Specify the External Trigger Polarity as either Rising for a rising-edge trigger (the default value) or Falling for a falling-edge trigger.

    2. Specify the Threshold Voltage that, when crossed, will trigger the output operation (by default this is 0 V).


Performing Digital I/O Tasks

LV-Link supports the following types of digital I/O tasks; click the link for step-by-step instructions:

  • Single value digital input - Reads the value of a single digital input port once and returns the value immediately. The port is configured with the default resolution specified by the device.

  • Single value digital output - Updates the value of a single digital output port immediately. The port is configured with the default resolution specified by the device.


Reading a Digital Input Port

To read a single value from a single digital input port, do the following:

  1. Connect one or more TTL-level signals to the lines of a digital input port on your device.

  2. Create a virtual digital input port by calling DtOLCreateTask (Digital Input).

    You can specify the device to open and the digital input port to read. Click here for the default values.

  3. Call DtOLRead (Read Single Channel - Single Sample) to start the task and read a single value from the specified digital input port.

  4. To read another value, repeat step 3.

  5. When finished, call DtOLCloseTask to stop the task and release all the resources that are associated with the task.

  6. Check for errors.


Writing to a Digital Output Port

To write a single value to a single digital output port, do the following:

  1. Connect one or more TTL-level signals to the lines of a digital output port on your device.

  2. Create a virtual digital output port by calling DtOLCreateTask (Digital Output).

    You can specify the device to open and the digital output port to update. Click here for the default values.

  3. Call DtOLWrite (Write Single Channel - Single Sample) to start the task and write a single value to the specified digital output port.

  4. To write another value, repeat step 3.

  5. When finished, call DtOLCloseTask to stop the task and release all the resources that are associated with the task.

  6. Check for errors.


Performing Counter/Timer Tasks

LV-Link supports the following types of counter/timer tasks; click the link for step-by-step instructions:

    • Event counting - Counts digital pulses from an external signal, which is connected to the counter/timer's clock input source, when the counter/timer is enabled (determined by the counter/timer's gate input signal).

    • Up/Down counting - Counts digital pulses from an external signal that is connected to the counter/timer's clock input source. If the gate input signal of the counter/timer is high, the count is incremented. If the gate input signal of the counter/timer is low, the count is decremented.

    • Frequency measurement - Measures the frequency, in kHz, of an external digital signal that is connected to the counter/timer's clock input or gate input source.

      Note:       Internally, the frequency of the signal is calculated using two consecutive rising edges on the specified input line. Therefore, to perform a frequency measurement task, your device must support edge-to-edge measurement mode.

    • Period measurement - Measures the period, in milliseconds, of a signal pulse from an external digital signal that is connected to the counter/timer's clock input or gate input source.

      Note:       Internally, the period of the signal is calculated using two consecutive rising edges on the specified input line. Therefore, to perform a period measurement task, your device must support edge-to-edge measurement mode.

    • Edge-to-edge measurement - Measures the time, in milliseconds, between a specified start edge and stop edge of the counter/timer's clock or gate input signal, then stops.
      The start edge and the stop edge can occur on the rising edge of the gate input signal, the falling edge of the gate input signal, the rising edge of the clock input signal, or the falling edge of the clock input signal.

    • Continuous edge-to-edge measurement - Measure the time, in milliseconds, between a specified start edge and stop edge of a counter/timer's clock or gate input signal, then automatically restart the next measurement.

      The start edge and the stop edge can occur on the rising edge of the gate input signal, the falling edge of the gate input signal, the rising edge of the clock input signal, or the falling edge of the clock input signal.

    • One-shot - Outputs a single pulse for a specified duration (in milliseconds) the first time that the device detects a trigger (determined by the counter/timer's gate input signal).

    • Repetitive one-shot - Outputs a single pulse for a specified duration (in milliseconds) each time that the device detects a trigger (determined by the counter/timer's gate input signal).

    • Rate generation - Generates output pulses continuously at a specified frequency (in Hz) when the counter/timer is enabled (determined by the counter/timer's gate input signal).


Counting Events

To performing an event counting task, do the following:

  1. Connect an external signal to the clock input source of a counter/timer on your device. Digital pulses on this input will be counted.

  2. If desired, connect an external digital signal to the gate input source of the same counter/timer that was used in step 1. This signal will enable the event counting operation when the appropriate condition is met.

  3. Create a virtual counter/timer channel by calling DtOLCreateTask (Counter Input - Events).

    You can specify the device to open, the counter/timer to read, and the gate type that enables the operation. Click here for the default values.

  4. Call DtOLRead (Read Single Channel - Single Sample) to start the task and read a single value from the specified counter/timer when the specified gate condition is met.

  5. To read another value, repeat step 4.

  6. When finished, call DtOLCloseTask to stop the task and release all the resources that are associated with the task.

  7. Check for errors.

Note: If your device supports it, you can also stream event counting data through the analog input subsystem. Click here for more information.


Up/Down Counting

To perform an up/down counting operation, do the following:

  1. Connect an external signal to the clock input source of a counter/timer on your device. Digital pulses on this input will be counted.

  2. Connect an external digital signal to the gate input source of the same counter/timer that was used in step 1. When this signal is high, the count will be incremented. When this signal is low, the count will be decremented.

  3. Create a virtual counter/timer channel by calling DtOLCreateTask (Counter Input - Up-Down).

    You can specify the device to open and the counter/timer to read. Click here for the default values.

  4. Call DtOLRead (Read Single Channel - Single Sample) to start the task and read a single value from the specified counter/timer.

  5. To read another value, repeat step 4.

  6. When finished, call DtOLCloseTask to stop the task and release all the resources that are associated with the task.

  7. Check for errors.


Measuring the Frequency of a Signal

To measure the frequency of a signal, do the following:

  1. Connect an external signal to the clock input or gate input source of a counter/timer on your device.

  2. Create a virtual counter/timer channel by calling DtOLCreateTask (Counter Input - Frequency).

    You can specify the device to open, the counter/timer to read, and the input signal to measure. Click here for the default values.

  4. Call DtOLRead (Read Single Channel - Single Sample) to start the task and read the frequency, in kHz, of the signal that is connected to the specified input line.

  5. To read another value, call DtOLReStart, then repeat step 4.

  6. When finished, call DtOLCloseTask to stop the task and release all the resources that are associated with the task.

  7. Check for errors.


Measuring the Period of a Signal

To measure the period of a signal, do the following:

  1. Connect an external signal to the clock input or gate input source of a counter/timer on your device.

  2. Create a virtual counter/timer channel by calling DtOLCreateTask (Counter Input - Period).

    You can specify the device to open, the counter/timer to read, and the input signal to measure. Click here for the default values.

  4. Call DtOLRead (Read Single Channel - Single Sample) to start the task and read the period, in milliseconds, of the signal that is connected to the specified input line of the counter/timer.

  5. To read another value, call DtOLReStart, then repeat step 4.

  6. When finished, call DtOLCloseTask to stop the task and release all the resources that are associated with the task.

  7. Check for errors.


Measuring the Time Between Edges

Measuring the Time Between Edges (Edge-to-Edge Measurement)

To measure the time between a specified start edge and stop edge of the counter's clock or gate input signal, do the following:

  1. Connect an external signal to the clock input and/or gate input source of a counter/timer on your device.

  2. Create a virtual counter/timer channel by calling DtOLCreateTask (Counter Input - Time Between Edges).

    You can specify the device to open, the counter/timer to read, the start edge, and the stop edge. Click here for the default values.

  3. Call DtOLRead (Read Single Channel - Single Sample) to start the task and read the time, in milliseconds, between the specified start edge and stop edge.

  4. To read another value, call DtOLReStart, then repeat step 3.

  5. When finished, call DtOLCloseTask to stop the task and release all the resources that are associated with the task.

  6. Check for errors.


Continuously Measuring the Time Between Edges
(Continuous Edge-to-Edge Measurement)

To continuously measure the time between a specified start edge and stop edge (automatically restarting the next measurement), do the following:

  1. Determine which signals/edges are supported by your counter/timer subsystem for the start edge and stop edge. For example, most general-purpose counter/timers support a clock rising and falling edge and a gate rising and falling edge for the start edge and stop edge parameters, while measure counters (like those on the DT9857) support a variety of signals and edge types for the start edge and stop edge parameters.

  2. Connect the appropriate external signals to your device based on the start edge and stop edge parameters that you want to use.

  3. Create one or more virtual counter/timer channels by calling DtOLCreateTask (Counter Input - Cont Measure).

    You can specify the device to open, the counter to read, the start edge, and the stop edge.

  3. Call DtOLRead (Read Single Channel - Single Sample) to start the task and read the time, in milliseconds, between the specified start edge and stop edge. A real value is returned.

    To read another measurement, repeat step 3.

  4. When finished, call DtOLCloseTask to stop the task and release all the resources that are associated with the task.

  5. Check for errors.

Note: If your device supports it, you can also stream continuous measurement data through the analog input subsystem. Click here for more information.


Generating a Single Pulse

To perform a one-shot task, do the following:

  1. Connect an external signal to the clock output connector of a counter/timer on your device. A single pulse will be generated on this output signal the first time the specified trigger is detected.

  2. If desired, connect an external digital signal to the gate input source of the same counter/timer that was used in step 1. This signal will trigger the one-shot operation when the appropriate condition is met.

  3. Create a virtual counter/timer channel by calling DtOLCreateTask (Counter Output - Pulse).

    You can specify the device to open, the counter/timer to use, the trigger type that enables the operation, the polarity of the output pulse, and the requested pulse width. Click here for the default values.

  4. Call DtOLStart - Start to start the task and output a single pulse from the specified counter/timer the first time that the specified trigger condition is met.

  5. To output another pulse, call DtOLReStart.

  6. When finished, call DtOLCloseTask to stop the task and release all the resources that are associated with the task.

  7. Check for errors.


Generating a Single Pulse Repetitively

To perform a repetitive one-shot task, do the following:

  1. Connect an external signal to the clock output connector of a counter/timer on your device. A single pulse will be generated on this output signal each time the specified trigger is detected.

  2. If desired, connect an external digital signal to the gate input source of the same counter/timer that was used in step 1. This signal will trigger the repetitive one-shot operation when the appropriate condition is met.

  3. Create a virtual counter/timer channel by calling DtOLCreateTask (Counter Output - Repeat Pulse).

    You can specify the device to open, the counter/timer to use, the trigger type that enables the operation, the polarity of the output pulse, and the requested pulse width. Click here for the default values.

  4. Call DtOLStart - Start to start the task and output a single pulse from the specified counter/timer each time that the specified trigger condition is met.

  5. When finished, call DtOLCloseTask to stop the task and release all the resources that are associated with the task.

  6. Check for errors.


Generating a Continuous Rate

To perform a rate generation task, do the following:

  1. Connect an external signal to the clock output connector of a counter/timer on your device. Continuous pulses will be generated on this output signal when the operation is enabled (determined by the gate input signal).

  2. If desired, connect an external digital signal to the gate input source of the same counter/timer that was used in step 1. This signal will enable the rate generation operation.

  3. Create a virtual counter/timer channel by calling DtOLCreateTask (Counter Output - Rate).

    You can specify the device to open, the counter/timer to use, the frequency and duty cycle of the pulses to generate, and the gate type that enables the operation. Click here for the default values.

  4. Call DtOLStart - Start to start the task and output a single pulse from the specified counter/timer when the specified gate condition is met.

  5. When finished, call DtOLCloseTask to stop the task and release all the resources that are associated with the task.

  6. Check for errors.


Reading the Value of Quadrature Decoder

Reading the Value of a Quadrature Decoder

To read the value of a quadrature decoder, do the following:

  1. Connect a quadrature encoder to the A, B, and optionally to the Index lines of a quadrature decoder on your device.

  2. Create a virtual counter/timer channel by calling DtOLCreateTask (Quad Encoder Input).

    You can specify the device to open, the quadrature decoder to use, X4 or X1 scaling, the mode of the Index input, and the clock prescale value that determines how much filtering to apply. Click here for the default values.

  3. Call DtOLRead (Read Single Channel - Single Sample) to start the task and read a single value from the specified quadrature decoder.

  4. To read another value, repeat step 3.

  5. When finished, call DtOLCloseTask to stop the task and release all the resources that are associated with the task.

  6. Check for errors.


Task

Tasks in LV-Link

A task in LabVIEW is a collection of one or more virtual channels with timing, triggering, and other properties. Conceptually, a task represents a measurement or output operation that you want to perform on a specific subsystem of a device.

Click one of the following links for more information on performing tasks using LV-Link:

  • Analog Input

  • Analog Output

  • Digital Input

  • Digital Output

  • Counter/Timer

  • Quadrature Decoder


Performing Quadrature Decoder Tasks

Some devices support quadrature decoder operations. A quadrature decoder accepts signals (A, B, and Index) from a quadrature encoder as inputs and converts these signals into a clock output signal whose pulses are counted by the decoder.

Click here for step-by-step instructions for reading the value of a quadrature decoder.


Using Loops in LabVIEW

In LabVIEW, referenced objects are never deleted and freed until the application terminates.

To avoid excessive memory consumption and/or memory leaks, avoid opening and closing a device inside the loop, and avoid creating new objects of any kind inside the loop, as each iteration creates more objects and consumes more memory. Instead, open the device(s), perform the necessary actions within the loop, and once the loop is closed, close the device(s).


Physical and Virtual Channels

A physical channel is a hardware connection (screw terminal or connector pin) on the device. You connect a signal to a physical channel to either measure or output a value. Every physical channel on a device has a unique number (such as 0, 1, 2, 3). The naming convention is defined by DT-Open Layers.

While you can specify a name for a channel, LV-Link3 does not parse text, but does parse digits; commas and colons are also checked. So if an input string is given for a channel, such as "Ain0", LV-Link3 reads this as 0.

Virtual channels are software entities that encapsulate the physical channel along with other information about the channel, such as the voltage range, data encoding, and so on used to format the data. To create virtual channels, use the DtOLCreateTask VI in LV-Link. Virtual channels are used within the context of a task.


Subsystems

The following subsystems are defined in the LV-Link:

    • Analog Input Subsystem – This subsystem type represents the analog input channels of your device, if supported. For most devices, one instance of the analog input subsystem handles all the analog input channels. Note that some devices support streaming digital input, counter/timer, and or quadrature decoder data through the analog input subsystem for correlating the timing of analog input and digital, counter/timer, or quadrature decoder data.

    • Analog Output Subsystem – This subsystem type represents the analog output channels of your device, if supported. For most devices, one instance of the analog output subsystem handles all the analog output channels. Note that some devices support streaming digital output data through the analog output subsystem for correlating the timing of analog output and digital output data.

    • Digital Input Subsystem – This subsystem type represents a digital input port of your device, if supported. All the digital input lines of a digital input subsystem (or port) are read at once. Typically, if a device supports multiple digital input ports, multiple instances of the digital input subsystem are supported.

    • Digital Output Subsystem – This subsystem type represents a digital output port of your device, if supported. All the digital output lines of a digital output subsystem (or port) are updated at once. Typically, if a device supports multiple digital output ports, multiple instances of the digital output subsystem are supported.

    • Counter Timer Subsystem – This subsystem type represents the counter/timers of your device, if supported. Typically, if a device supports multiple counter/timers, multiple instances of the counter/timer subsystem are supported.

    • Quadrature Decoder Subsystem – This subsystem type represents the quadrature decoders of your device, if supported. Typically, if a device supports multiple quadrature decoders, multiple instances of the quadrature decoder subsystem are supported.

Your device may support all or a subset of these subsystem types. In addition, your device may support multiple instances, called elements, of the same subsystem type. Element numbering is zero-based; that is, the first instance of the subsystem is called element 0, the second instance of the subsystem is called element 1, and so on. For example, if your device has two digital input ports, two digital input subsystems are available, differentiated as elements 0 and 1.

You specify the subsystem type and element to configure when you create a task using the DtOLCreateTask VI.


Gain and the Effective Input Range

All devices with analog input channels support at least one voltage range, such as -10 V to 10 V, for the analog input subsystem. Some devices provide multiple input ranges, such as -10 V to 10 V and 0 to 10 V. Refer to the documentation for your device to determine what input voltage ranges are supported.

In LV-Link, you set the voltage range of the analog input subsystem using the Range Min and Range Max inputs of the DtOLCreateTask (Analog Input - Voltage) or DtOLCreateTask (Analog Input - Raw) VI. For example, if you want to set the voltage range of the analog input subsystem on your device to 0 to 10 V, set Range Min to 0 and Range Max to 10.

By applying a gain to individual channels using the DtOLSetChanGain VI, you can alter the effective input range for specific channels. Refer to the documentation for your device to determine what gain values are supported.

The following table illustrates the effective input ranges per channel that are possible on a device that supports voltage ranges 0 to 10 V (unipolar) and -10 to 10 V (bipolar), and gains 1, 2, 4, and 8.

Gain | Voltage Range for Subsystem (Unipolar) | Voltage Range for Subsystem (Bipolar)
1 (Default) | 0 to 10 V | -10 V to 10 V
2 | 0 to 5 V | -5 V to 5 V
4 | 0 to 2.5 V | -2.5 V to 2.5 V
8 | 0 to 1.25 V | -1.25 V to 1.25 V

For each channel, choose the gain that has the smallest effective range that includes the signal you want to measure. For example, if the range of your analog input signal is ±1.5 V, specify a range of −10 V to +10 V for the device and use a gain of 4 for the channel; the effective input range for this channel is then ±2.5 V, which provides the best sampling accuracy for that channel.

For an example of setting the gain of input channel, see the DtAinGainPerChan example.


Termination Resistor

If your channel supports a bias return termination resistor, you can enable it or disable it using the Lvi Set Termination Resistor VI.

Typically, you should enable the bias return termination resistor for floating and grounded voltage and current sources, and disable it for voltage and current sources with grounded references. Refer to the documentation for your device for wiring information.


Sensor Gain and Offset

If you want to read a value from a channel in engineering units like pressure, or some other sensor type, you need to specify the gain and offset of the sensor using the DtOLSetChanGain VI. By default, the sensor gain is 1 and the sensor offset is 0.

The sensor gain and offset are used to scale a sample from raw counts to a sensor format. The scaling occurs in two steps. First, the raw count value is converted to prescaled voltage using the gain applied to the input signal. Then, the prescaled voltage is scaled using the following equation: y = mx + b, where y is the scaled sensor value, m is the sensor gain, x is the prescaled value in voltage, and b is the sensor offset.

For an example of setting the sensor gain and offset, see the DtAinSetChanOptions example.


IEPE Input Channels

Applications that require accelerometer, vibration, noise, or sonar measurements often use IEPE (Integrated Electronic Piezoelectric) sensors. For an analog input channel that supports IEPE inputs, you can use the DtOLSetChanIepeOptions VI to set up the input coupling type and the excitation current source for the channel.

The following coupling types are available (if supported by your device):

  • DC coupling, where the DC offset is included (the default value)

  • AC coupling, where the DC offset is removed

The following excitation current sources are available (if supported by your device):

  • Internal

  • External

  • Disabled, where no excitation is applied (the default value)

If you set the excitation current source to Internal, the first supported current value is applied to the channel. Refer to the documentation for your device for more information on the excitation current values that are supported by your device.

For an example of setting the coupling type and the excitation current source, see the DtAinSetChanOptions example.


Current Measurements

If your device supports current measurements, use the DtOLSetChanCurrentOptions VI to configure the channel for a current measurement.

If your channel supports a bias return termination resistor, you can enable it or disable it using the Lvi Set Termination Resistor VI. Typically, you should enable the bias return termination resistor for floating and grounded current sources, and disable it for current sources with grounded references. Refer to the documentation for your device for wiring information.

For an example of setting up an input channel for a current measurement, see the DtAinCurrentContinuous example.


Resistance Measurements

If your device supports resistance measurements, use the DtOLSetChanResistanceOptions VI to configure the channel for a resistance measurement.

You specify how the resistor is wired to the channel (two-wire, three-wire, or four-wire configuration), as well as the device and the range of the resistor to measure. For example, on the DT9829 module you can measure a resistor in the range of 0 to 4 kOhm and 4 kOhm to 200 kOhm. Based on the resistor range that you specify, the software sets the appropriate current source on the device.

For an example of setting up an input channel for a resistance measurement, see the DtAinResistanceContinuous example.


Thermocouple Input Channels

For analog input channels that support thermocouple inputs, use the DtOLSetChanThermocoupleOptions VI to set up the thermocouple type for the analog input channel.

For an example of setting up a channel for a thermocouple input, see the DtAinThermocoupleContinuous example.


RTD Input Channels

If your device supports RTD measurements, use the DtOLSetChanRtdOptions VI to configure the channel for an RTD measurement.

In an RTD measurement, the measurement device reads the voltage drop across the RTD as the resistance changes and converts the voltage to the appropriate temperature using the Callendar-Van Dusen transfer function:

RT = R0[1 + AT + BT2 + CT3(T – 100)]

where,

RT is the resistance at temperature.

R0 is the resistance at 0° C.

A, B, and C are the Callendar-Van Dusen coefficients for a particular RTD type. (The value of C is 0 for temperatures above 0° C.)

The following table lists the supported values for the R0, A, B, and C coefficients for each of the supported RTD types.

Values for Rtd Type | Values for the R0 Coefficient ( Ω) | Values for the A Coefficient | Values for the B Coefficient | Values for the C Coefficient
Pt3850 (the default)a | 100 (the default), 500, or 1000 | 3.9083 x 10–3 | –5.775 x 10–7 | –4.183 x 10–12
Pt3920b | 98.129 | 3.9787 x 10–3 | –5.869 x 10–7 | –4.167 x 10–12
Pt3911c | 100 | 3.9692 x 10–3 | –5.8495 x 10–7 | –4.233 x 10–12
Pt3750d | 1000 | 3.81 x 10–3 | –6.02 x 10–7 | –6.0 x 10–12
Pt3916e | 100 | 3.9739 x 10–3 | –5.870 x 10–7 | –4.4 x 10–12
Pt3928f | 100 | 3.9888 x 10–3 | –5.915 x 10–7 | –3.85 x 10–12
Custom | User-defined | User-defined | User-defined | User-defined

a. Uses a Temperature Coefficient of Resistance (TCR) value of 0.003850 Ω / Ω /° C as specified in the DIN/IEC 60751 ASTM-E1137 standard.

b. Uses a TCR value of 0.003920 Ω / Ω /° C as specified in the SAMA RC21-4-1966 standard.

c. Uses a TCR value of 0.003911 Ω / Ω /° C as specified in the US Industrial Standard standard.

d. Uses a TCR value of 0.003750 Ω / Ω /° C as specified in the Low Cost standard.

e. Uses a TCR value of 0.003916 Ω / Ω /° C as specified in the Japanese JISC 1604-1989 standard.

f. Uses a TCR value of 0.003928 Ω / Ω /° C as specified in the ITS-90 standard.

You specify the Rtd type (PT3750, PT3850, PT3911, PT3916, PT3920, PT3928, or Custom), the R0, A, B, C coefficients, as well as how the RTD is wired to the channel (two-wire, three-wire, or four-wire configuration), and the data filter (moving average or none) that is used in the DtOLSetChanRtdOptions VI.

For an example of setting up an input channel for an RTD measurement, see the DtAinRtdContinuous example.


Thermistor Input Channel

If your device supports thermistor measurements, use the DtOLSetChanThermistorOptions VI to configure the channel for a thermistor measurement.

The resistance of NTC thermistors increases with decreasing temperature. The resistance to temperature relationship is characterized by the Steinhart-Hart equation:

1/T = A + BInR + CIn(R)3

where,

• T is the temperature, in degrees Kelvin.

• R is the resistance at T, in Ohms.

• A, B, and C are the Steinhart-Hart coefficients for a particular thermistor type and value, and are supplied by the thermistor manufacturer.

You specify the A, B, C coefficients, as well as how the thermistor is wired to the channel (two-wire, three-wire, or four-wire configuration), and the data filter (moving average or none) that is used in the DtOLSetChanThermistorOptions VI.

For an example of setting up an input channel for a thermistor measurement, see the DtAinThermistorContinuous example.


Strain Gage Input Channels

If you are using a strain gage that provides a TEDS (Transducer Electronic Data Sheet) interface, you can read the TEDS data from the strain gage directly (hardware TEDS) using the DtOLGetTEDS (Hardware TEDS - Strain Gage) VI or from a data file (virtual TEDS) using the DtOLGetTEDS (Virtual TEDS - Strain Gage) VI. These functions help you determine the appropriate settings for your strain gage.

For analog input channels that support strain gage inputs, use the DtOLSetChanStrain (Strain Device) VI to set up the following attributes for the strain gage channel:

  • Excitation Voltage Source and Value - You can select an internal or external excitation voltage source if it is supported by your subsystem. You can then specify the voltage value of the excitation source.

  • Bridge Type - You can specify one of the following bridge types:

• Full Bridge Bending

• Full Bridge Bending Poisson

• Full Bridge Axial

• Half Bridge Poisson

• Half Bridge Bending

• Quarter Bridge

• Quarter Bridge Temp Compensation

  • Gage Factor - You specify the gage factor, or sensitivity of the strain gage, which is specified by the gage manufacturer.
  • Lead Wire Resistance - For a full-bridge based strain gage that does not use remote sensing, you can specify the lead wire resistance of the bridge, in ohms. If remote sensing is used, specify 0 ohms for the lead wire resistance.
  • Gage Resistance - You specify the nominal gage resistance of the bridge, which is determined by the gage manufacturer.
  • Poisson Ratio - If your bridge type uses a Poisson configuration, you can specify the Poisson ratio for the strain gage. The Poisson ratio is a material-dependent constant that is the ratio of transverse (perpendicular) contraction to axial strain.
  • Shunt Correction - You can use shunt calibration to correct span errors in the measurement path. You can perform a shunt calibration operation using the DtStrainGageCal Utility VI. This utility provides the shunt correction value once the channel is calibrated.
  • Unstrained Voltage - You specify the initial, unstrained voltage output of the bridge. To determine this value, you can perform an offset calibration operation using the DtStrainGageCal Utility VI.

For an example of setting up a channel for a strain gage input, see the DtAinStrainContinuous example.


Bridge-Based Sensor Input Channels

Bridge-Based Sensors and General-Purpose Bridge Input Channels

For analog input channels that support general-purpose bridges, you can use the DtOLSetChanBridgeOptions VI to return the data from the bridge in voltage. Using this VI, you configure the channel for a full-bridge, half-bridge, or quarter-bridge measurement. For an example of setting up an input channel for a general-purpose bridge measurement, see the DtAinBridgeContinuous example.

To return data from a bridge-based sensor in the engineering units of the sensor, use the DtOLSetChanStrain (Bridge Sensor Device) VI to configure the bridge. Note that if you are using a bridge-based sensor that provides a TEDS (Transducer Electronic Data Sheet) interface, you can read the TEDS data from the bridge-based sensor directly (hardware TEDS) using the DtOLGetTEDS (Hardware TEDS - Bridge Sensor) VI or from a data file (virtual TEDS) using the DtOLGetTEDS (Virtual TEDS - Bridge Sensor) VI. The attributes of the bridge-based sensor are as follows:

  • Bridge Excitation Source and Value -You can select an internal or external excitation voltage source if it is supported by your subsystem. You can then specify the voltage value of the excitation source.
  • Lead Wire Resistance - For a full-bridge based strain gage that does not use remote sensing, you can specify the lead wire resistance of the bridge, in ohms. If remote sensing is used, specify 0 ohms for the lead wire resistance.
  • Gage Resistance - You specify the nominal gage resistance of the bridge, which is determined by the gage manufacturer.
  • Unstrained Voltage - You can specify the initial, unstrained voltage output of the bridge. To determine this value, you can perform an offset calibration operation using the DtFullBridgeSensorCal Utility VI.
  • Shunt Correction - You can use shunt calibration to correct span errors in the measurement path. You can perform a shunt calibration operation using the DtFullBridgeSensorCal Utility VI. This utility provides the shunt correction value once the channel is calibrated.
  • Rated Output - You can specify the rated output of the transducer in terms of mV/V excitation.
  • Transducer Capacity - You can specify the full-scale range of the transducer in its native engineering units.

For an example of setting up an input channel for a bridge-based sensor input, see the DtAinBridgeSensorContinuousTEDS example.


Buffers

Buffers for Analog I/O Tasks

A buffer is a memory location that is used to store data that is acquired during an analog input task or that is output during an analog output task.

Creating Buffers for Analog Input Tasks

If you are performing a finite acquisition (Sample Mode on the DtOLTiming (Input - Set Timing) VI is set to Finite Samples), LV-Link allocates a single buffer that is equal in size to the value of the Samples Per Channel input multiplied by the number of channels specified in your task. For example, if Samples Per Channel is 1,000 and your task uses two channels, the buffer size is 2,000 samples. Thus, the buffer is exactly big enough to hold all the samples that you want to acquire.

If the acquisition is Continuous (Sample Mode on the DtOLTiming (Input - Set Timing) VI is set to Continuous Samples), LV-Link allocates the number of buffers specified by Num Buffers (the default is 8). The size of each buffer is equal to the value of the Samples Per Channel input multiplied by the number of channels specified in your task. For example, if Samples Per Channel is 1,000 and your task uses two channels, each buffer contains 2,000 samples.

If the value specified in Sample Freq (Hz) is large, you may receive an A/D overrun error when your program runs. If this should occur, either increase the number of buffers and/or increase the size of each buffer until you do not receive an A/D overrun error. If your application runs more slowly over time or if your PC runs out of memory, see Troubleshooting Buffering and Memory Problems for more information.

When you call the DtOLRead VI, samples are acquired from the device, stored in the buffer, and then transferred to your application.

Note that buffers are not used if you are acquiring a single value from a single channel.

Creating Buffers for Analog Output Tasks

Note that buffers are not used if you are writing a single value to a single channel.

If you are writing a finite number of samples (Sample Mode on the DtOLTiming (Output - Set Timing) VI is set to Finite Samples), the size of the Data Array that is passed to DtOLWrite (Write Single Channel - Multiple Samples) or DtOLWrite (Write Multiple Channel - Multiple Samples) determines how many samples to output; this is also the size of the buffer that is used. When the buffer has been output, the operation stops.

If you are generating pre-defined waveforms using the DtOlTiming (Output - Get Timing from Waveform) VI, a single buffer is sent to the specified analog output channel repetitively. The size of the buffer is determined when you create the waveform using the DtOLWaveformGenerate VI or any of LabVIEW's built-in waveform generation VIs. When you call the DtOLWrite VI, the specified samples are copied into the buffer and then transferred to your device.

If you are writing a single buffer continuously (Sample Mode on the DtOLTiming (Output - Set Timing) VI is set to Resend One Buffer), a single buffer is output continuously until you stop the operation by calling DtOLStop or DtOLCloseTask. The size of the Data Array that is passed to DtOLWrite (Write Single Channel - Multiple Samples) or DtOLWrite (Write Multiple Channel - Multiple Samples) determines the size of the buffer that is used.

If you are writing multiple buffers continuously (Sample Mode on the DtOLTiming (Output - Set Timing) VI is set to Continuous), multiple buffers are output continuously until the operation runs out of data or until you stop the operation by calling DtOLStop or DtOLCloseTask. The size of the Data Array that is passed to DtOLWrite (Write Single Channel - Multiple Samples) or DtOLWrite (Write Multiple Channel - Multiple Samples) determines the size of the buffer that is used. The number of calls to DtOLWrite determines the number of buffers that are output.

Note: Care should be taken not to queue too many buffers for output as you may consume too much system memory. Likewise, not queuing a sufficient number of buffers for output will cause the output to stop when all queued buffers have been written. The NumQueued value returned by DtOLWrite (Write Single Channel - Multiple Samples) and DtOLWrite (Write Multiple Channel - Multiple Samples) can be used to control the number of buffers queued for output. Use this number to ensure that you don’t write too many or too few buffers so that you can maintain a reasonable number of buffers ready for output.


Troubleshooting Buffering and Memory Problems

If you are using loops in LabVIEW, click here for information about avoiding potential memory problems.

For analog input operations, LV-Link3 allocates one buffer more than the number of buffers (Num Buffers) that were set in Open Layers by the DtOLTiming - Set Input VI. LV-Link3 queues these buffers internally, and will generate an error if the application does not process them in a timely manner.

If you experience issues with slow system performance when running your application, check the following inputs of the DtOLTiming - Set Input VI:

  • Num Buffers - By default, 8 buffers are allocated. This value is recommended. However, if you need to use small buffers (determined by Samples Per Channel and the number of channels used by your task), increase the number of buffers. If you are sampling very fast, increase the number of buffers and use larger buffers.

  • Samples Per Channel - It is recommended that you set Samples Per Channel to at least 1/10th of the sampling frequency that you are using (see Sample Freq (Hz) of the DtOLTiming VI). Specifying more samples per channel is acceptable, but will make the application somewhat less responsive.


Clocks for Analog I/O Tasks

Your device can use one of the following sample clock sources to control the rate at which samples are acquired and generated when performing a finite or continuous operation:

  • Internal Clock (the default)

  • External Clock

  • Software (No Timing)

Internal Clock Source

If you specify the internal clock source for the Timing input of the DtOLTiming (Input - Set Timing) or DtOLTiming (Output - Set Timing) VI, the clock source on the device paces data acquisition or output for each channel of a task. You can specify how fast the internal clock acquires or generates signals by specifying the Sample Freq (Hz) input of the DtOLTiming (Input - Set Timing) or DtOLTiming (Output - Set Timing) VI. By default, Sample Freq (Hz) is 1000 Hz.

If your device has simultaneous analog input channels, the value of Sample Freq (Hz) is the per channel sampling frequency.

If your device has multiplexed analog input channels, you can determine the sampling frequency per channel as follows: Sample Frequency per Channel = Sample Freq (Hz)/Number of Channels. For example, assume that your device has eight multiplexed analog input channels and a maximum sampling frequency of 600 Hz. If you want to sample all eight channels at the maximum frequency, specify 600 for the Sample Freq (Hz) input. The effective sample frequency per channel is then 600 Hz/8, or 75 Hz.

Note: According to sampling theory (Nyquist Theorem), you should specify a frequency for an analog signal that is at least twice as fast as the input’s highest frequency component. For example, to accurately sample a 20 kHz signal, specify a sampling frequency of at least 40 kSamples/s. Doing so avoids an error condition called aliasing, in which high frequency input components erroneously appear as lower frequencies after sampling. The driver sets the frequency of the internal clock as close as possible to the value that you specified in Sample Freq (Hz). Read the Actual Sample Freq output to determine the actual frequency that was set on the device.

External Clock Source

The external clock is a digital signal attached to the device that paces data acquisition or output for each channel of a task. This clock source is useful when you want to pace at rates not available with the internal clock or if you want to pace at uneven intervals. The sampling frequency is the frequency of the external clock source. If you specify an external clock source for the Timing input of the DtOLTiming (Input - Set Timing) or DtOLTiming (Output - Set Timing) VI, the Sample Freq (Hz) input is ignored.

Software (No Timing)

If you specify No Timing for the Timing input of the DtOLTiming (Input - Set Timing) or DtOLTiming (Output - Set Timing) VI, data is acquired or generated as fast as possible using a software loop, and the Sample Freq (Hz) input is ignored.

Software timing is also known as on-demand timing. Using on-demand timing, samples are not guaranteed to be spaced evenly in time.


Triggers for Analog I/O Tasks

LV-Link supports Digital and Analog start triggers that, when detected, start acquisition (for an analog input task) or sample generation (for an analog output task).

Some devices also support a Digital or Analog reference trigger for an analog input task, which allows you to acquire pre- and post-trigger samples.

If your device supports a start trigger but not a reference trigger for an analog input task, the start trigger starts the acquisition of post-trigger samples. The device cycles through the channels that are defined by the task, acquiring the value for each channel; this process is known as a scan. When the last channel is reached, the software wraps to the first channel and repeats the process. For finite operations, the operation stops when the specified number of samples has been acquired. For continuous operations, the operation repeats continuously until you stop it.

If your device supports a start trigger and a reference trigger for an analog input task, the start trigger starts the acquisition of pre-trigger samples. When the reference trigger is detected, pre-trigger acquisition stops and post-trigger acquisition begins. Post-trigger acquisition continues a specified number of post-trigger samples that you define is acquired or until you stop the operation.

If your device supports a start trigger for an analog output task, the start trigger begins the analog output process. The device cycles through the channels that are defined by the task, outputting the value for each channel. For finite operations, the operation stops when the specified number of samples have been output. For continuous operations, the operation repeats continuously until you stop it.

Digital Start Trigger

A digital start trigger is an external TTL signal attached to the device. The trigger occurs when the device detects a transition on the rising- or falling-edge of the external TTL signal.

To set up a digital trigger for an analog input or analog output task, use the DtOLTrigger (Digital Trigger) VI. By default, a rising edge is used.

Analog Start Trigger

An analog start trigger is generally either an analog signal from an analog input channel or an external analog signal attached to the device.

A positive analog threshold trigger occurs when the device detects a positive-going (rising) signal that crosses a threshold value. A negative analog threshold trigger occurs when the device detects a negative-going (falling) signal that crosses a threshold value.

To set up an analog trigger for an analog input or analog output task, use the DtOLTrigger (Analog Trigger) VI. By default, a positive (rising) trigger is used with a threshold level of 0 V.

You can specify the analog input channel to use for the analog threshold trigger. By default, analog input channel 0 is used.

Note: On some devices, an analog output subsystem is used by LV-Link to set the threshold level.

Digital Reference Trigger

A digital reference trigger is an external TTL signal attached to the device. The trigger occurs when the device detects a transition on the rising- or falling-edge of the external TTL signal.

To set up a digital reference trigger for an analog input task, use the DtOLTrigger (Digital Reference Trigger) VI. By default, a rising edge is used.

Analog Reference Trigger

An analog trigger is generally either an analog signal from an analog input channel or an external analog signal attached to the device.

A positive analog threshold trigger occurs when the device detects a positive-going (rising) signal that crosses a threshold value. A negative analog threshold trigger occurs when the device detects a negative-going (falling) signal that crosses a threshold value.

To set up an analog trigger for an analog input or analog output task, use the DtOLTrigger (Analog Reference Trigger) VI. By default, a positive (rising) trigger is used with a threshold level of 0 V.

You can specify the analog input channel to use for the analog threshold trigger. By default, analog input channel 0 is used.

Note: On some devices, an analog output subsystem is used by LV-Link to set the threshold level.


Triggered Scan

Triggered scan mode is a capability that is supported by the analog input subsystem of some devices.

In triggered scan mode, the device scans the entries in a channel-gain list a specified number of times (called the scan count) when it detects a specified trigger source (called a retrigger). You can specify both the scan count and the retrigger source. Possible retrigger sources include a software trigger, positive digital trigger, negative digital trigger, positive analog threshold trigger, and negative analog threshold trigger.

Using a Software Retrigger Source

Use a software retrigger source if you want to accurately control both the period between conversions of individual channels in a scan and the period between each scan. This mode is useful when synchronizing or controlling external equipment, or when acquiring a buffer of data on each trigger or retrigger.

The conversion rate of each channel in the scan is determined by the frequency of the A/D sample clock. The conversion rate between scans is determined by the retrigger frequency, which you specify.

When it detects an initial trigger, the device scans the channel list and then stops. The device then waits for an software retrigger to occur (based on the retrigger frequency). When retriggered, the device scans the channel list a specified number of times based on the scan count and stops. The device is retriggered again based on the retrigger frequency. The process repeats continuously until you stop the operation.

Due to hardware limitations, not every frequency can be achieved exactly. The driver sets the subsystem retrigger rate as closely as possible to the desired frequency. To determine the fastest recommended rate, use the following formula:

Min. Retrigger = # of CGL entries x # of CGLs per trigger + 2 μs
Period A/D sample clock frequency

For example, if you are using 512 channels in the channel-gain list (CGL), scanning the channel-gain list 256 times every trigger or retrigger, and using an AD sample clock with a frequency of 1 MHz, set the minimum retrigger frequency to 7.62 Hz, since

7.62 Hz = 1
( 512 * 256) +2 μs
1 MHz

Using an External Retrigger Source

Use an external retrigger source if you want to accurately control the period between conversions of individual channels and retrigger the scan based on a specified external event. The retrigger source can be any of the supported trigger sources (positive digital trigger, negative digital trigger, positive analog threshold trigger, or negative analog threshold trigger), if it supported by your device.

The conversion rate of each channel in the scan is determined by the frequency of the A/D sample clock. When you are using an external retrigger, the period between retriggers cannot be accurately controlled. The device ignores external triggers that occur while it is acquiring data. Only retrigger events that occur when the device is waiting for a trigger are detected and acted on.

When it detects an initial trigger (post-trigger source only), the device scans the channel list, then waits for the external retrigger to occur. When the retrigger occurs, the device scans the channel list a specified number of times as determined by the scan count, then waits for another external retrigger to occur. The process repeats continuously until you stop the operation.


Using an LVDS Synchronization Connector to Synchronize Multiple Devices

Using a Sync Bus (RJ45 - LVDS Connector) to Synchronize Multiple Devices

Some devices provide a Sync Bus (RJ45 - LVDS) connector that you can use to connect and synchronize multiple modules. In this scheme, one module is the master and the other module is the slave. You specify the synchronization mode (Master, Slave, or None) of the analog input subsystem using the DtOLTiming VI.

When configured as a Master, the Sync Bus connector outputs trigger and clock signals. When configured as a Slave, the Sync Bus connector accepts trigger and clock signals from the master; you cannot use the Ext Trig BNC connector or the analog threshold trigger on the slave module in this configuration. When configured as None (the default mode), the module uses the USB clock instead of the Sync Busjj connector. The synchronization mode remain set until changed or until the application exits.

When the master module is triggered (using any of the supported trigger sources), both the master and the slave modules start acquiring data at the same time. Note that you can set the clock rate to be the same or different on each module.

Note: The slave device must be started before the master for proper operation.


Gates and Triggers for Counter/Timer Tasks

Gates, Triggers, and Clocks for Counter/Timer Tasks

For counter/timer tasks, the counter/timer's clock output signal is generally used to output pulses.

The gate and clock input signals of the counter/timer affect how the counter/timer operates. This varies depending on the counter/timer task. For example, the gate input signal might enable, trigger, start, or stop a measurement. Similarly, the clock input signal might be used to count events or start or stop a measurement.

Click each of the following tasks, for more information:

    • Event counting

    • Up/down counting

    • Frequency measurement

    • Period measurement

    • Edge-to-edge measurement (time between edges)

    • Continuous edge-to-edge measurement (cont measure)

    • One-shot (pulse)

    • Repetitive one-shot (repeat pulse)

    • Rate generation

Event Counting Tasks

For event counting tasks, the counter/timer counts digital pulses on the clock input signal when the operation is enabled; the clock output signal is ignored.

The gate input signal determines when to enable the counter/timer. The following gate types are supported for event counting tasks:

Gate Type | Description
None | (Default) The signal connected to the counter/timer's gate input connector has no effect. The operation is enabled automatically. The counter starts counting immediately when you call the DtOLRead (Read Single Channel - Single Sample - Real) VI.
High Level | The operation is enabled when the external gate signal is high. Once the task is started by calling the DtOLRead (Read Single Channel - Single Sample - Real) VI, the counter/timer counts events when the external gate signal is high and does not count events when the external gate signal is low.
Low Level | The operation is enabled when the external gate signal is high. Once the task is started by calling the DtOLRead (Read Single Channel - Single Sample - Real) VI, the counter/timer counts events when the external gate signal is low and does not count events when the external gate signal is high.

You specify the gate type when you create the task using the DtOLCreateTask (Counter Input - Events) VI.

Up/Down Counting Tasks

For up/down counting tasks, the counter/timer counts digital pulses on the clock input signal; the clock output signal is ignored.

The gate signal determines whether the counter increments or decrements. If the gate input signal of the counter/timer is high, the count is incremented. If the gate input signal of the counter/timer is low, the count is decremented.

Frequency Measurement Tasks

For frequency measurement tasks, the counter/timer measures the frequency of a signal using two consecutive rising edges on either the clock input signal or the gate input signal. The clock output signal is ignored.

You specify the input line to use for the measurement using the DtOLCreateTask (Counter Input - Frequency) VI.

Period Measurement Tasks

For period measurement tasks, the counter/timer measures the period of a signal pulse using two consecutive rising edges on either the clock input signal or the gate input signal. The clock output signal is ignored.

You specify the input line to use for the measurement using the DtOLCreateTask (Counter Input - Period) VI.

Edge-to-Edge Measurement (Time Between Edges) Tasks

For edge-to-edge measurement tasks, the counter/timer measures the time between a specified start edge and stop edge of the counter's clock or gate input signal. The clock output signal is ignored.

The start edge and the stop edge can occur on the rising edge of the gate input signal, the falling edge of the gate input signal, the rising edge of the clock input signal, or the falling edge of the clock input signal.

You specify the start edge and stop edge using the DtOLCreateTask (Counter Input - Time Between Edges) VI.

Continuous Edge-to-Edge Measurement ( Cont Measure) Tasks

For continuous edge-to-edge measurement tasks, the counter/timer measures the time between a specified start edge and stop edge of the counter's clock or gate input signal repetitively.

The start edge and the stop edge can occur on the rising edge of the gate input signal, the falling edge of the gate input signal, the rising edge of the clock input signal, or the falling edge of the clock input signal.

You specify the start and stop edges using the DtOLCreateTask (Counter Input - Cont Measure) VI.

One-Shot (Pulse) Tasks

For one-shot tasks, the counter/timer generates a single pulse on the clock output signal the first time that the device detects a trigger; the clock input signal is ignored.

The gate input signal determines when to trigger the counter/timer. The following trigger types are supported for one-shot tasks:

Immediate | The signal connected to the counter/timer's gate input connector has no effect. A single pulse is output immediately when the DtOLStart - Start VI or DtOLReStart VI is called.
RisingEdge | (Default) Once the DtOLStart - Start VI or DtOLReStart VI is called, a single pulse is output the first time that the signal connected to the counter/timer's gate input changes from a low level to a high level (rising edge).
FallingEdge | Once the DtOLStart - Start VI or DtOLReStart VI is called, a single pulse is output the first time that the signal connected to the counter/timer's gate input changes from a high level to a low level (falling edge).

You specify the gate type when you create the task using the DtOLCreateTask (Counter Output - Pulse) VI.

Repetitive One-Shot (Repeat Pulse) Tasks

For repetitive one-shot tasks, the counter/timer generates a single pulse on the clock output signal each time the device detects a trigger; the clock input signal is ignored.

The gate input signal determines when to trigger the counter/timer. The following trigger types are supported for repetitive one-shot tasks:

RisingEdge | (Default) Once the DtOLStart - Start VI is called, a single pulse is output each time that the signal connected to the counter/timer's gate input changes from a low level to a high level (rising edge).
FallingEdge | Once the DtOLStart - Start VI is called, a single pulse is output each that the signal connected to the counter/timer's gate input changes from a high level to a low level (falling edge).

You specify the gate type when you create the task using the DtOLCreateTask (Counter Output - Repeat Pulse) VI.

Rate Generation Tasks

For rate generation tasks, the counter/timer generates a rate on the clock output signal when the operation is enabled; the clock input signal is ignored.

The gate input signal determines when to enable the counter/timer. The following gate types are supported for rate generation tasks:

Gate Type | Description
None | (Default) The signal connected to the counter/timer's gate input connector has no effect. The operation is enabled automatically. The counter starts generating continuous pulses when you call the DtOLStart - Start VI.
High Level | The operation is enabled when the external gate signal is high. Once the task is started by calling the DtOLStart - Start VI, the counter/timer generates output pulses when the external gate signal is high and does not generate output pulses when the external gate signal is low.
Low Level | The operation is enabled when the external gate signal is high. Once the task is started by calling the DtOLStart - Start VI, the counter/timer generates output pulses on its clock output line when the external gate signal is low and does not generation output pulses when the external gate signal is high.

You specify the gate type when you create the task using the DtOLCreateTask (Counter Output - Rate) VI.


Streaming Digital Data Using an Analog Input Task

If you want to acquire data from the digital input ports, counter/timers, and/or quadrature decoders as part of the analog input stream (and your device supports it), you must set up the analog input task to include these channels using the DtOLCreateTask (Analog Input - Raw) VI. This feature is useful when you want to correlate the timing of events.

Note: Some devices support 32-bit counter/timers and quadrature decoders. For these devices, one channel corresponds to the lower 16-bits and another channel corresponds to the upper 16-bits. Refer to your device documentation for channel numbers.

Before starting the analog input task, ensure that you do the following:

    • For digital input ports, call the DtOLCreateTask (Digital Input) VI.

    • For counter/timers, call one of the Counter Input or Counter Output instances of the DtOLCreateTask VI. In most cases, the DtOLCreateTask (Counter Input - Events) or DtOLCreateTask (Counter Input - Cont Measure) VI is recommended.

    • For quadrature decoders, call the DtOLCreateTask (Quad Encoder Input) VI.

You can set up the clock and trigger for the analog input task, if desired.

Call the DtOLRead (Read Single Channel - Multiple Samples - Real) or DtOLRead (Read Multiple Channel - Multiple Samples - Real) VI to read the value of one or more analog input channels, digital input ports, counter/timers, and/or quadrature decoders within the analog input task.

Note: To determine the value of a 32-bit counter/timer or quadrature decoder, use the following equation on the appropriate two channels of the Data Value array that is returned by the DtOLRead VI:

32-Bit Count = Upper 16-bit Channel x 216 + Lower 16-bit Channel

For example, assume that you set up an analog input task with three channels: analog input channel 0 and a counter/timer channel that was set up using DtOLCreateTask (Counter Input - Cont Measure). When you call DtOLRead (Read Multiple Channel - Multiple Samples - Real), you might see results similar to the following:

Time | Analog Input Value | Counter/Timer Value | Status of Continuous Edge-to-Edge Measurement Mode
10 ms | 5.50 V | 0 | Operation started, but is not complete
20 ms | 5.53 V | 0 | Operation not complete
30 ms | 5.47 V | 0 | Operation not complete
40 ms | 5.51 V | 12373 | Operation complete
50 ms | 5.45 V | 0 | Next operation started, but is not complete
60 ms | 5.50 V | 0 | Operation not complete
70 ms | 5.53 V | 0 | Operation not complete
80 ms | 5.47 V | 12403 | Operation complete
90 ms | 5.51 V | 0 | Next operation started, but is not complete

Refer to DtAinCtrContinuousEdgeToEdge and DtCtrContMeasure for examples of reading the value of a continuous edge-to-edge measurement operation through the analog input subsystem.


Streaming Digital Data Using an Analog Output Task

If you want to output data from the digital output ports as part of the analog output stream (and your device supports it), you must set up the analog output task to include these channels using the DtOLCreateTask (Analog Output - Raw) VI. Refer to your device documentation for channel numbers. This feature is useful when you want to correlate the timing of events.

Before starting the analog output task, ensure that you call the DtOLCreateTask (Digital Output) VI.

You can set up the clock and trigger for the analog output task as usual.

Call the DtOLWrite (Write Multiple Channel - Multiple Samples) VI to update the value of the analog output channels and digital output ports of the analog output task.


Setting and Accessing DT-Open Layers Capabilities

Accessing and Setting DT-Open Layers Capabilities Through the Data Acq SDK

If you want to query the device or subsystem to determine what capabilities are supported, or set the value of an attribute for the device or subsystem that is not directly accessible in LV-Link, you can access and set the capabilities of DT-Open Layers through the Data Acq SDK.

The Data Acq SDK allows you to access and set the capabilities of your device programmatically.

The following VIs are provided in LV-Link for accessing and setting the DT-Open Layers capabilities through the Data Acq SDK:

    • DtOLGetBoard - Allows you to query capabilities about the device.

    • DtOLGetChanList - Allows you to query capabilities about the channel-gain list.

    • DtOLClock - Allows you to set and query capabilities about the clock.

    • DtOLSubsystem - Allows you to query capabilities about the subsystem.

    • DtOLTriggerSource - Allows you to set and query capabilities about the trigger.

Refer to the documentation for the Data Acq SDK for more information on the capabilities that you can read and set using the Data Acq SDK.


LV-Link VIs

LV-Link provides VIs for developing data acquisition applications that work with DT-Open Layers-compliant PCI and USB devices.

From the Functions palette, click User Libraries, and then click LV-Link3. The following VIs are shown:

DtOLClock

DtOLCloseTask

DtOLConfig

DtOLCreateTask

DtOLGetBoard

DtOLGetBoardNames

DtOLGetChanList

DtOLGetTEDS

DtOLRead

DtOLReStart

DtOLSetChanBridgeOptions

DtOLSetChanCurrentOptions

DtOLSetChanGain

DtOLSetChanIepeOptions

DtOLSetChanOptions

DtOLSetChanResistanceOptions

DtOLSetChanRtdOptions

DtOLSetChanStrain

DtOLSetChanThermistorOptions

DtOLSetChanThermocoupleOptions

DtOLStart

DtOLStop

DtOLSubsystem

DtOLTiming

DtOLTrigger

DtOLTriggerSource

DtOLWaitUntilDone

DTOLWaveformGenerate

DtOLWrite

Examples

PolySub VIs

Strain Calibration Utilities, Images, and Sub VIs

Sub VIs

Utility VIs

VIs (Low Level)


DtOLClock

For the specified task, sets and returns information pertaining to the clock source of a device.

Task In (required) specifies the task from which the clock information is obtained.
Clock Frequency specifies the frequency that you want to set for the clock source.
Set Frequency specifies whether to change the clock frequency to the value that you specified in Clock Frequency. If TRUE (X), the clock frequency is changed. If FALSE (checkmark), the default clock frequency is used.
External Divider specifies the external clock divider value that you want to set for the clock source.
Set Divider specifies whether to change the external clock divider value to the value that you specified in External Divider. If TRUE (X), the external divider value is changed. If FALSE (checkmark), the default external divider value is used.
Clock Source specifies which clock source (Internal or External) to use.
Set Source specifies whether to change the clock source to the value that you specified in Clock Source. If TRUE (X), the clock source is changed. If FALSE (checkmark), the default clock source is used.
error in describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Current Frequency contains the current frequency of the clock source on the device.
Min Frequency contains the minimum frequency of the clock source on the device.
Max Frequency contains the maximum frequency of the clock source on the device.
Current Divider contains the current external divider of the clock source on the device.
Min Divider contains the minimum external divider of the clock source on the device.
Max Divider contains the maximum external divider of the clock source on the device.
Task Out contains the task that is modified when this VI runs.
Base Clock Frequency contains the base clock frequency of the clock source on the device.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Support Simultaneous Clock is TRUE (X) if the device supports the ability to read or update multiple channels on a single clock pulse or FALSE (checkmark) if the device does not support the ability to read or update multiple channels on a single clock pulse.
Support External Clock is TRUE (X) if the device supports an external clock source or FALSE (checkmark) if the device does not support an external clock source.
Support Internal Clock is TRUE (X) if the device supports an internal clock source or FALSE (checkmark) if the device does not support an internal clock source.
External is TRUE (X) if Clock Source is set to External or FALSE (checkmark) if Clock Source is set to Internal.
Internal is TRUE (X) if Clock Source is set to Internal or FALSE (checkmark) if Clock Source is set to External.


DtOLCloseTask

Stops the task if it is running and releases all resources that are associated with the task. After a task is closed, you can no longer use it.

Task In (required) specifies the task to close.
error in describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


DtOLConfig

Configures the specified task.

Use this VI only if you have modified low-level subsystem properties in DT-Open Layers using one of the following VIs: DtOLGetBoard, DtOLSubsystem, DtOLGetChanList, DtOLClock, or DtOLTriggerSource. In this case, using the DtOLConfig VI after you have modified the subsystem properties applies the new settings to the task.

If you have not modified any low-level subsystem properties using the DtOLGetBoard, DtOLSubsystem, DtOLGetChanList, DtOLClock, or DtOLTriggerSource VIs, you do not need to use the DtOLConfig VI.

Task In (required) specifies the task to configure.
error in describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is configured when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


DtOLCreateTask

Creates one or more virtual channels, adds them to a task, and configures the task with the specified settings. The instances of this polymorphic VI correspond to the type of subsystem on which the channel resides (analog input, analog output, digital input, digital output, counter/timer, or quadrature decoder), and the measurement or output operation to perform, such as voltage measurement, event counting, or rate generation.

If you use this VI without specifying a Task In input, LV-Link creates a new task and allocates resources for it. These resources are not released until you call the DtOLCloseTask VI. If you use this VI within a loop without specifying a Task In input, LV-Link creates a new task in each iteration of the loop. When you are finished with the task, use the DtOLCloseTask VI within the loop to avoid allocating unnecessary memory.

Use the pull-down menu to select an instance of this VI.

Analog Input - Voltage

Creates one or more virtual analog input channels to measure voltage.

Note: If your device supports streaming digital inputs, counter/timers, and/or quadrature decoder inputs through the analog input subsystem, you must use the Analog Input - Raw instance of this VI to create virtual channels for the digital input ports, counter/timer channels, and/or quadrature decoder channels.

LV-Link automatically configures the appropriate data encoding (binary or twos complement) and resolution for the subsystem, and sets the gain for all analog input channels to 1. For devices that support a programmable gain, you can change the gain for individual channels using the DtOLSetChanGain VI.

For devices that support a bias return termination resistor, you can enable or disable the bias return termination resistor based on your wiring configuration using the LVI Set Termination Resistor VI .

To read the value of one or more virtual analog input channels, use the DtOLRead VI.

Range Max (optional) specifies the upper limit of the voltage range for the analog input subsystem.

If you do not wire a value to this input, LV-Link uses a value of 10.

For devices that support a programmable gain, you can change the effective input range for individual analog input channels using the DtOLSetChanGain VI. Refer to the documentation for your device to determine what voltage ranges and gains are supported.
Range Min (optional) specifies the lower limit of the voltage range for the analog input subsystem.

If you do not wire a value to this input, LV-Link uses a value of -10.

For devices that support a programmable gain, you can change the effective input range for individual analog input channels using the DtOLSetChanGain VI. Refer to the documentation for your device to determine what voltage ranges and gains are supported.
Channel Type (optional) specifies the configuration of the analog input channels. Possible values are as follows:
SingleEnded | (Default) Use this configuration when you want to measure high-level signals, noise is insignificant, the source of the input is close to the device, and all the input signals are referred to the same common ground.
Differential | Use this configuration when you want to measure low-level signals (less than 1 V), you are using an A/D converter with high resolution (greater than 12 bits), noise is a significant part of the signal, or common-mode voltage exists.

For pseudo-differential analog inputs, specify the SingleEnded channel type; in this case, how you wire these signals determines the configuration. This option provides less noise rejection than the differential configuration, but twice as many analog input channels.

If you do not wire a value to this input, LV-Link uses a value of SingleEnded.

Refer to your device documentation for information about wiring analog inputs to your device to match this configuration.
Board Name (optional) specifies the name of the DT-Open Layers PCI or USB device, as defined in the DT-Open Layers Control Panel applet, on which the analog input subsystem resides. We recommend that you specify a Board Name if you have multiple DT-Open Layers devices installed in your system.

If you do not wire a value to this input, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.
Channel (optional) specifies the name of one or more channels available to the analog input subsystem. LV-Link3 does not parse text, so we recommend that you specify a physical channel number, such as 0, rather than a string, such as Ain 0 (as LV-Link3 cannot distinguish Aout 0 from Ain 0).

To specify a range of channels, use a colon to separate the first channel and the last channel in the range. For example, 0:3 specifies analog input channels 0 through 3. To specify a list of individual channels, use a comma to separate each channel in the list. For example, 0, 4 specifies analog input channels 0 and 4 in the list.

If you do not wire a value to this input, LV-Link uses 0 as the channel name.
Element (optional) specifies the subsystem instance to use if the device has multiple instances of the same subsystem type. For example, if your devices has two analog input subsystems, the first subsystem instance is element 0 and the second subsystem instance is 1. Most DT-Open Layers devices have only one analog input subsystem (element 0).

If you do not wire a value to this input, LV-Link uses element 0.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is created or modified when this VI runs.
Actual Number of Channels contains the actual number of virtual analog input channels that are created when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Analog Input - Raw

Creates one or more virtual analog input channels to measure raw counts. If your device supports streaming digital inputs, counter/timers, and/or quadrature decoder inputs through the analog input subsystem, this VI also creates one or more virtual channels for the digital input ports, counter/timer channels, and/or quadrature decoder channels.

LV-Link automatically configures the appropriate data encoding (binary or twos complement) and resolution for the subsystem, and sets the gain for all analog input channels to 1. For devices that support a programmable gain, you can change the gain for individual channels using the DtOLSetChanGain VI.

To read the value of one or more virtual channels that were created using this VI, use the DtOLRead VI.

Range Max (optional) specifies the upper limit of the voltage range for the analog input subsystem.

If you do not wire a value to this input, LV-Link uses a value of 10.

For devices that support a programmable gain, you can change the effective input range for individual analog input channels using the DtOLSetChanGain VI. Refer to the documentation for your device to determine what voltage ranges and gains are supported.
Range Min (optional) specifies the lower limit of the voltage range for the analog input subsystem.

If you do not wire a value to this input, LV-Link uses a value of -10.

For devices that support a programmable gain, you can change the effective input range for individual analog input channels using the DtOLSetChanGain VI. Refer to the documentation for your device to determine what voltage ranges and gains are supported.
Channel Type (optional) specifies the configuration of the analog input channels. Possible values are as follows:

SingleEnded | (Default) Use this configuration when you want to measure high-level signals, noise is insignificant, the source of the input is close to the device, and all the input signals are referred to the same common ground.
Differential | Use this configuration when you want to measure low-level signals (less than 1 V), you are using an A/D converter with high resolution (greater than 12 bits), noise is a significant part of the signal, or common-mode voltage exists.

For pseudo-differential analog inputs, specify the SingleEnded channel type; in this case, how you wire these signals determines the configuration. This option provides less noise rejection than the differential configuration, but twice as many analog input channels.

If you do not wire a value to this input, LV-Link uses a value of SingleEnded.

Refer to your device documentation for information about wiring analog inputs to your device to match this configuration.
Board Name (optional) specifies the name of the DT-Open Layers PCI or USB device, as defined in the DT-Open Layers Control Panel applet, on which the analog input subsystem resides. We recommend that you specify a Board Name if you have multiple DT-Open Layers devices installed in your system.

If you do not wire a value to this input, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.
Channel (optional) specifies the name of one or more channels available to the analog input subsystem. LV-Link3 does not parse text, so we recommend that you specify a physical channel number, such as 0, rather than a string, such as Ain 0 (as LV-Link3 cannot distinguish Aout 0 from Ain 0).

To specify a range of channels, use a colon to separate the first channel and the last channel in the range. For example, 0:3 specifies analog input channels 0 through 3. To specify a list of individual channels, use a comma to separate each channel in the list. For example, 0,2,4 for the DT9832 specifies analog input channels 0 and 2 and the digital input port in the analog input channel list.

If you do not wire a value to this input, LV-Link uses 0 as the channel name.
Element (optional) specifies the subsystem instance to use if the device has multiple instances of the same subsystem type. For example, if your devices has two analog input subsystems, the first subsystem instance is element 0 and the second subsystem instance is 1. Most DT-Open Layers devices have only one analog input subsystem (element 0).

If you do not wire a value to this input, LV-Link uses element 0.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is created or modified when this VI runs.
Actual Number of Channels contains the actual number of virtual analog input channels that are created when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Analog Output - Voltage

Creates one or more virtual analog output channels to output voltage.

If your device supports streaming digital outputs through the analog output subsystem, you must use the Analog Output - Raw instance of this VI to create virtual channels for the digital output ports. For these channels, the data is output as raw counts.

LV-Link automatically configures the data encoding (binary or twos complement) and resolution for the subsystem, and sets the gain for all analog output channels to 1.

You can update the value of one or more virtual analog output channels using the DtOLWrite VI.

Range Max (optional) specifies the upper limit of the voltage range for the analog output subsystem.

If you do not wire a value to this input, LV-Link uses a value of 10.

Typically, most devices support one or more voltage output ranges that you can choose from for the analog output subsystem, and a gain of 1 for all analog output channels. Refer to the documentation for your device to determine what output voltage ranges and gains are supported for the analog output subsystem.
Range Min (optional) specifies the lower limit of the voltage range for the analog output subsystem.

If you do not wire a value to this input, LV-Link uses a value of -10.

Typically, most devices support one or more voltage output ranges that you can choose from for the analog output subsystem, and a gain of 1 for all analog output channels. Refer to the documentation for your device to determine what output voltage ranges and gains are supported for the analog output subsystem.
Board Name (optional) specifies the name of the DT-Open Layers PCI or USB device, as defined in the DT-Open Layers Control Panel applet, on which the analog output subsystem resides. We recommend that you specify a Board Name if you have multiple DT-Open Layers devices installed in your system.

If you do not wire a value to this input, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.
Channel (optional) specifies the name of one or more channels available to the analog output subsystem. LV-Link3 does not parse text, so we recommend that you specify a physical channel number, such as 0, rather than a string, such as Aout 0 (as LV-Link3 cannot distinguish Aout 0 from Ain 0).

To specify a range of channels, use a colon to separate the first channel and the last channel in the range. For example, 0:3 specifies analog output channels 0 through 3. To specify a list of individual channels, use a comma to separate each channel in the list. For example, 0,3 specifies analog output channels 0 and 3 in the list.

If you do not wire a value to this input, LV-Link uses 0 as the channel name.
Element (optional) specifies the subsystem instance to use if the devices has multiple instances of the same subsystem type. For example, if your devices has two analog output subsystems, the first subsystem instance is element 0 and the second subsystem instance is 1. On some DT-Open Layers devices, an analog output subsystem element (usually element 1) is used to control the analog trigger threshold value. Refer to your device documentation for more information.

If you do not wire a value to this input, LV-Link uses element 0.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is created or modified when this VI runs.
Actual Number of Channels contains the actual number of virtual analog output channels that are created when this VI runs.

error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Analog Output - Raw

Creates one or more virtual analog output channels to output raw counts. If your device supports streaming digital outputs through the analog output subsystem, this VI also creates one or more virtual channels for the digital output ports.

LV-Link automatically configures the appropriate data encoding (binary or twos complement) and resolution for the subsystem, and sets the gain for all analog output channels to 1.

You can update the value of one or more virtual analog output channels using the DtOLWrite VI.

Range Max (optional) specifies the upper limit of the voltage range for the analog output subsystem.

If you do not wire a value to this input, LV-Link uses a value of 10.

Typically, most devices support one or more voltage output ranges that you can choose from for the analog output subsystem, and a gain of 1 for all analog output channels. Refer to the documentation for your device to determine what output voltage ranges and gains are supported for the analog output subsystem.
Range Min (optional) specifies the lower limit of the voltage range for the analog output subsystem.

If you do not wire a value to this input, LV-Link uses a value of 10.

Typically, most devices support one or more voltage output ranges that you can choose from for the analog output subsystem, and a gain of 1 for all analog output channels. Refer to the documentation for your device to determine what output voltage ranges and gains are supported for the analog output subsystem.
Board Name (optional) specifies the name of the DT-Open Layers PCI or USB device, as defined in the DT-Open Layers Control Panel applet, on which the analog output subsystem resides. We recommend that you specify a Board Name if you have multiple DT-Open Layers devices installed in your system.

If you do not wire a value to this input, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.
Channel (optional) specifies the name of one or more channels available to the analog output subsystem. LV-Link3 does not parse text, so we recommend that you specify a physical channel number, such as 0, rather than a string, such as Aout 0 (as LV-Link3 cannot distinguish Aout 0 from Ain 0).

To specify a range of channels, use a colon to separate the first channel and the last channel in the range. For example, 0:3 specifies analog output channels 0 through 3. To specify a list of individual channels, use a comma to separate each channel in the list. For example, 0,1,2 for the DT9832 specifies analog output channels 0 and 1 and the digital output port in the analog output channel list.

If you do not wire a value to this input, LV-Link uses 0 as the channel name.
Element (optional) specifies the subsystem instance to use if the devices has multiple instances of the same subsystem type. For example, if your devices has two analog output subsystems, the first subsystem instance is element 0 and the second subsystem instance is 1. On some DT-Open Layers devices, an analog output subsystem element (usually element 1) is used to control the analog trigger threshold value. Refer to your device documentation for more information.

If you do not wire a value to this input, LV-Link uses element 0.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is created or modified when this VI runs.
Actual Number of Channels contains the actual number of virtual analog output channels that are created when this VI runs.

error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Counter Input - Events

Creates one or more virtual counter/timer channels that count digital pulses from an external signal, which is connected to the counter/timer's clock input source, when the counter/timer is enabled (determined by the counter/timer's gate input signal). This type of task is also known as event counting.

Once you have created a virtual counter/timer channel for an event counting task, use the DtOLRead (Read Single Channel - Single Sample - Real) VI to start the task and read the count.

If your device allows you to stream counter/timer data through an analog input subsystem, you can use this VI to configure the counter/timer channel before you add it to the analog input task. Click here for details.

Board Name (optional) specifies the name of the DT-Open Layers PCI or USB device, as defined in the DT-Open Layers Control Panel applet, on which the counter/timer subsystem resides. We recommend that you specify a Board Name if you have multiple DT-Open Layers devices installed in your system.

If you do not wire a value to this input, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.
Counter Num (optional) specifies the counter/timer subsystem to use.

If you do not wire a value to this input, LV-Link uses counter/timer 0.
Gate Type (optional) specifies the type of gate signal to use for the event counting operation. Possible values are as follows:
None | (Default) The signal connected to the counter/timer's gate input connector has no effect. The operation is enabled automatically.
High Level | Events are counted when the external gate signal is high and are not counted when the external gate signal is low.
Low Level | Events are counted when the external gate signal is low and are not counted when the external gate signal is high.

If you do not wire a value to this input, LV-Link uses a value of None.

error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is created or modified when this VI runs.

error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Counter Input - Up-Down

Creates one or more virtual counter/timer channels that count digital pulses from an external signal that is connected to the counter/timer's clock input source. If the gate input signal of the counter/timer is high, the count is incremented. If the gate input signal of the counter/timer is low, the count is decremented.

This type of task is also known as up/down counting. To use this VI, your device must support up/down counting mode.

Once you have created a virtual counter/timer channel for an up/down counting task, you can start the task and read the count using the DtOLRead (Read Single Channel - Single Sample - Real) VI.

Board Name (optional) specifies the name of the DT-Open Layers PCI or USB device, as defined in the DT-Open Layers Control Panel applet, on which the counter/timer subsystem resides. We recommend that you specify a Board Name if you have multiple DT-Open Layers devices installed in your system.

If you do not wire a value to this input, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.
Counter Num (optional) specifies the counter/timer subsystem to use.

If you do not wire a value to this input, LV-Link uses counter/timer 0.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is created or modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Counter Input - Frequency

Creates one or more virtual counter/timer channels that measure the frequency, in kHz, of an external digital signal that is connected to the counter/timer's clock input or gate input source.

Note that internally, this VI measures the frequency of the input line based on two consecutive rising edges on the specified input line. Therefore, to use this VI your device must support edge-to-edge measurement mode.

Once you have created a virtual counter/timer channel for a frequency measurement task, you can start the task and read the frequency using the DtOLRead (Read Single Channel - Single Sample - Real) VI.

Board Name (optional) specifies the name of the DT-Open Layers PCI or USB device, as defined in the DT-Open Layers Control Panel applet, on which the counter/timer subsystem resides. We recommend that you specify a Board Name if you have multiple DT-Open Layers devices installed in your system.

If you do not wire a value to this input, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.
Counter Num (optional) specifies the counter/timer subsystem to use.

If you do not wire a value to this input, LV-Link uses counter/timer 0.
Input Line (optional) specifies which of the inputs of the counter/timer to measure. Possible values are as follows:
ClockInput | (Default) The counter/timer measures the frequency of the signal connected to the clock input source.
GateInput | The counter/timer measures the frequency of the signal connected to the gate input source.

If you do not wire a value to this input, LV-Link uses a value of ClockInput.

error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is created or modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Counter Input - Period

Creates one or more virtual counter/timer channels that measure the period, in milliseconds, of an external digital signal that is connected to the counter/timer's clock input or gate input source.

Note that internally, this VI measures the period of the input line based on two consecutive rising edges on the specified input line. Therefore, to use this VI your device must support edge-to-edge measurement mode.

Once you have created a virtual counter/timer channel for a period measurement task, you can start the task and read the period using the DtOLRead (Read Single Channel - Single Sample - Real) VI.

Board Name (optional) specifies the name of the DT-Open Layers PCI or USB device, as defined in the DT-Open Layers Control Panel applet, on which the counter/timer subsystem resides. We recommend that you specify a Board Name if you have multiple DT-Open Layers devices installed in your system.

If you do not wire a value to this input, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.
Counter Num (optional) specifies the counter/timer subsystem to use.

If you do not wire a value to this input, LV-Link uses counter/timer 0.
Input Line (optional) specifies which of the inputs of the counter/timer to measure. Possible values are as follows:
ClockInput | (Default) The counter/timer will measure the period of the signal connected to the clock input source.
GateInput | The counter/timer will measure the period of the signal connected to the gate input source.

If you do not wire a value to this input, LV-Link uses a value of ClockInput.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is created or modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Counter Input - Time Between Edges

Creates one or more virtual counter/timer channels that measure the time, in milliseconds, between a specified start edge and stop edge of the counter's clock or gate input signal, and then stops.

The start edge and the stop edge can occur on the rising edge of the gate input signal, the falling edge of the gate input signal, the rising edge of the clock input signal, or the falling edge of the clock input signal.

This type of task is also called edge-to-edge measurement. To use this VI, your device must support edge-to-edge measurement mode.

Once you have created a virtual counter/timer channel for an edge-to-edge measurement task, you can start the task and read the measurement using the DtOLRead (Read Single Channel - Single Sample - Real) VI. Note that if you read the counter/timer before the measurement is complete, 0 is returned.

To read another value, you must first restart the task using the ReStart VI. If you want the edge-to-edge measurement to restart automatically, use the DtOLCreateTask (Counter Input - Cont Measure) VI instead.

Stop Edge (optional) specifies the signal edge that stops the measurement. Possible values are as follows:
ClockRising | (Default) The measurement stops when the counter/timer detects a rising edge on the clock input signal.
ClockFalling | The measurement stops when the counter/timer detects a falling edge on the clock input signal.
GateRising | The measurement stops when the counter/timer detects a rising edge on the gate input signal.
GateFalling | The measurement stops when the counter/timer detects a falling edge on the gate input signal.

If you do not wire a value to this input, LV-Link uses a value of ClockRising.
Start Edge (optional) specifies the signal edge that starts the measurement. Possible values are as follows:
ClockRising | (Default) The measurement starts when the counter/timer detects a rising edge on the clock input signal.
ClockFalling | The measurement starts when the counter/timer detects a falling edge on the clock input signal.
GateRising | The measurement starts when the counter/timer detects a rising edge on the gate input signal.
GateFalling | The measurement starts when the counter/timer detects a falling edge on the gate input signal.

If you do not wire a value to this input, LV-Link uses a value of ClockRising.
Board Name (optional) specifies the name of the DT-Open Layers PCI or USB device, as defined in the DT-Open Layers Control Panel applet, on which the counter/timer subsystem resides. We recommend that you specify a Board Name if you have multiple DT-Open Layers devices installed in your system.

If you do not wire a value to this input, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.
Counter Num (optional) specifies the counter/timer subsystem to use.

If you do not wire a value to this input, LV-Link uses counter/timer 0.

error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is created or modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Counter Input - Cont Measure

Creates one or more virtual counter/timer channels that measure the time, in milliseconds, between a specified start edge and stop edge of the counter's clock or gate input signal; then, unlike the DtOLCreateTask - Time Between Edges VI, automatically restarts the next measurement.

This type of task is also called continuous edge-to-edge measurement. To use this VI, your counter/timer subsystem must support continuous edge-to-edge measurement mode.

Once you have created a virtual counter/timer channel for a continuous edge-to-edge measurement task, you can start the task and read the measurement using the DtOLRead (Read Single Channel - Single Sample - Real) VI. Note that if you read the counter/timer before the measurement is complete, 0 is returned.

If your device allows you to stream counter/timer data through an analog input subsystem, you can use this VI to configure the counter/timer channel or measure counter before you add it to the analog input task. Click here for details.

Stop Edge (optional) specifies the signal edge that stops the current measurement. Possible values are as follows:
GateRising | The measurement stops on the rising edge of the gate input signal associated with the counter/timer. This option is generally available for general-purpose counter/timers only rather than measure counters.
GateFalling | The measurement stops on the falling edge of the gate input signal associated with the counter/timer. This option is generally available for general-purpose counter/timers only rather than measure counters.
ClockRising | (Default) The measurement stops on the rising edge of the clock input signal associated with the counter/timer. This option is generally available for general-purpose counter/timers only rather than measure counters.
ClockFalling | The measurement stops on the falling edge of the clock input signal associated with the counter/timer. This option is generally available for general-purpose counter/timers only rather than measure counters.
AdcConversionComplete | The measurement stops when the A/D conversion is complete. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
TachInputFalling | The measurement stops on the falling edge of the tachometer input signal. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
TachInputRising | The measurement stops on the rising edge of the tachometer input signal. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn0Falling | The measurement stops on the falling edge of digital input signal 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn0Rising | The measurement stops on the rising edge of digital input signal 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn1Falling | The measurement stops on the falling edge of digital input signal 1. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn1Rising | The measurement stops on the rising edge of digital input signal 1. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn2Falling | The measurement stops on the falling edge of digital input signal 2. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn2Rising | The measurement stops on the rising edge of digital input signal 2. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn3Falling | The measurement stops on the falling edge of digital input signal 3. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn3Rising | The measurement stops on the rising edge of digital input signal 3. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn4Falling | The measurement stops on the falling edge of digital input signal 4. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn4Rising | The measurement stops on the rising edge of digital input signal 4. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn5Falling | The measurement stops on the falling edge of digital input signal 5. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn5Rising | The measurement stops on the rising edge of digital input signal 5. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn6Falling | The measurement stops on the falling edge of digital input signal 6. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn6Rising | The measurement stops on the rising edge of digital input signal 6. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn7Falling | The measurement stops on the falling edge of digital input signal 7. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn7Rising | The measurement stops on the rising edge of digital input signal 7. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
Ct0ClockFalling | The measurement stops on the falling edge of the clock input signal associated with counter/timer 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
Ct0ClockRising | The measurement stops on the rising edge of the clock input signal associated with counter/timer 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
Ct0GateFalling | The measurement stops on the falling edge of the gate input signal associated with counter/timer 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
Ct0GateRising | The measurement stops on the rising edge of the gate input signal associated with counter/timer 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.

If you do not wire a value to this input, LV-Link uses a value of ClockRising.
Start Edge (optional) specifies the signal edge that starts the current measurement. Possible values are as follows:

GateRising | The measurement starts on the rising edge of the gate input signal associated with the counter/timer. This option is generally available for general-purpose counter/timers only rather than measure counters.
GateFalling | The measurement starts on the falling edge of the gate input signal associated with the counter/timer. This option is generally available for general-purpose counter/timers only rather than measure counters.
ClockRising | (Default) The measurement starts on the rising edge of the clock input signal associated with the counter/timer. This option is generally available for general-purpose counter/timers only rather than measure counters.
ClockFalling | The measurement starts on the falling edge of the clock input signal associated with the counter/timer. This option is generally available for general-purpose counter/timers only rather than measure counters.
AdcConversionComplete | The measurement starts when the A/D conversion is complete. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
TachInputFalling | The measurement starts on the falling edge of the tachometer input signal. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
TachInputRising | The measurement starts on the rising edge of the tachometer input signal. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn0Falling | The measurement starts on the falling edge of digital input signal 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn0Rising | The measurement starts on the rising edge of digital input signal 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn1Falling | The measurement starts on the falling edge of digital input signal 1. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn1Rising | The measurement starts on the rising edge of digital input signal 1. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn2Falling | The measurement starts on the falling edge of digital input signal 2. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn2Rising | The measurement starts on the rising edge of digital input signal 2. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn3Falling | The measurement starts on the falling edge of digital input signal 3. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn3Rising | The measurement starts on the rising edge of digital input signal 3. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn4Falling | The measurement starts on the falling edge of digital input signal 4. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn4Rising | The measurement starts on the rising edge of digital input signal 4. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn5Falling | The measurement starts on the falling edge of digital input signal 5. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn5Rising | The measurement starts on the rising edge of digital input signal 5. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn6Falling | The measurement starts on the falling edge of digital input signal 6. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn6Rising | The measurement starts on the rising edge of digital input signal 6. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn7Falling | The measurement starts on the falling edge of digital input signal 7. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
DigitalIn7Rising | The measurement starts on the rising edge of digital input signal 7. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
Ct0ClockFalling | The measurement starts on the falling edge of the clock input signal associated with counter/timer 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
Ct0ClockRising | The measurement starts on the rising edge of the clock input signal associated with counter/timer 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
Ct0GateFalling | The measurement starts on the falling edge of the gate input signal associated with counter/timer 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
Ct0GateRising | The measurement starts on the rising edge of the gate input signal associated with counter/timer 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.

If you do not wire a value to this input, LV-Link uses a value of ClockRising.
Board Name (optional) specifies the name of the DT-Open Layers PCI or USB device, as defined in the DT-Open Layers Control Panel applet, on which the counter/timer subsystem resides. We recommend that you specify a Board Name if you have multiple DT-Open Layers devices installed in your system.

If you do not wire a value to this input, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.
Counter Num (optional) specifies the counter/timer subsystem to use.

If you do not wire a value to this input, LV-Link uses counter/timer 0.

error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is created or modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Counter Output - Pulse

Creates one or more virtual counter/timer channels that output a single pulse for a specified duration (in milliseconds) the first time that the device detects a trigger (determined by the counter/timer's gate input signal). You can use this pulse output signal as an external digital (TTL) trigger for other tasks, such as analog input or analog output tasks. This type of task is also known as a one-shot.

Once you have created a virtual counter/timer channel for a one-shot task, use the DtOLStart VI to start the task. To output another value, use the DtOLReStart VI to restart the task.

When the counter/timer is triggered, a single pulse is output; then, the one-shot task stops. All subsequent gate input signals to the counter/timer are ignored.

Pulse Polarity (optional) specifies the polarity of the output pulse. Possible values are as follows:
LowToHigh | (Default) The low portion of the total pulse output period is the active portion of the counter/timer clock output signal.
HighToLow | The high portion of the total pulse output period is the active portion of the counter/timer pulse output signal.

If you do not wire a value to this input, LV-Link uses a value of LowToHigh.
Requested Pulse Width (msec) (required) specifies the duration, in milliseconds, that the pulse is output.

If it cannot achieve the exact pulse width that was requested, the device will use a pulse width as close as possible to the requested value. The actual pulse width that is used is returned by this VI in the Actual Pulse Width (msec) output.

The default value is 1 ms.
Board Name (optional) specifies the name of the DT-Open Layers PCI or USB device, as defined in the DT-Open Layers Control Panel applet, on which the counter/timer subsystem resides. We recommend that you specify a Board Name if you have multiple DT-Open Layers devices installed in your system.

If you do not wire a value to this input, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.
Counter Num (optional) specifies the counter/timer subsystem to use.

If you do not wire a value to this input, LV-Link uses counter/timer 0.
Trigger (optional) specifies the operation of the counter's gate input signal for the one-shot operation. Possible values are as follows:
Immediate | The signal connected to the counter/timer's gate input connector has no effect. A single pulse is output immediately when the DtOLStart or DtOLReStart VI is called.
RisingEdge | (Default) Once the DtOLStart or DtOLReStart VI is called, a single pulse is output the first time that the signal connected to the counter/timer's gate input changes from a low level to a high level (rising edge).
FallingEdge | Once the DtOLStart or DtOLReStart VI is called, a single pulse is output the first time that the signal connected to the counter/timer's gate input changes from a high level to a low level (falling edge).

If you do not wire a value to this input, LV-Link uses a value of RisingEdge.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is created or modified when this VI runs.
Actual Pulse Width (msec) is the actual pulse width, in milliseconds, that the device will use when this VI runs.

error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Counter Output - Repeat Pulse

Creates one or more virtual counter/timer channels that output a single pulse for a specified duration (in milliseconds) each time that the device detects a trigger (determined by the counter/timer's gate input signal). This type of task is also known as repetitive one-shot.

You can use a repetitive one-shot task to clean up a poor clock input signal by changing its pulse width, then outputting it.

Once you have created a virtual counter/timer channel for a repetitive one-shot task, use the DtOLStart VI to start the task.

Pulse Polarity (optional) specifies the polarity of the output pulse. Possible values are as follows:
LowToHigh | The low portion of the total pulse output period is the active portion of the counter/timer clock output signal.
HighToLow | (Default) The high portion of the total pulse output period is the active portion of the counter/timer pulse output signal.

If you do not wire a value to this input, LV-Link uses a value of HighToLow.
Requested Pulse Width (msec) (required) specifies the duration, in milliseconds, that the pulse is output.

If it cannot achieve the exact pulse width that was requested, the device will use a pulse width as close as possible to the requested value. The actual pulse width that is used is returned by this VI in the Actual Pulse Width (msec) output.

The default value is 1 ms.
Board Name (optional) specifies the name of the DT-Open Layers PCI or USB device, as defined in the DT-Open Layers Control Panel applet, on which the counter/timer subsystem resides. We recommend that you specify a Board Name if you have multiple DT-Open Layers devices installed in your system.

If you do not wire a value to this input, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.
Counter Num (optional) specifies the counter/timer subsystem to use.

If you do not wire a value to this input, LV-Link uses counter/timer 0.
Trigger (optional) specifies the operation of the counter's gate input signal for the repetitive one-shot operation. Possible values are as follows:
RisingEdge | (Default) Once the DtOLStart VI is called, a single pulse is output every time that the signal connected to the counter/timer's gate input changes from a low level to a high level (rising edge).
FallingEdge | Once the DtOLStart VI is called, a single pulse is output every time that the signal connected to the counter/timer's gate input changes from a high level to a low level (falling edge).

If you do not wire a value to this input, LV-Link uses a value of RisingEdge.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is created or modified when this VI runs.
Actual Pulse Width (msec) is the actual pulse width, in milliseconds, that the device will use when this VI runs.

error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Counter Output - Rate

Creates one or more virtual counter/timer channels that generate output pulses continuously at a specified frequency (in Hz) when the counter/timer is enabled (determined by the counter/timer's gate input signal). This type of task is also known as rate generation or continuous pulse output.

You can use the pulse output signal as an external clock to pace other tasks, such as analog input, analog output, or other counter/timer tasks.

Once you have created a virtual counter/timer channel for rate generation, use the DtOLStart VI to start the task.

Duty Cycle (optional) specifies the percentage of the total pulse output period that is active. Values range from 0 to 100%. For example, if the active part of the pulse is a high signal, then, a duty cycle of 80 indicates that 80% of output pulse is high and 20% is low.

If you do not wire a value to this input, LV-Link uses a value of 50% (square wave).
Requested Frequency (Hz) (required) specifies the frequency, in Hertz, of the output pulse.

If it cannot achieve the exact frequency that was requested, the device will use a frequency as close as possible to the requested value. The actual frequency that is used is returned by this VI in the Actual Frequency (Hz) output.

The default value is 1000 Hz.
Board Name (optional) specifies the name of the DT-Open Layers PCI or USB device, as defined in the DT-Open Layers Control Panel applet, on which the counter/timer subsystem resides. We recommend that you specify a Board Name if you have multiple DT-Open Layers devices installed in your system.

If you do not wire a value to this input, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.
Counter Num (optional) specifies the counter/timer subsystem to use.

If you do not wire a value to this input, LV-Link uses counter/timer 0.
Gate Type (optional) specifies the operation of the counter's gate input signal for the rate generation operation. Possible values are as follows:
None | (Default) The signal connected to the counter/timer's gate input connector has no effect. The operation is enabled automatically.
High Level | When the external gate signal is high, the counter/timer generates output pulses on its clock output line; when the external gate signal is low, output pulses are not generated.
Low Level | When the external gate signal is low, the counter/timer generates output pulses on its clock output line; when the external gate signal is high, output pulses are not generated.

If you do not wire a value to this input, LV-Link uses a value of None.

error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is created or modified when this VI runs.
Actual Frequency (Hz) is the actual frequency, in Hz, that the device will use when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Digital Input

Creates one or more virtual digital input ports that you can read. LV-Link automatically configures the digital input port with the default resolution supported by the subsystem.

Some DT-Open Layers devices have bidirectional digital ports. For these ports, calling this VI configures the digital port as an input. If you then try to call the Digital Output instance of this VI on the same port, an error will result. To reconfigure the port as an output, you must first stop the digital input task by calling the DtOLStop VI, and then call the Digital Output instance of this VI.

Once you have created a virtual digital input port, use the DtOLRead (Read Single Channel - Single Sample - Real) VI to start the task and read the value of the port.

Board Name (optional) specifies the name of the DT-Open Layers PCI or USB device, as defined in the DT-Open Layers Control Panel applet, on which the digital input subsystem resides. We recommend that you specify a Board Name if you have multiple DT-Open Layers devices installed in your system.

If you do not wire a value to this input, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.
Port Number (optional) specifies the digital input subsystem to read.

If you do not wire a value to this input, LV-Link uses digital input subsystem 0.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is created or modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Digital Output

Creates one or more virtual digital output ports that you can update. LV-Link automatically configures the digital output port with the default resolution supported by the subsystem.

Some DT-Open Layers devices have bidirectional digital ports. For these ports, calling this VI configures the digital port as an output. If you then try to call the Digital Input instance of this VI on the same port, an error will result. To reconfigure the port as an input, you must first stop the digital output task by calling the DtOLStop VI, and then call the Digital Input instance of this VI.

Once you have created a virtual digital output port, you can start the task and update the port using the DtOLWrite (Write Single Channel - Single Sample) VI.

Board Name (optional) specifies the name of the DT-Open Layers PCI or USB device, as defined in the DT-Open Layers Control Panel applet, on which the digital output subsystem resides. We recommend that you specify a Board Name if you have multiple DT-Open Layers devices installed in your system.

If you do not wire a value to this input, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.
Port Number (optional) specifies the digital output subsystem to update.

If you do not wire a value to this input, LV-Link uses digital input subsystem 0.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is created or modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Quad Encoder Input

Creates one or more virtual quadrature decoder channels that you can read to determine the current position, in counts, of a quadrature encoder input.

Once you have created a virtual quadrature decoder channel, use the DtOLRead (Read Single Channel - Single Sample - Real) VI to start the task and read the quadrature decoder.

X4Scaling (optional) specifies whether X4 or X1 scaling is used on the inputs.

If True, X4 scaling is used; in this mode, each edge of the A and B inputs of the quadrature decoder are counted, resulting in a count that is four times as large for better positional accuracy.

If False, X1 scaling is used.

If you do not wire a value to this input, LV-Link uses a value of False (X1 scaling).
Index Mode (optional) specifies the function of the Index input of the quadrature decoder. Possible values are as follows:
Disable | (Default) The Index input signal has no effect on the count of the quadrature decoder. Note that you must set the IndexMode input to Disabled if you set the X4Scaling input to True.
Low | The quadrature decoder resets the count to 0 whenever it detects a TTL low on the Index input signal.
High | The quadrature decoder resets the count to 0 whenever it detects a TTL high on the Index input signal.

If you do not wire a value to this input, LV-Link uses a value of Disable.
Clock Prescale (optional) specifies the prescale value to apply to the onboard base clock to filter the sampling frequency. Values for this property range from 1 to 255. In general, the larger the number, the more filtering is applied, resulting in greater noise immunity and lower bandwidth.

For example, if you are using a device with a base clock of 36 MHz and specify a pre-scale value of 1, the resulting sampling frequency is 36 MHz (36 MHz/1). Similarly, if you specify a pre-scale value of 128 when using a device with a 48 MHz base clock, the resulting sampling frequency is 37.5 kHz (48 MHz/128).

If you do not wire a value to this input, LV-Link uses a value of 128.
Board Name (optional) specifies the name of the DT-Open Layers PCI or USB device, as defined in the DT-Open Layers Control Panel applet, on which the quadrature decoder subsystem resides. We recommend that you specify a Board Name if you have multiple DT-Open Layers devices installed in your system.

If you do not wire a value to this input, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.
Quad Decoder Num (optional) specifies the quadrature decoder subsystem to use.

If you do not wire a value to this input, LV-Link uses quadrature decoder 0.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is created or modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page


DtOLGetBoard

For the specified device, subsystem element, and channel type, returns information about the device, including the board model name, driver name, driver revision, device name, and serial number.

Board Name (optional) specifies the name of the DT-Open Layers PCI or USB device from which to retrieve information. This name is defined in the DT-Open Layers Control Panel applet.

If you do not wire a value to this input, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.
Element (optional) specifies the subsystem instance to use if the device has multiple instances of the same subsystem type. For example, if your devices has two analog input subsystems, the first subsystem instance is element 0 and the second subsystem instance is 1. Most DT-Open Layers devices have only one analog input subsystem (element 0).

If you do not wire a value to this input, LV-Link uses element 0.
Channel Type (optional) specifies the configuration of the analog input channels. Possible values are as follows:
SingleEnded | (Default) Use this configuration when you want to measure high-level signals, noise is insignificant, the source of the input is close to the device, and all the input signals are referred to the same common ground.
Differential | Use this configuration when you want to measure low-level signals (less than 1 V), you are using an A/D converter with high resolution (greater than 12 bits), noise is a significant part of the signal, or common-mode voltage exists.

For pseudo-differential analog inputs, specify the SingleEnded channel type; in this case, how you wire these signals determines the configuration. This option provides less noise rejection than the differential configuration, but twice as many analog input channels.

If you do not wire a value to this input, LV-Link uses a value of SingleEnded.

Refer to your device documentation for information about wiring analog inputs to your device to match this configuration.
error in describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Board Model Name contains the model number of the device.
Task Out contains the task that is modified when this VI runs.
Driver Name contains the name of the driver that is used by the specified device.
Driver Revision contains the revision of the driver that is used by the specified device.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Device Name contains the name of the device as defined in the DT-Open Layers Control Panel applet.
SerialNumber contains the serial number of the specified device.


DtOLGetBoardNames

Returns the names of all DT-Open Layers-compliant devices that are installed in the system.

Select Board specifies the number of the DT-Open Layers-compliant device whose name you want to return. If Select Board is 0, this VI returns the number of DT-Open Layers-compliant devices connected to the system. If Select Board is not 0, this VI returns the number of DT-Open Layers-compliant devices connected to the system as well as the name of the device specified by Select Board.
error in describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Number of boards contains the number of DT-Open Layers-compliant devices that are connected to the system.
Board Name contains the name of the DT-Open Layers-compliant device for the specified Board Number. The Board Name is defined in the DT-Open Layers Control Panel applet.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


DtOLGetChanList

For the specified task, returns information about the channel-gain list, including the depth of the channel-gain list and the current channel list count.

Task In (required) specifies the task from which the channel-gain list information is obtained.
error in describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
Channel Gain List Depth contains the maximum size of the channel-gain list.
Current Channel List Count contains the current number of channels included in the channel-gain list.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


DtOLGetTEDS

Returns TEDS information for a strain gage or a bridge-based sensor that is associated with a virtual analog channel that was created using one of the following instances of the DtOLCreateTask VI:

  • Analog Input - Voltage

  • Analog Input - Raw

The instances of this polymorphic VI specify the type of sensor and whether to retrieve information from the hardware directly (hardware TEDS) or from a data file (virtual TEDS).

Use the pull-down menu to select an instance of this VI.

Hardware TEDS - Strain Gage

Returns TEDS data directly from the hardware of a strain gage.

Task In (required) specifies the task containing the virtual channel to read. This task must have been created using the DtOLCreateTask VI.
Channel specifies the number of the analog input channel that is connected to the strain gage.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
BasicTeds
ManufacturerId identifies the manufacturer of the sensor from the TEDS data for the channel.
ModelNumber is the model number of the sensor from the TEDS data for the channel.
VersionNumber is the version number of the sensor from the TEDS data for the channel.
SerialNumber is the serial number of the sensor from the TEDS data for the channel.
VersionLetter is the version letter of the sensor from the TEDS data for the channel.
StrainTeds
ResponseTime is the response time, in seconds, that was specified in the TEDS data for the channel.
CalibrationDate is the calibration date that was specified in the TEDS data for the channel.
CalibrationPeriod is the calibration period that was specified in the TEDS data for the channel.
MeasurementLocationId is the measurement location ID that was specified in the TEDS data for the channel.
GageType is the type of gage that was specified in the TEDS data for the channel. Values are as follows:
  • 0 - SingleElement - Single element gage.
  • 1 - TwoPoissonElements - Two elements with a Poisson arrangement.
  • 2 - TwoOppositeSignedElements - Two elements, opposite sign (adjacent arms).
  • 3 - TwoSameSignedElements - Two elements, same sign (opposite arms).
  • 4 - TwoElementChevron - Two elements, 45° Chevron (torque or shear) arrangement.
  • 5 - FourSameSignElementsPoisson - Four elements, Poisson strains of same sign in opposite arms.
  • 6 - FourOppositeSignedElements - Four elements, Poisson strains of opposite sign in adjacent arms.
  • 7 - FourUniaxialElements - Four elements, equal strains of opposite sign in adjacent arms.
  • 8 - FourElementDualChevron - Four elements, 45° Chevron (torque or shear) arrangement.
  • 9 - TeeRosetteGrid1_0Degrees - Tee Rosette grid 1 or a (0°).
  • 10 - TeeRosetteGrid2_90Degrees - Tee Rosette grid 2 or b (90°).
  • 11 - DeltaRosetteGrid1_0Degrees - Delta Rosette grid 1 or a (0°).
  • 12 - DeltaRosetteGrid2_60Degrees - Delta Rosette grid 2 or b (60°).
  • 13 - DeltaRosetteGrid3_120Degrees - Delta Rosette grid 3 or c (120°).
  • 14 - RectangularRosetteGrid1_0Degrees - Rectangular Rosette grid 1 or a (0°).
  • 15 - RectangularRosetteGrid2_45Degrees - Rectangular Rosette grid 2 or a (45°).
  • 16 - RectangularRosetteGrid3_90Degrees - Rectangular Rosette grid 3 or a (90°).
BridgeType is the type of bridge that was specified in the TEDS data for the channel. The following bridge types are defined:

• 0 - Quarter Bridge

• 1 - Half Bridge

• 2 - Full Bridge
NegativeFullScaleStrain is the negatvie full-scale value, in strain, that was specified in the TEDS data for the channel.
PositiveFullScaleStrain is the positive full-scale value, in strain, that was specified in the TEDS data for the channel.
ElectricalOutputMax is the maximum electrical output, in V/V, that was specified in the TEDS data for the channel.
ElectricalOutputMin is the minimum electrical output, in V/V, that was specified in the TEDS data for the channel.
GageFactor is the gage factor, or sensitivity of the strain gage, that was specified in the TEDS data for the channel
TransverseSensitivity is the transverse sensitivity, in percentage, that was specified in the TEDS data for the channel.
ZeroOffset is the zero offset value after installation, in V/V, that was specified in the TEDS data for the channel.
PoissonCoefficient is the Poisson coefficient after installation that was specified in the TEDS data for the channel.
YoungsModulus is the Young’s modulus, or measure of the stiffness of the material, in MPa, that was specified in the TEDS data for the channel.
GageElementArea is the area of each gage element, in mm², that was specified in the TEDS data for the channel.
BridgeElementResistance is the initial (unstrained) gage resistance, in ohms, that was specified in the TEDS data for the channel.
ExcitationLevelMax is the maximum excitation voltage that was specified in the TEDS data for the channel.
ExcitationLevelNom is the nominal excitation voltage that was specified in the TEDS data for the channel.
CalibrationInitials[0] is the first calibration initial that was specified in the TEDS data for the channel.
CalibrationInitials[1] is the second calibration initial that was specified in the TEDS data for the channel.
CalibrationInitials[2] is the third calibration initial that was specified in the TEDS data for the channel.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Hardware TEDS Bridge Sensor

Returns TEDS data directly from the hardware of a bridge-based sensor.

Task In (required) specifies the task containing the virtual channel to read. This task must have been created using the DtOLCreateTask VI.
Channel specifies the number of the analog input channel that is connected to the bridge-based sensor.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
BasicTeds
ManufacturerId identifies the manufacturer of the sensor from the TEDS data for the channel.
ModelNumber is the model number of the sensor from the TEDS data for the channel.
VersionNumber is the version number of the sensor from the TEDS data for the channel.
SerialNumber is the serial number of the sensor from the TEDS data for the channel.
VersionLetter is the version letter of the sensor from the TEDS data for the channel.
BridgeSensorTeds
ResponseTime is the response time, in seconds, that was specified in the TEDS data for the channel.
CalibrationDate is the calibration date that was specified in the TEDS data for the channel.
CalibrationPeriod is the calibration period that was specified in the TEDS data for the channel.
MeasurementLocationId is the measurement location ID that was specified in the TEDS data for the channel.
ElectricalValuePrecision is the full-scale electrical value precision (minimum voltage output for 11-, 19-, or 32-bits; or maximum voltage output for 11-, 19-, or 32-bits) that was specified in the TEDS data for the channel.
TypeofPhysicalMeasurand is the physical Measurand (units) that were specified in the TEDS data for the channel. Values are as follows:
  • 0 - Temperature_Kelvin - Temperature (Kelvin)
  • 1 - Temperature_Celsius - Temperature (Celsius)
  • 2 - Strain - Strain
  • 3 - Microstrain - Microstrain
  • 4 - Newton - Force/Weight (Newton)
  • 5 - pounds - Force/Weight (pounds)
  • 6 - kilogram ForcePer Kilopound - Force/Weight (kilogram-force/kilopound)
  • 7 - Acceleration_m_ss - Acceleration (m/s²)
  • 8 - Acceleration_g - Acceleration (g)
  • 9 - Torque_Nm_Radian - Torque (Nm/radian)
  • 10 - Torque_Nm - Torque (Nm)
  • 11 - Torque_oz_in - Torque (oz-in)
  • 12 - Pressure_Pascal - Pressure (Pascal)
  • 13 - Pressure_PSI - Pressure (PSI)
  • 14 - Mass_Kg - Mass (kg)
  • 15 - Mass_g - Mass (g)
  • 16 - Distance_m - Distance (m)
  • 17 - Distance_mm - Distance (mm)
  • 18 - Distance_inches - Distance (inches)
  • 19 - Velocity_m_s - Velocity (m/s)
  • 20 - Velocity_mph - Velocity (mph)
  • 21 - Velocity_fps - Velocity (fps)
  • 22 - AngularPosition_radian- Angular Position (radian)
  • 23 - AngularPosition_degrees - Angular Position (degrees)
  • 24 - RotationalVelocity_radian_s - Rotational Velocity (radian/s)
  • 25 - RotationalVelocity_rpm - Rotational Velocity (rpm)
  • 26 - Frequency - Frequency
  • 27 - Concentration_gram_liter - Concentration (gram/liter)
  • 28 - Concentration_kg_liter - Concentration (kg/liter)
  • 29 - MolarConcentration_mole_m3 - Molar Concentration (mole/m³)
  • 30 - MolarConcentration_mole_l - Molar Concentration (mole/l)
  • 31 - VolumetricConcentration_m3_m3 - Volumetric Concentration (m³/m³)
  • 32 - VolumetricConcentration_l_l - Volumetric Concentration (l/l)
  • 33 - MassFlow - Mass Flow
  • 34 - VolumetricFlow_m3_s - Volumetric Flow (m³/s)
  • 35 - VolumetricFlow_m3_hr - Volumetric Flow (m³/hr)
  • 36 - VolumetricFlow_gpm - Volumetric Flow (gpm)
  • 37 - VolumetricFlow_cfm - Volumetric Flow (cfm)
  • 38 - VolumetricFlow_l_min - Volumetric Flow (l/min)
  • 39 - RelativeHumidity - Relative Humidity
  • 40 - Ratio_percent - Ratio (percent)
  • 41 - Voltage - Voltage
  • 42 - RmsVoltage - RMS Voltage
  • 43 - Current - Current
  • 44 - RmsCurrent - RMS Current
  • 45 - Power_Watts - Power (Watts)
BridgeType is the type of bridge that was specified in the TEDS data for the channel. The following bridge types are defined:

• 0 - Quarter Bridge

• 1 - Half Bridge

• 2 - Full Bridge
ExcitationLevelMax is the maximum excitation voltage that was specified in the TEDS data for the channel.
ExcitationLevelMin is the minimum excitation voltage that was specified in the TEDS data for the channel.
ExcitationLevelNom is the nominal excitation voltage that was specified in the TEDS data for the channel.
ElectricalOutputMax is the maximum electrical output, in V/V, that was specified in the TEDS data for the channel.
ElectricalOutputMin is the minimum electrical output, in V/V, that was specified in the TEDS data for the channel.
PhysicalOutputMax is the positive full-scale value, in strain, that was specified in the TEDS data for the channel.
PhysicalOutputMin is the negative full-scale value, in strain, that was specified in the TEDS data for the channel.
BridgeElementImpedance is the bridge element impedance, in ohms, that was specified in the TEDS data
CalibrationInitials[0] is the first calibration initial that was specified in the TEDS data for the channel.
CalibrationInitials[1] is the second calibration initial that was specified in the TEDS data for the channel.
CalibrationInitials[2] is the third calibration initial that was specified in the TEDS data for the channel.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Virtual TEDS - Strain Gage

Returns TEDS data for a strain gage from a specified data file.

Task In (required) specifies the task containing the virtual channel to read. This task must have been created using the DtOLCreateTask VI.
Channel specifies the number of the analog input channel that is connected to the strain gage.
Teds Filepath specifies the data path of the TEDS data file for the sensor.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
BasicTeds
ManufacturerId identifies the manufacturer of the sensor from the TEDS data for the channel.
ModelNumber is the model number of the sensor from the TEDS data for the channel.
VersionNumber is the version number of the sensor from the TEDS data for the channel.
SerialNumber is the serial number of the sensor from the TEDS data for the channel.
VersionLetter is the version letter of the sensor from the TEDS data for the channel.
StrainTeds
ResponseTime is the response time, in seconds, that was specified in the TEDS data for the channel.
CalibrationDate is the calibration date that was specified in the TEDS data for the channel.
CalibrationPeriod is the calibration period that was specified in the TEDS data for the channel.
MeasurementLocationId is the measurement location ID that was specified in the TEDS data for the channel.
GageType is the type of gage that was specified in the TEDS data for the channel. Values are as follows:
  • 0 - SingleElement - Single element gage.
  • 1 - TwoPoissonElements - Two elements with a Poisson arrangement.
  • 2 - TwoOppositeSignedElements - Two elements, opposite sign (adjacent arms).
  • 3 - TwoSameSignedElements - Two elements, same sign (opposite arms).
  • 4 - TwoElementChevron - Two elements, 45° Chevron (torque or shear) arrangement.
  • 5 - FourSameSignElementsPoisson - Four elements, Poisson strains of same sign in opposite arms.
  • 6 - FourOppositeSignedElements - Four elements, Poisson strains of opposite sign in adjacent arms.
  • 7 - FourUniaxialElements - Four elements, equal strains of opposite sign in adjacent arms.
  • 8 - FourElementDualChevron - Four elements, 45° Chevron (torque or shear) arrangement.
  • 9 - TeeRosetteGrid1_0Degrees - Tee Rosette grid 1 or a (0°).
  • 10 - TeeRosetteGrid2_90Degrees - Tee Rosette grid 2 or b (90°).
  • 11 - DeltaRosetteGrid1_0Degrees - Delta Rosette grid 1 or a (0°).
  • 12 - DeltaRosetteGrid2_60Degrees - Delta Rosette grid 2 or b (60°).
  • 13 - DeltaRosetteGrid3_120Degrees - Delta Rosette grid 3 or c (120°).
  • 14 - RectangularRosetteGrid1_0Degrees - Rectangular Rosette grid 1 or a (0°).
  • 15 - RectangularRosetteGrid2_45Degrees - Rectangular Rosette grid 2 or a (45°).
  • 16 - RectangularRosetteGrid3_90Degrees - Rectangular Rosette grid 3 or a (90°).

BridgeType is the type of bridge that was specified in the TEDS data for the channel. The following bridge types are defined:

• 0 - Quarter Bridge

• 1 - Half Bridge

• 2 - Full Bridge
NegativeFullScaleStrain is the negatvie full-scale value, in strain, that was specified in the TEDS data for the channel.
PositiveFullScaleStrain is the positive full-scale value, in strain, that was specified in the TEDS data for the channel.
ElectricalOutputMax is the maximum electrical output, in V/V, that was specified in the TEDS data for the channel.
ElectricalOutputMin is the minimum electrical output, in V/V, that was specified in the TEDS data for the channel.
GageFactor is the gage factor, or sensitivity of the strain gage, that was specified in the TEDS data for the channel
TransverseSensitivity is the transverse sensitivity, in percentage, that was specified in the TEDS data for the channel.
ZeroOffset is the zero offset value after installation, in V/V, that was specified in the TEDS data for the channel.
PoissonCoefficient is the Poisson coefficient after installation that was specified in the TEDS data for the channel.
YoungsModulus is the Young’s modulus, or measure of the stiffness of the material, in MPa, that was specified in the TEDS data for the channel.
GageElementArea is the area of each gage element, in mm², that was specified in the TEDS data for the channel.
BridgeElementResistance is the initial (unstrained) gage resistance, in ohms, that was specified in the TEDS data for the channel.
ExcitationLevelMax is the maximum excitation voltage that was specified in the TEDS data for the channel.
ExcitationLevelNom is the nominal excitation voltage that was specified in the TEDS data for the channel.
CalibrationInitials[0] is the first calibration initial that was specified in the TEDS data for the channel.
CalibrationInitials[1] is the second calibration initial that was specified in the TEDS data for the channel.
CalibrationInitials[2] is the third calibration initial that was specified in the TEDS data for the channel.
Task Out contains the task that is modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Virtual TEDS - Bridge Sensor

Returns TEDS data for a bridge-based sensor from a specified data file.

Task In (required) specifies the task containing the virtual channel to read. This task must have been created using the DtOLCreateTask VI.
Channel specifies the number of the analog input channel that is connected to the bridge-based sensor.
Teds Filepath specifies the data path of the TEDS data file for the sensor.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
BasicTeds
ManufacturerId identifies the manufacturer of the sensor from the TEDS data for the channel.
ModelNumber is the model number of the sensor from the TEDS data for the channel.
VersionNumber is the version number of the sensor from the TEDS data for the channel.
SerialNumber is the serial number of the sensor from the TEDS data for the channel.
VersionLetter is the version letter of the sensor from the TEDS data for the channel.
BridgeSensorTeds
ResponseTime is the response time, in seconds, that was specified in the TEDS data for the channel.
CalibrationDate is the calibration date that was specified in the TEDS data for the channel.
CalibrationPeriod is the calibration period that was specified in the TEDS data for the channel.
MeasurementLocationId is the measurement location ID that was specified in the TEDS data for the channel.
ElectricalValuePrecision is the full-scale electrical value precision (minimum voltage output for 11-, 19-, or 32-bits; or maximum voltage output for 11-, 19-, or 32-bits) that was specified in the TEDS data for the channel.
TypeofPhysicalMeasurand is the physical Measurand (units) that were specified in the TEDS data for the channel. Values are as follows:
  • 0 - Temperature_Kelvin - Temperature (Kelvin)
  • 1 - Temperature_Celsius - Temperature (Celsius)
  • 2 - Strain - Strain
  • 3 - Microstrain - Microstrain
  • 4 - Newton - Force/Weight (Newton)
  • 5 - pounds - Force/Weight (pounds)
  • 6 - kilogram ForcePer Kilopound - Force/Weight (kilogram-force/kilopound)
  • 7 - Acceleration_m_ss - Acceleration (m/s²)
  • 8 - Acceleration_g - Acceleration (g)
  • 9 - Torque_Nm_Radian - Torque (Nm/radian)
  • 10 - Torque_Nm - Torque (Nm)
  • 11 - Torque_oz_in - Torque (oz-in)
  • 12 - Pressure_Pascal - Pressure (Pascal)
  • 13 - Pressure_PSI - Pressure (PSI)
  • 14 - Mass_Kg - Mass (kg)
  • 15 - Mass_g - Mass (g)
  • 16 - Distance_m - Distance (m)
  • 17 - Distance_mm - Distance (mm)
  • 18 - Distance_inches - Distance (inches)
  • 19 - Velocity_m_s - Velocity (m/s)
  • 20 - Velocity_mph - Velocity (mph)
  • 21 - Velocity_fps - Velocity (fps)
  • 22 - AngularPosition_radian- Angular Position (radian)
  • 23 - AngularPosition_degrees - Angular Position (degrees)
  • 24 - RotationalVelocity_radian_s - Rotational Velocity (radian/s)
  • 25 - RotationalVelocity_rpm - Rotational Velocity (rpm)
  • 26 - Frequency - Frequency
  • 27 - Concentration_gram_liter - Concentration (gram/liter)
  • 28 - Concentration_kg_liter - Concentration (kg/liter)
  • 29 - MolarConcentration_mole_m3 - Molar Concentration (mole/m³)
  • 30 - MolarConcentration_mole_l - Molar Concentration (mole/l)
  • 31 - VolumetricConcentration_m3_m3 - Volumetric Concentration (m³/m³)
  • 32 - VolumetricConcentration_l_l - Volumetric Concentration (l/l)
  • 33 - MassFlow - Mass Flow
  • 34 - VolumetricFlow_m3_s - Volumetric Flow (m³/s)
  • 35 - VolumetricFlow_m3_hr - Volumetric Flow (m³/hr)
  • 36 - VolumetricFlow_gpm - Volumetric Flow (gpm)
  • 37 - VolumetricFlow_cfm - Volumetric Flow (cfm)
  • 38 - VolumetricFlow_l_min - Volumetric Flow (l/min)
  • 39 - RelativeHumidity - Relative Humidity
  • 40 - Ratio_percent - Ratio (percent)
  • 41 - Voltage - Voltage
  • 42 - RmsVoltage - RMS Voltage
  • 43 - Current - Current
  • 44 - RmsCurrent - RMS Current
  • 45 - Power_Watts - Power (Watts)
BridgeType is the type of bridge that was specified in the TEDS data for the channel. The following bridge types are defined:

• 0 - Quarter Bridge

• 1 - Half Bridge

• 2 - Full Bridge
ExcitationLevelMax is the maximum excitation voltage that was specified in the TEDS data for the channel.
ExcitationLevelMin is the minimum excitation voltage that was specified in the TEDS data for the channel.
ExcitationLevelNom is the nominal excitation voltage that was specified in the TEDS data for the channel.
ElectricalOutputMax is the maximum electrical output, in V/V, that was specified in the TEDS data for the channel.
ElectricalOutputMin is the minimum electrical output, in V/V, that was specified in the TEDS data for the channel.
PhysicalOutputMax is the positive full-scale value, in strain, that was specified in the TEDS data for the channel.
PhysicalOutputMin is the negative full-scale value, in strain, that was specified in the TEDS data for the channel.
BridgeElementImpedance is the bridge element impedance, in ohms, that was specified in the TEDS data
CalibrationInitials[0] is the first calibration initial that was specified in the TEDS data for the channel.
CalibrationInitials[1] is the second calibration initial that was specified in the TEDS data for the channel.
CalibrationInitials[2] is the third calibration initial that was specified in the TEDS data for the channel.
Task Out contains the task that is modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page


DtOLRead

Reads samples from the virtual channels of a task you specify. This VI implicitly starts the task; therefore, you do not need to call the DtOLStart VI when using this VI. The instances of this polymorphic VI specify the format of the data to return, whether to read a single channel or multiple channels, and whether to read a single sample or multiple samples.

Use the pull-down menu to select an instance of this VI.

Read Single Channel - Single Sample

Reads a single sample from a single virtual channel of a task you specify, and returns the data as a 64-bit, floating-point, real number.

This VI is typically used with tasks that were created using the following instances of the DtOLCreateTask VI:

    • Analog Input - Voltage

    • Analog Input - Raw

    • Digital Input

    • Counter Input - Events

    • Counter Input - Up-Down

    • Counter Input - Frequency

    • Counter Input - Period

    • Counter Input - Time Between Edges

Task In (required) specifies the task containing the virtual channel to read. This task must have been created using the DtOLCreateTask VI.
Timeout (optional) specifies the time, in seconds, in which to read a single sample. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the sample once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
Data Value contains the single sample that was read. The value is returned as a 64-bit real number.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Read Single Channel - Multiple Samples

Reads multiple samples from a single virtual channel of a task you specify, and returns the data as a one-dimensional array of real numbers. This VI is typically used with analog input tasks that use the DtOLTiming (Input - Set Timing) VI.

OnlyReadAvailable (optional) specifies whether to return only the data that is currently available in the buffer (OnlyReadAvailable is True) or to wait until the requested number of samples is available (OnlyReadAvailable is False) before returning the data.

Note: If you abort the task by calling the DtOLStop VI with the Finish Buffer input set to False, and then try to read the values in the buffer by calling the DtOLRead VI with the OnlyReadAvailable input set to False, a timeout error will occur because the buffer will never be filled. To avoid this error, either call DtOLRead before calling DtOLStop, or set the OnlyReadAvailable input to True.

If you do not wire a value to this input, a value of False is used.
Task In (required) specifies the task containing a list of virtual channels to read. This task must have been created using the DtOLCreateTask VI.
Samples Per Channel (optional) specifies the number of samples to return (from one or more buffers) if OnlyReadAvailable is False.

For continuous measurements, if you do not wire a value to this input, this VI waits until an entire buffer is filled before returning the data. You specify the size of the buffer using the Samples Per Channel input of the DtOLTiming (Input - Set Timing) VI.

For finite measurements, if you do not wire a value to this input (the default value), this VI waits until all the samples specified in the Samples Per Channel input of the DtOLTiming (Input - Set Timing) VI are acquired before returning the data.

If OnlyReadAvailable is True, this input is ignored.
Timeout (optional) specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Buffer size specifies the size of the buffer, in bytes.
Task Out contains the task that is modified when this VI runs.
1D Data Out contains a one-dimensional array of real numbers representing the samples that were read.
Num Samples Read contains the number of samples that were read.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Read Multiple Channels - Single Sample

Reads a single sample from multiple virtual channels of a task you specify, and returns the data as a two-dimensional array of real numbers. This VI is typically used with analog input tasks that use the DtOLTiming (Input - Set Timing) VI.

Number Chan to Read specifies the number of channels to read.
OnlyReadAvailable (optional) specifies whether to read only the data that is currently available in the buffer (OnlyReadAvailable is True) or to wait until the requested number of samples is available in the buffer (OnlyReadAvailable is False) before returning the data.

Note: If you abort the task by calling the DtOLStop VI with the Finish Buffer input set to False, and then try to read the values in the buffer by calling the DtOLRead VI with the OnlyReadAvailable input set to False, a timeout error will occur because the buffer will never be filled. To avoid this error, either call DtOLRead before calling DtOLStop, or set the OnlyReadAvailable input to True.

If you do not wire a value to this input, a value of False is used.
Task In (required) specifies the task containing a list of virtual channels to read. This task must have been created using the DtOLCreateTask VI.
Timeout (optional) specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
2D Data out contains a two-dimensional array of real values. Each element in the first dimension of the array corresponds to a channel in the task. Each element in the second dimension of the array corresponds to a sample from the channel.
Num Samples Per Channel contains the number of samples that were read.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Num Channels Read contains the number of channels that were read from each channel.

Return to Top of Page

Read Multiple Channels- Multiple Samples

Reads multiple samples from multiple virtual channels of a task you specify, and returns the data as a two-dimensional array of 64-bit, real numbers. This VI is typically used with analog input tasks that use the DtOLTiming (Input - Set Timing) VI.

Number Chan to Read specifies the number of channels to read.
OnlyReadAvailable (optional) specifies whether to read only the data that is currently available in the buffer (OnlyReadAvailable is True) or to wait until the requested number of samples is available in the buffer (OnlyReadAvailable is False) before returning the data.

Note: If you abort the task by calling the DtOLStop VI with the Finish Buffer input set to False, and then try to read the values in the buffer by calling the DtOLRead VI with the OnlyReadAvailable input set to False, a timeout error will occur because the buffer will never be filled. To avoid this error, either call DtOLRead before calling DtOLStop, or set the OnlyReadAvailable input to True.

If you do not wire a value to this input, a value of False is used.
Task In (required) specifies the task containing a list of virtual channels to read. This task must have been created using the DtOLCreateTask VI.
Samples Per Channel (optional) specifies the number of samples to return (from one or more buffers) if OnlyReadAvailable is False.

For continuous measurements, if you do not wire a value to this input, this VI waits until an entire buffer is filled before returning the data. You specify the size of the buffer using the Samples Per Channel input of the DtOLTiming (Input - Set Timing) VI.

For finite measurements, if you do not wire a value to this input (the default value), this VI waits until all the samples specified in the Samples Per Channel input of the DtOLTiming (Input - Set Timing) VI are acquired before returning the data.

If OnlyReadAvailable is True, this input is ignored.
Timeout (optional) specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Buffer size specifies the size of the buffer, in bytes.
Task Out contains the task that is modified when this VI runs.
2D Data Out contains a two-dimensional array of real values. Each element in the first dimension of the array corresponds to a channel in the task. Each element in the second dimension of the array corresponds to a sample from the channel.
Num Samples Per Channel Read contains the number of samples that were read for each channel.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Num Channels Read contains the number of channels that were read.

Return to Top of Page

Read Single Channel - Single Sample - 32-Bit

Reads a single sample from a single virtual channel of a task you specify, and returns the data as an unsigned 32-bit number.

This VI is typically used with tasks that were created using the Analog Input - Raw instance of the DtOLCreateTask VI.

Task In (required) specifies the task containing the virtual channel to read. This task must have been created using the DtOLCreateTask VI.
Timeout (optional) specifies the time, in seconds, in which to read a single sample. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the sample once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
Data Out contains the single sample that was read. The value is returned as an unsigned, 32-bit number.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Read Single Channel - Multiple Samples -32-Bit

Reads multiple samples from a single virtual channel of a task you specify, and returns the data as a one-dimensional array of unsigned, 32-bit numbers. This VI is typically used with analog input tasks that use the DtOLTiming (Input - Set Timing) VI.

OnlyReadAvailable (optional) specifies whether to return only the data that is currently available in the buffer (OnlyReadAvailable is True) or to wait until the requested number of samples is available (OnlyReadAvailable is False) before returning the data.

Note: If you abort the task by calling the DtOLStop VI with the Finish Buffer input set to False, and then try to read the values in the buffer by calling the DtOLRead VI with the OnlyReadAvailable input set to False, a timeout error will occur because the buffer will never be filled. To avoid this error, either call DtOLRead before calling DtOLStop, or set the OnlyReadAvailable input to True.

If you do not wire a value to this input, a value of False is used.
Task In (required) specifies the task containing a list of virtual channels to read. This task must have been created using the DtOLCreateTask VI.
Samples Per Channel (optional) specifies the number of samples to return (from one or more buffers) if OnlyReadAvailable is False.

For continuous measurements, if you do not wire a value to this input, this VI waits until an entire buffer is filled before returning the data. You specify the size of the buffer using the Samples Per Channel input of the DtOLTiming (Input - Set Timing) VI.

For finite measurements, if you do not wire a value to this input (the default value), this VI waits until all the samples specified in the Samples Per Channel input of the DtOLTiming (Input - Set Timing) VI are acquired before returning the data.

If OnlyReadAvailable is True, this input is ignored.
Timeout (optional) specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Buffer size specifies the size of the buffer, in bytes.
Task Out contains the task that is modified when this VI runs.
1D Data out contains a one-dimensional array of unsigned 32-bit values representing the samples that were read.
Num Samples Read contains the number of samples that were read.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Read Multiple Channel -Single Sample - 32-Bit

Reads a single sample from multiple virtual channels of a task you specify, and returns the data as a two-dimensional array of unsigned 32-bit numbers. This VI is typically used with analog input tasks that use the DtOLTiming (Input - Set Timing) VI.

Number Chan to Read specifies the number of channels to read.
OnlyReadAvailable (optional) specifies whether to read only the data that is currently available in the buffer (OnlyReadAvailable is True) or to wait until the requested number of samples is available in the buffer (OnlyReadAvailable is False) before returning the data.

Note: If you abort the task by calling the DtOLStop VI with the Finish Buffer input set to False, and then try to read the values in the buffer by calling the DtOLRead VI with the OnlyReadAvailable input set to False, a timeout error will occur because the buffer will never be filled. To avoid this error, either call DtOLRead before calling DtOLStop, or set the OnlyReadAvailable input to True.

If you do not wire a value to this input, a value of False is used.
Task In (required) specifies the task containing a list of virtual channels to read. This task must have been created using the DtOLCreateTask VI.
Timeout (optional) specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
2D Data out contains a two-dimensional array of unsigned 32-bit numbers representing the samples that were read. Each element in the first dimension of the array corresponds to a channel in the task. Each element in the second dimension of the array corresponds to a sample from the channel.
Num Samples Per Channel contains the number of samples that were read for each channel.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Num Channels Read contains the number of channels that were read from each channel.

Return to Top of Page

Read Multiple Channels - Multiple Samples - 32-Bit

Reads multiple samples from multiple virtual channels of a task you specify, and returns the data as a two-dimensional array of unsigned, 32-bit numbers. This VI is typically used with analog input tasks that use the DtOLTiming (Input - Set Timing) VI.

Number Chan to Read specifies the number of channels to read.
OnlyReadAvailable (optional) specifies whether to read only the data that is currently available in the buffer (OnlyReadAvailable is True) or to wait until the requested number of samples is available in the buffer (OnlyReadAvailable is False) before returning the data.

Note: If you abort the task by calling the DtOLStop VI with the Finish Buffer input set to False, and then try to read the values in the buffer by calling the DtOLRead VI with the OnlyReadAvailable input set to False, a timeout error will occur because the buffer will never be filled. To avoid this error, either call DtOLRead before calling DtOLStop, or set the OnlyReadAvailable input to True.

If you do not wire a value to this input, a value of False is used.
Task In (required) specifies the task containing a list of virtual channels to read. This task must have been created using the DtOLCreateTask VI.
Samples Per Channel (optional) specifies the number of samples to return (from one or more buffers) if OnlyReadAvailable is False.

For continuous measurements, if you do not wire a value to this input, this VI waits until an entire buffer is filled before returning the data. You specify the size of the buffer using the Samples Per Channel input of the DtOLTiming (Input - Set Timing) VI.

For finite measurements, if you do not wire a value to this input (the default value), this VI waits until all the samples specified in the Samples Per Channel input of the DtOLTiming (Input - Set Timing) VI are acquired before returning the data.

If OnlyReadAvailable is True, this input is ignored.
Timeout (optional) specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Buffer size specifies the size of the buffer, in bytes.
Task Out contains the task that is modified when this VI runs.
2D Data Out contains a two-dimensional array of real values. Each element in the first dimension of the array corresponds to a channel in the task. Each element in the second dimension of the array corresponds to a sample from the channel.
Num Samples Per Channel Read contains the number of samples that were read for each channel.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Num Channels Read contains the number of channels that were read.

Return to Top of Page

Read Single Channel - Single Sample -16-Bit

Reads a single sample from a single virtual channel of a task you specify, and returns the data as an unsigned 16-bit number.

This VI is typically used with tasks that were created using the Analog Input - Raw instance of the DtOLCreateTask VI.

Task In (required) specifies the task containing the virtual channel to read. This task must have been created using the DtOLCreateTask VI.
Timeout (optional) specifies the time, in seconds, in which to read a single sample. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the sample once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
Data Out contains the single sample that was read. The value is returned as an unsigned, 16-bit number.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Read Single Channel - Multiple Samples -16-Bit

Reads multiple samples from a single virtual channel of a task you specify, and returns the data as a one-dimensional array of unsigned, 16-bit numbers. This VI is typically used with analog input tasks that use the DtOLTiming (Input - Set Timing) VI.

OnlyReadAvailable (optional) specifies whether to return only the data that is currently available in the buffer (OnlyReadAvailable is True) or to wait until the requested number of samples is available (OnlyReadAvailable is False) before returning the data.

Note: If you abort the task by calling the DtOLStop VI with the Finish Buffer input set to False, and then try to read the values in the buffer by calling the DtOLRead VI with the OnlyReadAvailable input set to False, a timeout error will occur because the buffer will never be filled. To avoid this error, either call DtOLRead before calling DtOLStop, or set the OnlyReadAvailable input to True.

If you do not wire a value to this input, a value of False is used.
Task In (required) specifies the task containing a list of virtual channels to read. This task must have been created using the DtOLCreateTask VI.
Samples Per Channel (optional) specifies the number of samples to return (from one or more buffers) if OnlyReadAvailable is False.

For continuous measurements, if you do not wire a value to this input, this VI waits until an entire buffer is filled before returning the data. You specify the size of the buffer using the Samples Per Channel input of the DtOLTiming (Input - Set Timing) VI.

For finite measurements, if you do not wire a value to this input (the default value), this VI waits until all the samples specified in the Samples Per Channel input of the DtOLTiming (Input - Set Timing) VI are acquired before returning the data.

If OnlyReadAvailable is True, this input is ignored.
Timeout (optional) specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Buffer size specifies the size of the buffer, in bytes.
Task Out contains the task that is modified when this VI runs.
1D Data out contains a one-dimensional array of unsigned 16-bit values representing the samples that were read.
Num Samples Read contains the number of samples that were read.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Read Multiple Channels - Single Sample - 16-Bit

Reads a single sample from multiple virtual channels of a task you specify, and returns the data as a two-dimensional array of unsigned 16-bit numbers. This VI is typically used with analog input tasks that use the DtOLTiming (Input - Set Timing) VI.

Number Chan to Read specifies the number of channels to read.
OnlyReadAvailable (optional) specifies whether to read only the data that is currently available in the buffer (OnlyReadAvailable is True) or to wait until the requested number of samples is available in the buffer (OnlyReadAvailable is False) before returning the data.

Note: If you abort the task by calling the DtOLStop VI with the Finish Buffer input set to False, and then try to read the values in the buffer by calling the DtOLRead VI with the OnlyReadAvailable input set to False, a timeout error will occur because the buffer will never be filled. To avoid this error, either call DtOLRead before calling DtOLStop, or set the OnlyReadAvailable input to True.

If you do not wire a value to this input, a value of False is used.
Task In (required) specifies the task containing a list of virtual channels to read. This task must have been created using the DtOLCreateTask VI.
Timeout (optional) specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
2D Data out contains a two-dimensional array of unsigned 16-bit numbers representing the samples that were read. Each element in the first dimension of the array corresponds to a channel in the task. Each element in the second dimension of the array corresponds to a sample from the channel.
Num Samples Per Channel contains the number of samples that were read.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Num Channels Read contains the number of channels that were read from each channel.

Return to Top of Page

Read Multiple Channels - Multiple Samples -16-Bit

Reads multiple samples from multiple virtual channels of a task you specify, and returns the data as a two-dimensional array of unsigned, 16-bit numbers. This VI is typically used with analog input tasks that use the DtOLTiming (Input - Set Timing) VI.

Number Chan to Read specifies the number of channels to read.
OnlyReadAvailable (optional) specifies whether to read only the data that is currently available in the buffer (OnlyReadAvailable is True) or to wait until the requested number of samples is available in the buffer (OnlyReadAvailable is False) before returning the data.

Note: If you abort the task by calling the DtOLStop VI with the Finish Buffer input set to False, and then try to read the values in the buffer by calling the DtOLRead VI with the OnlyReadAvailable input set to False, a timeout error will occur because the buffer will never be filled. To avoid this error, either call DtOLRead before calling DtOLStop, or set the OnlyReadAvailable input to True.

If you do not wire a value to this input, a value of False is used.
Task In (required) specifies the task containing a list of virtual channels to read. This task must have been created using the DtOLCreateTask VI.
Samples Per Channel (optional) specifies the number of samples to return (from one or more buffers) if OnlyReadAvailable is False.

For continuous measurements, if you do not wire a value to this input, this VI waits until an entire buffer is filled before returning the data. You specify the size of the buffer using the Samples Per Channel input of the DtOLTiming (Input - Set Timing) VI.

For finite measurements, if you do not wire a value to this input (the default value), this VI waits until all the samples specified in the Samples Per Channel input of the DtOLTiming (Input - Set Timing) VI are acquired before returning the data.

If OnlyReadAvailable is True, this input is ignored.
Timeout (optional) specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Buffer size specifies the size of the buffer, in bytes.
Task Out contains the task that is modified when this VI runs.
2D Data out contains a two-dimensional array of unsigned 16-bit values. Each element in the first dimension of the array corresponds to a channel in the task. Each element in the second dimension of the array corresponds to a sample from the channel.
Num Samples Per Channel Read contains the number of samples that were read for each channel.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Num Channels Read contains the number of channels that were read.

Return to Top of Page


DtOLReStart

Restarts a task. If the task is running when DtOLReStart is called, the task is stopped, reconfigured, and restarted. Typically, this VI is used with counter/timer tasks that were created using one of the following instances of the DtOLCreateTask VI:

  • Counter Input - Frequency

  • Counter Input - Period

  • Counter Input - Time Between Edges

  • Counter Output - Pulse

Task In (required) specifies the task to restart.
error in describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is restarted when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


DtOLSetChanBridgeOptions

Specifies the configuration of a general-purpose bridge that returns data in voltage, for a virtual analog channel that was created using one of the Analog Input - Voltage instance of the DtOLCreateTask VI. If you want to return data from a bridge-based sensor in the engineering units of the sensor, use the DtOLSetChanStrain (Bridge Sensor Device) VI instead.

Task In (required) specifies the task to explicitly start.
Channel (optional) specifies the virtual channel to configure. By default, this is 0.
Bridge Configuration specifies the configuration of the bridge. Possible values are Full Bridge, Half Bridge, or Quarter Bridge.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is started when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


DtOLSetChanCurrentOptions

Specifies a current measurement operation for a virtual analog channel that was created using the Analog Input - Voltage instance of the DtOLCreateTask VI:

NOTE: If your device supports a bias return termination resistor, call the LVI Set Termination Resistor VI to enable or disable the bias return termination resistor based on your wiring configuration.

Task In (required) specifies the task to explicitly start.
Channel (optional) specifies the virtual channel to configure. By default, this is 0.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (x) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is started when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


DtOLSetChanGain

Specifies the gain, sensor gain, and/or sensor offset for a virtual analog channel that was created using one of the following instances of the DtOLCreateTask VI:

  • Analog Input - Voltage

  • Analog Input - Raw

  • Analog Output - Voltage

  • Analog Output - Raw

Gain (optional) specifies the gain on the device to apply to the specified channel. By default, the gain is 1.
Channel (optional) specifies the virtual channel to which the gain applies. By default, this is 0.
Task In (required) specifies the task to explicitly start.
SensorGain (optional) specifies the gain to apply to the sensor that is connected to the specified channel, if you want to scale the raw value into engineering units. By default, the sensor gain is 1. The sensor gain and offset are used to scale a sample from raw counts to a value in the engineering units of the sensor. The scaling occurs in two steps. First, the raw count value is converted to prescaled voltage using the gain applied to the input signal. Then, the prescaled voltage is scaled using the following equation: y = mx + b, where y is the scaled sensor value, m is the sensor gain, x is the prescaled value in voltage, and b is the sensor offset.
SensorOffset (optional) specifies the offset to apply to the sensor that is connected to the specified channel, if you want to scale the raw value into engineering units. By default, the sensor offset is 0. The sensor gain and offset are used to scale a sample from raw counts to a value in the engineering units of the sensor. The scaling occurs in two steps. First, the raw count value is converted to prescaled voltage using the gain applied to the input signal. Then, the prescaled voltage is scaled using the following equation: y = mx + b, where y is the scaled sensor value, m is the sensor gain, x is the prescaled value in voltage, and b is the sensor offset.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is started when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Gain out returns the actual gain value that is set.


DtOLSetChanIepeOptions

If IEPE inputs are supported, specifies the excitation current source and input coupling type for a virtual analog channel that was created using one of the following instances of the DtOLCreateTask VI:

  • Analog Input - Voltage

  • Analog Input - Raw

Channel (optional) specifies the virtual channel to which the excitation current source and input coupling type applies. By default, channel 0 is used.
Task In (required) specifies the task to use.
Coupling (optional) specifies the input coupling type (DC or AC) to apply to the channel if it supports an IEPE input. By default, DC coupling is used.
Excitation Current Source (optional) specifies the excitation current source (Internal, External, or Disabled) to apply to the channel if it supports an IEPE input. If you specify Internal, the first supported value for the internal excitation current source is applied to the channel (refer to the documentation for your device for more information). By default, the excitation current source is Disabled.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


DtOLSetChanOptions

Specifies the input coupling type, excitation current source, sensor gain, and sensor offset for a virtual analog channel that was created using one of the following instances of the DtOLCreateTask VI:

  • Analog Input - Voltage

  • Analog Input - Raw

Channel (optional) specifies the virtual channel to which the sensor gain and offset, excitation current source, and input coupling type applies. By default, channel 0 is used.
Task In (required) specifies the task to use.
Coupling (optional) specifies the input coupling type (DC or AC) to apply to the channel. By default, DC coupling is used.
Excitation Current Source (optional) specifies the excitation current source (Internal, External, or Disabled) to apply to the channel. If you specify Internal, the first supported value for the internal excitation current source is applied to the channel (refer to the documentation for your device for more information). By default, the excitation current source is Disabled.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Sensor Gain specifies the gain for the sensor, which is used to convert the raw count to a prescaled voltage value.

The sensor gain and offset are used to scale a sample from raw counts to a sensor format. The scaling occurs in two steps. First, the raw count value is converted to prescaled voltage using the gain applied to the input signal. Then, the prescaled voltage is scaled using the following equation:

y = mx + b

where y is the scaled sensor value, m is the sensor gain, x is the prescaled value in voltage, and b is the sensor offset.
Sensor Offset specifies the offset for the sensor, which is used to scale the prescaled voltage value.

The sensor gain and offset are used to scale a sample from raw counts to a sensor format. The scaling occurs in two steps. First, the raw count value is converted to prescaled voltage using the gain applied to the input signal. Then, the prescaled voltage is scaled using the following equation:

y = mx + b

where y is the scaled sensor value, m is the sensor gain, x is the prescaled value in voltage, and b is the sensor offset.
Task Out contains the task that is modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


DtOLSetChanResistanceOptions

Specifies the options for a resistance measurement for a virtual analog channel that was created using the Analog Input - Voltage instance of the DtOLCreateTask VI:

Task In (required) specifies the task to use.
Channel (optional) specifies the virtual channel to which the wiring configuration, and board and range applies. By default, channel 0 is used.
Wiring Configuration specifies how the resistor is wired to the channel. Possible values are 2 Wire, 3 Wire, or 4 Wire.
Board and Range specifies the resistor range for the specified device, which determines the current source that is used. For example, on the DT9829 module, if the resistor is in the 0 to 4 kOhm range, a current source value of 425 mA is used; if the resistor is in the 4 kOhm to 200 kOhm range, a current source value of 10 mA is used.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


DtOLSetChanRtdOptions

For the specified task, sets the RTD options for the specified channel.

R0 specifies the nominal resistance of the RTD, in ohms at 0 degrees C, for the specified channel. Values are as follows:
RTD Type | R0 Value
PT3750 | 1000
PT3850 | 100, 500, or 1000
PT3911 | 100
PT3916 | 100
PT3920 | 98.129
PT3928 | 100
CUSTOM | 100, 500, or 1000
Channel (optional) specifies the virtual channel to configure for an RTD measurement. By default, this is 0.
Task In (required) specifies the task to explicitly start.
A specifies the A coefficient that is used in the Callendar-Van Dusen transfer function.
RTD Type | A Coefficient Value
PT3750 | 0.00381
PT3850 | 0.0039083
PT3911 | 0.0039692
PT3916 | 0.0039739
PT3920 | 0.0039787
PT3928 | 0.0039888
CUSTOM | User-specified
B specifies the B coefficient that is used in the Callendar-Van Dusen transfer function.
RTD Type | B Coefficient Value
PT3750 | –0.000000602
PT3850 | –0.0000005775
PT3911 | –0.00000058495
PT3916 | –0.000000587
PT3920 | –0.0000005869
PT3928 | –0.0000005915
CUSTOM | User-specified
C specifies the C coefficient that is used in the Callendar-Van Dusen transfer function.
RTD Type | C Coefficient Value
PT3750 | –0.0000000000060
PT3850 | –0.000000000004183
PT3911 | –0.000000000004233
PT3916 | –0.0000000000044
PT3920 | –0.000000000004167
PT3928 | –0.00000000000385
CUSTOM | User-specified
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Wiring Configuration specifies how the RTD is wired to the channel. Possible values are 2 Wire, 3 Wire, or 4 Wire.
Data Filter Type specifies the kind of data filter that is used for the specified channel. Values are Data Filter None, or Data Filter Moving Average (the default value).

If you select Data Filter None, no filter is used. Raw data is returned. Use this option when you want to acquire fast thermocouple response times. The response time is determined by the ADC data rate. Higher throughput rates (data rates) yield faster response times, but the increased bandwidth also results in higher noise.

If you select Data Filter Moving Average, unwanted noise is removed from your measurements. This filter provides a compromise of filter functionality and response time and can be used in any application. This low-pass filter takes the previous 16 samples, adds them together, and divides by 16.
RTD Type specifies the type of RTD that is connected to the specified channel.
RTD Type | Description
PT3750 | Specifies a Temperature Coefficient of Resistance (TCR) value of 0.003750 Ohm / Ohm /° C used in the Callendar-Van Dusen transfer function for Platinum 1000 Ohm RTDs. This value is specified in the Low Cost standard.
PT3850 | Specifies a TCR value of 0.003850 Ohm / Ohm /° C used in the Callendar-Van Dusen transfer function for Platinum 100, 500, and 1000 Ohm RTDs. This value is specified in the DIN/IEC 60751 and ASTM-E1137 standards.
PT3911 | Specifies a Temperature Coefficient of Resistance value of 0.003911 Ohm / Ohm /° C used in the Callendar-Van Dusen transfer function for Platinum 100 Ohm RTDs. This value is specified in the US Industrial Standard.
PT3916 | Specifies a Temperature Coefficient of Resistance value of 0.003916 Ohm / Ohm /° C used in the Callendar-Van Dusen transfer function for Platinum 100 Ohm RTDs. This value is specified in the Japanese JISC 1604-1989 standard.
PT3920 | Specifies a Temperature Coefficient of Resistance value of 0.003920 Ohm / Ohm /° C used in the Callendar-Van Dusen transfer equation to calculate temperature for a Platinum 100 Ohm RTDs. This value is specified in the SAMA RC21-4-1966 standard.
PT3928 | Specifies a Temperature Coefficient of Resistance value of 0.003928 Ohm / Ohm /° C used in the Callendar-Van Dusen transfer equation to calculate temperature for a Platinum 100 Ohm RTD.
CUSTOM | Specifies a user-defined value for the Temperature Coefficient of Resistance in the Callendar-Van Dusen transfer equation to calculate temperature.
Task Out contains the task that is started when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


DtOLSetChanStrain

Specifies the properties for a strain gage or a bridge-based sensor used with a virtual analog channel that was created using one of the following instances of the DtOLCreateTask VI:

  • Analog Input - Voltage

  • Analog Input - Raw

The instances of this polymorphic VI specify the type of sensor to configure.

Use the pull-down menu to select an instance of this VI.

Bridge Sensor Device

Specifies the properties of a bridge-based sensor that returns data in the engineering units of the sensor. If you are using a general-purpose bridge and want to return the data from the bridge in voltage, use the DtOLSetChanBridgeOptions VI instead.

Rated Output (mv/V) specifies the rated output of the transducer in terms of mV/V excitation.
Shunt Correction specifies the shunt correction value to apply. The default value is 1 (no correction). To determine this value, you can perform a shunt calibration operation using the DtFullBridgeBasedSensorCal Utility or DtOLFullBridgeSensorCal VI.
Unstrained Voltage (V) specifies the initial, unstrained voltage output of the bridge. To determine this value, you can perform an offset calibration operation using the DtFullBridgeBasedSensorCal Utility or DtOLFullBridgeSensorCal VI.
Excitation Voltage (V) specifies the excitation voltage value of the internal excitation voltage source.
Bridge Excitation Source specifies whether the excitation source is Internal or External.
Task In (required) specifies the task containing the virtual channel to read. This task must have been created using the DtOLCreateTask VI.
Channel specifies the channel number of the device that is connected to the bridge-based sensor.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Wire Resistance (ohm) specifies the lead wire resistance of the bridge, in ohms, for a channel that supports a full-bridge-based sensor that does not use remote sensing. If remote sensing is used, specify 0 for Wire Resistance (ohm).
Gage Resistance (ohm) specifies the nominal gage resistance of the bridge, which is specified by the gage manufacturer.
Transducer Capacity specifies the full-scale range of the transducer in its native engineering units.
Task Out contains the task that is modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Strain Device

Specifies the properties of a strain gage sensor.

Gage Factor specifies the gage factor of the strain gage, which is specified by the gage manufacturer.
Shunt Correction specifies the shunt correction value to apply. The default value is 1 (no correction). To determine this value, you can perform a shunt calibration operation using the DtStrainGageCal Utility VI or DtOLStrainGageCal VI.
Unstrained Voltage (V) specifies the initial, unstrained voltage output of the bridge. To determine this value, you can perform an offset calibration operation using the DtStrainGageCal Utility VI or DtOLStrainGageCal VI.
Excitation Voltage (V) specifies the excitation voltage value.
Bridge Excitation Source specifies whether an Internal or External bridge excitation source is used.
Task In (required) specifies the task containing the virtual channel to read. This task must have been created using the DtOLCreateTask VI.
Channel specifies the channel number of the device that is connected to the strain gage.
BridgeType specifies the configuration of the bridge for the channel. The following bridge types are defined:

• Full Bridge Bending

• Full Bridge Bending Poisson

• Full Bridge Axial

• Half Bridge Poisson

• Half Bridge Bending

• Quarter Bridge

• Quarter Bridge Temp Compensation
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Wire Resistance (ohm) specifies the lead wire resistance of the bridge, in ohms, for a channel that supports a full-bridge-based strain gage that does not use remote sensing. If remote sensing is used, specify 0 for Wire Resistance (ohm).
Gage Resistance (ohm) specifies the nominal gage resistance of the bridge, which is specified by the gage manufacturer.
Poisson Ratio specifies the Poisson ratio for a strain gage that is configured for a Full Bridge Bending Poisson, Full Bridge Axial Poisson, or Half Bridge Poisson bridge configuration. The Poisson ratio is a material-dependent constant that is the ratio of transverse (perpendicular) contraction to axial strain.
Task Out contains the task that is modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page


DtOLSetChanThermistorOptions

For the specified task, sets the thermistor options for the specified channel.

Channel (optional) specifies the virtual channel to configure for a thermistor measurement. By default, this is 0.
Task In (required) specifies the task to explicitly start.
A specifies the A coefficient that is used in the Steinhart-Hart transfer function.
B specifies the B coefficient that is used in the Steinhart-Hart transfer function.
C specifies the C coefficient that is used in the Steinhart-Hart transfer function.
Wiring Configuration specifies how the thermistor is wired to the channel. Possible values are 2 Wire, 3 Wire, or 4 Wire.
Data Filter Type specifies the kind of data filter that is used for the specified channel. Values are Data Filter None, or Data Filter Moving Average (the default value).

If you select Data Filter None, no filter is used. Raw data is returned. Use this option when you want to acquire fast thermocouple response times. The response time is determined by the ADC data rate. Higher throughput rates (data rates) yield faster response times, but the increased bandwidth also results in higher noise.

If you select Data Filter Moving Average, unwanted noise is removed from your measurements. This filter provides a compromise of filter functionality and response time and can be used in any application. This low-pass filter takes the previous 16 samples, adds them together, and divides by 16.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is started when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


DtOLSetChanThermocoupleOptions

For the specified task, sets the thermocouple type for the specified channel.

Task In (required) specifies the task to explicitly start.
Channel (optional) specifies the virtual channel to which the thermocouple type and data filter applies. By default, this is 0.
Thermocouple Type specifies the type of thermocouple that is attached to the specified channel. Values are as follows: Thermocouple Type J, Thermocouple Type K, Thermocouple Type B, Thermocouple Type E, Thermocouple Type N, Thermocouple Type R, Thermocouple Type S, Thermocouple Type T, Thermocouple Voltage. By default, this value is Thermocouple Voltage indicating that a voltage source is attached to the specified channel.
Data Filter Type specifies the kind of data filter that is used for the specified channel. Values are Data Filter None, or Data Filter Moving Average (the default value).

If you select Data Filter None, no filter is used. Raw data is returned. Use this option when you want to acquire fast thermocouple response times. The response time is determined by the ADC data rate. Higher throughput rates (data rates) yield faster response times, but the increased bandwidth also results in higher noise.

If you select Data Filter Moving Average, unwanted noise is removed from your measurements. This filter provides a compromise of filter functionality and response time and can be used in any application. This low-pass filter takes the previous 16 samples, adds them together, and divides by 16.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is started when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


DtOLStart

Specifies the attributes for starting a task. The instances of this polymorphic VI correspond to starting a single task or grouping two tasks so that they can be started simultaneously.

Use the pull-down menu to select an instance of this VI.

Start

Explicitly starts a task. Typically, this VI is used to start a task that was created using one of the following instances of the DtOLCreateTask VI:

  • Counter Output - Pulse

  • Counter Output - Repeat Pulse

  • Counter Output - Rate

You do not need to call this VI with tasks that call DtOLRead or DtOLWrite because these VIs automatically start the task and then read/update the specified channels.

Task In (required) specifies the task to explicitly start.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is started when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.

Return to Top of Page

Simultaneous Start

Groups two tasks, such as analog input and analog output task, so that they are aware of each other and can be started simultaneously. If you want to group more than two input tasks so that they can be started simultaneously, you can create a copy of this VI and edit it to group as many input tasks as desired.

Once the tasks are grouped, you can start the tasks simultaneously using the DtOLStart VI or the DtOLRead and/or DtOLWrite VIs. Refer to the DtAinAoutSimultaneous example for more information on using this VI.

Notes: When there are multiple tasks to be started simultaneously, LabVIEW executes one task before another. The internal grouping of the tasks by the Simultaneous Start VI defers starting the subsystems on the device until all tasks in the group are ready to be started. This means that the task that starts first has to wait for the task that starts later or last. You must make provisions in your program to allow for this delay.

For example, suppose an analog input and analog output task are to be started simultaneously. If LabVIEW executes the analog input operation first, the DtOLRead operation does not start until LabVIEW starts the analog output DtOLWrite operation. Only when the DtOLWrite VI has been issued will both subsystems be started on the device simultaneously. In this scenario, the first DtOLRead request will return 0 bytes. This is not an error; it merely reflects the fact that nothing has started and a timeout did not occur. Your program must allow for this condition.

In addition, it is important that each task does not require a lot of CPU time. For example, assume that you want to start an analog input task and an analog output task simultaneously. If you use large buffers for an analog input task, reading analog input data can take a long time and keep the analog output task from getting the data it needs to output.

Task 1 In (required) specifies the first task to add to the group of tasks to be started simultaneously.
Task 2 In (required) specifies the second task to add to the group of tasks to be started simultaneously.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task 1 Out contains the first task (task 1) in the group to be simultaneously started.
Task 2 Out contains the second task (task 2) in the group to be simultaneously started.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.

Return to Top of Page


DtOLStop

Stops the task and returns it to the state the task was in before the DtOLStart, DtOLRead, or DtOLWrite VI ran.

Finish Buffer (optional) specifies whether to complete the operation on the current buffer before stopping (Finish Buffer is True) or to abort the operation immediately without finishing the operation on the current buffer (Finish Buffer is False).

Note: For analog output tasks, setting Finish Buffer to True guarantees that all the data has been written from the buffer to the analog output channels before stopping the task; however, it does not guarantee that all the data has actually been output from the analog output channels. Use the DtOLWaitUntilDone VI to ensure that the all the data has been output by the analog output channels before stopping the task.

If you do not wire a value to this input, a value of True is used.
Task In (required) specifies the task to explicitly stop.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is started when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error code or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.

Note: If the operation was aborted (Finish Buffer is False), error code 1080 (source string LveAborted) is returned. It is recommended that you programmatically check for this error code/source string and handle it appropriately to ensure that your application behaves as expected when an operation is aborted.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Note: If the operation was aborted (Finish Buffer is False), source string LveAborted is returned (error code 1080). It is recommended that you programmatically check for this source string/error code and handle it appropriately to ensure that your application behaves as expected when an operation is aborted.


DtOLSubsystem

For the specified task, sets and returns information about the subsystem of the device. Refer to the Data Acq SDK documentation for more information about the subsystems and their capabilities.

Task In (required) specifies the task from which the subsystem information is obtained.
Capability Selection specifies one of the following capabilities to query: Filters, Ranges, Gains, Resolutions, Excitation Current, Threshold Start Trigger Chan, or Threshold Reference Trigger Chan.
Cap Number specifies the particular enumeration to query.

For example, assume that you specified Ranges for the Capability Selection and this VI returned 2 for Number of Enumerations Found (indicating that the device supports two voltage ranges). To determine the actual voltage supported for the first voltage range, specify 1 for Cap Number; the minimum value is returned in Value 1 and the maximum value of the range is returned in Value 2.
error in describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Number of Enumerations Found contains the number of enumerations that are found for the subsystem capability that was queried.
Task Out contains the task that is modified when this VI runs.
Value 1 contains the first value for the specific enumeration that was queried.

For example, assume that you specified Ranges for the Capability Selection and this VI returned 2 for Number of Enumerations Found (indicating that the device supports two voltage ranges). To determine the actual voltage supported for the first voltage range, specify 1 for Cap Number; the minimum value is returned in Value 1 and the maximum value of the range is returned in Value 2.
Value 2 contains the first value for the specific enumeration that was queried.

For example, assume that you specified Ranges for the Capability Selection and this VI returned 2 for Number of Enumerations Found (indicating that the device supports two voltage ranges). To determine the actual voltage supported for the first voltage range, specify 1 for Cap Number; the minimum value is returned in Value 1 and the maximum value of the range is returned in Value 2.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


DtOLTiming

Specifies the timing- or clock-related attributes of an analog input or analog output task, and creates one or more buffers when needed. The instances of this polymorphic VI correspond to the type of task that is being performed and the type of timing to use for the task.

Use the pull-down menu to select an instance of this VI.

Input - Set Timing

Specifies all of the timing and buffering attributes when streaming data from the analog input channels of a DT-Open Layers-compliant device. If your device supports streaming digital input, counter/timer, and/or quadrature decoder data through the analog input subsystem, this VI also specifies the timing and buffering attributes for the digital input port, counter/timer channels, and/or quadrature decoder channels.

Samples Per Channel (optional) applies to analog input tasks only; it specifies how many samples to acquire from the specified channels if Sample Mode is Finite Samples, or the number of samples to allocate in each buffer if Sample Mode is Continuous Samples.

It is recommended that you set Samples Per Channel to at least 1/10th of the sampling frequency that you are using; see Sample Freq (Hz) below for information on specifying the sampling frequency.

If you do not wire a value to this input, a value of 1000 is used.

Note that this input is ignored for analog output tasks. For these tasks, the size of the Data Array that is passed to DtOLWrite (Write Single Channel - Multiple Samples) or DtOLWrite (Write Multiple Channel - Multiple Samples) determines the size of each buffer that is used.
Sample Mode (optional) specifies the data acquisition/output mode. Possible values are as follows:
Finite Samples | (Default) Acquires the specified number of samples and then stops the task.
Continuous Samples | Acquire or generate samples until either the DtOLStop or DtOLCloseTask VI runs.

If you do not wire a value to this input, Finite Samples is used.
Task In (required) specifies the task to which the timing applies. This task must have been created using one of the following instances of the DtOLCreateTask VI: Analog Input - Voltage, Analog Input - Raw, Analog Output - Voltage, or Analog Output - Raw.
Sample Freq (Hz) (optional) specifies the requested sampling frequency of the subsystem, in Hertz, if Timing is set to Internal Clock. If Timing is set to either No Timing or External Clock, this input is ignored.

Once you specify a requested sample frequency, LV-Link applies the nearest sampling frequency that is supported by the device. To determine the actual sampling frequency that was used, read the value of the Actual Sample Freq output.

If you do not wire a value to this input, a value of 1000 is used.

Notes: If your device has simultaneous analog input channels, the value of Sample Freq (Hz) is also the per channel sampling frequency.

If your device has multiplexed analog input channels, you can determine the sampling frequency per channel as follows: Sample Frequency per Channel = Sample Freq (Hz)/Number of Channels. For example, assume that your device has eight multiplexed analog input channels and a maximum sampling frequency of 600 Hz. If you want to sample all eight channels at the maximum frequency, specify 600 for the Sample Freq (Hz) input. The effective sample frequency per channel is then 600 Hz/8, or 75 Hz.
Timing (optional) specifies the sample clock that is used. Possible values are as follows:
No Timing | Acquire data as fast as possible using a software loop. If you use this setting, samples are not guaranteed to be spaced evenly in time.
Internal Clock | (Default) Acquire samples using the internal clock of the device, at the frequency specified by the Sample Rate (Hz) input.
External Clock | Acquire samples using an external digital clock connected to the clock input line of the device. In this case, the sample frequency is the same as the frequency of the external clock signal. A data point is acquired or generated on each cycle of the clock signal.

If you do not wire a value to this input, Internal Clock is used.
error in (optional) describes error conditions that occur before this VI or function runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI or function runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI or function ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI or function ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Num Buffers (optional) applies to continuous analog input tasks only; it specifies how many buffers to use if Sample Mode is Continuous (the buffers are created automatically). This input is ignored for analog output tasks and for finite analog input tasks.

If you do not wire a value to this input, 8 buffers are used. For more information on buffers and memory use, click here.

Sync Mode (optional) applies only to devices, like the DT9837A, that provide an LVDS connector for synchronizing multiple devices. To synchronize operations on multiple devices, the analog input subsystem on one device is configured as the master and the analog input subsystem on the other device is configured as a slave. When the master module is triggered, both the master device and the slave device start operating at the same time. Refer to the documentation for your device for more information.

Possible values for Sync Mode are as follows:

Master | Sets the analog input subsystem as a master; the synchronization connector on the device is configured to output a synchronization signal.
Slave | Sets the analog input subsystem as a slave; the synchronization connector on the device is configured to accept a synchronization signal as an input.
None | (Default) The subsystem is configured to ignore the synchronization circuit.

If you do not wire a value to this input, None is used.
Task Out contains the task that is modified when this VI runs.
Actual Sample Freq contains the actual sample frequency that the device could achieve using the internal clock, based on the value specified in Sample Freq (Hz).
Buffer Size contains the size of the buffer, in bytes, that is used.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI or function produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Output - Set Timing

Specifies all of the timing and buffering attributes when streaming data to the analog output channels of a DT-Open Layers-compliant device. If your device supports streaming digital outputs through the analog output subsystem, this VI also specifies the timing and buffering attributes for the digital output ports.

 Sample Mode (optional) specifies the output mode. Possible values are as follows:
Finite Samples | (Default) Outputs the samples specified by the Data Array input of the DtOLWrite VI, and then stops the task.
Continuous Samples | Outputs multiple buffers specified by the Data Array input of multiple DtOLWrite calls until either the operation runs out of data or until you stop the operation by calling DtOLStop or DtOLCloseTask. Ensure that you supply data fast enough to avoid underrun errors.
Resend One Buffer | Outputs a single buffer specified by the Data Array input of the OLWrite VI continuously until either the DtOLStop or DtOLCloseTask VI runs. With this mode, you need only call DtOLWrite VI once. When the end of the buffer is reached, the software starts outputting data from the beginning of the buffer. This process continues indefinitely until you stop the operation.

If you do not wire a value to this input, Finite Samples is used.
Task In (required) specifies the task to which the timing applies. This task must have been created using one of the following instances of the DtOLCreateTask VI: Analog Input - Voltage, Analog Input - Raw, Analog Output - Voltage, or Analog Output - Raw.
Sample Freq (Hz) (optional) specifies the requested sampling frequency of the subsystem, in Hertz, if Timing is set to Internal Clock. If Timing is set to either No Timing or External Clock, this input is ignored.

Once you specify a requested sample frequency, LV-Link applies the nearest sampling frequency that is supported by the device. To determine the actual sampling frequency that was used, read the value of the Actual Sample Freq output.

If you do not wire a value to this input, a value of 1000 is used.
Timing (optional) specifies the sample clock that is used. Possible values are as follows:
No Timing | Generate data as fast as possible using a software loop. If you use this setting, samples are not guaranteed to be spaced evenly in time.
Internal Clock | (Default) Generate samples using the internal clock of the device, at the frequency specified by the Sample Rate (Hz) input.
External Clock | Generate samples using an external digital clock connected to the clock input line of the device. In this case, the sample frequency is the same as the frequency of the external clock signal. A data point is generated on each cycle of the clock signal.

If you do not wire a value to this input, Internal Clock is used.
error in (optional) describes error conditions that occur before this VI or function runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI or function runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI or function ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI or function ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
Actual Sample Freq contains the actual sample frequency that the device could achieve using the internal clock, based on the value specified in Sample Freq (Hz).
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI or function produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Output - Get Timing From Waveform

For analog output tasks that use the DtOLWaveformGenerate VI or one of LabVIEW's built-in VIs to generate waveforms, configures the timing to match the waveform. When you call the DtOLWrite (Write Single Channel - Waveform) VI, the waveform is output continuously until you stop the operation.

To stream data to a digital output port through the analog output subsystem, it is recommended that you use the Output - Set Timing instance of this VI instead.

Task In (required) specifies the task to which the timing applies. This task must have been created using DtOLCreateTask (Analog Output - Voltage) or DtOLCreateTask (Analog Output - Raw).
Waveform In (required) specifies the waveform that is output from the DtOLWaveformGenerate VI or one of LabVIEW's built-in waveform generation VIs.
error in (optional) describes error conditions that occur before this VI or function runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI or function runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI or function ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI or function ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
Waveform Out contains the generated waveform.
Actual Freq (Hz) contains the actual frequency that the device could achieve, based on the requested frequency of the Waveform In input (determined by the DtOLWaveformGenerate VI or one of LabVIEW's built-in waveform generation VIs).
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI or function produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page


DtOLTrigger

Specifies the trigger-related attributes for an analog input or analog output task. The instances of this polymorphic VI correspond to the trigger type (digital or analog).

Use the pull-down menu to select an instance of this VI.

Digital Trigger

Configures the task to start acquiring or generating samples on a rising or falling edge of an external digital signal. This is also called a start trigger.

To determine if your device supports this trigger type, refer to the documentation for your device.

Task In (required) specifies the task to which the trigger applies. This task must have been created using one of the following instances of the DtOLCreateTask VI: Analog Input - Voltage, Analog Input - Raw, Analog Output - Voltage, or Analog Output - Raw VI.
External Trigger Polarity (optional) specifies the active edge of the external digital trigger signal. Possible values are as follows:
RISING | (Default) The task is triggered when the external digital trigger signal transitions from TTL low to TTL high.
FALLING | The task is triggered when the external digital trigger signal transitions from TTL high to TTL low.

If you do not wire a value to this input, a value of RISING is used.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Analog Trigger

Configures the task to start acquiring or generating samples when an external analog signal crosses a threshold level that you specify. This is also called a start trigger.

To determine if your device supports this trigger type, refer to the documentation for your device.

Task In (required) specifies the task to which the trigger applies. This task must have been created using one of the following instances of the DtOLCreateTask VI: Analog Input - Voltage, Analog Input - Raw, Analog Output - Voltage, or Analog Output - Raw VI.
Trigger Signal Polarity (optional) specifies the polarity of the external analog trigger signal. Possible values are as follows:
RISING | (Default) The task is triggered when the device detects a positive-going (rising) signal that crosses a threshold value.
FALLING | The task is triggered when the device detects a negative-going (falling) signal that crosses a threshold value.

If you do not wire a value to this input, a value of RISING is used.
Threshold Voltage (required) specifies the threshold voltage that, when crossed, causes the trigger to occur.

If you do not wire a value to this input, 0 V is used.

The threshold voltage depends on the voltage range and gain of the subsystem. For example, if the voltage range of the analog input subsystem is ±10 V, and the specified gain is 1, specify a threshold voltage within ±10 V. Likewise, if the voltage range of the analog input subsystem is ±10 V, and the specified gain is 10, specify a threshold voltage within ±1 V.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Channel specifies the number of the analog input channel that is monitored for the threshold trigger event. The default value is 0.
Task Out contains the task that is modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Digital Reference Trigger

Configures the task to use either the rising or falling edge of an external digital signal as the reference trigger.

Pre-trigger acquisition begins when the start trigger is detected. When the reference trigger occurs, pre-trigger acquisition stops and post-trigger acquisition starts. Post-trigger acquisition stops when the number of samples specified by NumSamples have been acquired.

To determine if your device supports this trigger type, refer to the documentation for your device.

Task In (required) specifies the task to which the trigger applies. This task must have been created using one of the following instances of the DtOLCreateTask VI: Analog Input - Voltage or Analog Input - Raw VI.
Reference External Trigger Polarity (optional) specifies the active edge of the external digital trigger signal. Possible values are as follows:
RISING | (Default) The task is triggered when the external digital trigger signal transitions from TTL low to TTL high.
FALLING | The task is triggered when the external digital trigger signal transitions from TTL high to TTL low.

If you do not wire a value to this input, a value of RISING is used.
NumSamples specifies the number of samples to acquire after the reference trigger occurs; this is sometimes called the post-trigger scan count.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Analog Reference Trigger

Configures the task to use an external analog signal that crosses a user-specified threshold value as the reference trigger.

Pre-trigger acquisition begins when the start trigger is detected. When the reference trigger occurs, pre-trigger acquisition stops and post-trigger acquisition starts. Post-trigger acquisition stops when the number of samples specified by NumSamples have been acquired.

To determine if your device supports this trigger type, refer to the documentation for your device.

Reference Threshold Voltage (required) specifies the threshold voltage that, when crossed, causes the reference trigger to occur.

If you do not wire a value to this input, 0 V is used.

The threshold voltage depends on the voltage range and gain of the subsystem. For example, if the voltage range of the analog input subsystem is ±10 V, and the specified gain is 1, specify a threshold voltage within ±10 V. Likewise, if the voltage range of the analog input subsystem is ±10 V, and the specified gain is 10, specify a threshold voltage within ±1 V.
Task In (required) specifies the task to which the trigger applies. This task must have been created using one of the following instances of the DtOLCreateTask VI: Analog Input - Voltage or Analog Input - Raw VI.
Reference Trigger Signal Polarity (optional) specifies the polarity of the external analog trigger signal. Possible values are as follows:
RISING | (Default) The task is triggered when the device detects a positive-going (rising) signal that crosses a threshold value.
FALLING | The task is triggered when the device detects a negative-going (falling) signal that crosses a threshold value.

If you do not wire a value to this input, a value of RISING is used.
NumSamples specifies the number of samples to acquire after the reference trigger occurs; this is sometimes called the post-trigger scan count.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Channel specifies the number of the analog input channel that is monitored for the reference threshold trigger event. The default value is 0.
Task Out contains the task that is modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Triggered Scan

Configures the task for a triggered scan operation.

In triggered scan mode, the device scans the channel-gain list a specified number of times when it detects the specified retrigger source, acquiring the data for each channel that is scanned. The conversion rate of each channel in the scan is determined by the frequency of the A/D sample clock.

To determine if your device supports triggered scan mode, refer to the documentation for your device.

Retrigger Source specifies the trigger source that is used to retrigger the scan.

The following retrigger sources are possible:
  • Software - A software trigger retriggers the scan.
  • Digital Positive - An external digital trigger retriggers the scan on a positive transition.
  • Digital Negative - An external digital trigger retriggers the scan on a negative transition.
  • Analog Threshold Positive - An analog threshold trigger retriggers the scan when the device detects a transition from a negative value to a positive value that crosses a threshold value.
  • Analog Threshold Negative - An analog threshold trigger retriggers the scan when the device detects a transition from a positive value to a negative value that crosses a threshold value.
Task In (required) specifies the task to which triggered scan applies. This task must have been created using one of the following instances of the DtOLCreateTask VI: Analog Input - Voltage or Analog Input - Raw VI.
Retrigger Frequency specifies the frequency (in hertz) for retriggering the scan when a software retrigger source is specified.

Due to hardware limitations, not every frequency can be achieved exactly. The driver sets the subsystem retrigger rate as closely as possible to the desired frequency. To determine the fastest recommended rate, use the following formula:

Min. Retrigger = # of CGL entries x # of CGLs per trigger + 2 μs
Period A/D sample clock frequency

For example, if you are using 512 channels in the channel-gain list (CGL), scanning the channel-gain list 256 times every trigger or retrigger, and using an AD sample clock with a frequency of 1 MHz, set the minimum retrigger frequency to 7.62 Hz, since

7.62 Hz = 1
( 512 * 256) +2 μs
1 MHz
Scan Count specifies the number of times the device will scan the channel-gain list when it detects the retrigger event.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page


DtOLTriggerSource

For the specified task, sets and returns information pertaining to the trigger source of the device.

Task In (required) specifies the task from which the trigger information is obtained.
Trigger Source specifies one of the following trigger sources to use for the device: Software, External Digital, External Analog, Analog Event, Digital Event, Timer Event, or Extra.
Pre-Trigger Source specifies one of the following pre-trigger sources to use for the device: Software, External Digital, External Analog, Analog Event, Digital Event, Timer Event, or Extra.
Select Source to view on LEDs below specifies whether you want to display the current trigger source or current pre-trigger source.
Set Trigger specifies whether to change the trigger source to the value that you specified in Trigger Source. If True, the trigger source is changed. If False, the default trigger source is used.
Set Pre-Trigger specifies whether to change the pre-trigger source to the value that you specified in Pre-Trigger Source. If True, the pre-trigger source is changed. If False, the default pre-trigger source is used.
error in describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Software is TRUE (X) if the current source (trigger or pre-trigger) is a software trigger or FALSE (checkmark) if the current source is not a Software trigger. You set the current source to either trigger or pre-trigger using Select Source to view on LEDs below.
Ext Digital is TRUE (X) if the current source (trigger or pre-trigger) is an external digital TTL trigger or FALSE (checkmark) if the current source is not an external digital TTL trigger. You set the current source to either trigger or pretrigger using Select Source to view on LEDs below.
Ext Ana Pos is TRUE (X) if the current source (trigger or pre-trigger) is an external, positive-edge analog trigger or FALSE (checkmark) if the current source is not an external, positive-edge analog trigger. You set the current source to either trigger or pretrigger using Select Source to view on LEDs below.
Ext Ana Neg is TRUE (X) if the current source (trigger or pre-trigger) is an external, negative-edge analog trigger or FALSE (checkmark) if the current source is not an external, negative-edge analog trigger. You set the current source to either trigger or pretrigger using Select Source to view on LEDs below.
Analog Event is TRUE (X) if the current source (trigger or pre-trigger) is an analog event or FALSE (checkmark) if the current source is not an analog event. You set the current source to either trigger or pre-trigger using Select Source to view on LEDs below.
Digital Event is TRUE (X) if the current source (trigger or pre-trigger) is a digital event or FALSE (checkmark) if the current source is not a digital event. You set the current source to either trigger or pre-trigger using Select Source to view on LEDs below.
Task Out contains the task that is modified when this VI runs.
Timer Event is TRUE (X) if the current source (trigger or pre-trigger) is a timer event or FALSE (checkmark) if the current source is not a timer event. You set the current source to either trigger or pre-trigger using Select Source to view on LEDs below.
Extra is TRUE (X) if the current source (trigger or pre-trigger) is an extra trigger or FALSE (checkmark) if the current source is not an extra trigger. You set the current source to either trigger or pre-trigger using Select Source to view on LEDs below.
Sup Software is TRUE (X) if a software trigger is supported by the device or FALSE (checkmark) if a software trigger is not supported by the device.
Sup Pos Ext TTL Single is TRUE (X) if a positive-edge external TTL trigger is supported by the device for a single-value operation or FALSE (checkmark) if a positive-edge external TTL trigger is not supported by the device for a single-value operation.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Sup Neg Ext TTL Single is TRUE (X) if a negative-edge external TTL trigger is supported by the device for a single-value operation or FALSE (checkmark) if a negative-edge external TTL trigger is not supported by the device for a single-value operation.
Sup Pos Ext TTL is TRUE (X) if a positive-edge external TTL trigger is supported by the device or FALSE (checkmark) if a positive-edge external TTL trigger is not supported by the device.
Sup Neg Ext TTL is TRUE (X) if a negative-edge external TTL trigger is supported by the device or FALSE (checkmark) if a negative-edge external TTL trigger is not supported by the device.
Sup Pos Threshold is TRUE (X) if a positive threshold trigger is supported by the device or FALSE (checkmark) if a positive threshold trigger is not supported by the device.
Sup Neg Threshold is TRUE (X) if a negative threshold trigger is supported by the device or FALSE (checkmark) if a negative threshold trigger is not supported by the device.
Sup Digital Event is TRUE (X) if a digital event trigger is supported by the device or FALSE (checkmark) if a negative digital event trigger is not supported by the device.


DtOLWaitUntilDone

Waits for the specified task to complete or for the timeout interval to elapse, whichever comes first. You can use this VI to determine when the task is completed before stopping the task.

This VI is typically used with analog output tasks that output a finite number of samples. For example, if you start a task that outputs a finite number of samples and then immediately stop the task, the number of samples may have been written but not yet output by the analog output channels when you stop the task. To ensure that all the samples have been output as expected, call the DtOLWaitUntilDone VI before stopping the task. After DtOLWaitUntilDone executes, you know that all of the samples have been output and you can stop the task.

Task In (required) specifies the task to which the operation applies. This task must have been created using the DtOLCreateTask VI (typically the Analog Output - Voltage or Analog Output -Raw instance).
Timeout (optional) specifies the time, in seconds, to wait. If the requested time elapses, an error is returned. If you specify a value of 0, the VI waits indefinitely.

If you do not wire a value to this input, LV-Link uses a value of 0 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


DtOLWaveformGenerate

Creates one cycle of a sine wave, triangle wave, square wave, or sawtooth wave with a specified number of samples, frequency, and amplitude per cycle.

Using the DtOLTiming (Output - Get Timing From Waveform) VI, you can specify whether to output a single cycle of this waveform or to output this waveform continuously. To actually write this waveform to an analog output channel, use the DtOLWrite (Write Single Channel - Waveform) VI.

Waveform Type (optional) specifies the type of waveform to generate. Possible values are as follows:
Sine Wave | (Default) Creates one cycle of a sine wave.
Triangle Wave | Creates one cycle of a triangle wave.
Square Wave | Creates one cycle of a square wave.
Sawtooth Wave | Creates one cycle of a sawtooth wave.

If you do not wire a value to this input, Sine Wave is used.
Samples per Cycle Buffer (optional) specifies the number of samples in the buffer that represent one cycle of the waveform. This value multiplied by the value of the Desired Frequency input determines the sampling rate that is required to output the waveform from the analog output channel. Based on the required sampling rate, LV-Link applies the nearest sampling rate that is supported by the device, and returns this value in the Actual Sample Rate output. The Actual Frequency that can be achieved is then determined by dividing the Actual Sample Rate by the Samples per Cycle Buffer.

For example, if Samples per Cycle Buffer is 10 and Desired Frequency is 50000 Hz, the required analog output rate is 500,000 Samples/s. If your device supports this analog output rate, 500,000 is returned in Actual Sample Rate, and the Actual Frequency that is returned is the same as the Desired Frequency (50000 Hz). If however, your device supports a maximum analog output rate of 400,000 Samples/s, a value for 400,000 is returned in Actual Sample Rate, and the Actual Frequency that is used is 40,000 Hz (400,000 / 10).

If you do not wire a value to this input, a value of 250 is used.
Task In (required) specifies the task containing a list of virtual channels to update. This task must have been created using DtOLCreateTask (Analog Output - Voltage) or DtOLCreateTask (Analog Output - Raw).
Desired Frequency (optional) specifies the desired frequency of the waveform, in Hz. This value multiplied by the value of the Samples per Cycle Buffer input determines the sampling rate that is required by the analog output channel. Based on the required sampling rate, LV-Link applies the nearest sampling rate that is supported by the device, and returns this value in the Actual Sample Rate output. The Actual Frequency that can be achieved is then determined by dividing the Actual Sample Rate by the Samples per Cycle Buffer.

For example, if Samples per Cycle Buffer is 10 and Desired Frequency is 50000 Hz, the required analog output rate is 500,000 Samples/s. If your device supports this analog output rate, 500000 is returned in Actual Sample Rate, and the Actual Frequency that is returned is the same as the Desired Frequency (50000 Hz). If however, your device supports a maximum analog output rate of 400,000 Samples/s, a value for 40000 is returned in Actual Sample Rate, and the Actual Frequency that is used is 40000 Hz (400,000 / 10).

If you do not wire a value to this input, a value of 10,000 is used.
Amplitude (optional) specifies the amplitude of the waveform that is created, in voltage.

If you do not wire a value to this input, a value of 1.00 V is used.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
Actual Frequency contains the actual frequency that the device could achieve, and is determined by dividing the Actual Sample Rate by the Samples per Cycle Buffer.

For example, if Samples per Cycle Buffer is 10 and Desired Frequency is 50000 Hz, the required analog output rate is 500,000 Samples/s. If your device supports this analog output rate, 500000 is returned in Actual Sample Rate, and the Actual Frequency that is returned is the same as the Desired Frequency (50000 Hz). If however, your device supports a maximum analog output rate of 400,000 Samples/s, a value for 40000 is returned in Actual Sample Rate, and the Actual Frequency that is used is 40000 Hz (400,000 / 10).
Waveform contains the waveform that is created using this VI.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Actual Sample Rate contains the actual sampling rate that the analog output channel could achieve based on the required sampling rate (determined by multiplying Samples per Cycle Buffer and Desired Frequency).

For example, if Samples per Cycle Buffer is 10 and Desired Frequency is 50000 Hz, the required analog output rate is 500,000 Samples/s. If your device supports this analog output rate, 500000 is returned in Actual Sample Rate. If however, your device supports a maximum analog output rate of 400,000 Samples/s, a value for 40000 is returned in Actual Sample Rate.


DtOLWrite

Outputs samples to the virtual channels of a task you specify. The instances of this polymorphic VI specify the format of the data to write, whether to output data to a single channel or multiple channels, and whether to output a single sample, multiple samples, or a waveform.

To initialize the value of the analog output channels to 0 V, use the DtInitDACBuffers and DtOLStart VIs before calling DtOLWrite.

If the task uses on-demand timing, the default if you do not use the DtOLTiming VI, this VI returns only after the device outputs all the samples. If the task uses any timing type other than on-demand, this VI returns immediately and does not wait for the device to output all the samples. To ensure that all the samples have been output, your application must determine if the task is done using the DtOLWaitUntilDone VI; this is particularly useful when performing finite analog output tasks.

Use the pull-down menu to select an instance of this VI.

Write Single Channel - Single Sample

Outputs a single sample, formatted as a 64-bit floating-point number, to a single virtual channel of a task you specify. This VI implicitly starts the task; therefore, you do not need to call the DtOLStart VI when using this VI.

This VI is typically used with tasks that were created using the following instances of the DtOLCreateTask VI:

    • Analog Output - Voltage

    • Analog Output - Raw

    • Digital Output

Task In (required) specifies the task containing the virtual channel to update. This task must have been created using the DtOLCreateTask VI.
Data In (required) contains the single sample to output.
Timeout (optional) specifies the time, in seconds, in which to output a single sample. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to output the sample once; if the data cannot be output in time, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Write Single Channel - Multiple Samples

Outputs multiple samples, formatted as a one-dimensional array of 64-bit floating-point numbers, to a single virtual channel of a task you specify. This VI is typically used with analog output tasks that use the DtOLTiming (Output - Set Timing) VI.

Note: This VI does NOT implicitly start finite or continuous analog output tasks; therefore, when using this VI, you must ensure that your analog output task explicitly calls the DtOLStart VI.

Task In (required) specifies the task containing the virtual channel to update. This task must have been created using the DtOLCreateTask VI.
Data In (required) specifies a one-dimensional array of real values representing the samples to output.
Timeout (optional) specifies the time, in seconds, in which to output the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to output the samples once; if the data cannot be output in time, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
NumQueued out contains the number of buffers that are queued for writing for this task.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Write Single Channel - Waveform

Outputs a waveform to a single virtual analog output channel of a task you specify.

This VI is typically used with the DtOLTiming (Get Timing From Waveform) and DtOLWaveformGenerate VIs.

Note that if this VI is used with DtOLTiming (Get Timing From Waveform), DtOLWrite (Write Single Channel Waveform) implicitly starts the task and you do not need to call the DtOLStart VI.

If this VI is used with the DtOLTiming (Output - Set Timing) VI, DtOLWrite (Write Single Channel Waveform) implicitly starts the task only if the Sample Mode is set to Resend One Buffer in the DtOLTiming (Output - Set Timing) VI. If the Sample Mode is set to Finite Samples or Continuous Samples in the DtOLTiming (Output - Set Timing) VI, DtOLWrite (Write Single Channel Waveform) will not start automatically; you must make an explicit call to the DtOLStart VI to start the operation.

Task In (required) specifies the task containing the virtual analog output channel to update. This task must have been created using DtOLCreateTask (Analog Output - Voltage) or DtOLCreateTask (Analog Output - Raw).
Waveform (required) specifies the waveform to output. You can create your own waveform using one of LabVIEW's built-in waveform generating VIs or use the output from the DtOLWaveformGenerate VI.
Timeout (optional) specifies the time, in seconds, in which to output the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to output the samples once; if the data cannot be output in time, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page

Write Multiple Channel - Multiple Samples

Outputs multiple samples, formatted as a two-dimensional array of 64-bit floating-point numbers, to multiple virtual channels of a task you specify. This VI is typically used with analog output tasks that use the DtOLTiming (Output - Set Timing) VI.

Task In (required) specifies the task containing the virtual channel to update. This task must have been created using the DtOLCreateTask VI.
Data In (required) specifies a two-dimensional array of 64-bit real numbers representing the samples to output. Each column of the array corresponds to the data for a single channel. Ensure that you specify a column of data for each virtual channel that you created using the DtOLCreateTask VI.
Timeout (optional) specifies the time, in seconds, in which to output the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to output the samples once; if the data cannot be output in time, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
StartWrite is TRUE (X) if you want to start the task automatically when this VI is called (in this case, you do not need to call DtOLStart to start the task), or FALSE (checkmark) if you do not want to start the task automatically when this VI is called (in this case, you need to explicitly call DtOLStart to start the task). By default, this value is FALSE.
Task Out contains the task that is modified when this VI runs.
NumQueued out contains the number of buffers that are queued for writing for this task.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Return to Top of Page


StrainCalibration VIs

Strain Calibration Utilities, Images, and Sub VIs

The Strain Calibration Utilities are provided to calibrate strain gages and bridge-based sensors in LV-Link. The images and underlying VIs that are used by these utilities are also provided.

Utilities

DtFullBridgeBasedSensorCal Utility

DtStrainGageCal Utility

Sub VIs

DtOLFullBridgeBasedSensorCal VI

DtOLStrainGageCal VI


DtFullBridgeBasedSensorCal Utility

The DtFullBridgeBasedSensorCal utility allows you to perform an offset and shunt calibration procedure on a channel that was configured for a full-bridge based sensor, such as a load cell. Images are shown to help you wire your bridge-based sensor.

Note that this utility takes a few seconds to run, so please wait for the utility to start.

The following VIs are used in this utility:

  • DtOLCreateTask (Analog Input - Voltage) - Sets up a virtual analog input channel for the calibration procedure. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. By default, it is configured for a channel on the DT9838 module.

  • DtOLGetTEDS (Hardware TEDS - Bridge Sensor) - If you choose the Use Hardware TEDS Data option in this utility, this utility reads the TEDS data from the hardware and automatically applies the TEDS data to the bridge configuration parameters.

  • DtOLGetTEDS (Virtual TEDS - Bridge Sensor) - If you choose the Read TEDS Data File option in this utility, this utility reads the TEDS data from a data file that you specify and automatically applies the TEDS data to the bridge configuration parameters.

  • DtOLFullBridgeBasedSensorCal - Performs the offset calibration and shunt calibration procedure for the specified channel.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.

The following parameters are specified as inputs to this utility or are returned by this utility:

Board Name specifies the name of the DT-Open Layers PCI or USB device, as defined in the DT-Open Layers Control Panel applet, on which the strain gage channel resides. If you do not wire a value to this input, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.
Channel Number specifies the number of the analog input channel to calibrate. This channel must support a strain gage input. If you do not wire a value to this input, LV-Link uses 0 as the channel number.
Sampling rate specifies the sampling rate of the device in Samples/second.
Resistor with Shunt specifies which of the bridge elements to shunt with a resistor (R1, R2, R3, or R4).
Use Sense Lines specifies whether the remote sense lines are used in the channel wiring. This value is ON if the remote sense lines or used or OFF if the remote sense lines are not used.
Lead Wire Resistance (ohms) specifies the lead wire resistance of the channel. Note that this value is only used if the Use Sense Lines parameter is FALSE.
Edit Bridge Properties specifies how the values for the bridge configuration are determined. You can choose one of the following options:
  • Use Hardware TEDS Data - If you choose this option, the TEDS parameters for the bridge configuration are applied to this VI automatically.
  • Read TEDS Data File - If you choose this option, the TEDS parameters for the bridge configuration are read from the data file that you specify and are applied to this VI automatically.
  • Use Manually Entered Properties - If you choose this option, you must specify the parameters for the bridge configuration in this VI.
TEDS Data File specifies the path to use for the TEDS data file (virtual TEDS) if you selected the Read TEDS Data File option for the Edit Bridge Properties parameter.
Excitation Voltage (Volts) specifies the excitation voltage of the bridge. You must specify this value unless the value was read from the TEDS hardware or data file.
Transducer Capacity specifies the transducer capacity for the bridge. You must specify this value unless the value was read from the TEDS hardware or data file.
Transducer Rated Output specifies the transducer rated output for the bridge. You must specify this value unless the value was read from the TEDS hardware or data file.
Bridge Impedance (ohms) specifies the impedance of the bridge. You must specify this value unless the value was read from the TEDS hardware or data file.
Shunt Correction contains the shunt correction value that results from the shunt calibration procedure. You can use this value in the DtOLSetChanStrain (Bridge Sensor Device) VI, if desired.
Unstrained Value Offset contains the offset value that results from the offset calibration procedure. You can use this value in the DtOLSetChanStrain (Bridge Sensor Device) VI, if desired.


DtStrainGageCal Utility

The DtStrainGageCal utility allows you to perform an offset and shunt calibration procedure on a channel that was configured for a strain gage input. Images are shown to help you wire your strain gage.

Note that this utility takes a few seconds to run, so please wait to allow the utility to start.

The following VIs are used in this utility:

  • DtOLCreateTask (Analog Input - Voltage) - Sets up a virtual analog input channel for the calibration procedure. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. By default, it is configured for a channel on the DT9838 module.

  • DtOLGetTEDS (Hardware TEDS - Strain Gage) - If you choose the Use Hardware TEDS Data option in this utility, this utility reads the TEDS data from the hardware and automatically applies the TEDS data to the bridge configuration parameters.

  • DtOLGetTEDS (Virtual TEDS - Strain Gage) - If you choose the Read TEDS Data File option in this utility, this utility reads the TEDS data from a data file that you specify and automatically applies the TEDS data to the bridge configuration parameters.

  • DtOLStrainGageCal - Performs the offset calibration and shunt calibration procedure for the specified channel.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.

The following parameters are specified as inputs to this utility or are returned by this utility:

Board Name specifies the name of the DT-Open Layers PCI or USB device, as defined in the DT-Open Layers Control Panel applet, on which the strain gage channel resides. If you do not wire a value to this input, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.
Channel Number specifies the number of the analog input channel to calibrate. This channel must support a strain gage input. If you do not wire a value to this input, LV-Link uses 0 as the channel number.
Sampling rate specifies the sampling rate of the device in Samples/second.
Resistor with Shunt specifies which of the bridge elements to shunt with a resistor (R1, R2, R3, or R4).
Use Sense Lines specifies whether the remote sense lines are used in the channel wiring. This value is ON if the remote sense lines or used or OFF if the remote sense lines are not used.
Select Bridge Type specifies one of the following configurations for the bridge:
  • Quarter Bridge Temp Comp
  • Half Bridge Poisson
  • Half Bridge Bending
  • Quarter Bridge
  • Full Bridge Bending
  • Full Bridge Bending Poisson
  • Full Bridge Axial Poisson
Lead Wire Resistance (ohms) specifies the lead wire resistance of the channel. Note that this value is only used if the Use Sense Lines parameter is FALSE.
Edit Bridge Properties specifies how the values for the bridge configuration are determined. You can choose one of the following options:
  • Use Hardware TEDS Data - If you choose this option, the TEDS parameters for the bridge configuration are applied to this VI automatically.
  • Read TEDS Data File - If you choose this option, the TEDS parameters for the bridge configuration are read from the data file that you specify and are applied to this VI automatically.
  • Use Manually Entered Properties - If you choose this option, you must specify the parameters for the bridge configuration in this VI.
TEDS Data File specifies the path to use for the TEDS data file (virtual TEDS) if you selected the Read TEDS Data File option for the Edit Bridge Properties parameter.
Excitation Voltage (Volts) specifies the excitation voltage of the bridge. You must specify this value unless the value was read from the TEDS hardware or data file.
Transducer Capacity specifies the transducer capacity for the bridge. You must specify this value unless the value was read from the TEDS hardware or data file.
Transducer Rated Output specifies the transducer rated output for the bridge. You must specify this value unless the value was read from the TEDS hardware or data file.
Bridge Impedance (ohms) specifies the impedance of the bridge. You must specify this value unless the value was read from the TEDS hardware or data file.
Shunt Correction contains the shunt correction value that results from the shunt calibration procedure. You can use this value in the DtOLSetChanStrain (Bridge Sensor Device) VI, if desired.
Unstrained Value Offset contains the offset value that results from the offset calibration procedure. You can use this value in the DtOLSetChanStrain (Bridge Sensor Device) VI, if desired.


DtOLFullBridgeBasedSensorCal

Performs an offset calibration and shunt calibration operation on a channel configured for a full-bridge based sensor, such as a load cell.

Sampling rate (optional) specifies the sampling rate of the device in Samples/second.
Wire resistance (ohms) specifies the lead wire resistance of the channel. Note that this value is only used if the Use Sense Lines parameter is FALSE.
Task In (required) specifies the task on which to perform the shunt calibration operation.
Channel Number specifies the number of the analog input channel to calibrate. This channel must support a strain gage input. If you do not wire a value to this input, LV-Link uses 0 as the channel number.
Shunt Resistor Location (1 to 4) specifies which of the bridge elements to shunt with a resistor (R1, R2, R3, or R4).
Excitation Voltage specifies the excitation voltage of the bridge.
Rated Output (max V/V) specifies the rated output of the transducer. Refer to the documentation for the transducer for this value.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Transducer Capacity (Physical Max) specifies the transducer capacity. Refer to the documentation for the transducer for this value.
Bridge Element Impedance (ohms) specifies the impedance of the bridge.
Task Out contains the task that is started when this VI runs.
Measured Informational contains the measured value when the shunt resistor is applied.
Calculated Informational contains the expected value when the shunt resistor is applied.
Shunt Calibration Correction contains the shunt correction value that results from the shunt calibration procedur. This value is determined by comparing the measured value to the expected value. You can use this value in the DTOLSetChanStrain (Bridge Sensor Device) VI, if desired.
Unstrained Value contains the offset value that results from the offset calibration procedure. You can use this value in the DTOLSetChanStrain (Bridge Sensor Device) VI, if desired.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


DtOLStrainGageCal

Performs an offset calibration and shunt calibration operation on a channel configured for strain gage input.

Bridge Type specifies the configuration of the bridge for the specified channel:
  • Full Bridge
  • Full Bridge Bending Poisson
  • Full Bridge Axial Poisson
  • Half Bridge Bending
  • Half Bridge Poisson
  • Quarter Bridge
  • Quarter Bridge Temp Comp
Sampling rate (optional) specifies the sampling rate of the device in Samples/second.
Wire resistance (ohms) specifies the lead wire resistance of the channel.
Task In (required) specifies the task on which to perform the shunt calibration operation.
Channel Number specifies the number of the analog input channel to calibrate. This channel must support a strain gage input. If you do not wire a value to this input, LV-Link uses 0 as the channel number.
Shunt Resistor Location (1 to 4) specifies which of the bridge elements to shunt with a resistor (R1, R2, R3, or R4).
Excitation Voltage specifies the excitation voltage of the bridge.
Gage Factor specifies the gage factor of the sensor. Refer to the documentation for the sensor for this value.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Poisson Ratio specifies the Poisson ratio for the bridge.
Bridge Element Impedance (ohms) specifies the impedance of the bridge.
Task Out contains the task that is started when this VI runs.
Measured uE (Informational) contains the measured value when the shunt resistor is applied.
Calculated uE (Informational) contains the expected value when the shunt resistor is applied.
Shunt Calibration Correction contains the shunt correction value that results from the shunt calibration procedur. This value is determined by comparing the measured value to the expected value. You can use this value in the DTOLSetChanStrain (Strain Gage) VI, if desired.
Unstrained Value contains the offset value that results from the offset calibration procedure. You can use this value in the DTOLSetChanStrain (Strain Gage) VI, if desired.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Images

Images for Strain Calibration

This directory contains images to help you wire the different bridge configurations. These images are used by the DtFullBridgeBasedSensorCal Utilty and DtStrainGageCal Utility VIs.


Utility VIs

The following Utility VIs are used to perform specific operations when used with other VIs in LV-Link:

DtInitDACBuffers

DtOLCheckStatus

DtOLErrorParser

DtOLWriteTwoChannelSingle


DtInitDACBuffers

Initializes the values in the buffers that are used by an analog output task to 0 V. To output the values to the analog output channels, you must explicitly start the analog output task using the DtOLStart VI.

You can use this VI before calling the DtOLWrite VI to ensure that the analog output channels output 0 V on start-up.

Samples Per Channel (optional) contains the number of samples in the buffer to initialize for the channel.
Task In (required) specifies the task containing the virtual channel to update. This task must have been created using DtOLCreateTask (Analog Output -Voltage) or DtOLCreateTask (Analog Output - Raw).
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


DtOLCheckStatus

Calls LV-Link to determine whether an error has occurred. This VI is useful in programs, such as DtAoutWaveform, that have long running loops which do not call LV-Link. In most applications, this VI is not needed.

Task In (optional) specifies the task that may contain an LV-Link error code to report.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


DtOLErrorParser

Converts error codes from DT-Open Layers into LV-Link error codes for use with LabVIEW’s error handler VIs.

Use this VI with the following VIs, which access the DT-Open Layers Data Acq SDK:

    • DtOLGetBoard

    • DtOLGetChanList

    • DtOLClock

    • DtOLSubsystem

    • DtOLTriggerSource

error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Error string contains a description of the error.


DtOLWriteTwoChannelSingle

Outputs a single sample, formatted as a 64-bit floating-point number, to two virtual channels of a task you specify. This VI implicitly starts the task; therefore, you do not need to call the DtOLStart VI when using this VI.

This VI is typically used with tasks that were created using the following instances of the DtOLCreateTask VI:

    • Analog Output - Voltage

    • Analog Output - Raw

If desired, you can modify this VI to add more channels to update.

Data for second channel (required) specifies a 64-bit real number that represents the sample to output to the second channel.
Data for first channel (required) specifies a 64-bit real number that represents the sample to output to the first channel.
Task In (required) specifies the task containing the virtual channel to update. This task must have been created using the DtOLCreateTask VI.
Timeout (optional) specifies the time, in seconds, in which to output the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to output the samples once; if the data cannot be output in time, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
Task Out contains the task that is modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Sub VIs

The following sub VI is used to convert information from DT-Open Layers into LabVIEW format:

Error Converter (ErrCode or Status)


Error Converter (ErrCode or Status)

Converts an error code or status message from the DT-Open Layers Data Acq SDK into LabVIEW format.

error code (required) specifies the DT-Open Layers error to convert.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Polymorphic VIs

PolySubVIs

Polymorphic sub VIs accept different data types for a single input or output terminal. A polymorphic VI is a collection of sub VIs for a particular LV-Link VI with the same connector pane patterns. Each VI in the collection is an instance of the polymorphic sub VI.

The following polymorphic sub VIs are supported in LV-Link:

PolySub VIs for DtOLCreateTask

DtCreateAinChan

DtCreateAinRawChan

DtCreateAoutChan

DtCreateAoutRawChan

DtCreateCtrContMeasureChan

DtCreateCtrEventsChan

DtCreateCtrFreqChan

DtCreateCtrOneShotChan

DtCreateCtrOneShotRepeatChan

DtCreateCtrPeriodChan

DtCreateCtrRateChan

DtCreateCtrTwoEdgeChan

DtCreateCtrUpDownChan

DtCreateDinChan

DtCreateDoutChan

DtCreateQuadChan

PolySub VIs for DtOLRead

DtOLReadSingle

DtOLReadMultiple1D

DtOLReadMultipleSingle

DtOLReadMultiple2D

DtOLReadSingleU32

DtOLReadMultiple1DU32

DtOLReadMultipleSingleU32

DtOLReadMultiple2DU32

DtOLReadSingleU16

DtOLReadMultiple1DU16

DtOLReadMultipleSingleU16

DtOLReadMultiple2DU16

PolySub VIs for DtOLStart

DtOLStartNormal

DtOLStartSimultaneous

PolySub VIs for DtOLTiming

DtOLTimingSetInput

DtOLTimingSetOutput

DtOLTimingWaveform

PolySub VIs for DtOLTrigger

DtOLTriggerAnalog

DtOLTriggerDigital

DtOLReferenceTriggerAnalog

DtOLReferenceTriggerDigital

DtOLTriggeredScan

PolySub VIs for DtOLWrite

DtOLWriteSingle

DtOLWriteMultiple1D

DtOLWriteMultiple2D

DtOLWriteWaveform

PolySub VIs for DtOLGetTEDS

DtOLGetTEDSSensorStrainHardware

DtOLGetTEDSSensorBridgeHardware

DtOLGetTEDSSensorStrainFile

DtOLGetTEDSSensorBridgeFile

PolySub VIs for DtOSetChanStrain

DtOLSetChanBridgeSensorDevice

DtOLSetChanStrainDevice


VIs (Low Level)

The following low-level VIs, which are use by the higher-level VIs in LV-Link, call directly into the entry points of the DLL of the Data Acq SDK to set and return information on the data acquisition device:

Lvi Board Properties

Lvi Board Serial Number

Lvi Bridge Config Channel Settings

Lvi Bridge Sensor Channel Settings

Lvi Channel List Properties

Lvi Check Status

Lvi Clock Properties

Lvi Clock Settings

Lvi Close Task

Lvi Create Task

Lvi Current Channel Settings

Lvi Get Board Names

Lvi Get Error String

Lvi Get Teds Bridge Sensor Info

Lvi Get Teds Strain Info

Lvi Read Dbl Data Pt

Lvi Read Dbl Data1D

Lvi Read Dbl Data2D

Lvi Read U16 Data Pt

Lvi Read U16 Data1D

Lvi Read U16 Data2D

Lvi Read U32 Data Pt

Lvi Read U32 Data1D

Lvi Read U32 Data2D

Lvi Resistance Channel Settings

Lvi Rtd Channel Settings

Lvi Select Channels

Lvi Select Raw Format

Lvi Set Reference Trigger

Lvi Set Shunt Resistor

Lvi Set Termination Resistor

Lvi Set Timing

Lvi Set Trigger

Lvi Set Trigger Threshold Channel

Lvi Set Triggered Scan

Lvi Simultaneous Start

Lvi Strain Channel Settings

Lvi Subsystem Config

Lvi Subsystem Properties

Lvi Subsystem Set Channel Gain

Lvi Subsystem Set Channel Option

Lvi Subsystem Set Ctr Cont Measure Mode

Lvi Subsystem Set Ctr Count Mode

Lvi Subsystem Set Ctr Freq Mode

Lvi Subsystem Set Ctr Measure Mode

Lvi Subsystem Set Ctr One Shot Mode

Lvi Subsystem Set Ctr One Shot Repeat Mode

Lvi Subsystem Set Ctr Period Mode

Lvi Subsystem Set Ctr Rate Mode

Lvi Subsystem Set Ctr Up Down Mode

Lvi Subsystem Set Quad Encoder

Lvi Subsystem Start

Lvi Subsystem Stop

Lvi Subsystem Wait Until Done

Lvi Thermistor Channel Settings

Lvi Thermocouple Channel Settings

Lvi Trigger Properties

Lvi Trigger Settings

Lvi Write Dbl Data Pt

Lvi Write Dbl Data1D

Lvi Write Dbl Data2D

Lvi Write U16 Data Pt

Lvi Write U16 Data1D

Lvi Write U16 Data2D

Lvi Write U32 Data Pt

Lvi Write U32 Data1D

Lvi Write U32 Data2D


Lvi Board Properties

Calls directly into the entry points of the DLL of the Data Acq SDK to return information about the device. This VI is used by the higher-level VI, DtOLGetBoard.

TaskRef (required) specifies the task for which to return device information.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
DriverName contains the name of the driver that is used by the specified device.
TaskRef out contains the task that is modified when this VI runs.
BoardModelName contains the model number of the device.
DeviceName contains the name of the device as defined in the DT-Open Layers Control Panel applet.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
DriverVersion contains the revision of the driver that is used by the specified device.


Lvi Board Serial Number

Calls directly into the entry points of the DLL of the Data Acq SDK to return the serial number of the device. This VI is used by the higher-level VI, DtOLGetBoard.

TaskRef (required) specifies the task for which to return device information.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
SerialNumber contains the serial number of the device.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Bridge Config Channel Settings

Calls directly into the entry points of the DLL of the Data Acq SDK to configure a general-purpose bridge that returns data in voltage. If you want to return data from a bridge-based sensor in the engineering units of the sensor, use the Lvi Bridge Sensor Channel Settings VI instead.

BridgeVoltage specifies the voltage of the bridge.
TaskRef specifies the task containing the virtual channel to read. This task must have been created using the DtOLCreateTask VI.
Channel (optional) specifies the virtual channel to configure. By default, this is 0.
BridgeConfigType specifies the configuration of the bridge. Possible values are Full Bridge (0), Half Bridge (1), or Quarter Bridge (2).
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef Out contains the task that is started when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Bridge Sensor Channel Settings

Calls directly into the entry points of the DLL of the Data Acq SDK to configure a bridge-based sensor that returns data in the engineering units of the sensor. If you want to return data from a general-purpose bridge in voltage, use the Lvi Bridge Config Channel Settings VI instead.

UnstrainedVoltage specifies the initial, unstrained voltage output of the bridge.
GageResistance specifies the nominal gage resistance of the bridge, which is specified by the gage manufacturer.
TransducerCapacity specifies the full-scale range of the transducer in its native engineering units.
TaskRef specifies the task containing the virtual channel to read. This task must have been created using the DtOLCreateTask VI.
Channel specifies the channel number of the device that is connected to the bridge-based sensor.
BridgeExcitationSource specifies whether the excitation source is internal (0) or external (1).
ExcitationVoltage specifies the excitation voltage value of the internal excitation voltage source.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
RatedOutput specifies the rated output of the transducer in terms of mV/V excitation.
WireResistance specifies the lead wire resistance of the bridge, in ohms, for a channel that supports a full-bridge-based transducer that does not use remote sensing,

If remote sensing is used, specify 0 for WireResistance.
Shunt Correction specifies the shunt correction value to apply. The default value is 1 (no correction).
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Channel List Properties

Calls directly into the entry points of the DLL of the Data Acq SDK to return information about the channel-gain list. This VI is used by the higher-level VI, DtOLGetChanList.

TaskRef (required) specifies the task for which to return channel-gain list information.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
TaskRef out contains the task that is modified when this VI runs.
CGLDepth contains the maximum size of the channel-gain list.
Count contains the current number of channels included in the channel-gain list.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Check Status

Calls directly into the entry points of the DLL of the Data Acq SDK to return error/status information. This VI is used by the higher-level VI, DtOLCheckStatus.

TaskRef (required) specifies the task for which to return error/status information.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Clock Properties

Calls directly into the entry points of the DLL of the Data Acq SDK to return information about the clock properties of the device. This VI is used by the higher-level VI, DtOLClock.

TaskRef (required) specifies the task for which to return properties about the clock.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
SupSimultaneousClock is TRUE (X) if the device supports the ability to read or update multiple channels on a single clock pulse or FALSE (checkmark) if the device does not support the ability to read or update multiple channels on a single clock pulse.
SupIntClock is TRUE (X) if the device supports an internal clock source or FALSE (checkmark) if the device does not support an internal clock source.
MinExtDivider contains the minimum external divider of the clock source on the device.
TaskRef out contains the task that is modified when this VI runs.
MaxFrequency contains the maximum frequency of the clock source on the device.
MinFrequency contains the minimum frequency of the clock source on the device.
MaxExtDivider contains the maximum external divider of the clock source on the device.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
BaseClock contains the base clock frequency of the clock source on the device.
SupExtClock is TRUE (X) if the device supports an external clock source or FALSE (checkmark) if the device does not support an external clock source.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.


Lvi Clock Settings

Calls directly into the entry points of the DLL of the Data Acq SDK to set clock properties and return information about the clock properties of the device. This VI is used by the higher-level VI, DtOLClock.

SetSource specifies whether to change the clock source to the value that you specified in InternalSource. If TRUE (X), the clock source is changed. If FALSE (checkmark), the default clock source is used.
SetFrequency specifies whether to change the clock frequency to the value that you specified in ClockFrequency. If TRUE (X), the clock frequency is changed. If FALSE (checkmark), the default clock frequency is used.
TaskRef (required) specifies the task for which to set and return clock properties.
ClockFrequency specifies the frequency that you want to set for the clock source.
ExternalDivider specifies the external clock divider value that you want to set for the clock source.
InternalSource is TRUE (X) to select an internal clock source or FALSE (checkmark) to select an external clock source.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
SetDivider specifies whether to change the external clock divider value to the value that you specified in ExternalDivider. If TRUE (X), the external divider value is changed. If FALSE (checkmark), the default external divider value is used.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
TaskRef out contains the task that is modified when this VI runs.
ClockFrequency out contains the current frequency of the clock source on the device.
ExternalDivider out contains the current external divider of the clock source on the device.
InternalSource out is TRUE (X) if InternalSource is set to TRUE or FALSE (checkmark) if InternalSource is set to FALSE.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Close Task

Calls directly into the entry points of the DLL of the Data Acq SDK to stop the task if it is running and release all resources that are associated with the task. This VI is used by the higher-level VI, DtOLCloseTask.

TaskRef (required) specifies the task to close.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Create Task

Calls directly into the entry points of the DLL of the Data Acq SDK to create one or more virtual channels, add them to a task, and configure the task with the specified settings. This VI is used by the higher-level VI, DtOLCreateTask.

SEorDiff specifies the configuration of the analog input channels. Possible values are as follows:
SingleEnded | (Default) Use this configuration when you want to measure high-level signals, noise is insignificant, the source of the input is close to the device, and all the input signals are referred to the same common ground.
Differential | Use this configuration when you want to measure low-level signals (less than 1 V), you are using an A/D converter with high resolution (greater than 12 bits), noise is a significant part of the signal, or common-mode voltage exists.

For pseudo-differential analog inputs, specify the SingleEnded channel type; in this case, how you wire these signals determines the configuration. This option provides less noise rejection than the differential configuration, but twice as many analog input channels.

If you do not wire a value to this input, LV-Link uses a value of SingleEnded.

Refer to your device documentation for information about wiring analog inputs to your device to match this configuration.
BoardName specifies the name of the DT-Open Layers PCI or USB device, as defined in the DT-Open Layers Control Panel applet, on which the subsystem resides. We recommend that you specify a BoardName if you have multiple DT-Open Layers devices installed in your system.

If you do not wire a value to this input, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.
ChanType specifies the type of virtual channel (subsystem type) to create for the task. Valid values are as follows:
ChanType Value | Subsystem
0 | Analog input
1 | Analog output
2 | Digital input
3 | Digital output
4 | Quadrature decoder
5 | Counter/timer
SubSysIndex specifies the subsystem instance to use if the device has multiple instances of the same subsystem type. For example, if your devices has two analog input subsystems, the first subsystem instance is element 0 and the second subsystem instance is 1. Most DT-Open Layers devices have only one analog input subsystem (element 0).

If you do not wire a value to this input, LV-Link uses element 0.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Current Channel Settings

Calls directly into the entry points of the DLL of the Data Acq SDK to set the options for a current measurement.

NOTE: If your device supports a bias return termination resistor, call the LVI Set Termination Resistor VI to enable or disable the bias return termination resistor based on your wiring configuration.

TaskRef specifies the task containing the virtual channel to read. This task must have been created using the DtOLCreateTask VI.
Channel (optional) specifies the virtual channel to configure. By default, this is 0.
MeasurementResistor specifies the value of the resistor, in Ohms, that is applied across the specified channel before reading the current value.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef Out contains the task that is started when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Get Board Names

Calls directly into the entry points of the DLL of the Data Acq SDK to return name of the device. This VI is used by the higher-level VI, DtOLGetBoardNames.

BoardNumber (required) specifies the number of the DT-Open Layers-compliant device whose name you want to return. If BoardNumber is 0, this VI returns the number of DT-Open Layers-compliant devices connected to the system. If BoardNumber is not 0, this VI returns the number of DT-Open Layers-compliant devices connected to the system as well as the name of the device specified by BoardNumber.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
NumBoardsFound contains the number of DT-Open Layers-compliant devices that are connected to the system.
BoardName contains the name of the DT-Open Layers-compliant device for the specified BoardNumber. The BoardName is defined in the DT-Open Layers Control Panel applet.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Get Error String

Calls directly into the entry points of the DLL of the Data Acq SDK to return the description of the error. This VI is used by the higher-level VI, DtOLErrorParser.

err (required) specifies the number of the error for which to return a description.
StringLength contains the number of characters in the error description.
function return contains the description of the error specified by err.


Lvi Get Teds Bridge Sensor Info

Calls directly into the entry points of the DLL of the Data Acq SDK to return TEDS information about a bridge-based sensor.

HardwareTEDS specifies whether to read TEDS information directly from the hardware (HardwareTEDS is True) or whether to read TEDS data from a data file (HardwareTEDS is False).
TaskRef (required) specifies the task from which to read data.
TedsFile specifies the data path of the TEDS data file for the sensor, if you are reading TEDS data from a data file.
Channel specifies the number of the analog input channel that is connected to the bridge-based sensor.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
TaskRef out contains the task that is modified when this VI runs.
BasicTeds
ManufacturerId identifies the manufacturer of the sensor from the TEDS data for the channel.
ModelNumber is the model number of the sensor from the TEDS data for the channel.
VersionNumber is the version number of the sensor from the TEDS data for the channel.
SerialNumber is the serial number of the sensor from the TEDS data for the channel.
VersionLetter is the version letter of the sensor from the TEDS data for the channel.
BridgeSensorTeds
ResponseTime is the response time, in seconds, that was specified in the TEDS data for the channel.
CalibrationDate is the calibration date that was specified in the TEDS data for the channel.
CalibrationPeriod is the calibration period that was specified in the TEDS data for the channel.
MeasurementLocationId is the measurement location ID that was specified in the TEDS data for the channel.
ElectricalValuePrecision is the full-scale electrical value precision (minimum voltage output for 11-, 19-, or 32-bits; or maximum voltage output for 11-, 19-, or 32-bits) that was specified in the TEDS data for the channel.
TypeofPhysicalMeasurand is the physical Measurand (units) that were specified in the TEDS data for the channel. Values are as follows:
  • 0 - Temperature_Kelvin - Temperature (Kelvin)
  • 1 - Temperature_Celsius - Temperature (Celsius)
  • 2 - Strain - Strain
  • 3 - Microstrain - Microstrain
  • 4 - Newton - Force/Weight (Newton)
  • 5 - pounds - Force/Weight (pounds)
  • 6 - kilogram ForcePer Kilopound - Force/Weight (kilogram-force/kilopound)
  • 7 - Acceleration_m_ss - Acceleration (m/s²)
  • 8 - Acceleration_g - Acceleration (g)
  • 9 - Torque_Nm_Radian - Torque (Nm/radian)
  • 10 - Torque_Nm - Torque (Nm)
  • 11 - Torque_oz_in - Torque (oz-in)
  • 12 - Pressure_Pascal - Pressure (Pascal)
  • 13 - Pressure_PSI - Pressure (PSI)
  • 14 - Mass_Kg - Mass (kg)
  • 15 - Mass_g - Mass (g)
  • 16 - Distance_m - Distance (m)
  • 17 - Distance_mm - Distance (mm)
  • 18 - Distance_inches - Distance (inches)
  • 19 - Velocity_m_s - Velocity (m/s)
  • 20 - Velocity_mph - Velocity (mph)
  • 21 - Velocity_fps - Velocity (fps)
  • 22 - AngularPosition_radian- Angular Position (radian)
  • 23 - AngularPosition_degrees - Angular Position (degrees)
  • 24 - RotationalVelocity_radian_s - Rotational Velocity (radian/s)
  • 25 - RotationalVelocity_rpm - Rotational Velocity (rpm)
  • 26 - Frequency - Frequency
  • 27 - Concentration_gram_liter - Concentration (gram/liter)
  • 28 - Concentration_kg_liter - Concentration (kg/liter)
  • 29 - MolarConcentration_mole_m3 - Molar Concentration (mole/m³)
  • 30 - MolarConcentration_mole_l - Molar Concentration (mole/l)
  • 31 - VolumetricConcentration_m3_m3 - Volumetric Concentration (m³/m³)
  • 32 - VolumetricConcentration_l_l - Volumetric Concentration (l/l)
  • 33 - MassFlow - Mass Flow
  • 34 - VolumetricFlow_m3_s - Volumetric Flow (m³/s)
  • 35 - VolumetricFlow_m3_hr - Volumetric Flow (m³/hr)
  • 36 - VolumetricFlow_gpm - Volumetric Flow (gpm)
  • 37 - VolumetricFlow_cfm - Volumetric Flow (cfm)
  • 38 - VolumetricFlow_l_min - Volumetric Flow (l/min)
  • 39 - RelativeHumidity - Relative Humidity
  • 40 - Ratio_percent - Ratio (percent)
  • 41 - Voltage - Voltage
  • 42 - RmsVoltage - RMS Voltage
  • 43 - Current - Current
  • 44 - RmsCurrent - RMS Current
  • 45 - Power_Watts - Power (Watts)
BridgeType is the type of bridge that was specified in the TEDS data for the channel. The following bridge types are defined:

• 0 - Quarter Bridge

• 1 - Half Bridge

• 2 - Full Bridge
ExcitationLevelMax is the maximum excitation voltage that was specified in the TEDS data for the channel.
ExcitationLevelMin is the minimum excitation voltage that was specified in the TEDS data for the channel.
ExcitationLevelNom is the nominal excitation voltage that was specified in the TEDS data for the channel.
ElectricalOutputMax is the maximum electrical output, in V/V, that was specified in the TEDS data for the channel.
ElectricalOutputMin is the minimum electrical output, in V/V, that was specified in the TEDS data for the channel.
PhysicalOutputMax is the positive full-scale value, in strain, that was specified in the TEDS data for the channel.
PhysicalOutputMin is the negative full-scale value, in strain, that was specified in the TEDS data for the channel.
BridgeElementImpedance is the bridge element impedance, in ohms, that was specified in the TEDS data
CalibrationInitials[0] is the first calibration initial that was specified in the TEDS data for the channel.
CalibrationInitials[1] is the second calibration initial that was specified in the TEDS data for the channel.
CalibrationInitials[2] is the third calibration initial that was specified in the TEDS data for the channel.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Get Teds Strain Info

Calls directly into the entry points of the DLL of the Data Acq SDK to return TEDS information about a bridge-based sensor.

HardwareTEDS specifies whether to read TEDS information directly from the hardware (HardwareTEDS is True) or whether to read TEDS data from a data file (HardwareTEDS is False).
TaskRef (required) specifies the task from which to read data.
TedsFile specifies the data path of the TEDS data file for the sensor, if you are reading TEDS data from a data file.
Channel specifies the number of the analog input channel that is connected to the strain gage.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
TaskRef out contains the task that is modified when this VI runs.
BasicTeds
ManufacturerId identifies the manufacturer of the sensor from the TEDS data for the channel.
ModelNumber is the model number of the sensor from the TEDS data for the channel.
VersionNumber is the version number of the sensor from the TEDS data for the channel.
SerialNumber is the serial number of the sensor from the TEDS data for the channel.
VersionLetter is the version letter of the sensor from the TEDS data for the channel.
StrainTeds
ResponseTime is the response time, in seconds, that was specified in the TEDS data for the channel.
CalibrationDate is the calibration date that was specified in the TEDS data for the channel.
CalibrationPeriod is the calibration period that was specified in the TEDS data for the channel.
MeasurementLocationId is the measurement location ID that was specified in the TEDS data for the channel.
GageType is the type of gage that was specified in the TEDS data for the channel. Values are as follows:
  • 0 - SingleElement - Single element gage.
  • 1 - TwoPoissonElements - Two elements with a Poisson arrangement.
  • 2 - TwoOppositeSignedElements - Two elements, opposite sign (adjacent arms).
  • 3 - TwoSameSignedElements - Two elements, same sign (opposite arms).
  • 4 - TwoElementChevron - Two elements, 45° Chevron (torque or shear) arrangement.
  • 5 - FourSameSignElementsPoisson - Four elements, Poisson strains of same sign in opposite arms.
  • 6 - FourOppositeSignedElements - Four elements, Poisson strains of opposite sign in adjacent arms.
  • 7 - FourUniaxialElements - Four elements, equal strains of opposite sign in adjacent arms.
  • 8 - FourElementDualChevron - Four elements, 45° Chevron (torque or shear) arrangement.
  • 9 - TeeRosetteGrid1_0Degrees - Tee Rosette grid 1 or a (0°).
  • 10 - TeeRosetteGrid2_90Degrees - Tee Rosette grid 2 or b (90°).
  • 11 - DeltaRosetteGrid1_0Degrees - Delta Rosette grid 1 or a (0°).
  • 12 - DeltaRosetteGrid2_60Degrees - Delta Rosette grid 2 or b (60°).
  • 13 - DeltaRosetteGrid3_120Degrees - Delta Rosette grid 3 or c (120°).
  • 14 - RectangularRosetteGrid1_0Degrees - Rectangular Rosette grid 1 or a (0°).
  • 15 - RectangularRosetteGrid2_45Degrees - Rectangular Rosette grid 2 or a (45°).
  • 16 - RectangularRosetteGrid3_90Degrees - Rectangular Rosette grid 3 or a (90°).

BridgeType is the type of bridge that was specified in the TEDS data for the channel. The following bridge types are defined:

• 0 - Quarter Bridge

• 1 - Half Bridge

• 2 - Full Bridge
NegativeFullScaleStrain is the negatvie full-scale value, in strain, that was specified in the TEDS data for the channel.
PositiveFullScaleStrain is the positive full-scale value, in strain, that was specified in the TEDS data for the channel.
ElectricalOutputMax is the maximum electrical output, in V/V, that was specified in the TEDS data for the channel.
ElectricalOutputMin is the minimum electrical output, in V/V, that was specified in the TEDS data for the channel.
GageFactor is the gage factor, or sensitivity of the strain gage, that was specified in the TEDS data for the channel
TransverseSensitivity is the transverse sensitivity, in percentage, that was specified in the TEDS data for the channel.
ZeroOffset is the zero offset value after installation, in V/V, that was specified in the TEDS data for the channel.
PoissonCoefficient is the Poisson coefficient after installation that was specified in the TEDS data for the channel.
YoungsModulus is the Young’s modulus, or measure of the stiffness of the material, in MPa, that was specified in the TEDS data for the channel.
GageElementArea is the area of each gage element, in mm², that was specified in the TEDS data for the channel.
BridgeElementResistance is the initial (unstrained) gage resistance, in ohms, that was specified in the TEDS data for the channel.
ExcitationLevelMax is the maximum excitation voltage that was specified in the TEDS data for the channel.
ExcitationLevelNom is the nominal excitation voltage that was specified in the TEDS data for the channel.
CalibrationInitials[0] is the first calibration initial that was specified in the TEDS data for the channel.
CalibrationInitials[1] is the second calibration initial that was specified in the TEDS data for the channel.
CalibrationInitials[2] is the third calibration initial that was specified in the TEDS data for the channel.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Read Dbl Data 1D

Calls directly into the entry points of the DLL of the Data Acq SDK to return a one-dimensional array of double data points from the specified task. This VI is used by the higher-level VI, DtOLRead.

OnlyReadAvailable specifies whether to return only the data that is currently available in the buffer (OnlyReadAvailable is True) or to wait until the requested number of samples is available (OnlyReadAvailable is False) before returning the data.

Note: If you abort the task by calling the Lvi Subsystem Stop VI with the Finish Buffer input set to False, and then try to read the values in the buffer by calling the Lvi Read Dbl Data 1D VI with the OnlyReadAvailable input set to False, a timeout error will occur because the buffer will never be filled. To avoid this error, either call Lvi Read Dbl Data 1D before calling Lvi Subsystem Stop, or set the OnlyReadAvailable input to True.

If you do not wire a value to this input, a value of False is used.
DataBufSize specifies the size of the buffer in which to return the data that is read.
TaskRef (required) specifies the task from which to read data.
timeout specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
DataBufSize out contains the actual number of samples that were returned in the data buffer.
DataBuf contains a one-dimensional array of real numbers representing the samples that were read.
TaskRef out contains the task that is modified when this VI runs.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Read Dbl Data2D

Calls directly into the entry points of the DLL of the Data Acq SDK to return a two-dimensional array of double data points from the specified task. This VI is used by the higher-level VI, DtOLRead.

timeout specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
DataBufSize specifies the size of the buffer in which to return the data that is read.
TaskRef (required) specifies the task from which to read data.
PointsPerChan specifies the number of samples per channel to read.
NumChansToRead specifies the number of channels to read.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
OnlyReadAvailable specifies whether to return only the data that is currently available in the buffer (OnlyReadAvailable is True) or to wait until the requested number of samples is available (OnlyReadAvailable is False) before returning the data.

Note: If you abort the task by calling the Lvi Subsystem Stop VI with the Finish Buffer input set to False, and then try to read the values in the buffer by calling the Lvi Read Dbl Data 2D VI with the OnlyReadAvailable input set to False, a timeout error will occur because the buffer will never be filled. To avoid this error, either call Lvi Read Dbl Data 2D before calling Lvi Subsystem Stop, or set the OnlyReadAvailable input to True.

If you do not wire a value to this input, a value of False is used.
DataBuf contains a two-dimensional array of real numbers representing the samples that were read.
DataBufSize out contains the actual number of samples that were returned in the data buffer.
TaskRef out contains the task that is modified when this VI runs.
PointsPerChan out contains the number of samples that were read.
NumChansToRead out contains the number of channels that were read.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.


Lvi Read Dbl Data Pt

Calls directly into the entry points of the DLL of the Data Acq SDK to return data points (double data type) from the specified task. This VI is used by the higher-level VI, DtOLRead.

TaskRef (required) specifies the task from which to read data.
timeout specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
DataBuf contains real numbers representing the samples that were read.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Read U16Data1D

Calls directly into the entry points of the DLL of the Data Acq SDK to return a one-dimensional array of unsigned, 16-bit integers representing the data points from the specified task.

OnlyReadAvailable (optional) specifies whether to return only the data that is currently available in the buffer (OnlyReadAvailable is True) or to wait until the requested number of samples is available (OnlyReadAvailable is False) before returning the data.

Note: If you abort the task by calling the DtOLStop VI with the Finish Buffer input set to False, and then try to read the values in the buffer using this VI with the OnlyReadAvailable input set to False, a timeout error will occur because the buffer will never be filled. To avoid this error, either call this VI before calling DtOLStop, or set the OnlyReadAvailable input to True.

If you do not wire a value to this input, a value of False is used.
DataBufSize specifies the size of the buffer in which to return the data that is read.
TaskRef (required) specifies the task from which to read data.
timeout specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
DataBufSize out contains the actual number of samples that were returned in the data buffer.
TaskRef out contains the task that is modified when this VI runs.
DataBuf contains a one-dimensional array of unsigned, 16-bit integer numbers representing the samples that were read.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Read U16Data2D

Calls directly into the entry points of the DLL of the Data Acq SDK to return a two-dimensional array of unsigned, 16-bit integers representing the data points from the specified task.

timeout specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
DataBufSize specifies the size of the buffer in which to return the data that is read.
TaskRef (required) specifies the task from which to read data.
PointsPerChan specifies the number of samples per channel to read.
NumChansToRead specifies the number of channels to read.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
OnlyReadAvailable (optional) specifies whether to return only the data that is currently available in the buffer (OnlyReadAvailable is True) or to wait until the requested number of samples is available (OnlyReadAvailable is False) before returning the data.

Note: If you abort the task by calling the DtOLStop VI with the Finish Buffer input set to False, and then try to read the values in the buffer using this VI with the OnlyReadAvailable input set to False, a timeout error will occur because the buffer will never be filled. To avoid this error, either call this VI before calling DtOLStop, or set the OnlyReadAvailable input to True.

If you do not wire a value to this input, a value of False is used.
DataBuf contains a two-dimensional array of unsigned, 16-bit integer numbers representing the samples that were read.
DataBufSize out contains the actual number of samples that were returned in the data buffer.
TaskRef out contains the task that is modified when this VI runs.
PointsPerChan out contains the number of samples that were read from each channel.
NumChansToRead out contains the number of channels that were read.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.


Lvi Read U16Data Pt

Calls directly into the entry points of the DLL of the Data Acq SDK to return a data point from the specified task as an unsigned 16-bit integer.

TaskRef (required) specifies the task from which to read data.
timeout specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
DataBuf contains an unsigned 16-bit integer value representing the data point that was read.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Read U32Data1D

Calls directly into the entry points of the DLL of the Data Acq SDK to return a one-dimensional array of unsigned, 32-bit integers representing the data points from the specified task.

OnlyReadAvailable (optional) specifies whether to return only the data that is currently available in the buffer (OnlyReadAvailable is True) or to wait until the requested number of samples is available (OnlyReadAvailable is False) before returning the data.

Note: If you abort the task by calling the DtOLStop VI with the Finish Buffer input set to False, and then try to read the values in the buffer using this VI with the OnlyReadAvailable input set to False, a timeout error will occur because the buffer will never be filled. To avoid this error, either call this VI before calling DtOLStop, or set the OnlyReadAvailable input to True.

If you do not wire a value to this input, a value of False is used.
DataBufSize specifies the size of the buffer in which to return the data that is read.
TaskRef (required) specifies the task from which to read data.
timeout specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
DataBufSize out contains the actual number of samples that were returned in the data buffer.
TaskRef out contains the task that is modified when this VI runs.
DataBuf contains a one-dimensional array of unsigned, 32-bit integer numbers representing the samples that were read.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Read U32Data2D

Calls directly into the entry points of the DLL of the Data Acq SDK to return a two-dimensional array of unsigned, 32-bit integers representing the data points from the specified task.

timeout specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
DataBufSize specifies the size of the buffer in which to return the data that is read.
TaskRef (required) specifies the task from which to read data.
PointsPerChan specifies the number of samples per channel to read.
NumChansToRead specifies the number of channels to read.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
OnlyReadAvailable (optional) specifies whether to return only the data that is currently available in the buffer (OnlyReadAvailable is True) or to wait until the requested number of samples is available (OnlyReadAvailable is False) before returning the data.

Note: If you abort the task by calling the DtOLStop VI with the Finish Buffer input set to False, and then try to read the values in the buffer using this VI with the OnlyReadAvailable input set to False, a timeout error will occur because the buffer will never be filled. To avoid this error, either call this VI before calling DtOLStop, or set the OnlyReadAvailable input to True.

If you do not wire a value to this input, a value of False is used.
DataBuf contains a two-dimensional array of unsigned, 32-bit integer numbers representing the samples that were read.
DataBufSize out contains the actual number of samples that were returned in the data buffer.
TaskRef out contains the task that is modified when this VI runs.
PointsPerChan out contains the number of samples that were read from each channel.
NumChansToRead out contains the number of channels that were read.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.


Lvi Read U32Data Pt

Calls directly into the entry points of the DLL of the Data Acq SDK to return a data point from the specified task as an unsigned 32-bit integer.

TaskRef (required) specifies the task from which to read data.
timeout specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
DataBuf contains an unsigned 32-bit integer value representing the data point that was read.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Resistance Channel Settings

Calls directly into the entry points of the DLL of the Data Acq SDK to set the options for resistance measurements.

NumWireType specifies how the resistor is wired to the channel. Possible values are 2 Wire (0), 3 Wire (1), or 4 Wire (2).
TaskRef specifies the task containing the virtual channel to read. This task must have been created using the DtOLCreateTask VI.
Channel (optional) specifies the virtual channel to configure. By default, this is 0.
MeasurementCurrent specifies the current source that is used. For example, on the DT9829 module, if the resistor is in the 0 to 4 kOhm range, a current source value of 425 mA is used; if the resistor is in the 4 kOhm to 200 kOhm range, a current source value of 10 mA is used.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef Out contains the task that is started when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Rtd Channel Setting

Lvi Rtd Channel Settings

Calls directly into the entry points of the DLL of the Data Acq SDK to set the bridge configuration.

In an RTD measurement, the measurement device reads the voltage drop across the RTD as the resistance changes and converts the voltage to the appropriate temperature using the Callendar-Van Dusen transfer function:

RT = R0[1 + AT + BT2 + CT3(T – 100)]

where,

• RT is the resistance at temperature.

• R0 is the resistance at 0° C.

• A, B, and C are the Callendar-Van Dusen coefficients for a particular RTD type. (The value of C is 0 for temperatures above 0° C.)

Data Filter Type specifies the kind of data filter that is used for the specified channel. Values are Data Filter None, or Data Filter Moving Average (the default value).

If you select Data Filter None, no filter is used. Raw data is returned. Use this option when you want to acquire fast thermocouple response times. The response time is determined by the ADC data rate. Higher throughput rates (data rates) yield faster response times, but the increased bandwidth also results in higher noise.

If you select Data Filter Moving Average, unwanted noise is removed from your measurements. This filter provides a compromise of filter functionality and response time and can be used in any application. This low-pass filter takes the previous 16 samples, adds them together, and divides by 16.
C specifies the C coefficient that is used in the Callendar-Van Dusen transfer function.
RTD Type | C Coefficient Value
PT3750 | –0.0000000000060
PT3850 | –0.000000000004183
PT3911 | –0.000000000004233
PT3916 | –0.0000000000044
PT3920 | –0.000000000004167
PT3928 | –0.00000000000385
CUSTOM | User-specified
A specifies the A coefficient that is used in the Callendar-Van Dusen transfer function.
RTD Type | A Coefficient Value
PT3750 | 0.00381
PT3850 | 0.0039083
PT3911 | 0.0039692
PT3916 | 0.0039739
PT3920 | 0.0039787
PT3928 | 0.0039888
CUSTOM | User-specified
TaskRef specifies the task containing the virtual channel to read. This task must have been created using the DtOLCreateTask VI.
Channel (optional) specifies the virtual channel to configure. By default, this is 0.
RTD Type specifies the type of RTD that is connected to the specified channel.
RTD Type | Description
PT3750 | Specifies a Temperature Coefficient of Resistance (TCR) value of 0.003750 Ohm / Ohm /° C used in the Callendar-Van Dusen transfer function for Platinum 1000 Ohm RTDs. This value is specified in the Low Cost standard.
PT3850 | Specifies a TCR value of 0.003850 Ohm / Ohm /° C used in the Callendar-Van Dusen transfer function for Platinum 100, 500, and 1000 Ohm RTDs. This value is specified in the DIN/IEC 60751 and ASTM-E1137 standards.
PT3911 | Specifies a Temperature Coefficient of Resistance value of 0.003911 Ohm / Ohm /° C used in the Callendar-Van Dusen transfer function for Platinum 100 Ohm RTDs. This value is specified in the US Industrial Standard.
PT3916 | Specifies a Temperature Coefficient of Resistance value of 0.003916 Ohm / Ohm /° C used in the Callendar-Van Dusen transfer function for Platinum 100 Ohm RTDs. This value is specified in the Japanese JISC 1604-1989 standard.
PT3920 | Specifies a Temperature Coefficient of Resistance value of 0.003920 Ohm / Ohm /° C used in the Callendar-Van Dusen transfer equation to calculate temperature for a Platinum 100 Ohm RTDs. This value is specified in the SAMA RC21-4-1966 standard.
PT3928 | Specifies a Temperature Coefficient of Resistance value of 0.003928 Ohm / Ohm /° C used in the Callendar-Van Dusen transfer equation to calculate temperature for a Platinum 100 Ohm RTD.
CUSTOM | Specifies a user-defined value for the Temperature Coefficient of Resistance in the Callendar-Van Dusen transfer equation to calculate temperature.
NumWireType specifies how the RTD is wired to the channel. Possible values are 2 Wire (0), 3 Wire (1), or 4 Wire (2) .
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
B specifies the B coefficient that is used in the Callendar-Van Dusen transfer function.
RTD Type | B Coefficient Value
PT3750 | –0.000000602
PT3850 | –0.0000005775
PT3911 | –0.00000058495
PT3916 | –0.000000587
PT3920 | –0.0000005869
PT3928 | –0.0000005915
CUSTOM | User-specified
R0 specifies the nominal resistance of the RTD, in ohms at 0 degrees C, for the specified channel. Values are as follows:
RTD Type | R0 Value
PT3750 | 1000
PT3850 | 100, 500, or 1000
PT3911 | 100
PT3916 | 100
PT3920 | 98.129
PT3928 | 100
CUSTOM | 100, 500, or 1000
TaskRef Out contains the task that is started when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Select Channels

Calls directly into the entry points of the DLL of the Data Acq SDK to select channels for use in the task. This VI is used by the higher-level VI, DtOLCreateTask.

MinRange specifies the lower limit of the voltage range for the analog input subsystem.

If you do not wire a value to this input, LV-Link uses a value of -10.
TaskRef (required) specifies the task to use.
ChanListStr specifies the channel-gain list.
Gain specifies the gain to apply to the specified channel. By default, the gain is 1.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
MaxRange specifies the upper limit of the voltage range for the analog input subsystem.

If you do not wire a value to this input, LV-Link uses a value of 10.
TaskRef out contains the task that is modified when this VI runs.
ActualNumChannels contains the actual number of channels that were selected.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Select Raw Format

Calls directly into the entry points of the DLL of the Data Acq SDK to select whether the data from the task is in raw format or voltage. This VI is used by the higher-level VI, DtOLCreateTask.

TaskRef (required) specifies the task to use.
RawFormat specifies whether the data is in raw format or in voltage. If RawFormat is TRUE, the data is in raw format. If RawFormat is FALSE, the data is in voltage.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Set Reference Trigger

Calls directly into the entry points of the DLL of the Data Acq SDK to specify the attributes of the reference trigger for an analog input task. This VI is used by the higher-level VI, DtOLTrigger.

ThresholdChannel specifies the number of the analog input channel that is monitored for the reference trigger if an analog threshold trigger is selected. The default value is 0.
NumSamples specifies the number of samples to acquire after the reference trigger occurs; this is sometimes called the post-trigger scan count.
TaskRef (required) specifies the task to use.
TrigType specifies one of the following trigger sources to use for the device: Digital, Analog Threshold, or Software. If you do not wire a value to this input, a Digital trigger is used.
Polarity specifies the active edge of the external digital trigger signal or analog threshold trigger. Possible values are as follows:
RISING | (Default) The task is triggered when the external digital trigger signal transitions from TTL low to TTL high or when the analog threshold trigger goes from a negative value to a positive value through a threshold value.
FALLING | The task is triggered when the external digital trigger signal transitions from TTL high to TTL low or when the analog threshold trigger goes from a positive value to a negative value through a threshold value.

If you do not wire a value to this input, a value of RISING is used.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

AnalogThreshold specifies the threshold voltage that, when crossed, causes the reference trigger to occur if an Analog Threshold trigger is specified as the reference trigger source.

If you do not wire a value to this input, 0 V is used.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Set Shunt Resistor

Calls directly into the entry points of the DLL of the Data Acq SDK to enable or disable the shunt resistor for an analog input task. The shunt resistor is used when performing shunt calibration on a device that supports strain gage inputs or to verify the operation of your bridge. Refer to the documentation for your device for information on shunt calibration.

NOTE: The Lvi Bridge Sensor Channel Settings and Lvi Strain Channel Settings VIs disable the shunt resistor automatically.

TaskRef (required) specifies the task to use.
Channel specifies the analog input channel whose shunt resistor is to be enabled or disabled.
ShuntEnabled specifies whether the shunt resistor is enabled or disabled. If TRUE (X), the shunt resistor is enabled. If FALSE (checkmark), the shunt resistor is disabled.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Set Termination Resistor

Calls directly into the entry points of the DLL of the Data Acq SDK to enable or disable the bias return termination resistor for an analog input task. The bias return termination resistor is typically enabled for floating and grounded voltage and current sources, and is typically disabled for voltage and current sources with grounded references. Refer to the documentation for your device for information on whether a bias return termination resistor is supported and when to enable and disable it.

NOTE: By default, the input termination resistor is enabled for voltage and current measurements.

TaskRef (required) specifies the task to use.
Channel specifies the analog input channel whose termination resistor is to be enabled or disabled.
UseTerminationResistor specifies whether the bias return termination resistor is enabled or disabled. If TRUE (X), the termination resistor is enabled. If FALSE (checkmark), the termination resistor is disabled.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Set Timing

Calls directly into the entry points of the DLL of the Data Acq SDK to specify the timing- or clock-related attributes of an analog input or analog output task, and create one or more buffers when needed. This VI is used by the higher-level VI, DtOLTiming.

Sync Mode applies only to devices, like the DT9837A, that provide an LVDS connector for synchronizing multiple devices. To synchronize operations on multiple devices, the analog input subsystem on one device is configured as the master and the analog input subsystem on the other device is configured as a slave. When the master module is triggered, both the master device and the slave device start operating at the same time. Refer to the documentation for your device for more information.

Possible values for Sync Mode are as follows:

Master | Sets the analog input subsystem as a master; the synchronization connector on the device is configured to output a synchronization signal.
Slave | Sets the analog input subsystem as a slave; the synchronization connector on the device is configured to accept a synchronization signal as an input.
None | (Default) The subsystem is configured to ignore the synchronization circuit.

If you do not wire a value to this input, None is used.
ClkSource specifies the sample clock that is used. Possible values are as follows:
No Timing | Acquire or generate data as fast as possible using a software loop. If you use this setting, samples are not guaranteed to be spaced evenly in time.
Internal Clock | (Default) Acquire or generate samples using the internal clock of the device, at the rate specified by the SampleRate input.
External Clock | Acquire or generate samples using an external digital clock connected to the clock input line of the device. In this case, the sample frequency is the same as the frequency of the external clock signal. A data point is acquired or generated on each cycle of the clock signal.

If you do not wire a value to this input, Internal Clock is used.
TaskRef (required) specifies the task to use.
Sample Mode specifies the data acquisition/output mode. Possible values are as follows:
Finite Samples | (Default) Acquires the specified number of samples and then stops the task.
Continuous Samples | Acquire or generate samples until either the DtOLStop or DtOLCloseTask VI runs.

If you do not wire a value to this input, Finite Samples is used.
PointsPerChan applies to analog input tasks only; it specifies how many samples to acquire from the specified channels if Sample Mode is Finite Samples, or the number of samples to allocate in each buffer if Sample Mode is Continuous Samples.

It is recommended that you set PointsPerChan to at least 1/10th of the sampling rate that you are using; see SampleRate below for information on specifying the sample rate of the subsystem.

If you do not wire a value to this input, a value of 1000 is used.

Note that this input is ignored for analog output tasks. For these tasks, the size of the Data Array that is passed to DtOLWrite (Write Single Channel - Multiple Samples) or DtOLWrite (Write Multiple Channel - Multiple Samples) determines the size of each buffer that is used.
SampleRate specifies the requested sampling rate of the subsystem, in Hertz, if Timing is set to Internal Clock. If Timing is set to either No Timing or External Clock, this input is ignored.

Once you specify a requested sample frequency, LV-Link applies the nearest sampling frequency that is supported by the device. To determine the actual sampling frequency that was used, read the value of the ActualSampleRate output.

If you do not wire a value to this input, a value of 1000 Samples/s is used.

Notes: If your device has simultaneous analog input channels, the value of SampleRate is also the per channel sample rate.

If your device has multiplexed analog input channels, you can determine the sampling rate per channel as follows: Sample Rate per Channel = SampleRate/Number of Channels. For example, assume that your device has eight multiplexed analog input channels and a maximum sampling rate of 600 Samples/s. If you want to sample all eight channels at the maximum sample rate, specify 600 for the SampleRate input. The effective sample rate per channel is then 600/8, or 75 Samples/s.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
NumBuffers applies to continuous analog input tasks only; it specifies how many buffers to use if Sample Mode is Continuous (the buffers are created automatically). This input is ignored for analog output tasks and for finite analog input tasks.

If you do not wire a value to this input, 8 buffers are used. For more information on buffers and memory use, click here.
TaskRef out contains the task that is modified when this VI runs.
ActualSampleRate contains the actual sample rate that the device could achieve using the internal clock, based on the value specified in SampleRate.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Set Trigger

Calls directly into the entry points of the DLL of the Data Acq SDK to specify the trigger-related attributes for an analog input or analog output task. This VI is used by the higher-level VIs, DtOLTrigger and DtOLTriggerSource.

AnalogThreshold specifies the threshold voltage that, when crossed, causes the trigger to occur.

If you do not wire a value to this input, 0 V is used.
TaskRef (required) specifies the task to use.
TrigType specifies one of the following trigger sources to use for the device: Software, External Digital, External Analog, Analog Event, Digital Event, Timer Event, or Extra.
Polarity specifies the active edge of the external digital trigger signal. Possible values are as follows:
RISING | (Default) The task is triggered when the external digital trigger signal transitions from TTL low to TTL high.
FALLING | The task is triggered when the external digital trigger signal transitions from TTL high to TTL low.

If you do not wire a value to this input, a value of RISING is used.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Set Trigger Threshold Channel

Calls directly into the entry points of the DLL of the Data Acq SDK to specify which analog input channel to use for the threshold trigger for an analog input or analog output task. This VI is used by the higher-level VI, DtOLTrigger as well as the low-level VIs Lvi Set Trigger and Lvi Set Reference Trigger.

Note that this VI must be called before Lvi Set Trigger and/or Lvi Set Reference Trigger if you want to use a threshold trigger on any analog input channel other than analog input channel 0.

TaskRef (required) specifies the task to use.
Channel specifies the number of the analog input channel that is monitored for the reference threshold trigger event. The default value is 0.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Set Triggered Scan

Calls directly into the entry points of the DLL of the Data Acq SDK to specify a triggered scan operation for an analog input task. This VI is used by the higher-level VI, DtOLTrigger.

RetriggerFrequency specifies the frequency (in hertz) for retriggering the scan when a software retrigger source is specified.

Due to hardware limitations, not every frequency can be achieved exactly. The driver sets the subsystem retrigger rate as closely as possible to the desired frequency. To determine the fastest recommended rate, use the following formula:

Min. Retrigger = # of CGL entries x # of CGLs per trigger + 2 μs
Period A/D sample clock frequency

For example, if you are using 512 channels in the channel-gain list (CGL), scanning the channel-gain list 256 times every trigger or retrigger, and using an AD sample clock with a frequency of 1 MHz, set the minimum retrigger frequency to 7.62 Hz, since

7.62 Hz = 1
( 512 * 256) +2 μs
1 MHz
MultiscanCount specifies the number of times the device will scan the channel-gain list when it detects the retrigger event.
TaskRef (required) specifies the task to use.
UseTrigScan specifies whether to enable triggered scan mode (UseTrigScan is TRUE), or disable triggered scan mode (UseTrigScan is FALSE).
RetriggerMode is currently unused. This parameter is reserved for future use.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
RetriggerSource specifies the trigger source that is used to retrigger the scan.

The following retrigger sources are possible:
  • Software - A software trigger retriggers the scan.
  • Digital Positive - An external digital trigger retriggers the scan on a positive transition.
  • Digital Negative - An external digital trigger retriggers the scan on a negative transition.
  • Analog Threshold Positive - An analog threshold trigger retriggers the scan when the device detects a transition from a negative value to a positive value that crosses a threshold value.
  • Analog Threshold Negative - An analog threshold trigger retriggers the scan when the device detects a transition from a positive value to a negative value that crosses a threshold value.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Simultaneous Start

Calls directly into the entry points of the DLL of the Data Acq SDK to group multiple tasks so that they can be started simultaneously. This VI is used by the higher-level VI, DtOLStart - Simultaneous Start.

TaskRef (required) is a one-dimensional array containing the tasks to group so that they can be started simultaneously.
NumTasks (required) specifies the number of tasks to add to the group.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Strain Channel Settings

Calls directly into the entry points of the DLL of the Data Acq SDK to set the properties of a strain gage sensor.

UnstrainedVoltage specifies the initial, unstrained voltage output of the bridge.
WireResistance specifies the lead wire resistance of the bridge, in ohms, for a channel that supports a full-bridge-based strain gage that does not use remote sensing. If remote sensing is used, specify 0 for WireResistance.
TaskRef specifies the task containing the virtual channel to read. This task must have been created using the DtOLCreateTask VI.
Channel specifies the channel number of the device that is connected to the strain gage.
BridgeType specifies the configuration of the bridge. The following bridge types are defined:

• 0 - Full Bridge Bending

• 1- Full Bridge Bending Poisson

• 2 - Full Bridge Axial

• 3 - Half Bridge Poisson

• 4 - Half Bridge Bending

• 5 - Quarter Bridge

• 6 - Quarter Bridge Temp Compensation
BridgeExcitationSource specifies whether the excitation source is internal (0) or external (1).
ExcitationVoltage specifies the excitation voltage value.
GageResistance specifies the nominal gage resistance of the bridge, which is specified by the gage manufacturer.
GageFactor specifies the gage factor of the strain gage, which is specified by the gage manufacturer.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
PoissonRatio specifies the Poisson ratio for a strain gage that is configured for a Full Bridge Bending Poisson, Full Bridge Axial Poisson, or Half Bridge Poisson bridge configuration. The Poisson ratio is a material-dependent constant that is the ratio of transverse (perpendicular) contraction to axial strain.
Shunt Correction specifies the shunt correction value to apply. The default value is 1 (no correction).
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Subsystem Config

Calls directly into the entry points of the DLL of the Data Acq SDK to configure the specified task. This VI is used by the higher-level VI, DtOLConfig.

TaskRef (required) specifies the task to use.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Subsystem Properties

Calls directly into the entry points of the DLL of the Data Acq SDK to configure the specified task. This VI is used by the higher-level VI, DtOLSubsystem.

TaskRef (required) specifies the task to use.
EnumCap specifies one of the following capabilities to query: Filters, Ranges, Gains, Resolutions, Excitation Current, Threshold Start Trigger Chan, or Threshold Reference Trigger Chan.
CapNumber specifies the particular enumeration to query.

For example, assume that you specified Ranges for EnumCap and this VI returned 2 for NumCapsFound (indicating that the device supports two voltage ranges). To determine the actual voltage supported for the first voltage range, specify 1 for CapNumber; the minimum value is returned in ValueOne and the maximum value of the range is returned in ValueTwo.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
ValueTwo contains the first value for the specific enumeration that was queried.

For example, assume that you specified Ranges for EnumCap and this VI returned 2 for NumCapsFound (indicating that the device supports two voltage ranges). To determine the actual voltage supported for the first voltage range, specify 1 for CapNumber; the minimum value is returned in ValueOne and the maximum value of the range is returned in ValueTwo.
TaskRef out contains the task that is modified when this VI runs.
NumCapsFound contains the number of enumerations that are found for the subsystem capability that was queried.
ValueOne contains the first value for the specific enumeration that was queried.

For example, assume that you specified Ranges for EnumCap and this VI returned 2 for NumCapsFound (indicating that the device supports two voltage ranges). To determine the actual voltage supported for the first voltage range, specify 1 for CapNumber; the minimum value is returned in ValueOne and the maximum value of the range is returned in ValueTwo.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.


Lvi Subsystem Set Channel Gain

Calls directly into the entry points of the DLL of the Data Acq SDK to specify the gain of a virtual channel for the specified task. This VI is used by the higher-level VI, DtOLSetChanGain.

TaskRef (required) specifies the task to use.
Channel specifies the virtual channel to which the gain applies. By default, this is 0.
Gain specifies the gain to apply to the specified channel. By default, the gain is 1.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
Gain out returns the actual gain value that is set.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Subsystem Set Channel Option

Calls directly into the entry points of the DLL of the Data Acq SDK to specify the sensor gain and offset, and/or if IEPE inputs are supported, the excitation current source and input coupling type for a virtual analog channel of the specified task. This VI is used by the higher-level VIs, DtOLSetChanGain and DtOLSetChanIepeOptions.

SetIEPE specifies whether or not to set the Coupling and CurrentSource parameters using this VI. If SetIEPE is TRUE (X), this VI will set the Coupling and CurrentSource parameters to the values specified. If SetScaling is FALSE (checkmark), this VI will not apply the Coupling and CurrentSource values. By default, SetIEPE is FALSE.
Coupling specifies the input coupling type (DC or AC) to apply to the channel if it supports an IEPE input. By default, DC coupling is used.
SensorGain specifies the gain to apply to the sensor that is connected to the specified channel, if you want to scale the raw value into engineering units. By default, the sensor gain is 1. The sensor gain and offset are used to scale a sample from raw counts to a value in the engineering units of the sensor. The scaling occurs in two steps. First, the raw count value is converted to prescaled voltage using the gain applied to the input signal. Then, the prescaled voltage is scaled using the following equation: y = mx + b, where y is the scaled sensor value, m is the sensor gain, x is the prescaled value in voltage, and b is the sensor offset.
TaskRef (required) specifies the task to use.
Channel specifies the virtual channel to which the sensor gain and offset, excitation current source, and input coupling type applies. By default, channel 0 is used.
SensorOffset specifies the offset to apply to the sensor that is connected to the specified channel, if you want to scale the raw value into engineering units. By default, the sensor offset is 0. The sensor gain and offset are used to scale a sample from raw counts to a value in the engineering units of the sensor. The scaling occurs in two steps. First, the raw count value is converted to prescaled voltage using the gain applied to the input signal. Then, the prescaled voltage is scaled using the following equation: y = mx + b, where y is the scaled sensor value, m is the sensor gain, x is the prescaled value in voltage, and b is the sensor offset.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
CurrentSource specifies the excitation current source (Internal, External, or Disabled) to apply to the channel if it supports an IEPE input. If you specify Internal, the first supported value for the internal excitation current source is applied to the channel (refer to the documentation for your device for more information). By default, the excitation current source is Disabled.
SetScaling specifies whether or not to set the SensorGain and SensorOffset parameters using this VI. If SetScaling is TRUE (X), this VI will set the SensorGain and SensorOffset parameters to the values specified. If SetScaling is FALSE (checkmark), this VI will not apply the SensorGain and SensorOffset values. By default, SetScaling is FALSE.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Subsystem Set Ctr Cont Measure Mode

Calls directly into the entry points of the DLL of the Data Acq SDK to create one or more virtual channels, add them to a task, and configure the task with the specified settings to measure the time, in milliseconds, between a specified start edge and stop edge. This VI automatically restarts the next measurement. This VI is used by the higher-level VI, DtOLCreateTask.

TaskRef (required) specifies the task to use.
StartEdge specifies the signal edge that starts the current measurement. Possible values are as follows:

0 | GateRising | The measurement starts on the rising edge of the gate input signal associated with the counter/timer. This option is generally available for general-purpose counter/timers only rather than measure counters.
1 | GateFalling | The measurement starts on the falling edge of the gate input signal associated with the counter/timer. This option is generally available for general-purpose counter/timers only rather than measure counters.
2 | ClockRising | (Default) The measurement starts on the rising edge of the clock input signal associated with the counter/timer. This option is generally available for general-purpose counter/timers only rather than measure counters.
3 | ClockFalling | The measurement starts on the falling edge of the clock input signal associated with the counter/timer. This option is generally available for general-purpose counter/timers only rather than measure counters.
4 | AdcConversionComplete | The measurement starts when the A/D conversion is complete. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
5 | TachInputFalling | The measurement starts on the falling edge of the tachometer input signal. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
6 | TachInputRising | The measurement starts on the rising edge of the tachometer input signal. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
7 | DigitalIn0Falling | The measurement starts on the falling edge of digital input signal 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
8 | DigitalIn0Rising | The measurement starts on the rising edge of digital input signal 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
9 | DigitalIn1Falling | The measurement stops on the falling edge of digital input signal 1. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
10 | DigitalIn1Rising | The measurement starts on the rising edge of digital input signal 1. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
11 | DigitalIn2Falling | The measurement starts on the falling edge of digital input signal 2. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
12 | DigitalIn2Rising | The measurement starts on the rising edge of digital input signal 2. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
13 | DigitalIn3Falling | The measurement starts on the falling edge of digital input signal 3. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
14 | DigitalIn3Rising | The measurement starts on the rising edge of digital input signal 3. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
15 | DigitalIn4Falling | The measurement starts on the falling edge of digital input signal 4. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
16 | DigitalIn4Rising | The measurement starts on the rising edge of digital input signal 4. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
17 | DigitalIn5Falling | The measurement starts on the falling edge of digital input signal 5. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
18 | DigitalIn5Rising | The measurement starts on the rising edge of digital input signal 5. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
19 | DigitalIn6Falling | The measurement starts on the falling edge of digital input signal 6. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
20 | DigitalIn6Rising | The measurement starts on the rising edge of digital input signal 6. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
21 | DigitalIn7Falling | The measurement starts on the falling edge of digital input signal 7. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
22 | DigitalIn7Rising | The measurement starts on the rising edge of digital input signal 7. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
23 | Ct0ClockFalling | The measurement starts on the falling edge of the clock input signal associated with counter/timer 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
24 | Ct0ClockRising | The measurement starts on the rising edge of the clock input signal associated with counter/timer 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
25 | Ct0GateFalling | The measurement starts on the falling edge of the gate input signal associated with counter/timer 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
26 | Ct0GateRising | The measurement starts on the rising edge of the gate input signal associated with counter/timer 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.

If you do not wire a value to this input, LV-Link uses a value of ClockRising.
StopEdge specifies the signal edge that stops the current measurement. Possible values are as follows:

0 | GateRising | The measurement stops on the rising edge of the gate input signal associated with the counter/timer. This option is generally available for general-purpose counter/timers only rather than measure counters.
1 | GateFalling | The measurement stops on the falling edge of the gate input signal associated with the counter/timer. This option is generally available for general-purpose counter/timers only rather than measure counters.
2 | ClockRising | (Default) The measurement stops on the rising edge of the clock input signal associated with the counter/timer. This option is generally available for general-purpose counter/timers only rather than measure counters.
3 | ClockFalling | The measurement stops on the falling edge of the clock input signal associated with the counter/timer. This option is generally available for general-purpose counter/timers only rather than measure counters.
4 | AdcConversionComplete | The measurement stops when the A/D conversion is complete. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
5 | TachInputFalling | The measurement stops on the falling edge of the tachometer input signal. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
6 | TachInputRising | The measurement stops on the rising edge of the tachometer input signal. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
7 | DigitalIn0Falling | The measurement stops on the falling edge of digital input signal 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
8 | DigitalIn0Rising | The measurement stops on the rising edge of digital input signal 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
9 | DigitalIn1Falling | The measurement stops on the falling edge of digital input signal 1. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
10 | DigitalIn1Rising | The measurement stops on the rising edge of digital input signal 1. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
11 | DigitalIn2Falling | The measurement stops on the falling edge of digital input signal 2. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
12 | DigitalIn2Rising | The measurement stops on the rising edge of digital input signal 2. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
13 | DigitalIn3Falling | The measurement stops on the falling edge of digital input signal 3. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
14 | DigitalIn3Rising | The measurement stops on the rising edge of digital input signal 3. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
15 | DigitalIn4Falling | The measurement stops on the falling edge of digital input signal 4. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
16 | DigitalIn4Rising | The measurement stops on the rising edge of digital input signal 4. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
17 | DigitalIn5Falling | The measurement stops on the falling edge of digital input signal 5. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
18 | DigitalIn5Rising | The measurement stops on the rising edge of digital input signal 5. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
19 | DigitalIn6Falling | The measurement stops on the falling edge of digital input signal 6. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
20 | DigitalIn6Rising | The measurement stops on the rising edge of digital input signal 6. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
21 | DigitalIn7Falling | The measurement stops on the falling edge of digital input signal 7. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
22 | DigitalIn7Rising | The measurement stops on the rising edge of digital input signal 7. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
23 | Ct0ClockFalling | The measurement stops on the falling edge of the clock input signal associated with counter/timer 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
24 | Ct0ClockRising | The measurement stops on the rising edge of the clock input signal associated with counter/timer 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
25 | Ct0GateFalling | The measurement stops on the falling edge of the gate input signal associated with counter/timer 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.
26 | Ct0GateRising | The measurement stops on the rising edge of the gate input signal associated with counter/timer 0. This option is generally available for measure counters only, rather than for general-purpose counter/timers.

If you do not wire a value to this input, LV-Link uses a value of ClockRising.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Subsystem Set Ctr Count Mode

Calls directly into the entry points of the DLL of the Data Acq SDK to create one or more virtual channels, add them to a task, and configure the task with the specified settings to perform an event counting operation. This VI is used by the higher-level VI, DtOLCreateTask.

TaskRef (required) specifies the task to use.
GateLevel specifies the type of gate signal to use for the event counting operation. Possible values are as follows:
None | (Default) The signal connected to the counter/timer's gate input connector has no effect. The operation is enabled automatically.
High Level | Events are counted when the external gate signal is high and are not counted when the external gate signal is low.
Low Level | Events are counted when the external gate signal is low and are not counted when the external gate signal is high.

If you do not wire a value to this input, LV-Link uses a value of None.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Subsystem Set Ctr Freq Mode

Calls directly into the entry points of the DLL of the Data Acq SDK to create one or more virtual channels, add them to a task, and configure the task with the specified settings to measure the frequency, in kHz, of an external digital signal that is connected to the counter/timer's clock input or gate input source. This VI is used by the higher-level VI, DtOLCreateTask.

TaskRef (required) specifies the task to use.
InputLine specifies which of the inputs of the counter/timer to measure. Possible values are as follows:
ClockInput | (Default) The counter/timer measures the frequency of the signal connected to the clock input source.
GateInput | The counter/timer measures the frequency of the signal connected to the gate input source.

If you do not wire a value to this input, LV-Link uses a value of ClockInput.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Subsystem Set Ctr Measure Mode

Calls directly into the entry points of the DLL of the Data Acq SDK to create one or more virtual channels, add them to a task, and configure the task with the specified settings to measure the time, in milliseconds, between a specified start edge and stop edge of the counter's clock or gate input signal. The operation then stops. This VI is used by the higher-level VI, DtOLCreateTask.

TaskRef (required) specifies the task to use.
StartEdge specifies the signal edge that starts the current measurement. Possible values are as follows:
0 | ClockRising | (Default) The measurement starts when the counter/timer detects a rising edge on the clock input signal.
1 | ClockFalling | The measurement starts when the counter/timer detects a falling edge on the clock input signal.
2 | GateRising | The measurement starts when the counter/timer detects a rising edge on the gate input signal.
3 | GateFalling | The measurement starts when the counter/timer detects a falling edge on the gate input signal.

If you do not wire a value to this input, LV-Link uses a value of ClockRising.
StopEdge specifies the signal edge that stops the current measurement. Possible values are as follows:
0 | ClockRising | (Default) The measurement stops when the counter/timer detects a rising edge on the clock input signal.
1 | ClockFalling | The measurement stops when the counter/timer detects a falling edge on the clock input signal.
2 | GateRising | The measurement stops when the counter/timer detects a rising edge on the gate input signal.
3 | GateFalling | The measurement stops when the counter/timer detects a falling edge on the gate input signal.

If you do not wire a value to this input, LV-Link uses a value of ClockRising.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Subsystem Set Ctr One Shot Mode

Calls directly into the entry points of the DLL of the Data Acq SDK to create one or more virtual channels, add them to a task, and configure the task with the specified settings to output a single pulse for a specified duration (in milliseconds) the first time that the device detects a trigger (determined by the counter/timer's gate input signal). This VI is used by the higher-level VI, DtOLCreateTask.

Polarity specifies the polarity of the output pulse. Possible values are as follows:
LowToHigh | (Default) The low portion of the total pulse output period is the active portion of the counter/timer clock output signal.
HighToLow | The high portion of the total pulse output period is the active portion of the counter/timer pulse output signal.

If you do not wire a value to this input, LV-Link uses a value of LowToHigh.
TaskRef (required) specifies the task to use.
Millisecs specifies the duration, in milliseconds, that the pulse is output.

If it cannot achieve the exact pulse width that was requested, the device will use a pulse width as close as possible to the requested value. The actual pulse width that is used is returned by this VI in the ActualMillisecs output.

The default value is 1 ms.
CurGateType specifies the operation of the counter's gate input signal for the one-shot operation. Possible values are as follows:
Immediate | The signal connected to the counter/timer's gate input connector has no effect. A single pulse is output immediately when the Lvi Subsystem Start VI is called.
RisingEdge | (Default) Once the Lvi Subsystem Start VI is called, a single pulse is output the first time that the signal connected to the counter/timer's gate input changes from a low level to a high level (rising edge).
FallingEdge | Once the Lvi Subsystem Start VI is called, a single pulse is output the first time that the signal connected to the counter/timer's gate input changes from a high level to a low level (falling edge).

If you do not wire a value to this input, LV-Link uses a value of RisingEdge.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
ActualMillisecs is the actual pulse width, in milliseconds, that the device will use when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Subsystem Set Ctr One Shot Repeat Mode

Calls directly into the entry points of the DLL of the Data Acq SDK to create one or more virtual channels, add them to a task, and configure the task with the specified settings to output a single pulse for a specified duration (in milliseconds) each time that the device detects a trigger (determined by the counter/timer's gate input signal). This VI is used by the higher-level VI, DtOLCreateTask.

Polarity specifies the polarity of the output pulse. Possible values are as follows:
LowToHigh | (Default) The low portion of the total pulse output period is the active portion of the counter/timer clock output signal.
HighToLow | The high portion of the total pulse output period is the active portion of the counter/timer pulse output signal.

If you do not wire a value to this input, LV-Link uses a value of LowToHigh.
TaskRef (required) specifies the task to use.
Millisecs specifies the duration, in milliseconds, that the pulse is output.

If it cannot achieve the exact pulse width that was requested, the device will use a pulse width as close as possible to the requested value. The actual pulse width that is used is returned by this VI in the ActualMillisecs output.

The default value is 1 ms.
GateEdge specifies the operation of the counter's gate input signal for the repetitive one-shot operation. Possible values are as follows:
RisingEdge | (Default) Once the Lvi Subsystem Start VI is called, a single pulse is output every time that the signal connected to the counter/timer's gate input changes from a low level to a high level (rising edge).
FallingEdge | Once the Lvi Subsystem Start VI is called, a single pulse is output every time that the signal connected to the counter/timer's gate input changes from a high level to a low level (falling edge).

If you do not wire a value to this input, LV-Link uses a value of RisingEdge.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
ActualMillisecs is the actual pulse width, in milliseconds, that the device will use when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Subsystem Set Ctr Period Mode

Calls directly into the entry points of the DLL of the Data Acq SDK to create one or more virtual channels, add them to a task, and configure the task with the specified settings to measure the period, in milliseconds, of an external digital signal that is connected to the counter/timer's clock input or gate input source. This VI is used by the higher-level VI, DtOLCreateTask.

TaskRef (required) specifies the task to use.
Input Line (optional) specifies which of the inputs of the counter/timer to measure. Possible values are as follows:
ClockInput | (Default) The counter/timer will measure the period of the signal connected to the clock input source.
GateInput | The counter/timer will measure the period of the signal connected to the gate input source.

If you do not wire a value to this input, LV-Link uses a value of ClockInput.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Subsystem Set Ctr Rate Mode

Calls directly into the entry points of the DLL of the Data Acq SDK to create one or more virtual channels, add them to a task, and configure the task with the specified settings to generate output pulses continuously at a specified frequency (in Hz) when the counter/timer is enabled (determined by the counter/timer's gate input signal). This VI is used by the higher-level VI, DtOLCreateTask.

GateLevel specifies the operation of the counter's gate input signal for the rate generation operation. Possible values are as follows:
None | (Default) The signal connected to the counter/timer's gate input connector has no effect. The operation is enabled automatically.
High Level | When the external gate signal is high, the counter/timer generates output pulses on its clock output line; when the external gate signal is low, output pulses are not generated.
Low Level | When the external gate signal is low, the counter/timer generates output pulses on its clock output line; when the external gate signal is high, output pulses are not generated.

If you do not wire a value to this input, LV-Link uses a value of None.
TaskRef (required) specifies the task to use.
Frequency specifies the frequency, in Hertz, of the output pulse.

If it cannot achieve the exact frequency that was requested, the device will use a frequency as close as possible to the requested value. The actual frequency that is used is returned by this VI in the ActualFrequency output.

The default value is 1000 Hz.
Duty Cycle (optional) specifies the percentage of the total pulse output period that is active. Values range from 0 to 100%. For example, if the active part of the pulse is a high signal, then, a duty cycle of 80 indicates that 80% of output pulse is high and 20% is low.

If you do not wire a value to this input, LV-Link uses a value of 50% (square wave).
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
ActualFrequency is the actual frequency, in Hz, that the device will use when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Subsystem Set Ctr Up Down Mode

Calls directly into the entry points of the DLL of the Data Acq SDK to create one or more virtual channels, add them to a task, and configure the task with the specified settings to count digital pulses from an external signal that is connected to the counter/timer's clock input source. If the gate input signal of the counter/timer is high, the count is incremented. If the gate input signal of the counter/timer is low, the count is decremented. This VI is used by the higher-level VI, DtOLCreateTask.

TaskRef (required) specifies the task to use.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Subsystem Set Quad Encoder

Calls directly into the entry points of the DLL of the Data Acq SDK to create one or more virtual channels, add them to a task, and configure the task with the specified settings to determine the current position, in counts, of a quadrature encoder input. This VI is used by the higher-level VI, DtOLCreateTask.

X4Scaling specifies whether X4 or X1 scaling is used on the inputs.

If True, X4 scaling is used; in this mode, each edge of the A and B inputs of the quadrature decoder are counted, resulting in a count that is four times as large for better positional accuracy.

If False, X1 scaling is used.

If you do not wire a value to this input, LV-Link uses a value of False (X1 scaling).
TaskRef (required) specifies the task to use.
ClockPrescale specifies the pre-scale value to apply to the onboard base clock to filter the sampling frequency. Values for this property range from 1 to 255. In general, the larger the number, the more filtering is applied, resulting in greater noise immunity and lower bandwidth.

For example, if you are using a device with a base clock of 36 MHz and specify a pre-scale value of 1, the resulting sampling frequency is 36 MHz (36 MHz/1). Similarly, if you specify a pre-scale value of 128 when using a device with a 48 MHz base clock, the resulting sampling frequency is 37.5 kHz (48 MHz/128).

If you do not wire a value to this input, LV-Link uses a value of 128.
IndexMode specifies the function of the Index input of the quadrature decoder. Possible values are as follows:
Disable | (Default) The Index input signal has no effect on the count of the quadrature decoder. Note that you must set the IndexMode input to Disabled if you set the X4Scaling input to True.
Low | The quadrature decoder resets the count to 0 whenever it detects a TTL low on the Index input signal.
High | The quadrature decoder resets the count to 0 whenever it detects a TTL high on the Index input signal.

If you do not wire a value to this input, LV-Link uses a value of Disable.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Subsystem Start

Calls directly into the entry points of the DLL of the Data Acq SDK to explicitly start the task. This VI is used by the higher-level VI, DtOLStart - Start.

TaskRef (required) specifies the task to use.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Subsystem Stop

Calls directly into the entry points of the DLL of the Data Acq SDK to explicitly stop the task. This VI is used by the higher-level VI, DtOLStop.

TaskRef (required) specifies the task to use.
Finish Buffer (optional) specifies whether to complete the operation on the current buffer before stopping (Finish Buffer is True) or to abort the operation immediately without finishing the operation on the current buffer (Finish Buffer is False).

Note: For analog output tasks, setting Finish Buffer to True guarantees that all the data has been written from the buffer to the analog output channels before stopping the task; however, it does not guarantee that all the data has actually been output from the analog output channels. Use the Lvi Subsystem Wait Until Done VI to ensure that the all the data has been output by the analog output channels before stopping the task.

If you do not wire a value to this input, a value of True is used.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.

Note: If the operation was aborted (Finish Buffer is False), error code 1080 (source string LveAborted) is returned. It is recommended that you programmatically check for this error code/source string and handle it appropriately to ensure that your application behaves as expected when an operation is aborted.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.

Note: If the operation was aborted (Finish Buffer is False), source string LveAborted is returned (error code 1080). It is recommended that you programmatically check for this source string/error code and handle it appropriately to ensure that your application behaves as expected when an operation is aborted.


Lvi Subsystem Wait Until Done

Calls directly into the entry points of the DLL of the Data Acq SDK and then waits for the specified task to complete or for the timeout interval to elapse, whichever comes first. This VI is used by the higher-level VI, DtOLWaitUntilDone.

TaskRef (required) specifies the task to use.
Timeout (optional) specifies the time, in seconds, to wait. If the requested time elapses, an error is returned. If you specify a value of 0, the VI waits indefinitely.

If you do not wire a value to this input, LV-Link uses a value of 0 seconds.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Thermistor Channel Settings

Calls directly into the entry points of the DLL of the Data Acq SDK to set the configuration options for a thermistor measurement.

The resistance of NTC thermistors increases with decreasing temperature. The resistance to temperature relationship is characterized by the Steinhart-Hart equation:

1/T = A + BInR + CIn(R)3

where,

• T is the temperature, in degrees Kelvin.

• R is the resistance at T, in Ohms.

• A, B, and C are the Steinhart-Hart coefficients for a particular thermistor type and value, and are supplied by the thermistor manufacturer.

Data Filter Type specifies the kind of data filter that is used for the specified channel. Values are Data Filter None, or Data Filter Moving Average (the default value).

If you select Data Filter None, no filter is used. Raw data is returned. Use this option when you want to acquire fast thermocouple response times. The response time is determined by the ADC data rate. Higher throughput rates (data rates) yield faster response times, but the increased bandwidth also results in higher noise.

If you select Data Filter Moving Average, unwanted noise is removed from your measurements. This filter provides a compromise of filter functionality and response time and can be used in any application. This low-pass filter takes the previous 16 samples, adds them together, and divides by 16.
C specifies the C coefficient that is used in the Steinhart-Hart transfer function.
TaskRef specifies the task containing the virtual channel to read. This task must have been created using the DtOLCreateTask VI.
Channel (optional) specifies the virtual channel to configure. By default, this is 0.
A specifies the A coefficient that is used in the Steinhart-Hart transfer function.
B specifies the B coefficient that is used in the Steinhart-Hart transfer function.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
NumWireType specifies how the RTD is wired to the channel. Possible values are 2 Wire (0), 3 Wire (1), or 4 Wire (2) .
TaskRef Out contains the task that is started when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Thermocouple Channel Settings

Calls directly into the entry points of the DLL of the Data Acq SDK to specify the thermocouple type for an analog input task. This VI is used by the higher-level VI, DtOLSetChanThermocoupleOptions.

TaskRef (required) specifies the task to use.
Channel specifies the number of the analog input channel whose thermocouple type you want to configure. The default value is 0.
TcType specifies the type of thermocouple that is attached to the specified channel. Values are as follows:
Value | Definition
1500 | Voltage
1501 | Type J thermocouple
1503 | Type K thermocouple
1504 | Type B thermocouple
1505 | Type E thermocouple
1506 | Type N thermocouple
1507 | Type R thermocouple
1508 | Type S thermocouple
1509 | Type T thermocouple
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
DataFilter specifies the type of filter that is used for the specified channel. Values are as follows:
Value | Definition
1700 | None (no filter). Raw data is returned. Use this option when you want to acquire fast thermocouple response times. The response time is determined by the ADC data rate. Higher throughput rates (data rates) yield faster response times, but the increased bandwidth also results in higher noise.
1701 | Moving average filter (the default value). This filter removes unwanted noise from your measurements. This filter provides a compromise of filter functionality and response time and can be used in any application. This low-pass filter takes the previous 16 samples, adds them together, and divides by 16.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Trigger Properties

Calls directly into the entry points of the DLL of the Data Acq SDK to return information about the trigger source of the device. This VI is used by the higher-level VI, DtOLTriggerSource.

TaskRef (required) specifies the task to use.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
SupSvPosExtTTL is TRUE (X) if a positive-edge external TTL trigger is supported by the device for a single-value operation or FALSE (checkmark) if a positive-edge external TTL trigger is not supported by the device for a single-value operation.
SupSoftware is TRUE (X) if a software trigger is supported by the device or FALSE (checkmark) if a software trigger is not supported by the device.
SupPosExtTTL is TRUE (X) if a positive-edge external TTL trigger is supported by the device or FALSE (checkmark) if a positive-edge external TTL trigger is not supported by the device.
TaskRef out contains the task that is modified when this VI runs.
SupDigitalEvent is TRUE (X) if a digital event trigger is supported by the device or FALSE (checkmark) if a negative digital event trigger is not supported by the device.
SupNegExtTTL is TRUE (X) if a negative-edge external TTL trigger is supported by the device or FALSE (checkmark) if a negative-edge external TTL trigger is not supported by the device.
SupNegThresh is TRUE (X) if a negative threshold trigger is supported by the device or FALSE (checkmark) if a negative threshold trigger is not supported by the device.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
SupPosThresh is TRUE (X) if a positive threshold trigger is supported by the device or FALSE (checkmark) if a positive threshold trigger is not supported by the device.
SupSvNegExtTTL is TRUE (X) if a negative-edge external TTL trigger is supported by the device for a single-value operation or FALSE (checkmark) if a negative-edge external TTL trigger is not supported by the device for a single-value operation.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.


Lvi Trigger Settings

Calls directly into the entry points of the DLL of the Data Acq SDK to set trigger properties and return information about the trigger source of the device. This VI is used by the higher-level VI, DtOLTriggerSource.

SetPreTrigger specifies whether to change the pre-trigger source to the value that you specified in Pre-Trigger Source. If TRUE (X), the pr-etrigger source is changed. If FALSE (checkmark), the default pre-trigger source is used.
TaskRef (required) specifies the task to use.
TriggerSource specifies one of the following trigger sources to use for the device: Software, External Digital, External Analog, Analog Event, Digital Event, Timer Event, or Extra.
PreTriggerSource specifies one of the following pre-trigger sources to use for the device: Software, External Digital, External Analog, Analog Event, Digital Event, Timer Event, or Extra.
SetTrigger specifies whether to change the trigger source to the value that you specified in Trigger Source. If TRUE (X), the trigger source is changed. If FALSE (checkmark), the default trigger source is used.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
TriggerSource out contains the current source of the trigger.
PreTriggerSource out contains the current source of the pre-trigger.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Write Dbl Data1D

Calls directly into the entry points of the DLL of the Data Acq SDK to write a one-dimensional array of double data points to the virtual channels of a task you specify. This VI is used by the higher-level VI, DtOLWrite.

NumSamples specifies the number of samples to write to the specified channel.
TaskRef (required) specifies the task from which to read data.
timeout specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
DataBuf specifies a one-dimensional array of real values representing the samples to output.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
NumQueued out contains the number of buffers that are queued for writing for this task.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Write Dbl Data2D

Calls directly into the entry points of the DLL of the Data Acq SDK to write a two-dimensional array of double data points to the virtual channels of a task you specify. This VI is used by the higher-level VI, DtOLWrite.

NumChan specifies the analog output channel to update.
TaskRef (required) specifies the task from which to read data.
timeout specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
DataBuf specifies a two-dimensional array of real values representing the samples to output.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
NumSamples specifies the total number of samples in DataBuf to write. For example, if you specified 3 channels for NumChan and wanted to write 1000 samples per channel, specify 3000 for NumSamples.
StartWrite is TRUE (X) if you want to start the task automatically when this VI is called (in this case, you do not need to call DtOLStart to start the task), or FALSE (checkmark) if you do not want to start the task automatically when this VI is called (in this case, you need to explicitly call DtOLStart to start the task). By default, this value is FALSE.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
NumQueued out contains the number of buffers that are queued for writing for this task.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Write Dbl Data Pt

Calls directly into the entry points of the DLL of the Data Acq SDK to write data points (double data type) to the virtual channels of a task you specify. This VI is used by the higher-level VI, DtOLWrite.

TaskRef (required) specifies the task from which to read data.
timeout specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
DatBuf (required) contains the single sample to output.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Write U16Data1D

Calls directly into the entry points of the DLL of the Data Acq SDK to write a data point from the specified task as a one-dimensional array of unsigned, 16-bit integers.

NumSamples specifies the number of samples per channel to write.
TaskRef (required) specifies the task from which to write data.
timeout specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
DataBuf specifies the buffer of unsigned, 16-bit integer data to write.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
NumQueued out contains the number of buffers that are queued for writing for this task.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Write U16Data2D

Calls directly into the entry points of the DLL of the Data Acq SDK to write a data point from the specified task as a one-dimensional array of unsigned, 16-bit integers.

NumChan specifies the number of channels to write update.
NumSamples specifies the number of samples per channel to write.
TaskRef (required) specifies the task from which to write data.
timeout specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
DataBuf specifies the buffer of unsigned, 16-bit integer data values to write.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
StartWrite is TRUE (X) if you want to start the task automatically when this VI is called (in this case, you do not need to call DtOLStart to start the task), or FALSE (checkmark) if you do not want to start the task automatically when this VI is called (in this case, you need to explicitly call DtOLStart to start the task). By default, this value is FALSE.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
NumQueued out contains the number of buffers that are queued for writing for this task.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Write U16Data Pt

Calls directly into the entry points of the DLL of the Data Acq SDK to write a data point from the specified task as an unsigned 16-bit integer.

TaskRef (required) specifies the task from which to write data.
timeout specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
DataBuf specifies an unsigned 32-bit integer value representing the data point to write.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Write U32Data1D

Calls directly into the entry points of the DLL of the Data Acq SDK to write a data point from the specified task as a one-dimensional array of unsigned, 32-bit integers.

NumSamples specifies the number of samples per channel to write.
TaskRef (required) specifies the task from which to write data.
timeout specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
DataBuf specifies the buffer of unsigned, 32-bit integer data to write.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
NumQueued out contains the number of buffers that are queued for writing for this task.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Write U32Data2D

Calls directly into the entry points of the DLL of the Data Acq SDK to write a data point from the specified task as a one-dimensional array of unsigned, 32-bit integers.

NumChan specifies the number of channels to write update.
NumSamples specifies the number of samples per channel to write.
TaskRef (required) specifies the task from which to write data.
timeout specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
DataBuf specifies the buffer of unsigned, 32-bit integer data values to write.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
StartWrite is TRUE (X) if you want to start the task automatically when this VI is called (in this case, you do not need to call DtOLStart to start the task), or FALSE (checkmark) if you do not want to start the task automatically when this VI is called (in this case, you need to explicitly call DtOLStart to start the task). By default, this value is FALSE.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
NumQueued out contains the number of buffers that are queued for writing for this task.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Lvi Write U32Data Pt

Calls directly into the entry points of the DLL of the Data Acq SDK to write a data point from the specified task as an unsigned 32-bit integer.

TaskRef (required) specifies the task from which to write data.
timeout specifies the time, in seconds, in which to read the samples. If the requested time elapses, an error is returned. If you specify a value of -1, the VI waits indefinitely. If you specify a value of 0, the VI will try to read the samples once; if the data is not available, an error is returned.

If you do not wire a value to this input, LV-Link uses a value of 10 seconds.
DataBuf specifies an unsigned 32-bit integer value representing the data point to write.
error in (optional) describes error conditions that occur before this VI runs. The default is no error. If an error occurred before this VI runs, the VI passes the error in value to error out. If an error occurs while this VI runs, the VI runs normally and sets its own error status in error out. Use LabVIEW's Simple Error Handler or General Error Handler VIs to display the description of the error code. Use error in and error out to check errors and to specify execution order by wiring error out from one node to error in of the next node.
status is TRUE (X) if an error occurred before this VI ran or FALSE (checkmark) to indicate a warning or that no error occurred before this VI ran. The default is FALSE.
code is the error or warning code. The default is 0. If status is TRUE, code is a negative error code. If status is FALSE, code is 0 or a warning code.
source identifies where an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.
TaskRef out contains the task that is modified when this VI runs.
function return contains the error/status code that is returned by the underlying DLL in the Data Acq SDK.
error out contains error information. If error in indicates that an error occurred before this VI ran, error out contains the same error information. Otherwise, error out describes the error status that this VI produces. Right-click the error out indicator on the front panel and select Explain Error from the shortcut menu for more information about the error.
status is TRUE (X) if an error occurred or FALSE (checkmark) to indicate a warning or that no error occurred.
code is the error or warning code. If status is TRUE, code is a nonzero error code. If status is FALSE, code is 0 or a warning code.
source identifies where and why an error occurred. The source string includes the name of the VI that produced the error, what inputs are in error, and how to eliminate the error.


Examples

LV-Link includes a number of example programs that illustrate how to perform data acquisition operations on DT-Open Layers-complaint devices.

Note: Before running an example, ensure that you have an appropriate device installed in your system, and that your device supports the features that you want to exercise.

From the Functions palette, click User Libraries, click LV-Link3, and then click Examples. (Or, if you want to access the example programs from the File menu, click Open, click User.Lib, click LV-Link3, and then click Examples.) The following examples are provided:

DtAinAoutContinuous

DtAinAoutSimultaneous

DtAinBridgeContinuous

DtAinBridgeSensorContinuousTEDS

DtAinContinuous

DtAinCtrContinuousEdgeToEdge

DtAinCurrentContinuous

DtAinGainPerChan

DtAinMasterSlave

DtAinMultichannelSingleU32

DtAinRawContinuous

DtAinRawContinuousU16

DtAinReferenceTrig

DtAinResistanceContinuous

DtAinRtdContinuous

DtAinSetChanOptions

DtAinSingle

DtAinStrainContinuous

DtAinThermistorContinuous

DtAinThermocoupleContinuous

DtAinTrig

DtAinTriggeredScan

DtAoutRawSingle

DtAoutSingle

DtAoutTwoSingle

DtAoutWaveform

DtCtrContMeasure

DtCtrEvents

DtCtrFreq

DtCtrOneShot

DtCtrOneShotRepeat

DtCtrPeriod

DtCtrRate

DtCtrTwoEdgeTiming

DtCtrUpDown

DtDinSingle

DtDoutSingle

DtQuadrature


DtAinAoutContinuous Example

The DtAinAoutContinuous example demonstrates how to continuously acquire data from an analog input channel and continuously output the data to an analog output channel. The analog output task lags behind the analog input task, since it outputs the data that is acquired. This example runs continuously until either the Stop button is pressed or an error occurs.

The following sections describe the elements of this example.

Analog Input Task

The following VIs are used to implement the analog input task:

  • DtOLCreateTask (Analog Input - Voltage) - Sets up a virtual analog input channel with the following configuration: analog input subsystem 0, analog input channel 0, input voltage range of -10 V to 10 V, gain of 1, and a single-ended channel type. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.

  • DtOLTiming (Input - Set Timing) - Specifies the following attributes for timing the analog input task: an internal clock source, continuous sample mode, a sampling frequency of 10000 Hz for the subsystem, 2000 samples per channel, and 8 buffers. From the front panel, you can change the sample rate and number of samples per channel, as needed.

  • DtOLStart- Start - Explicitly starts the continuous analog input task.

  • DtOLRead (Read Multiple Channel - Multiple Samples) - On each iteration of the loop, this VI reads the specified number of samples from analog input channel 0 and sends these values to the Waveform Graph VI for plotting and to the DtOLWrite (Write Multiple Channel - Multiple Samples) VI for updating the analog output channel.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.

Analog Output Task

The following VIs are used to implement the analog output task:

  • DtOLCreateTask (Analog Output - Voltage) - Sets up a virtual analog output channel with the following configuration: analog output subsystem 0, analog input channel 0, output voltage range of -10 V to 10 V, and a gain of 1. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.

  • DtOLTiming (Output - Set Timing) - Specifies the following attributes for timing the analog output task: an internal clock source, a continuous sample mode, a sample frequency of 10000 Hz for the subsystem, and multiple buffers (Resend One Buffer is False). Note that the sample rate is determined by a user selection on the front panel.

  • DtInitDACBuffers - Initializes the values of each buffer that is used by the analog output task to 0 V. Since each analog input buffer contains 2,000 samples (determined by the Samples Per Channel input of the DtOLTiming (Input - Set Timing) VI, and this data is written to the analog output channels, the Samples per Channel input of the DtInitDACBuffers VI is also 2,000.

  • DtOLStart- Start - Explicitly starts the continuous analog output task.

  • DtOLWrite (Write Multiple Channel - Multiple Samples) - On each iteration of the loop, writes the analog input samples that are returned by the DtOLRead (Read Multiple Channel - Multiple Samples) VI to the analog output channel.

  • DtOLCloseTask - Stops the analog output task and releases all resources that are associated with the task when the task is complete.


DtAinAoutSimultaneous Example

The DtAinAoutSimultaneous example demonstrates how to start an analog input and analog output operation at the same time. Data is continuously acquired from an analog input channel while a waveform is continuously output from an analog output channel. This example runs continuously until both the analog input and analog output Stop buttons are pressed or an error occurs.

The following sections describe the elements of this example.

Analog Output Task

The following VIs are used to implement the analog output task:

  • DtOLCreateTask (Analog Output - Voltage) - Sets up a virtual analog output channel with the following default configuration: analog output subsystem 0, analog output channel 0, output voltage range of -10 V to 10 V, and a gain of 1. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the analog output channel to update, as needed.

  • DtOLStart - Simultaneous Start - Takes the analog output task created by DtOLCreateTask (Analog Output - Voltage) as the first task to start simultaneously. The output of this task is then connected to the DtOLWaveformGenerate VI.

  • DtOLWaveformGenerate - Creates one cycle of a sine wave (the default waveform type), triangle wave, square wave, or sawtooth wave with a specified number of samples, frequency, and amplitude per cycle. By default, a sine wave of 100 samples per cycle with an amplitude of 5.0 V and a requested frequency of 1000 Hz is selected. From the front panel, you can change the waveform type, amplitude, samples per cycle, and requested frequency.

    This VI checks to see if the connected device supports the requested frequency. If the Actual Frequency does not match the Requested Frequency when the VI is run, you must either reduce the Requested Frequency, reduce the Samples per Cycle, or use a device with a faster analog output subsystem.

    The generated waveform is also sent to the Waveform Graph VI for plotting.

  • DtOLTiming (Output - Get Timing From Waveform) - Configures the timing of the analog output task to match the generated waveform.

  • DtOLWrite (Write Single Channel - Waveform) - Starts the analog output task and writes the waveform to the specified analog output channel repetitively.

  • DtOLCheckStatus - While in the loop to check the status of the Stop button, calls LV-Link to determine whether an error has occurred.

  • DtOLStop - Stops the analog output task after the user clicks the Stop button or if an error occurs.

  • DtOLCloseTask - Releases all resources that are associated with the analog output task when the task is complete.

Analog Input Task

The following VIs are used to implement the analog input task:

  • DtOLCreateTask (Analog Input - Voltage) - Sets up a virtual analog input channel to read voltage using the following configuration: analog input subsystem 0, analog input channel 0, input voltage range of -10 V to 10 V, gain of 1, and a single-ended channel type. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the channels from which to acquire data, as needed.

  • DtOLStart - Simultaneous Start - Takes the analog input task created by DtOLCreateTask (Analog Input - Voltage) as the second task to start simultaneously. The output of this task is then connected to the DtOLTiming (Input - Set Timing) VI.

  • DtOLTiming (Input - Set Timing) - Specifies the following attributes for timing the analog input task: an internal clock source, continuous sample mode, a sampling frequency of 10000 Hz for the subsystem, 1000 samples per channel, and 8 buffers. From the front panel, you can change the sample rate and the number of samples per channel, as needed.

  • DtOLRead (Read Multiple Channels - Multiple Samples) - On each iteration of the loop, starts the analog input task, reads the specified number of samples from the specified analog input channels, and sends these values to the Waveform Graph VI for plotting.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.


DtAinBridgeContinuous

The DtAinBridgeContinuous example demonstrates how to read voltage data from a general-purpose bridge continuously. This example runs continuously until either the Stop button is pressed or an error occurs.

Note that this example uses a DT9838 module and a Futek LMD500 hand gripper as the bridge-based sensor.

The following VIs are used to implement the analog input task:

  • DtOLCreateTask (Analog Input - Voltage) - Sets up a virtual analog input channel with the following configuration: analog input subsystem 0, analog input channel 0, input voltage range of +/- 10 volts, and a differential channel type. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. This example expects a DT9829 device.

  • DtOLTiming (Input - Set Timing) - Specifies the following attributes for timing the analog input task: an internal clock source, continuous sample mode, a sampling frequency of 1000 Hz for the subsystem, 1000 samples per channel, and 8 buffers. From the front panel, you can change the sample rate and number of samples per channel, as needed.

  • DtOLSetChanBridgeOptions - Specifies the configuration of the bridge (full-bridge, half-bridge, or quarter-bridge). By default, the full-bridge configuration is used.

  • DtOLRead (Read Multiple Channels - Multiple Samples) - On each iteration of the loop, starts the analog input task, reads the specified number of samples from the specified analog input channels, and sends these values to the Waveform Graph VI for plotting.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.


DtAinBridgeSensorContinuousTEDS

The DtAinBridgeSensorContinuousTEDS example demonstrates how to read TEDS data from a bridge-based sensor and acquire data from a bridge-based sensor continuously. The data is returned in the engineering units of the bridge. This example runs continuously until either the Stop button is pressed or an error occurs.

Note that this example uses a DT9838 module and a Futek LMD500 hand gripper as the bridge-based sensor.

The following VIs are used to implement the analog input task:

  • DtOLCreateTask (Analog Input - Voltage) - Sets up a virtual analog input channel with the following configuration: analog input subsystem 0, analog input channel 1, input voltage range of +/- 0.25 volts, gain of 1, and a differential channel type. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. This example expects a DT9838 device.

  • DtOLTiming (Input - Set Timing) - Specifies the following attributes for timing the analog input task: an internal clock source, continuous sample mode, a sampling frequency of 1000 Hz for the subsystem, 1000 samples per channel, and 8 buffers. From the front panel, you can change the sample rate and number of samples per channel, as needed.

  • DtOLGetTEDS (Hardware TEDS - Bridge Sensor) - Reads the TEDS data directly from the bridge-based sensor (the Futek LMD500, in this example).

  • DtOLSetChanStrain (Bridge Sensor Device) - Specifies the following attributes of the bridge-based sensor: an internal excitation voltage source with a value of 1V, 0 V for unstrained voltage, 1 for shunt correction, 0 ohms for wire resistance, 120 ohms for gage resistance, 100 for transducer capacity, and 0.002 mv/V rated output. You can change these values, if desired. (Note that you can run the DtFullBridgeSensorCal Utility VI to perform an offset and shunt calibration operation for the channel before configuring this VI.)

  • DtOLRead (Read Multiple Channels - Multiple Samples) - On each iteration of the loop, starts the analog input task, reads the specified number of samples from the specified analog input channels, and sends these values to the Waveform Graph VI for plotting.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.


DtAinContinuous Example

The DtAinContinuous example demonstrates how to continuously acquire data from an analog input channel. This example runs continuously until either the Stop button is pressed or an error occurs.

The following VIs are used to implement the analog input task:

  • DtOLCreateTask (Analog Input - Voltage) - Sets up a virtual analog input channel to read voltage using the following configuration: analog input subsystem 0, analog input channel 0, input voltage range of -10 V to 10 V, gain of 1, and a single-ended channel type. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the channels from which to acquire data, as needed.

  • DtOLTiming (Input - Set Timing) - Specifies the following attributes for timing the analog input task: an internal clock source, continuous sample mode, a sampling frequency of 10000 Hz for the subsystem, 1000 samples per channel, and 8 buffers. From the front panel, you can change the sample rate and the number of samples per channel, as needed.

  • DtOLRead (Read Multiple Channels - Multiple Samples) - On each iteration of the loop, starts the analog input task, reads the specified number of samples from the specified analog input channels, and sends these values to the Waveform Graph VI for plotting.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.


DtAinCtrContinuousEdgeToEdge

DtAinCtrContinuousEdgeToEdge Example

The DtAinCtrContinuousEdgeToEdge example demonstrates how to measure the number of counts between two edges (a start edge and a stop edge) using a TTL signal applied to the clock input of the counter. The value of the counter is read repetitively in a loop. This example runs continuously until either the Stop button is pressed or an error occurs. This example was written for a DT9832 Series module.

The following VIs are used in this example:

  • DtOLCreateTask (Counter Input - Cont Measure) - Sets up a virtual counter/timer channel for an continuous measurement task with the following default configuration: counter/timer subsystem 0, start edge is clock rising, stop edge is clock rising. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the counter/timer subsystem and the start and stop edges, as needed.

  • DtOLCreateTask (Analog Input - Raw) - Sets up a virtual analog input channel to read voltage using the following configuration: analog input subsystem 0, analog input channels 5 and 6 (the two 16-bit channels required to read the 32-bit counter), input voltage range of -10 V to 10 V, gain of 1, and a single-ended channel type. From the front panel, you can change the channels from which to acquire data, as needed.

  • DtOLTiming (Input - Set Timing) - Specifies the following attributes for timing the analog input task: an internal clock source, continuous sample mode, a sampling frequency of 10000 Hz for the subsystem, 1000 samples per channel, and 8 buffers. From the front panel, you can change the sample rate and the number of samples per channel, as needed.

  • DtOLRead (Read Multiple Channels - Multiple Samples) - On each iteration of the loop, starts the analog input task, reads the specified number of samples from the specified analog input channels, recombines the two 16-bit counts into a single 32-bit count, divides the count by the counter's base frequency (48 MHz for the DT9832), multiplies the resulting value by 1000 to convert to milliseconds, and sends these values to the Waveform Graph VI for plotting. From the front panel, you can change the counter's base frequency, if desired.

  • DtOLCloseTask - Two instances of this VI are provided. One instance stops the continuous measurement task and releases all resources that are associated with the task when the task is complete. The other instance stops the analog input task and releases all resources that are associated with the task when the task is complete.


DtAinCurrentContinuous

The DtAinCurrentContinuous example demonstrates how to measure current from an analog input channel. This example runs continuously until either the Stop button is pressed or an error occurs.

The following VIs are used to implement the analog input task:

  • DtOLCreateTask (Analog Input - Voltage) - Sets up a virtual analog input channel to read voltage using the following configuration: analog input subsystem 0, analog input channel 0, input voltage range of -10 V to 10 V, gain of 1, and a differential channel type. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. This example assumes that a DT9829 module is used. From the front panel, you can change the channels from which to acquire data, as needed.

  • DtOLTiming (Input - Set Timing) - Specifies the following attributes for timing the analog input task: an internal clock source, continuous sample mode, a sampling frequency of 10000 Hz for the subsystem, 1000 samples per channel, and 8 buffers. From the front panel, you can change the sample rate and the number of samples per channel, as needed.

  • DtOLSetChanCurrentOptions - Specifies the channel for a current measurement operation.

  • Lvi Set Termination Resistor - Specifies whether the bias return input termination is used for the current measurement operation. By default, the input termination resistor is enabled.

  • DtOLRead (Read Multiple Channels - Multiple Samples) - On each iteration of the loop, starts the analog input task, reads the specified number of samples from the specified analog input channels, and sends these values to the Waveform Graph VI for plotting.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.


DtAinGainPerChan Example

The DtAinGainPerChan example demonstrates how to set up different gains for multiple analog input channels, and then continuously acquire data from these analog input channels. This example runs continuously until either the Stop button is pressed or an error occurs.

Note: This example works for devices that allow you to set the effective range by programming the gain in the channel-gain list. For devices, such as the DT9836 that do not support a programmable gain, the effective range is set using the Range Max and Range Min inputs of the DtOLCreateTask (Analog Input - Voltage) or DtOLCreateTask (Analog Input - Raw) VI.

The following VIs are used to implement the analog input task:

  • DtOLCreateTask (Analog Input - Voltage) - Sets up a virtual analog input channel to read voltage using the following configuration: analog input subsystem 0, analog input channels 0 and 1, input voltage range of -10 V to 10 V, gain of 1, and a single-ended channel type. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the channels from which to acquire data, as needed.

  • DtOLTiming (Input - Set Timing) - Specifies the following attributes for timing the analog input task: an internal clock source, continuous sample mode, a sampling frequency of 5000 Hz for the subsystem, 1000 samples per channel, and 8 buffers. From the front panel, you can change the sample rate and the number of samples per channel, as needed.

  • DtOLSetChanGain - Specifies the gain for a specified analog input channel. Two instances of this VI are called, one for each analog input channel. From the front panel, you can change the gain of each channel, as needed, to change the effective input range. By default, the gain is 1. The actual gain that is set is returned for each analog input channel.

  • DtOLConfig - Configures the task with the specified settings.

  • DtOLRead (Read Multiple Channel - Multiple Samples) - On each iteration of the loop, starts the analog input task, reads the specified number of samples from the specified analog input channels, and sends these values to the Waveform Graph VI for plotting.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.


DtAinMasterSlave

The DtAinMasterSlave example demonstrates how to continuously acquire data from two devices that are connected together in a master/slave relationship using the Sync Bus (RJ45) connector. This example runs continuously until either the Stop button is pressed or an error occurs.

This example was designed to use two DT9837B modules. Note that the slave device is started before the master, as required for proper operation.

The following VIs are used in this example:

Master Device

  • DtOLCreateTask (Analog Input - Voltage) - On the master DT9837B device, sets up a virtual analog input channel to read voltage using the following configuration: analog input subsystem 0, analog input channels 0 to 3, input voltage range of -10 V to 10 V, gain of 1, and a single-ended channel type. From the front panel, you can change the channels from which to acquire data, as needed.

  • DtOLTiming (Input - Set Timing) - Specifies the following attributes for timing the analog input task: the sync mode as Master, an internal clock source, continuous sample mode, a sampling frequency of 1000 Hz for the subsystem, 1000 samples per channel, and 8 buffers. From the front panel, you can change the sample rate and the number of samples per channel, as needed.

  • DtOLRead (Read Multiple Channels - Multiple Samples) - On each iteration of the loop, starts the analog input task, reads the specified number of samples from the specified analog input channels, and sends these values to the Waveform Graph VI for plotting.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.

Slave Device

  • DtOLCreateTask (Analog Input - Voltage) - On the slave DT9837B device, sets up a virtual analog input channel to read voltage using the following configuration: analog input subsystem 0, analog input channels 0 to 3, input voltage range of -10 V to 10 V, gain of 1, and a single-ended channel type. From the front panel, you can change the channels from which to acquire data, as needed.

  • DtOLTiming (Input - Set Timing) - Specifies the following attributes for timing the analog input task: the sync mode as Slave, an internal clock source, continuous sample mode, a sampling frequency of 1000 Hz for the subsystem, 1000 samples per channel, and 8 buffers. From the front panel, you can change the sample rate and the number of samples per channel, as needed.

  • DtOLStart - Explicitly starts the slave DT9873B device. (The slave must be started before the master).

  • DtOLRead (Read Multiple Channels - Multiple Samples) - On each iteration of the loop, starts the analog input task, reads the specified number of samples from the specified analog input channels, and sends these values to the Waveform Graph VI for plotting.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.


DtAinMultichannelSingleU32

The DtAinMultichannelSingleU32 example demonstrates how to continuously acquire a single sample from multiple analog input channels and return the data as unsigned, 32-bit integers. This example runs continuously until either the Stop button is pressed or an error occurs.

The following VIs are used to implement the analog input task:

  • DtOLCreateTask (Analog Input - Raw) - Sets up the virtual analog input channels to read raw voltage values using the following configuration: analog input subsystem 0, analog input channel 0, input voltage range depending on the device selected (the default is +/-10 V), gain of 1, and a channel type that depends on the device selected (default is single-ended). By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the channels from which to acquire data, as needed.

  • DtOLRead (Read Multiple Channels - Single Sample - 32-Bit) - On each iteration of the loop, starts the analog input task, reads the specified number of samples from the specified analog input channels (returning the data as unsigned, 32-bit integers), and sends these values to the Waveform Graph VI for plotting.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.


DtAinRawContinuous Example

The DtAinRawContinuous example demonstrates how to continuously acquire raw counts from an analog input channel. This example runs continuously until either the Stop button is pressed or an error occurs.

The following VIs are used to implement the analog input task:

  • DtOLCreateTask (Analog Input - Raw) - Sets up a virtual analog input channel to read raw counts using the following configuration: analog input subsystem 0, analog input channel 0, input voltage range of -10 V to 10 V, gain of 1, and a differential channel type. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the channels from which to acquire data, as needed.

  • DtOLTiming (Input - Set Timing) - Specifies the following attributes for timing the analog input task: an internal clock source, continuous sample mode, a sampling frequency of 10000 Hz for the subsystem, 1000 samples per channel, and 8 buffers. From the front panel, you can change the sample rate and the number of samples per channel, as needed.

  • DtOLSubsystem - Determines the resolution of the analog input subsystem, and for 12-bit subsystems, scales the acquired data accordingly.

  • DtOLRead (Read Multiple Channel - Multiple Samples) - On each iteration of the loop, starts the analog input task, reads the specified number of samples from the specified analog input channels, and sends these values to the Waveform Graph VI for plotting.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.


DtAinRawContinuousU16

The DtAinRawContinuousU16 example demonstrates how to continuously acquire raw counts from an analog input channel and return the data as unsigned, 16-bit values. This example runs continuously until either the Stop button is pressed or an error occurs.

The following VIs are used to implement the analog input task:

  • DtOLCreateTask (Analog Input - Raw) - Sets up a virtual analog input channel to read raw counts using the following configuration: analog input subsystem 0, analog input channel 0, input voltage range of -2.44 V, gain of 1, and a single-ended channel type. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the channels from which to acquire data, as needed.

  • DtOLTiming (Input - Set Timing) - Specifies the following attributes for timing the analog input task: an internal clock source, continuous sample mode, a sampling frequency of 1000 Hz for the subsystem, 1000 samples per channel, and 8 buffers. From the front panel, you can change the sample rate and the number of samples per channel, as needed.

  • DtOLRead (Read Multiple Channels - Multiple Samples - 16-Bit) - On each iteration of the loop, starts the analog input task, reads the specified number of samples from the specified analog input channels, and sends these unsigned, 16-bit values to the Waveform Graph VI for plotting.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.


DtAinReferenceTrig

The DtAinReferenceTrig example demonstrates how to continuously acquire data from an analog input channel using a start trigger to start pre-trigger acquisition and a reference trigger to stop pre-trigger acquisition and start post-trigger acquisition. Both the start trigger and reference trigger use an analog threshold trigger as the trigger source.

This example runs continuously until either the Stop button is pressed, the reference trigger occurs and the specified number of post-trigger samples is acquired, the reference trigger occurs and causes the read to exit with a 0 samples, or an error occurs.

This example was designed to use a DT9838 module, which has an input range of +/- 0.25 V. However, you can modify this example to use any board that supports a reference trigger.

The following VIs are used to implement the analog input task:

  • DtOLCreateTask (Analog Input - Voltage) - Sets up a virtual analog input channel to read voltage using the following configuration: analog input subsystem 0, analog input channel 0, and an input voltage range of +/-0.25 V. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the channels from which to acquire data, as needed.

  • DtOLTiming (Input - Set Timing) - Specifies the following attributes for timing the analog input task: an internal clock source, continuous sample mode, a sampling frequency of 1000 Hz for the subsystem, 100 samples per channel, and 8 buffers. From the front panel, you can change the sample rate and the number of samples per channel, as needed.

  • DtOLTrigger (Analog Trigger) - Specifies an analog threshold trigger for the start trigger. The start trigger occurs when the analog signal (on analog input channel 0, in this case) rises above or falls below a threshold value between +/-0.25 V; you specify the threshold value and the polarity of the signal on the front panel.

  • DtOLTrigger (Analog Reference Trigger) - Specifies an analog threshold trigger for the reference trigger. The reference trigger occurs when the analog signal (on analog input channel 0, in this case) rises above or falls below a threshold value between +/-0.25 V; you specify the threshold value and the polarity of the signal on the front panel.

  • DtOLRead (Read Multiple Channels - Multiple Samples) - On each iteration of the loop, starts the analog input task. Once the operation is started, analog input channel 0 (the threshold trigger channel) is polled continuously for the start trigger conditions. When the input voltage crosses the specified threshold value with the appropriate polarity, pre-trigger acquisition begins.

    Pre-trigger acquisition stops and post-trigger acquisition begins when the input voltage on the threshold trigger channel crosses the specified threshold value for the reference trigger (given the appropriate polarity). Once the device reads the specified number of post-trigger samples from the specified analog input channels, acquisition stops.

    All the data (pre-trigger and post-trigger data) is sent to the Waveform Graph VI for plotting as it is acquired.

    (In this example, the default 10 second timeout applies.)

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.


DtAinResistanceContinuous

The DtAinResistanceContinuous example demonstrates how to measure resistance from an analog input channel. This example runs continuously until either the Stop button is pressed or an error occurs.

The following VIs are used to implement the analog input task:

  • DtOLCreateTask (Analog Input - Voltage) - Sets up a virtual analog input channel to read voltage using the following configuration: analog input subsystem 0, analog input channel 0, input voltage range of -10 V to 10 V, gain of 1, and a differential channel type. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. This example assumes that a DT9829 module is used. From the front panel, you can change the channels from which to acquire data, as needed.

  • DtOLTiming (Input - Set Timing) - Specifies the following attributes for timing the analog input task: an internal clock source, continuous sample mode, a sampling frequency of 10000 Hz for the subsystem, 1000 samples per channel, and 8 buffers. From the front panel, you can change the sample rate and the number of samples per channel, as needed.

  • DtOLSetChanResistanceOptions - Specifies the device and the range of the resistor used, and how the resistor is wired to the channel (two-wire, three-wire, or four-wire configuration).

  • DtOLRead (Read Multiple Channels - Multiple Samples) - On each iteration of the loop, starts the analog input task, reads the specified number of samples from the specified analog input channels, and sends these values to the Waveform Graph VI for plotting.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.


DtAinRtdContinuous

The DtAinRtdContinuous example demonstrates how to measure temperature from an RTD that is connected to an analog input channel. This example runs continuously until either the Stop button is pressed or an error occurs.

The following VIs are used to implement the analog input task:

  • DtOLCreateTask (Analog Input - Voltage) - Sets up a virtual analog input channel to read voltage using the following configuration: analog input subsystem 0, analog input channel 0, input voltage range of -10 V to 10 V, gain of 1, and a differential channel type. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. This example assumes that a DT9829 module is used. From the front panel, you can change the channels from which to acquire data, as needed.

  • DtOLTiming (Input - Set Timing) - Specifies the following attributes for timing the analog input task: an internal clock source, continuous sample mode, a sampling frequency of 10000 Hz for the subsystem, 1000 samples per channel, and 8 buffers. From the front panel, you can change the sample rate and the number of samples per channel, as needed.

  • DtOLSetChanRtdOptions - Specifies the RTD type (PT3750, PT3850, PT3911, PT3916, PT3920, PT3928, or Custom), wiring configuration (two-wire, three-wire, or four-wire), data filter type (moving average or none), and the R0, A, B, C coefficients used in the Callendar-Van Dusen transfer function to convert voltage to temperature.

  • DtOLRead (Read Multiple Channels - Multiple Samples) - On each iteration of the loop, starts the analog input task, reads the specified number of samples from the specified analog input channels, and sends these values to the Waveform Graph VI for plotting.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.


DtAinSetChanOptions Example

The DtAinSetChanOptions example demonstrates how to set up analog input channel options, including the sensor gain and offset, and, if IEPE inputs are supported, the current excitation source and the input coupling type for a specified analog input channel. The A/D values are continuously acquired and scaled so that +/- 10 Volt input signal is interpreted as a signal between 0 - 100 PSI. This example runs continuously until either the Stop button is pressed or an error occurs.

The following VIs are used to implement the analog input task:

  • DtOLCreateTask (Analog Input - Voltage) - Sets up a virtual analog input channel to read voltage using the following configuration: analog input subsystem 0, analog input channel 0, input voltage range of -10 V to 10 V, and a single-ended channel type. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the channels from which to acquire data, as needed.

  • DtOLTiming (Input - Set Timing) - Specifies the following attributes for timing the analog input task: an internal clock source, continuous sample mode, a sampling frequency of 5000 Hz for the subsystem, 1000 samples per channel, and 8 buffers. From the front panel, you can change the sample rate and the number of samples per channel, as needed.

  • DtOLSetChanGain - Specifies the sensor gain and offset for the specified analog input channel. You can change these values from the front panel, as needed. By default, the sensor gain is 5 and the sensor offset is 50.

  • DtOLSetChanIepeOptions - Specifies the excitation current source and input coupling type for the specified analog input channel. You can change these values from the front panel, as needed. By default, the excitation current source is disabled and the input coupling type is DC.

  • DtOLConfig - Configures the task with the specified settings.

  • DtOLRead (Read Multiple Channel - Multiple Samples) - On each iteration of the loop, starts the analog input task, reads the specified number of samples from the specified analog input channels, and sends these values to the Waveform Graph VI for plotting.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.


DtAinSingle Example

The DtAinSingle example demonstrates how to acquire a single value from an analog input channel repetitively in a loop. The analog input task runs with no hardware timing. The loop runs as fast as it can until either the Stop button is pressed or an error occurs.

The following VIs are used to implement the analog input task:

  • DtOLCreateTask (Analog Input - Voltage) - Sets up a virtual analog input channel to read voltage using the following configuration: analog input subsystem 0, analog input channel 0, input voltage range of -10 V to 10 V, gain of 1, and a single-ended channel type. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the channel from which to acquire data, as needed.

  • DtOLRead (Read Single Channel - Single Sample) - On each iteration of the loop, this VI starts the analog input task, reads a single value from the specified analog input channel, and sends the value to the Waveform Graph VI for plotting.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.


DtAinStrainContinuous

The DtAinStrainContinuous example demonstrates how to acquire data from a strain gage continuously. This example runs continuously until either the Stop button is pressed or an error occurs.

Note that this example uses a DT9838 module.

The following VIs are used to implement the analog input task:

  • DtOLCreateTask (Analog Input - Voltage) - Sets up a virtual analog input channel with the following configuration: analog input subsystem 0, analog input channel 0, input voltage range of +/- 0.25 volts, gain of 1, and a differential channel type. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. This example expects a DT9838 device.

  • DtOLTiming (Input - Set Timing) - Specifies the following attributes for timing the analog input task: an internal clock source, continuous sample mode, a sampling frequency of 1000 Hz for the subsystem, 1000 samples per channel, and 8 buffers. From the front panel, you can change the sample rate and number of samples per channel, as needed.

  • DtOLSetChanStrain (Strain Device) - Specifies the following attributes for the strain gage: full-bridge bridge type, an internal excitation voltage source with a value of 1 V, 0 ohms for wire resistance, 120 ohms for gage resistance, 0 V for unstrained voltage, 1 for shunt correction, 0.32 for Poisson configuration (this is not used unless a Poisson bridge type is specified), and a gage factor of 2. You can change these values, if desired. (Note that you can run the DtStrainGageCal Utility VI to perform an offset and shunt calibration operation for the channel before configuring this VI.)

  • DtOLRead (Read Multiple Channels - Multiple Samples) - On each iteration of the loop, starts the analog input task, reads the specified number of samples from the specified analog input channels, and sends these values to the Waveform Graph VI for plotting.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.


DtAinThermistorContinuous

The DtAinThermistorContinuous example demonstrates how to measure temperature from a thermistor that is connected to an analog input channel. This example runs continuously until either the Stop button is pressed or an error occurs.

The following VIs are used to implement the analog input task:

  • DtOLCreateTask (Analog Input - Voltage) - Sets up a virtual analog input channel to read voltage using the following configuration: analog input subsystem 0, analog input channel 0, input voltage range of -10 V to 10 V, gain of 1, and a differential channel type. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. This example assumes that a DT9829 module is used. From the front panel, you can change the channels from which to acquire data, as needed.

  • DtOLTiming (Input - Set Timing) - Specifies the following attributes for timing the analog input task: an internal clock source, continuous sample mode, a sampling frequency of 10000 Hz for the subsystem, 1000 samples per channel, and 8 buffers. From the front panel, you can change the sample rate and the number of samples per channel, as needed.

  • DtOLSetChanThermistorOptions - Specifies how the thermistor is wired to the channel (two-wire, three-wire, or four-wire configuration), the data filter type (moving average or none), and the A, B, C coefficients that are used in the Steinhart-Hart transfer function to convert voltage to temperature.

  • DtOLRead (Read Multiple Channels - Multiple Samples) - On each iteration of the loop, starts the analog input task, reads the specified number of samples from the specified analog input channels, and sends these values to the Waveform Graph VI for plotting.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.


DtAinThermocoupleContinuous

The DtAinThermocoupleContinuous example demonstrates how to acquire data from a thermocouple continuously. This example runs continuously until either the Stop button is pressed or an error occurs.

Note that this example uses a DT9828 module.

The following VIs are used to implement the analog input task:

  • DtOLCreateTask (Analog Input - Voltage) - Sets up a virtual analog input channel with the following configuration: analog input subsystem 0, analog input channel 0, input voltage range of +/- 0.15625 volts, gain of 1, and a differential channel type. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. This example expects a DT9828 device. From the front panel, you can change the analog input channel, as needed.

  • DtOLTiming (Input - Set Timing) - Specifies the following attributes for timing the analog input task: an internal clock source, continuous sample mode, a sampling frequency of 300 Hz for the subsystem, the number of samples per channel, and 8 buffers. From the front panel, you can change the sample rate and number of samples per channel, as needed.

  • DtOLSetChanThermocoupleOptions - Specifies the thermocouple type and data filter type that is used by the specified channel. In this example, the default thermocouple type is a Type J thermocouple and the default data filter type is the moving average filter.

  • DtOLRead (Read Multiple Channels - Multiple Samples) - On each iteration of the loop, starts the analog input task, reads the specified number of samples from the specified analog input channel, and sends these values to the Waveform Graph VI for plotting.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.


DtAinTrig Example

The DtAinTrig example demonstrates how to continuously acquire data from an analog input channel when an analog threshold trigger is detected. This example runs continuously until either the Stop button is pressed or an error occurs.

Note: If your device does not support an analog threshold trigger type, an error will be returned when you run this example.

The following VIs are used to implement the analog input task:

  • DtOLCreateTask (Analog Input - Voltage) - Sets up a virtual analog input channel with the following configuration: analog input subsystem 0, analog input channel 0, input voltage range of -10 V to 10 V, gain of 1, and a single-ended channel type. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the channels from which to acquire data, as needed.

  • DtOLTiming (Input - Set Timing) - Specifies the following attributes for timing the analog input task: an internal clock source, a continuous sample mode, a sampling frequency of 1000 Hz for the subsystem, 200 samples per channel, and 8 buffers. From the front panel, you can change the sample rate and the number of samples per channel, as needed.

  • DtOLTrigger (Analog Trigger) - Specifies an analog threshold trigger for the analog input task. The trigger occurs when the analog signal rises above a threshold value between 0 V and 10 V; you specify this value on the front panel. By default, the threshold value is 3 V.

  • DtOLRead (Read Multiple Channel - Multiple Samples - Real) - On each iteration of the loop, starts the analog input task. If the threshold trigger is detected, this VI reads the specified number of samples from the specified analog input channels and sends these values to the Waveform Graph VI for plotting.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.


DtAinTriggeredScan

The DtAinTriggeredScan example demonstrates how to continuously acquire data from analog input channels using triggered scan mode. This example runs continuously until either the Stop button is pressed or an error occurs.

This example was designed to use a DT3010 board, which has an input range of +/-10 V. However, you can modify this example to use any board that supports triggered scan mode.

The following VIs are used to implement the analog input task:

  • DtOLCreateTask (Analog Input - Voltage) - Sets up a virtual analog input channel with the following configuration: analog input subsystem 0, analog input channel 0, input voltage range of -10 V to 10 V, and a gain of 1. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the channels from which to acquire data, as needed.

  • DtOLTiming (Input - Set Timing) - Specifies the following attributes for timing the analog input task: an internal clock source, a continuous sample mode, a sampling frequency of 1000 Hz for the subsystem, 100 samples per channel, and 8 buffers. From the front panel, you can change the sample rate and the number of samples per channel, as needed.

  • DtOLTrigger (Digital Trigger) - Specifies a digital trigger to start the analog input task. The trigger occurs when either a rising or falling edge (specified on the front panel) is detected on the external digital input signal

  • DtOLTrigger (Triggered Scan) - Specifies the triggered scan operation. From the front panel, you can specify the following attributes:

    - Retrigger Source - Software, Digital Positive, Digital Negative, Analog Threshold Positive, or Analog Threshold Negative trigger source used to retrigger the scan.
    The default for this example is Digital Positive.
    - Scan Count - The number of times to scan the channel-gain list. The default is 100 for this example.
    - Retrigger Frequency - If the retrigger source is software, specifies the period between retriggers. The default is 1 Hz for this example.

  • DtOLRead (Read Multiple Channel - Multiple Samples - Real) - On each iteration of the loop, starts the analog input task. When the digital trigger event is detected, the device scans the channel-gain list a specified number of times and then stops. When the retrigger source is detected, the device scans the channel-gain list a specified number of times and then waits for the next retrigger event to retrigger the scan. (If the retrigger source is software, the device is retriggered based on the retrigger frequency).

    The acquired values are sent to the Waveform Graph VI for plotting.

    The process repeats continuously until stopped.

  • DtOLCloseTask - Stops the analog input task and releases all resources that are associated with the task when the task is complete.


DtAoutRawSingle Example

The DtAoutRawSingle example demonstrates how to write a single raw count to an analog output channel repetitively in a loop. The analog output task runs with no hardware timing. The loop runs as fast as it can until either the Stop button is pressed or an error occurs.

The following VIs are used to implement the analog output task:

  • DtOLCreateTask (Analog Output - Raw) - Sets up a virtual analog output channel with the following default configuration: analog output subsystem 0, analog output channel 0, output voltage range of -10 V to 10 V, and a gain of 1. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the analog output channel to update, as needed.

  • DtOLSubsystem - Determines the resolution of the analog output subsystem, and for 12-bit subsystems, scales the data accordingly before it is written to the analog output channel.

  • DtOLWrite (Write Single Channel - Single Sample) - On each iteration of the loop, this VI starts the analog output task and writes a user-specified value to the specified analog output channel. From the front panel, you can specify a raw count from -2048 to 2047 to output. By default, a count of 0 is written to the analog output channel.

  • DtOLCloseTask - Stops the analog output task and releases all resources that are associated with the task when the task is complete.


DtAoutSingle Example

DtAoutTwoSingle Example

The DtAoutSingle example demonstrates how to write a single voltage value to an analog output channel repetitively in a loop. The analog output task runs with no hardware timing. The loop runs as fast as it can until either the Stop button is pressed or an error occurs.

The following VIs are used to implement the analog output task:

  • DtOLCreateTask (Analog Output - Voltage) - Sets up a virtual analog output channel with the following default configuration: analog output subsystem 0, analog output channel 0, output voltage range of -10 V to 10 V, and a gain of 1. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the analog output channel to update, as needed.

  • DtOLWrite (Write Single Channel - Single Sample) - On each iteration of the loop, this VI starts the analog output task and writes a user-specified value to the specified analog output channel. From the front panel, you can specify a voltage value from -10 V to 10 V to output. By default, a value of 0 V is written to the analog output channel.

  • DtOLCloseTask - Stops the analog output task and releases all resources that are associated with the task when the task is complete.


DtAoutTwoSingle Example

The DtAoutTwoSingle example demonstrates how to write a single voltage value to two analog output channels repetitively in a loop. The analog output task runs with no hardware timing. The loop runs as fast as it can until either the Stop button is pressed or an error occurs.

The following VIs are used to implement the analog output task:

  • DtOLCreateTask (Analog Output - Voltage) - Sets up two virtual analog output channels with the following default configuration: analog output subsystem 0, analog output channels 0 and 1, output voltage range of -10 V to 10 V, and a gain of 1. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the analog output channel to update, as needed.

  • DtOLWriteTwoChannelSingle - On each iteration of the loop, this VI starts the analog output task and writes a user-specified value to the specified analog output channels. From the front panel, you can specify a voltage value from -10 V to 10 V to output. By default, a value of 0 V is written to analog output channels 0 and 1.

  • DtOLCloseTask - Stops the analog output task and releases all resources that are associated with the task when the task is complete.


DtAoutWaveform Example

The DtAoutWaveform example demonstrates how to output a waveform from an analog output channel repetitively. This example runs continuously until either the Stop button is pressed or an error occurs.

The following VIs are used to implement the analog output task:

  • DtOLCreateTask (Analog Output - Voltage) - Sets up a virtual analog output channel with the following default configuration: analog output subsystem 0, analog output channel 0, output voltage range of -10 V to 10 V, and a gain of 1. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the analog output channel to update, as needed.

  • DtOLWaveformGenerate - Creates one cycle of a sine wave (the default waveform type), triangle wave, square wave, or sawtooth wave with a specified number of samples, frequency, and amplitude per cycle. By default, a sine wave of 100 samples per cycle with an amplitude of 5.0 V and a requested frequency of 1000 Hz is selected. From the front panel, you can change the waveform type, amplitude, samples per cycle, and requested frequency.

    This VI checks to see if the connected device supports the requested frequency. If the Actual Frequency does not match the Requested Frequency when the VI is run, you must either reduce the Requested Frequency, reduce the Samples per Cycle, or use a device with a faster analog output subsystem.

    The generated waveform is also sent to the Waveform Graph VI for plotting.

  • DtOLTiming (Output - Get Timing From Waveform) - Configures the timing of the analog output task to match the generated waveform.

  • DtOLWrite (Write Single Channel - Waveform) - Starts the analog output task and writes the waveform to the specified analog output channel repetitively.

  • DtOLCheckStatus - While in the loop to check the status of the Stop button, calls LV-Link to determine whether an error has occurred.

  • DtOLStop - Stops the analog output task after the user clicks the Stop button or if an error occurs.

  • DtOLCloseTask - Releases all resources that are associated with the analog output task when the task is complete.


DtCtrContMeasure Example

The DtCtrContMeasure example demonstrates how to use the measure counters of the DT9857-08 module to continuously measure the number of counts between two edges (a start edge and a stop edge). In this example, measure counter 1 is used to perform the measurement operation. To read the measure counter, the measure counter must be included in the analog input channel list. For the DT9857-08 module, measure counter 1 is defined as channel 10 in the analog input channel list (measure counter 1 is defined as channel 18 for the DT9857-16).

In this example, the operation starts when measure counter 1 detects a rising edge of the tachometer input signal (start edge) and stops when it detects the next rising edge of the tachometer input signal. The frequency of the measurement is calculated using the following equation:

Frequency = 48 MHz/(Number of counts – 1)

where 48 MHz is the internal measure counter frequency.

For example, if the count is 201, the measured frequency is 240 kHz (48 MHz/200).

Since this is a continuous measurement, the operation is automatically restarted. The frequency of the measure counter is read repetitively in a loop. This example runs continuously until either the Stop button is pressed or an error occurs.

The following sections describe the elements of this example.

Measure Counter (Counter/Timer) Task

The following VIs are used to implement the counter/timer task:

  • DtOLCreateTask (Counter Input - Cont Measure) - Sets up a virtual counter/timer channel for an continuous measurement task with the following default configuration: counter/timer subsystem 1 (measure counter 1), start edge is tachometer input rising edge, stop edge is tachometer input rising edge. Using these settings, it is recommended that you connect a frequency of 100 Hz to the tachometer input. From the front panel, you can change the counter/timer subsystem number and the start and stop edges, as needed. Note that the DT9857 has three counters: general-purpose counter/timer 0, measure counter 1, and measure counter 2.

  • DtOLCloseTask - This instance of the VI stops the continuous measurement task and releases all resources that are associated with the task when the task is complete.

Analog Input Task

The following VIs are used to implement the analog input task:

  • DtOLCreateTask (Analog Input - Raw) - Sets up a virtual analog input channel to read the count from measure counter 1 (channel 10 in the analog input channel list). From the front panel, you can change the counter/timer channel from which to acquire data, as needed. For the DT9857-08, this example increments the channel number in the analog input channel list appropriately (for the DT9857-08, channel number = counter+9; for the DT9857-15, channel number = counter +17).

  • DtOLTiming (Input - Set Timing) - Specifies the following attributes for timing the analog input task: an internal clock source, continuous sample mode, a sampling frequency of 1000 Hz for the analog input subsystem, 1000 samples per channel, and 8 buffers. From the front panel, you can change the sample rate and the number of samples per channel, as needed.

  • DtOLRead (Read Multiple Channels - Multiple Samples) - On each iteration of the loop, starts the analog input task, reads the count from measure counter 1, calculates the frequency of the measurement, and sends the frequency measurement to the Waveform Graph VI for plotting.

  • DtOLCloseTask - This instance of the VI stops the analog input task and releases all resources that are associated with the task when the task is complete.


DtCtrEvents Example

The DtCtrEvents example demonstrates how to count digital pulses (events) from an external signal, which must be connected to a counter/timer's clock input source. The value of the counter/timer is read repetitively in a loop. The event counting task runs with no hardware timing. The loop runs as fast as it can until either the Stop button is pressed or an error occurs.

The following VIs are used to implement the event counting task:

  • DtOLCreateTask (Counter Input - Events) - Sets up a virtual counter/timer channel for an event counting task with the following default configuration: counter/timer subsystem 0 and a software (none) gate type. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the counter/timer subsystem, as needed.

  • DtOLRead (Read Single Channel, Single Sample - Real) - On each iteration of the loop, this VI starts the event counting task, reads the value of the counter/timer, and returns the count.

  • DtOLCloseTask - Stops the event counting task and releases all resources that are associated with the task when the task is complete.


DtCtrFreq Example

The DtCtrFreq example demonstrates how to measure the frequency, in kHz, of an external digital signal that is connected to the counter/timer's clock input or gate input source. The frequency is read repetitively in a loop. The frequency measurement task runs with no hardware timing. The loop runs as fast as it can until either the Stop button is pressed or an error occurs.

Note: If your device does not support edge-to-edge measurements, an error will be returned when you run this example.

The following VIs are used to implement the frequency measurement task:

  • DtOLCreateTask (Counter Input - Frequency) - Sets up a virtual counter/timer channel for a frequency measurement task with the following default configuration: counter/timer subsystem 0 and an input line of ClockInput. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the counter/timer subsystem and the input line, as needed.

  • DtOLRead (Read Single Channel - Single Sample - Real) - On each iteration of the loop, this VI starts the frequency measurement task, measures the frequency of the specified input line to the counter/timer, and returns the frequency in kHz.

    Note that internally, this VI measures the frequency of the input line based on two consecutive rising edges on the specified input line.

  • DtOLReStart - Restarts the frequency measurement task.

  • DtOLCloseTask - Stops the frequency measurement task and releases all resources that are associated with the task when the task is complete.


DtCtrOneShot Example

The DtCtrOneShot example demonstrates how to generate a single output pulse for a specified duration (in milliseconds) the first time that the device detects a trigger (determined by the counter/timer's gate input signal). The task runs until either the Stop button is pressed or an error occurs.

The following VIs are used to implement the one-shot task:

  • DtOLCreateTask (Counter Output - Pulse) - Sets up a virtual counter/timer channel for a one-shot task with the following default configuration: counter/timer subsystem 0, trigger (or gate type) is immediate, pulse polarity is LowToHigh, and the requested pulse width of the output signal is 100 ms. From the front panel, you can change these default values, as needed. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.

    This VI checks to see if the connected device supports the requested pulse width. If the Actual Pulse Width does not match the Requested Pulse Width when the VI is run, you must either reduce the Requested Pulse Width or use a device with a counter/timer subsystem that supports the requested pulse width.

  • DtOLStart- Start - Explicitly starts the one-shot task. When the specified trigger is detected, a single pulse is output.

    The task stops automatically, but the counter/timer subsystem is still in use.

  • DtOLReStart - If you press the Pulse button from the front panel, this VI restarts the one-shot task.

  • DtOLCloseTask - Stops the one-shot task and releases all resources that are associated with the task when the task is complete.


DtCtrOneShotRepeat Example

The DtCtrOneShotRepeat example demonstrates how to output a single pulse for a specified duration (in milliseconds) each time that the device detects a trigger (determined by the counter/timer's gate input signal). The task runs until either the Stop button is pressed or an error occurs.

The following VIs are used to implement the repetitive one-shot task:

  • DtOLCreateTask (Counter Output - Repeat Pulse) - Sets up a virtual counter/timer channel for a repetitive one-shot task with the following default configuration: counter/timer subsystem 0, trigger (or gate type) is RisingEdge, pulse polarity is LowToHigh, and the requested pulse width of the output signal is 100 ms. From the front panel, you can change these default values, as needed. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.

    This VI checks to see if the connected device supports the requested pulse width. If the Actual Pulse Width does not match the Requested Pulse Width when the VI is run, you must either reduce the Requested Pulse Width or use a device with a counter/timer subsystem that supports the requested pulse width.

  • DtOLStart- Start - Explicitly starts the repetitive one-shot task. Each time the select trigger is detected, a single pulse of the specified duration is output.

  • DtOLCloseTask - Stops the repetitive one-shot task and releases all resources that are associated with the task when the task is complete.


DtCtrPeriod Example

The DtCtrPeriod example demonstrates how to measure the period, in milliseconds, of an external digital signal that is connected to the counter/timer's clock input or gate input source. The period is read repetitively in a loop. The period measurement task runs with no hardware timing. The loop runs as fast as it can until either the Stop button is pressed or an error occurs.

Note: If your device does not support edge-to-edge measurements, an error will be returned when you run this example.

The following VIs are used to implement the period measurement task:

  • DtOLCreateTask (Counter Input - Period) - Sets up a virtual counter/timer channel for a period measurement task with the following default configuration: counter/timer subsystem 0 and an input line of ClockInput. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the counter/timer subsystem and the input line, as needed.

  • DtOLRead (Read Single Channel - Single Sample - Real) - On each iteration of the loop, this VI starts the period measurement task, measures the period of the specified input line to the counter/timer, and returns the period in milliseconds.

    Note that internally, this VI measures the period of the input line based on two consecutive rising edges on the specified input line.

  • DtOLReStart - Restarts the period measurement task.

  • DtOLCloseTask - Stops the period measurement task and releases all resources that are associated with the task when the task is complete.


DtCtrRate Example

The DtCtrRate example demonstrates how to generate an output pulse at a specified frequency (in Hz) when the counter/timer is enabled (determined by the counter/timer's gate input signal). The task runs until either the Stop button is pressed or an error occurs.

The following VIs are used to implement the rate generation task:

  • DtOLCreateTask (Counter Output - Rate) - Sets up a virtual counter/timer channel for a rate generation task with the following default configuration: counter/timer subsystem 0, gate type is software (none), duty cycle is 50%, and the requested frequency of the output signal is 1000 Hz. From the front panel, you can change these default values, as needed. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.

    This VI checks to see if the connected device supports the requested frequency. If the Actual Frequency does not match the Requested Frequency when the VI is run, you must either reduce the Requested Frequency or use a device with a faster counter/timer subsystem.

  • DtOLStart- Start - Explicitly starts the rate generation task.

  • DtOLCloseTask - Stops the rate generation task and releases all resources that are associated with the task when the task is complete.


DtCtrTwoEdgeTiming Example

The DtCtrTwoEdgeTiming example demonstrates how to measure the time, in milliseconds, between a specified start edge and stop edge of the counter's clock or gate input signals.

The value of the counter/timer is read repetitively in a loop. The edge-to-edge measurement task runs with no hardware timing. The loop runs as fast as it can until either the Stop button is pressed or an error occurs.

Note: If your device does not support edge-to-edge measurements, an error will be returned when you run this example.

The following VIs are used to implement the edge-to-edge measurement task:

  • DtOLCreateTask (Counter Input - Time Between Edges) - Sets up a virtual counter/timer channel for an edge-to-edge measurement task with the following default configuration: counter/timer subsystem 0, start edge is ClockRising, and stop edge is ClockRising. From the front panel, you can change these default values, as needed. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.

  • DtOLRead (Read Single Channel - Single Sample - Real) - On each iteration of the loop, this VI starts the edge-to-edge measurement task, measures the time between the specified edges, and returns the time, in milliseconds. The task is then restarted with the DtOLReStart VI.

  • DtOLCloseTask - Stops the edge-to-edge measurement task and releases all resources that are associated with the task when the task is complete.


DtCtrUpDown Example

The DtCtrUpDown example demonstrates how to count digital pulses from an external signal that is connected to the counter/timer's clock input source. If the gate input signal of the counter/timer is high, the count is incremented. If the gate input signal of the counter/timer is low, the count is decremented.

The value of the counter/timer is read repetitively in a loop. The up/down counting task runs with no hardware timing. The loop runs as fast as it can until either the Stop button is pressed or an error occurs.

Note: If your device does not support up/down counting, an error will be returned when you run this example.

The following VIs are used to implement the up/down counting task:

  • DtOLCreateTask (Counter Input -Up-Down) - Sets up a virtual counter/timer channel for an event counting task with the following default configuration: counter/timer subsystem 0. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the counter/timer subsystem, as needed.

  • DtOLRead (Read Single Channel - Single Sample - Real) - On each iteration of the loop, this VI starts the up/down counting task, reads the value of the counter/timer, and returns the count.

  • DtOLCloseTask - Stops the up/down counting task and releases all resources that are associated with the task when the task is complete.


DtDinSingle Example

The DtDinSingle example demonstrates how to read a single value from a digital input port repetitively in a loop. The digital input task runs with no hardware timing. The loop runs as fast as it can until either the Stop button is pressed or an error occurs.

The following VIs are used to implement the digital input task:

  • DtOLCreateTask (Digital Input) - Sets up a virtual digital input channel with the following configuration: digital input subsystem 0, digital input port 0. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the digital input port from which to read data.

  • DtOLRead (Read Single Channel - Single Sample - Real) - On each iteration of the loop, this VI starts the digital input task, reads the value of the digital input port, and returns the value of each of the digital input lines in the port as well as the value of the port in decimal and hexadecimal notation.

  • DtOLCloseTask - Stops the digital input task and releases all resources that are associated with the task when the task is complete.


DtDoutSingle Example

The DtDoutSingle example demonstrates how to write a single value to a digital output port repetitively in a loop. The digital output task runs with no hardware timing. The loop runs as fast as it can until either the Stop button is pressed or an error occurs.

The following VIs are used to implement the digital output task:

  • DtOLCreateTask (Digital Output) - Sets up a virtual digital output channel with the following configuration: digital output subsystem 0, digital output port 0. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds. From the front panel, you can change the digital output port to update, as needed.

  • DtOLWrite (Write Single Channel - Single Sample) - On each iteration of the loop, this VI starts the digital output task and updates the value of the digital output port based on the values of the digital output lines. From the front panel, you can toggle the values of each of the eight digital output lines by clicking on the switches. By default, all outputs are 0 (low).

  • DtOLCloseTask - Stops the digital output task and releases all resources that are associated with the task when the task is complete.


DtQuadrature Example

The DtQuadrature example demonstrates how to read the value of a quadrature decoder. The value of the quadrature decoder is read repetitively in a loop. The quadrature decoder task runs with no hardware timing. The loop runs as fast as it can until either the Stop button is pressed or an error occurs.

The following VIs are used to implement the quadrature decoder task:

  • DtOLCreateTask (Quad Encoder Input) - Sets up a virtual quadrature decoder channel with the following default configuration: quadrature decoder subsystem 0, clock prescale value is 128, index mode is disabled, and X1 scaling. From the front panel, you can change these values, as needed. By default, LV-Link opens the first DT-Open Layers PCI or USB device that it finds.

  • DtOLRead (Read Single Channel - Single Sample - Real) - On each iteration of the loop, this VI starts the quadrature decoder task, reads the value of the quadrature decoder, and returns the count.

  • DtOLCloseTask - Stops the quadrature decoder task and releases all resources that are associated with the task when the task is complete.


Building and Distributing an Application

Building and Distributing an Executable

If you want to create a stand-alone executable of a VI that you have created, you need LabVIEW's Application Builder. The Application Builder is included as part of the LabVIEW Professional Development System and is also available as a separate option that you can purchase from National Instruments.

The Application Builder creates executables from user-specified files (such as VIs, libraries, documentation, data files, and so on) and saves individual build settings as part of the project file.

Note: If you are running a version of LabVIEW that is newer than 8.5.1 (32-bit) or 2009 (64-bit), you may get a warning message about "unsaved changes." In most cases, you will want to save the VI to run in the version of LabVIEW that you are using. However, once saved, the VI cannot be read in older versions of LabVIEW. If you decide to save the VIs, it is recommended that you do a mass compile, removing the read-only attribute of the VIs. Refer to your LabVIEW documentation for details.

To create an executable, perform the following steps:

  1. Open the VI that you want to build into an executable.

  2. From the Tools menu, click Build Application (Exe) from VI....
    The default project name is displayed. If desired, you can change the default project name.

  3. Click Continue.

  4. Specify the application information, including the name of the build specification, the name of the executable you want to create, the destination directory of your executable, version information, and a description of your executable.

Note: If desired, you can customize settings, preview the file organization, and specify the languages that the application will support by clicking OK, and modifying the Build Specifications Properties dialog. See the documentation for the Application Builder for more information.

In LabVIEW 2009 and greater, ensure that you change the destination folder so that the executable is not located in the user.lib folder of LabVIEW; otherwise, errors will occur.

  5. Click Build.
    The Application Builder creates an executable of your project based on the specified build specifications.

After successfully building an executable, run your executable to verify that it works as designed. If desired, you can also create an installer for the executable using the Application Builder. See the documentation for the Application Builder for more information.


Troubleshooting

If your application is closed (by pressing the"X" in the top, right corner of the window) before the VI and its associated hardware are stopped, you may encounter the "Subsystem in use" error when you try to access the subsystem again. The error occurs because the hardware is still running even though the application is closed. It is important that the hardware is properly stopped or shut down before closing or stopping the VIs and their applications.

If you encounter this error, you must reset the data acquisition device. For USB devices, this means unplugging the USB cable to the data acquisition device and then plugging the USB cable back into the data acquisition device. For Ethernet devices, this means unplugging the power cable to the data acquisition device and then plugging the power cable back into the data acquisition device. Note that for some devices you may have to repeat this procedure to ensure that both the hardware and the device driver are reset.


Product Support

If you have problems using LV-Link, check the following:

    • Is the PCI or USB device that you are using compliant with the DT-Open Layers?

    • Was your device and the software that came with it installed properly?

    • Was LabVIEW installed properly?

    • Was LV-Link installed properly?

    • Is your analog input signal connected properly to the specified channel?

    • Is your application running slowly or is your PC running out of memory? If so, click this link.

If you are still having problems, contact our Technical Support Department.


Analog Input Channel Defaults

Analog Input Configuration Defaults

By default, the following analog input configuration is used when you call DtOLCreateTask (Analog Input - Voltage) or DtOLCreateTask (Analog Input - Raw):

    • No board specified - LV-Link opens the first DT-Open Layers PCI or USB device that it finds.

    • Analog input subsystem element 0

    • Channel 0 (Ain 0)

    • Analog input voltage range of -10 V to 10 V (and a gain of 1 for all analog input channels)

    • SingleEnded channel type

Change these values, if needed, to match your application wiring.

LV-Link automatically configures the appropriate data encoding (binary or twos complement) and resolution for the subsystem.


Analog Output Channel Defaults

Analog Output Configuration Defaults

By default, the following analog output configuration is used when you call DtOLCreateTask (Analog Output - Voltage) or DtOLCreateTask (Analog Output - Raw):

    • No board specified - LV-Link opens the first DT-Open Layers PCI or USB device that it finds.

    • Analog output subsystem element 0

    • Channel 0 (Aout 0)

    • Analog output voltage range of -10 V to 10 V (and a gain of 1 for all analog output channels)

Change these values, if needed, to match your application wiring.

LV-Link automatically configures the appropriate data encoding (binary or twos complement) and resolution for the subsystem.


Frequency and Period Measurement Configuration Defaults

By default, the following counter/timer configuration is used when you call DtOLCreateTask (Counter Input - Frequency) or DtOLCreateTask (Counter Input - Period):

    • No board specified - LV-Link opens the first DT-Open Layers PCI or USB device that it finds.

    • Counter/timer 0

    • ClockInput input line is measured

Change these values, if needed, to match your application wiring.


Creating Waveforms

When calling DtOLWaveformGenerate to generate a waveform, the following default configuration is used:

    • Sine wave

    • Amplitude of 1.00 V

    • 250 Samples per Cycle Buffer

    • Desired Frequency of 10,000 Hz

The Desired Frequency multiplied by the number of Samples per Cycle Buffer determines the sample rate that is required by the analog output subsystem. By default, the required sample rate is 10,000 x 250, or 2,500,000 S/s.

LV-Link applies the nearest sampling rate that is supported by the device, and returns this value in the Actual Sample Rate output. The Actual Frequency that can be achieved is then determined by dividing the Actual Sample Rate by the Samples per Cycle Buffer.

If your device supports the default analog output rate, 2,500,000 is returned in Actual Sample Rate and the Actual Frequency that is returned is the same as the Desired Frequency (10000 Hz). If however, your device supports a maximum analog output rate of 500,000 Samples/s, a value for 50000 is returned in Actual Sample Rate and the Actual Frequency that is used is 20,000 Hz (500,000 / 250).

Note: Depending on the analog output rates supported by your device, you may want to reduce the number of samples per cycle buffer and/or the desired frequency.


Digital Input Channel Defaults

Digital Input Configuration Defaults

By default, the following digital input configuration is used when you call DtOLCreateTask (Digital Input):

    • No board specified - LV-Link opens the first DT-Open Layers PCI or USB device that it finds.

    • Digital input port 0 (configured with the default resolution for that port)

Change these values, if needed, to match your application wiring.


Digital Output Channel Defaults

Digital Output Configuration Defaults

By default, the following digital output configuration is used when you call DtOLCreateTask (Digital Output):

    • No board specified - LV-Link opens the first DT-Open Layers PCI or USB device that it finds.

    • Digital output port 0 (configured with the default resolution for that port)

Change these values, if needed, to match your application wiring.


Edge-To-Edge Measurement Configuration Defaults

Edge-To-Edge Measurement and Continuous Edge-To-Edge Measurement Configuration Defaults

By default, the following counter/timer configuration is used when you call DtOLCreateTask (Counter Input - Time Between Edges) or DtOLCreateTask (Counter Input - Cont Measure) :

    • No board specified - LV-Link opens the first DT-Open Layers PCI or USB device that it finds.

    • Counter/timer 0

    • Start edge is the rising edge of a signal connected to the clock input source of the counter/timer

    • Stop edge is the falling edge of the signal connected to the clock input source of the counter/timer

Change these values, if needed, to match your application wiring.


Event Counting Configuration Defaults

By default, the following counter/timer configuration is used when you call DtOLCreateTask (Counter Input - Events):

    • No board specified - LV-Link opens the first DT-Open Layers PCI or USB device that it finds.

    • Counter/timer 0

    • No gate - the operation is performed immediately when started

Change these values, if needed, to match your application wiring.


One-Shot and Repetitive One-Shot Configuration Defaults

By default, the following counter/timer configuration is used when you call DtOLCreateTask (Counter Output - Pulse) or DtOLCreateTask (Counter Output - Repeat Pulse) :

    • No board specified - LV-Link opens the first DT-Open Layers PCI or USB device that it finds.

    • Counter/timer 0

    • The trigger type is a rising-edge on the gate input

    • The polarity of the output pulse is low-to-high

    • The requested pulse width is 1 ms
      LV-Link applies the nearest pulse width that is supported by the device. To determine the actual pulse width that was used, read the value of the Actual Pulse Width output.

Change these values, if needed, to match your application wiring.


Quadrature Decoder Configuration Defaults

By default, the following counter/timer configuration is used when you call DtOLCreateTask (Quad Encoder Input) :

    • No board specified - LV-Link opens the first DT-Open Layers PCI or USB device that it finds.

    • Quadrature decoder 0

    • X4Scaling is False (X1 scaling is used)

    • IndexMode is Disabled - The Index input signal has no effect on the count of the quadrature decoder.

    • Clock prescale is 128

Change these values, if needed, to match your application wiring.


Rate Generation Configuration Defaults

By default, the following counter/timer configuration is used when you call DtOLCreateTask (Counter Output - Waveform) :

    • No board specified - LV-Link opens the first DT-Open Layers PCI or USB device that it finds.

    • Counter/timer 0

    • No gate - the operation is performed immediately when started

    • The duty cycle of the output pulse is 50% (square wave)

    • The requested frequency is 1000 Hz
      LV-Link applies the nearest frequency that is supported by the device. To determine the actual frequency that was used, read the value of the Actual Frequency output.

Change these values, if needed, to match your application wiring.


Reading a Finite Number of Samples

Using OLRead (Read Single Channel - Multiple Samples - Real) or OLRead (Read Multiple Channel - Multiple Samples - Real), you can specify the number of samples to return using the Samples Per Channel input.

If OnlyReadAvailable is False (the default value), the VI waits until the number of samples defined by Samples Per Channel is acquired before returning the data. If you do not wire a value to the Samples Per Channel input (the default value), the VI waits until all the requested samples (specified in the OLTiming (Input - Set Timing) VI) are available before returning the data.

To return only the data that is currently available, set OnlyReadAvailable to True; in this case, the value of Samples Per Channel is ignored.

When the data is returned, the operation stops automatically.


Reading Samples Continuously

Using OLRead (Read Single Channel - Multiple Samples - Real) or OLRead (Read Multiple Channel - Multiple Samples - Real), you can specify the number of samples to return from one or more buffers using the Samples Per Channel input.

If OnlyReadAvailable is False (the default value), the VI waits until the number of samples defined by Samples Per Channel is acquired before returning the data. If you do not wire a value to the Samples Per Channel input (the default value), the VI waits until an entire buffer is filled before returning the data. You specify the size of each buffer using the Samples Per Channel input of the OLTiming (Input - Set Timing) VI.

To return only the data that is currently available in the buffer, set OnlyReadAvailable to True; in this case, the value of Samples Per Channel is ignored.


Up/Down Counting Configuration Defaults

By default, the following counter/timer configuration is used when you call DtOLCreateTask (Counter Input - Up-Down):

    • No board specified - LV-Link opens the first DT-Open Layers PCI or USB device that it finds.

    • Counter/timer 0

Change these values, if needed, to match your application wiring.